<?php
require_once './extends/request-services.php';

class Rutinas
{
    // private $ruc_enterprise = '20601095310';
    private $pdo;
    public function __CONSTRUCT()
    {
        try {
            require_once 'db.php';
            $this->pdo = DB::cn();
            $this->pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }
    public function run()
    {
        try {
            // $stm = $this->pdo->prepare("SELECT * FROM enterprise WHERE IsFE = 1 AND Status = 1 AND Ruc = " . $this->ruc_enterprise);
            $stm = $this->pdo->prepare("SELECT * FROM enterprise WHERE IsFE = 1 AND Status = 1 AND UsuarioDB='vpsfmsac_hormiguiroot' ");
            $stm->execute();
            foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
                echo "<b>EMPRESA: " . $r->Name . "</b><br/>";
                $this->getMovimientos($r);
                echo "<br/>";
            }
            echo "<br/><br/>";
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }
    public function getMovimientos($enterprise)
    {
        try {
            $cnn = new PDO('mysql:host=' . $enterprise->ServerDB . ';dbname=' . $enterprise->NameDB, $enterprise->UsuarioDB, $enterprise->PasswordDB);
            $stm = $cnn->prepare('SELECT m.*, d.sDocNombreCorto from movimiento m INNER JOIN documento d ON m.Documento_Id = d.Documento_Id WHERE nMovEstadoSunat IN(0,-1,500,1,2,3) and nmovestado=0 AND nMovEliminado=0 AND m.Documento_Id not in (5,7,3,10,8,14,17) AND dMovFecha >=DATE_ADD(now(), INTERVAL -7 DAY) ;');
            $stm->execute();
            foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
                $request = new RequestServices();
                $request->url = 'http://colibri2.fmsac.com/comprobante/' . $enterprise->Ruc . '/' . $r->sDocNombreCorto . '/' . $r->sMovDocumento;
                $request->parameters = [];
                $result = $request->serviceGET();
                // echo $r->Movimiento_Id . "<br>";
                echo '<b>RUC: </b>' . $enterprise->Ruc . ' <b>DOCUMENTO: </b>' . $r->sDocNombreCorto . '-' . $r->sMovDocumento . '<br/>';
                echo '<b>RESULTADO: </b>' . $result . '<br/>';
                $this->status($enterprise, $r->Movimiento_Id, $result);
            }
        } catch (PDOException $e) {
            print "¡Error!: " . $e->getMessage() . "<br/>";
            die();
        }
    }
    public function status($enterprise, $movimiento_Id, $status)
    {
        try {
            $cnn = new PDO('mysql:host=' . $enterprise->ServerDB . ';dbname=' . $enterprise->NameDB, $enterprise->UsuarioDB, $enterprise->PasswordDB);
            $stm = $cnn->prepare("update movimiento set `nMovEstadoSunat` = ? where Movimiento_Id = ?");
            $stm->execute([$status, $movimiento_Id]);
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }
}
$rutinas = new Rutinas();
$rutinas->run();
