<?php
header('Access-Control-Allow-Origin: *');
require_once 'model/parametro.model.php';
require_once 'model/parametro.entidad.php';
require_once 'model/origendestino.model.php';
require_once 'model/origendestino.entidad.php';
class ClienteproveedorController
{
    private $parametro_model;
    private $origendestino_model;
    private $segurdidad;
    public function __CONSTRUCT()
    {
        $this->parametro_model = new ParametroModel();
        $this->origendestino_model = new OrigendestinoModel();
        $this->seguridad = new Seguridad();
    }

    public function Index()
    {
        $dep = isset($_POST['nProcliDep']) && $_POST['nProcliDep'] != '' ? $_POST['nProcliDep'] : '';
        $prov = isset($_POST['nProcliProv']) && $_POST['nProcliProv'] != '' ? $_POST['nProcliProv'] : '';
        $dist = isset($_POST['nProcliDist']) && $_POST['nProcliDist'] != '' ? $_POST['nProcliDist'] : '';

        $parametro = $this->parametro_model->ListarParametros();
        // $clienteproveedor = $this->origendestino_model->Listar();
        $clienteproveedor = $this->origendestino_model->Listar3($dep, $prov, $dist);
        $editado =  isset($_SESSION['mensajeEditarExiste']) ? '1' : '0';

        if (isset($_SESSION['mensajeEditarExiste'])) {
            unset($_SESSION['mensajeEditarExiste']);
        }

        require_once 'view/header.php';
        require_once 'view/webforms/wfaclienteproveedor.php';
        echo "<script type='text/javascript'>
                        $(document).ready(function (){
                            $('.catalogos').addClass('active');
                        });
                  </script>";
        require_once 'view/footer.php';
    }
    public function FrmGuardarClienteproveedor()
    {
        require_once 'view/webforms/wfaclienteproveedora.php';
    }
    public function GuardarClienteproveedor()
    {
        $pro = new Origendestino();
        if ($_POST['Provclien_Id'] != 0 ? $pro->__SET('OrigenDestino_Id', $_POST['Provclien_Id']) : '');
        if ($_POST['sProcliDireccion'] == '') {
            $_POST['sProcliDireccion'] = 'n/a';
        }
        if ($_POST['nProcliTelefono'] == '') {
            $_POST['nProcliTelefono'] = 'n/a';
        }
        if ($_POST['sProcliCorreo'] == '') {
            $_POST['sProcliCorreo'] = 'n/a';
        }
        if ($_POST['sProcliContacto'] == '') {
            $_POST['sProcliContacto'] = 'n/a';
        }
        $pro->__SET('nODTipo', $_POST['nProcliTipo']);
        $pro->__SET('nODTipoDoc', $_POST['nProcliTipoDoc']);
        $pro->__SET('sODRucDni', $_POST['nProcliRUCDNI']);
        $pro->__SET('sODNombre', $_POST['sProcliNombre']);
        $pro->__SET('sODNombreComercial', $_POST['sProcliNomComercial']);
        $pro->__SET('sODDireccion', $_POST['sProcliDireccion']);
        $pro->__SET('sODDireccionGR', $_POST['sProcliDireccionGR']);
        $pro->__SET('sODTelefono', $_POST['nProcliTelefono']);
        $pro->__SET('sODCorreo', $_POST['sProcliCorreo']);
        $pro->__SET('sODContacto', $_POST['sProcliContacto']);
        $pro->__SET('sODCodigo', $_POST['sProCliCodigo']);
        $pro->__SET('nODDiasCredito', $_POST['nProcliDiasCredito']);
        $pro->__SET('nProcliDepId', $_POST['nProcliDepId']);
        $pro->__SET('nProcliDepName', $_POST['nProcliDepName']);
        $pro->__SET('nProcliProvId', $_POST['nProcliProvId']);
        $pro->__SET('nProcliProvName', $_POST['nProcliProvName']);
        $pro->__SET('nProcliDistId', $_POST['nProcliDistId']);
        $pro->__SET('nProcliDistName', $_POST['nProcliDistName']);
        $pro->__SET('nODEstado', $_POST['nProcliEstado']);
        $pro->__SET('nODEliminado', 0);
        $pro->__SET('nODUsuario_Id', $_SESSION['usu_codigo']);
        // if ($_POST['Provclien_Id'] != 0 ? $this->origendestino_model->Editar($pro) : $this->origendestino_model->Crear($pro));
        if ($_POST['Provclien_Id'] != 0) {
            $this->origendestino_model->Editar($pro);
            $_SESSION['mensajeEditarExiste'] = true;
        } else {
            $this->origendestino_model->Crear($pro);
            echo '<div class="alert alert-success prod" role="alert">
                        <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                        <strong>Exito información guardado</strong>, los datos fueron registrados correctamente.
                    </div>';
        }
    }


    public function validarClienteProveedorDesh()
    {
        echo json_encode($this->origendestino_model->validarClienteProveedor($_POST['sODRucDni']));
    }

    public function habilitarClienteProveedor()
    {

        $datos = $this->origendestino_model->BuscarPorRUCDNI($_POST['nProcliRUCDNI']);
        $id = count($datos) > 0 ? $datos[0]['OrigenDestino_Id'] : 0;
        $existe = count($datos) > 0 ? 'true' : 'false';

        if ($existe == 'true') {
            $this->origendestino_model->Habilitar($id);
            $_SESSION['QuiereHabilitarClienteProveedor'] = $existe;
            $_SESSION['QuiereHabilitarClienteProveedorID'] = $id;
        }

        echo $existe;
    }

    public function VerificarSeesionHB()
    {
        if (isset($_SESSION['QuiereHabilitarClienteProveedorID']) && isset($_SESSION['QuiereHabilitarClienteProveedor'])) {
            echo 'true' . '|' . $_SESSION['QuiereHabilitarClienteProveedorID'];
            unset($_SESSION['QuiereHabilitarClienteProveedorID']);
            unset($_SESSION['QuiereHabilitarClienteProveedor']);
        } else {
            echo 'false' . '|' . '';
        }
    }

    public function FrmEditarClienteproveedor()
    {
        $datos = $this->origendestino_model->Buscar($_POST['Provclien_Id']);
        foreach ($datos as $r) :
            require_once 'view/webforms/wfaclienteproveedora.php';
        endforeach;
    }
    public function MostrarClienteproveedor()
    {
        $clientes = $this->origendestino_model->Buscar($_POST['Provclien_Id']);
        foreach ($clientes as $r) :
            if ($r->__GET('nODTipo') == 1) {
                $tipo = "Proveedor";
            } elseif ($r->__GET('nODTipo') == 2) {
                $tipo = "Cliente";
            } else {
                $tipo = "Reportes";
            }
            echo " <tbody>
                          <tr>
                             <td>
                                <input type='hidden' name='OrigenDestino_Id' id='OrigenDestino_Id' value='" . $r->__GET('OrigenDestino_Id') . "'> 
                                Nombre
                             </td>
                             <td>" . $r->__GET('sODNombre') . "</td>
                          </tr>
                          <tr>
                             <td>Nombre Comercial</td>
                             <td>" . $r->__GET('sODNombreComercial') . "</td>
                          </tr>
                          <tr>
                             <td>RUC/DNI</td>
                             <td>" . $r->__GET('sODRucDni') . "</td>
                          </tr>
                          <tr>
                             <td>Dirección</td>
                             <td>" . $r->__GET('sODDireccion') . "</td>
                          </tr>
                          <tr>
                             <td>Teléfono</td>
                             <td>" . $r->__GET('sODTelefono') . "</td>
                          </tr>
                          <tr>
                             <td>Correo</td>
                             <td>" . $r->__GET('sODCorreo') . "</td>
                          </tr>
                          <tr>
                             <td>Contacto</td>
                             <td>" . $r->__GET('sODContacto') . "</td>
                          </tr>
                          <tr>
                             <td>Codigo</td>
                             <td>" . $r->__GET('sODCodigo') . "</td>
                          </tr>
                          <tr>
                             <td>Días de Credito</td>
                             <td>" . $r->__GET('nODDiasCredito') . "</td>
                          </tr>   
                          <tr>
                             <td>Estado</td>
                             <td>" . ($r->__GET('nODEstado') == '1' ? '<span class="label bg-green">Habilitado</span>' : '<span class="label bg-danger">Inhabilitado</span>') . "</td>
                          </tr>
                       </tbody>
                     ";
        endforeach;
    }
    public function EliminarClienteproveedor()
    {
        $procli = new Origendestino();
        $procli->__SET('OrigenDestino_Id', $_POST['IdProvclien']);
        $this->origendestino_model->Eliminar($procli);
        echo '<script type="text/javascript">window.location="?c=Clienteproveedor&a=Index";</script>';
    }

    public function TipoPrvClien()
    {
        $provclien = $this->origendestino_model->Listar2();
        echo '<option value="">Seleccione cliente/proveedor</option>';
        foreach ($provclien as $p) {
            if ($p->__GET('nODTipo') == $_POST['tipo']) {
                echo sprintf(
                    '<option value="%s" data-subtext="%s" data-direccion="%s" data-direcciongr="%s" data-ubigeo="%s" data-diascredito="%s">%s</option>',
                    $p->__GET('OrigenDestino_Id'),
                    $p->__GET('sODRucDni'),
                    $p->__GET('sODDireccion'),
                    $p->__GET('sODDireccionGR'),
                    sprintf('%s-%s-%s', $p->__GET('nProcliDepName'), $p->__GET('nProcliProvName'), $p->__GET('nProcliDistName')),
                    $p->__GET('nODDiasCredito'),
                    $p->__GET('sODNombreComercial')
                );
            }
        }
    }
    public function PDFCliente()
    {
        $datos = $this->origendestino_model->Buscar($_POST['OrigenDestino_Id']);
        require_once 'view/webforms/PDF/cliente.php';
    }
    public function validardocumento()
    {
        echo json_encode($this->origendestino_model->validar($_REQUEST['documento'], $_REQUEST['Provclien_Id']));
    }

    public function buscarClienteProveedorById()
    {
        echo json_encode($this->origendestino_model->BuscarClienteProv($_REQUEST['OrigenDestino_Id']));
    }

    public function buscarByNumeroDoc()
    {
        echo json_encode($this->origendestino_model->BuscarByNumeroDoc($_REQUEST['documento']));
    }

    public function SearchRucDni()
    {
        try {
            $company = new \Sunat\Sunat(true, true);
            $search = $company->search($_REQUEST['documento']);

            if ($search->success == true) {
                echo json_encode((array)$search->result);
            } else {
                throw new Exception("Value must be 1 or below");
            }
        } catch (Exception $e) {
            echo $e;
        }
    }
}
