<?php

require_once 'model/parametro.entidad.php';
require_once 'model/parametro.model.php';
require_once 'model/conceptoFijo.model.php';

class DescuentosController {
    private $parametro_model;
    private $conceptoF_model;

    public function __CONSTRUCT() {
        $this->parametro_model = new ParametroModel();
        $this->conceptoF_model = new ConceptoFijoModel();
    }

    public function Index() {
        $parametro = $this->parametro_model->ListarParametros();
        $discounts = $this->conceptoF_model->Listar();
        
        require_once 'view/header.php';
        require_once 'view/webforms/wfadescuentos.php';
        echo "<script type='text/javascript'>
                        $(document).ready(function (){
                            $('.catalogos').addClass('active');
                        });
                  </script>";
        require_once 'view/footer.php';
    }

    public function SaveDescuento() {
        $nDiscount_Id = $_POST['nDiscount_Id'];
        $sDescription = $_POST['sDescription'];
        $nAmount = $_POST['nAmount'];

        $sendData = array(
            'nDiscount_Id' => $nDiscount_Id,
            'sDescription' => $sDescription,
            'nAmount' => $nAmount
        );

        $nDiscount_Id != '' || $nDiscount_Id != 0 ? $res = $this->conceptoF_model->Edit($sendData) :
                                                    $res = $this->conceptoF_model->Save($sendData);
        $men = $res == 1 ? 'recorded' : 'updated';

        echo '<div class="alert alert-success prod" role="alert">
                <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <strong>Successful!</strong>, the data was ' . $men . ' correctly.
            </div>';
    }

    public function GetDiscount() {
        $id = $_POST['nDiscount_Id'];
        $discount = $this->conceptoF_model->GetDiscount($id);
        echo json_encode($discount);
    }

    public function RemoveDiscount() {
        $id = $_POST['nDiscount_Id'];
        $res = $this->conceptoF_model->RemoveDiscount($id);

        echo '<div class="alert alert-success prod" role="alert">
                <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <strong>Successful!</strong>, the data was removed correctly.
            </div>';
    }
}