<?php

require_once 'model/enterprise.model.php';
require_once 'model/parametro.entidad.php';
require_once 'model/parametro.model.php';

class EnterpriseController {
    public $enterprise_model;
    public $parametro_model;

    public function __CONSTRUCT() {
        $this->enterprise_model = new EnterpriseInfoModel();
        $this->parametro_model = new ParametroModel();
    }

    public function Index() {
        $companies = $this->enterprise_model->Listar();
        $parametro = $this->parametro_model->ListarParametros();

        require_once 'view/header.php';
        require_once 'view/webforms/wfaenterprise.php';
        echo "<script type='text/javascript'>
                        $(document).ready(function (){
                            $('.operaciones').addClass('active');
                        });
                  </script>";
        require_once 'view/footer.php';
    }

    public function Guardar() {
        $Enterprise = [
            'Enterprise_Id' => $_POST['Enterprise_Id'],
            'sEnterName' => $_POST['sEnterName'],
            'nEnterUser_Id' => $_SESSION['usu_codigo'],
        ];

        $_POST['Enterprise_Id'] == '' || $_POST['Enterprise_Id'] == 0 ? $res = $this->enterprise_model->Guardar($Enterprise) : $res = $this->enterprise_model->Editar($Enterprise);

        $men = $res == 1 ? 'recorded' : 'updated';

        echo '<div class="alert alert-success prod" role="alert">
                        <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                        <strong>Successful!</strong>, the data was ' . $men . ' correctly.
                    </div>';
    }

    public function getEnterprise() {
        echo json_encode($this->enterprise_model->Buscar($_POST['Enterprise_Id']));
    }

    public function Mostrar() {
        $company = $this->enterprise_model->Buscar($_POST['Enterprise_Id']);

        echo '<table class="table table-hover table-bordered">';

        foreach ($company as $item) {
            $estado = '';
            if($item->nEnterStatus == '0') {
                $estado = '<span class="label label-danger">Remove</span>';
            } else if ($item->nEnterStatus == '1') {
                $estado = '<span class="label label-success">Active</span>';
            }

            echo '<tr>';
            echo '<td><strong>Name: </strong></td>';
            echo '<td>' . $item->sEnterName . '</td>';
            echo '</tr>';

            echo '<tr>';
            echo '<td><strong>Status: </strong></td>';
            echo '<td>' . $estado . '</td>';
            echo '</tr>';
        }

        echo '</table>';
    }

    public function Eliminar() {
        $this->enterprise_model->Eliminar($_POST['Company_Id']);

        echo '<script type="text/javascript">window.location="?c=Enterprise&a=Index";</script>';
    }
}