<?php

require_once 'model/parametro.model.php';
require_once 'model/parametro.entidad.php';
require_once 'model/movimiento.model.php';
require_once 'model/movimiento.entidad.php';
require_once 'model/pago.model.php';
require_once 'model/pago.entidad.php';
require_once 'model/documento.model.php';
require_once 'model/documento.entidad.php';
require_once 'model/almacen.model.php';
require_once 'model/almacen.entidad.php';
require_once 'model/tipomovimiento.model.php';
require_once 'model/tipomovimiento.entidad.php';
require_once 'model/notacredito.model.php';
require_once 'model/unidadmedida.model.php';
require_once 'model/unidadmedida.entidad.php';
require_once 'model/movimientodetalle.model.php';
require_once 'model/movimientodetalle.entidad.php';
require_once 'model/origendestino.model.php';
require_once 'model/origendestino.entidad.php';
require_once 'model/notacreditodetalle.model.php';
require_once 'controller/electronic.controller.php';
class NotacreditoController extends MetodosController
{
    public $url;
    public $parametro_model;
    public $movimiento_model;
    public $pago_model;
    public $movimientodetalle_model;
    public $almacen_model;
    public $documento_model;
    public $tipomovimiento_model;
    public $notacredito_model;
    public $origendestino_model;
    public $unidadmedida_model;
    public $nodatecreditodetalle_model;
    private $electronic_controller;
    private $seguridad;
    public function __CONSTRUCT()
    {
        // $this->url = 'http://colibri-fm.ddns.net/servicio/Transaccion/AnularSunat/' . $_SESSION['usu_enterpriseRuc'];
        $this->url = 'http://colibri2.fmsac.com/baja/' . $_SESSION['usu_enterpriseRuc'];
        $this->parametro_model = new ParametroModel();
        $this->movimiento_model = new MovimientoModel();
        $this->pago_model = new PagoModel();
        $this->movimientodetalle_model = new MovimientodetalleModel();
        $this->almacen_model = new AlmacenModel();
        $this->documento_model = new DocumentoModel();
        $this->tipomovimiento_model = new TipomovimientoModel();
        $this->notacredito_model = new NotacreditoModel();
        $this->origendestino_model = new OrigendestinoModel();
        $this->electronic_controller = new ElectronicController();
        $this->unidadmedida_model = new UnidadmedidaModel();
        $this->nodatecreditodetalle_model = new NotacreditodetalleModel();
        $this->seguridad = new Seguridad();
    }

    public function index()
    {
        $parametro = $this->parametro_model->ListarParametros();
        // $movimientos = $this->notacredito_model->Listar();

        $fechaIni = isset($_REQUEST['fechaIni']) ? $_REQUEST['fechaIni'] : date('d-m-Y H:i');
        $fechaFin = isset($_REQUEST['fechaFin']) ? $_REQUEST['fechaFin'] : date('d-m-Y H:i');

        $movimientos = $this->notacredito_model->Not_listardate($fechaIni, $fechaFin);
        require_once 'view/header.php';
        require_once 'view/webforms/wfanotacredito.php';
        echo "<script type='text/javascript'>
                        $(document).ready(function (){
                            $('.operaciones').addClass('active');
                        });
                  </script>";
        require_once 'view/footer.php';
    }

    public function FrmEditar()
    {
        $categorias = $this->notacredito_model->categorias();
        $parametro = $this->parametro_model->ListarParametros();
        $almacen = $this->almacen_model->Listar();
        $tipomovimiento = $this->tipomovimiento_model->Listar();
        $documentos = $this->documento_model->Listar();
        // require_once 'view/header.php';
        require_once 'view/webforms/wfanotacreditoa.php';
        // echo "<script type='text/javascript'>
        //                 $(document).ready(function (){
        //                     $('.operaciones').addClass('active');
        //                 });
        //           </script>";
        // require_once 'view/footer.php';
    }
    public function save()
    {
        $categoria = explode("|", $_REQUEST['categoriareclamo']);
        $Notacredito_Id = $this->notacredito_model->save(
            $_REQUEST['Movimiento_Id'],
            $_REQUEST['Documento_Id'],
            $categoria[0],
            $categoria[1],
            $_REQUEST['dNotcreFecha']
        );
        // $this->electronic_controller->Notacredito($Notacredito_Id);
        // echo '<script>previsualizacion_notacredito(' . $Notacredito_Id . ')</script>';
        // header('Location: ?c=Notacredito&a=Index');
        // print_r(json_decode($_REQUEST['detail']));
        $detail = (json_decode($_REQUEST['detail']));
        foreach ($detail as $item) {
            $this->nodatecreditodetalle_model->Crear([
                "Notacredito_Id" => $Notacredito_Id,
                "Movimientodetalleconsumo_Id" => isset($item->Mmovimientodetalle_Id) ? $item->Mmovimientodetalle_Id : $item->Movimientodetalleconsumo_Id,
                "Movimiento_Id" => $item->Movimiento_Id,
                "Producto_Id" => $item->prodserv_Id,
                "nMovDetConUnidad_Id" => $item->nMovDetUnidad_Id,
                "sMovDetConCantidad" => $item->nMovDetCantidad,
                "nMovDetConPrecioLista" => $item->nMovDetPrecioLista,
                "nMovDetConPorcDescuento1" => $item->nMovDetPorcDescuento1,
                "nMovDetConPorcDescuento2" => $item->nMovDetPorcDecuento2,
                "nMovDetConPrecioUnitario" => $item->nMovDetPrecioUnitario,
                "nMovDetConImporte" => $item->nMovDetImporte,
                "nMovDetConPrecioFlete" => $item->nMovDetPrecioFlete
            ]);
        }
        $this->notacredito_model->Update($Notacredito_Id, [
            'nMovImporte' => $_REQUEST['dMovImporte'],
            'nMovIGV' => $_REQUEST['dMovIGV'],
            'nMovTotal' => $_REQUEST['dMovTotal'],
            'sMovObservacion' => $_REQUEST['sMovObservacion']
        ]);
        echo json_encode(array('id' => $Notacredito_Id));
        // header('Location: ?c=Notacredito&a=Previsualizacion&Notacredito_Id=' . $Notacredito_Id);
    }
    public function enviarcomprobante()
    {
        $this->electronic_controller->Notacredito($_REQUEST['Notacredito_Id']);
    }
    public function anular()
    {
        $movimiento = $this->movimiento_model->Buscar($_POST['IdMovimiento']);
        foreach ($movimiento as $r) {
            // ENVIO DE REQUEST
            $request = new RequestServices();
            $request->url = $this->url . '/' . $r->__GET('sDocNombreCorto') . '/' . $r->__GET('sMovDocumento');
            $request->parameters = [];
            $result = $request->serviceGET();
            // CAMBIO DE ESTADO
            $mov = new Movimiento();
            $mov->__SET('Movimiento_Id', $_POST['IdMovimiento']);
            $mov->__SET('Usuario_Id', $_SESSION['usu_codigo']);
            $this->movimiento_model->Eliminar($mov);
        }
        header('Location: ?c=Notacredito&a=Index');
    }
    public function Previsualizacion()
    {
        $parametro = $this->parametro_model->ListarParametros();
        require_once 'view/header.php';
        $notacredito = $this->notacredito_model->Buscar($_REQUEST['Notacredito_Id']);
        // echo "<pre>";
        // print_r($notacredito);
        // echo "</pre>";
        $mov = "<table class='table table-hover table-bordered'>";
        foreach ($notacredito as $r) :
            $mov .= "<tr>";
            $mov .= "<input type='hidden' id='sNotDocumento_Id' name='sNotDocumento_Id' value='" . $r->sNotDocumento_Id . "'></td>";
            $mov .= "<input type='hidden' id='sNotDocumento' name='sNotDocumento' value='" . $r->sNotDocumento . "'></td>";
            $mov .= "<td>Fecha: <input type='hidden' id='documentId' name='documentId' value='" . $r->Documento_Id . "'></td>";
            $mov .= "<td>" . $r->dNotcreFecha . "</td>";
            $mov .= "</tr>";
            $mov .= "<tr>";
            $mov .= "<td>Hora: </td>";
            $mov .= "<td>" . date('h:i a', strtotime($r->dMovFecha_Act)) . "</td>";
            $mov .= "</tr>";
            $mov .= "<tr>";
            $mov .= "<td>Tipo Movimiento: </td>";
            $mov .= "<td>" . $r->sTMovNombre . "</td>";
            $mov .= "</tr>";
            $mov .= "<tr>";
            $mov .= "<td>Tipo Pago: </td>";
            $mov .= "<td>" . ($r->nMovTipopago == 1 ? 'Contado' : 'Credito') . "</td>";
            $mov .= "</tr>";
            $mov .= "<tr>";
            $mov .= "<td>Tipo: </td>";
            $mov .= "<td>" . ($r->nMovTipoOrigenDestino == 1 ? 'Proveedor' : 'Cliente') . "</td>";
            $mov .= "</tr>";
            $mov .= "<tr>";
            $mov .= "<td>Cliente/Proveedor:</td>";
            $mov .= "<td>" . $this->NombreClienteProveedor($r->nMovOrigenDestino_Id) . "</td>";
            $mov .= "</tr>";
            $mov .= "<tr>";
            $mov .= "<td>Dirección:</td>";
            $mov .= "<td>" . $this->DireccionClienteProveedor($r->nMovOrigenDestino_Id) . "</td>";
            $mov .= "</tr>";
            $mov .= "<tr>";
            $mov .= "<td>RUC/DNI:</td>";
            $mov .= "<td>" . $this->RucDniClienteProveedor($r->nMovOrigenDestino_Id) . "</td>";
            $mov .= "</tr>";
            $mov .= "<tr>";
            $mov .= "<td>Ubigeo:</td>";
            $mov .= "<td>" . $this->UbigeoNombreClienteProveedor($r->nMovOrigenDestino_Id) . "</td>";
            $mov .= "</tr>";
            $mov .= "<tr>";
            $mov .= "<td>Destino:</td>";
            $mov .= "<td>" . ($r->nMovTipodestino == 1 ? 'Almacen' : 'Consumo') . "</td>";
            $mov .= "</tr>";
            $mov .= "<tr>";
            $mov .= "<td>Almacen:</td>";
            $mov .= "<td>" . $this->AlmNombre($r->Almacen_Id) . "</td>";
            $mov .= "</tr>";
            $mov .= "<tr>";
            $mov .= "<td>Documento:</td>";
            $mov .= "<td>" . $this->DocNombre($r->sNotDocumento_Id) . "</td>";
            $mov .= "</tr>";
            $mov .= "<tr>";
            $mov .= "<td>Nro. Documento:</td>";
            $mov .= "<td>" . $r->sDocNombreCorto . "-" . $r->sNotDocumento . "</td>";
            $mov .= "</tr>";
            $mov .= "<tr>";
            $mov .= "<td>Documento referencia:</td>";
            $mov .= "<td>" . $r->sDocNombreCortoComprobante . '-' . $r->sMovDocumentoComprobante . "</td>";
            $mov .= "</tr>";
            $mov .= "<tr>";
            $mov .= "<td>Tipo de moneda:</td>";
            $mov .= "<td>" . ($r->Moneda_Id == 1 ? 'Soles' : 'Dolares') . "</td>";
            $mov .= "</tr>";
            $mov .= "<tr>";
            $mov .= "<td>Observación:</td>";
            $mov .= "<td>" . $r->sMovObservacion . "</td>";
            $mov .= "</tr>";
            $mov .= "<tr>";
            $mov .= "<td colspan='2'>";
            $mov .= "<table class='table table-hover table-bordered'>";
            $mov .= "<thead>";
            $mov .= "<tr>";
            $mov .= "<th>Producto</th>";
            $mov .= "<th>Cantidad</th>";
            $mov .= "<th>Unidad</th>";
            $mov .= "<th>Precio</th>";
            $mov .= "<th>Sub Total</th>";
            $mov .= "</tr>";
            $mov .= "</thead>";
            $mov .= "<tbody>";
            $notacredito_datalle = $this->nodatecreditodetalle_model->Listar($_REQUEST['Notacredito_Id']);
            foreach ($notacredito_datalle as $detmov) :
                $mov .= '<tr>';
                $mov .= '<td>' . $detmov->sProSrvNombre . '</td>';
                $mov .= '<td>' . $detmov->nMovDetCantidad . '</td>';
                $mov .= '<td>' . $this->UnidadNombre($detmov->nMovDetUnidad_Id) . '</td>';
                $mov .= '<td style="text-align: right;">' . number_format($detmov->nMovDetPrecioUnitario, 2, ".", ".") . '</td>';
                $mov .= '<td style="text-align: right;">' . number_format($detmov->nMovDetImporte, 2, ".", ".") . '</td>';
                $mov .= '</tr>';
            endforeach;
            $mov .= '<tr><td style="text-align: right;" colspan="4">IMPORTE</td><td style="text-align: right;">' . number_format($r->nMovImporte, 2, ".", ".") . '</td></tr>';
            $mov .= '<tr><td style="text-align: right;" colspan="4">IGV</td><td style="text-align: right;">' . number_format($r->nMovIGV, 2, ".", ".") . '</td></tr>';
            $mov .= '<tr><td style="text-align: right;" colspan="4">TOTAL</td><td style="text-align: right;">' . number_format($r->nMovTotal, 2, ".", ".") . '</td></tr>';
            $mov .= '</tbody>';
            $mov .= '</table>';
            $mov .= '</td>';
            $mov .= '</tr>';
            $mov .= "</table>";
        endforeach;
        require_once 'view/webforms/wfanotacreditov.php';
        require_once 'view/footer.php';
    }
    public function UnidadNombre($Unidadmedida_Id)
    {
        $dato = $this->unidadmedida_model->Buscar($Unidadmedida_Id);
        foreach ($dato as $d) {
            return $d->__GET('sUndAlias');
        }
    }

    public function ProdservdNombre($ProdServ_Id)
    {
        $data = $this->prodserv_model->Buscar($ProdServ_Id);
        foreach ($data as $pro) {
            return $pro->__GET('sProSrvNombre');
        }
    }
    public function DocNombre($Documento_Id)
    {
        $data = $this->documento_model->Buscar($Documento_Id);
        foreach ($data as $doc) {
            return $doc->__GET('sDocNombre');
        }
    }
    public function AlmNombre($Almacen_Id)
    {

        $data = $this->almacen_model->Buscar($Almacen_Id);
        foreach ($data as $alm) {
            return $alm->__GET('sAlmNombre');
        }
    }
    public function comprobante()
    {
        //$movimiento = $this->notacredito_model->Buscar($_REQUEST['notacredito_Id']);
        //foreach ($movimiento as $r) :
        //    require_once 'view/webforms/PDF/notacredito.php';
        //endforeach;

        $nota = $this->notacredito_model->Buscar($_REQUEST['notacredito_Id']);
        $r = $nota[0];
        //print_r($r);
        // $observacion = $r->__GET('sMovObservacion');
        $detalle_nota = $this->nodatecreditodetalle_model->Listar($_REQUEST['notacredito_Id']);
        // $pagos_movimiento = $this->movimiento_model->BuscarPagos(2139);
        //print_r($detalle_nota);

        $toPrint = sprintf(
            '%s|%s|%s|%s|%s|%s|%s|%s|%s|%s',
            $_SESSION['usu_enterpriseRuc'],
            '07',
            $r->sDocNombreCorto,
            $r->sMovDocumento,
            $r->nMovIGV,
            $r->nMovTotal,
            date('Y-m-d', strtotime($r->dMovFecha)),
            '6',
            $this->RucDniClienteProveedor($r->nMovOrigenDestino_Id),
            ''
        );

        require_once 'view/webforms/PDF/notacredito2.php';
    }

    //     public function Devolver()
    // {

    //     $mov = new Movimiento();
    //     $mov->__SET('Movimiento_Id', $_POST['IdMovimiento']);
    //     $mov->__SET('Usuario_Id', $_SESSION['usu_codigo']);
    //     $mov->__SET('Notacredito_Id', $_SESSION['Notacredito_Id']);
    //     $mov->__SET('sNotDocumento', $_SESSION['sNotDocumento']);
    //     $this->notacredito_model->Devolver($mov);
    // }


    public function Devolver()
    {
        $dev = $this->notacredito_model->Devolver(

            $_REQUEST['Movimiento_Id'],
            $_SESSION['usu_codigo'],
            $_REQUEST['sNotDocumento_Id'],
            $_REQUEST['sNotDocumento']
        );
    }

    public function Aplicarpago()
    {
        $pag = new Pago();

        $pag->__SET('Movimiento_Id', $_POST['Movimiento_Id']);
        $pag->__SET('dPagFecha', $_POST['dNotcreFecha']);
        $pag->__SET('nPagTipoPago_Id', 6);
        $pag->__SET('sPagDocumento', ($_POST['sNotDocumento_Id'] == 11 ? 'F100' : 'B100') . '-' . $_POST['sNotDocumento']);
        // $pag->__SET('nPagImporte', number_format($_POST['dMovTotal'], 2, ".", "."));
        $pag->__SET('nPagImporte', round($_POST['dMovTotal'], 2));
        $pag->__SET('nPagUsuario_Id',  $_SESSION['usu_codigo']);
        if ($_POST['estado'] == 1) {
            $this->pago_model->Crear($pag);
        }
    }
}
