<?php

class Menu
{
    private $seguridad;
    private $menu;
    public function __CONSTRUCT() 
    {
        $this->seguridad = new Seguridad();
        $this->menu = $this->seguridad->optionMenu();//json_decode(file_get_contents("extends/menu.json"), true);
    }
    
    public function Execute() 
    {
        $navigation = $this->menu;//['navigation'];
        return $this->sidebar_menu($navigation);
    }    
   
    public function sidebar_menu($navigation) 
    {
        return  $this->childrens($navigation->children, $navigation->title);
    } 
    
    public function childrens($menu, $title, $level = 0)
    {
        $level++;
        $children = '<ul class="' . ($level == 1 ? 'sidebar-menu' : 'treeview-menu') . '">';
        $children .= $title ? '<li class="header">'.$title.'</li>' : '';
        foreach($menu as $key => $value) 
        {
            $target=null;

            if($value->path=="http://hormiguita.pe/consultar"){
                $target=" target='_blank'";
            }

            if ($_SESSION['usu_enterpriseRuc'] != 20481666105 && $value->title == 'Conductores') {
                
            } else {

                $children .= '<li class="treeview '. (isset($value->class) ? $value->class : '') . '">';
                $children .=  '<a href="' . ($value->path ? $value->path : '#') . '"  '.$target.'>';
                $children .= '<i class="fa ' . $value->icon . '"></i>';
                $children .= $value->title;
                $children .= (isset($value->children) && count($value->children) ? '<i class="fa fa-angle-left pull-right"></i></a>' : '');
                $children .= '</a>';
                if (isset($value->children) && count($value->children))
                {
                    $children .= $this->childrens($value->children, null, $level);
                }
                $children .= '</li>';
            }
        }
        $children .= '</ul>';
        return $children;
    }
}