<html>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link type="text/css" rel="stylesheet" href="css/jquery-ui.min.css">

<!--  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.1.3/css/bootstrap.css">
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.19/css/dataTables.bootstrap4.min.css"> -->

<!--  /////////////////-Acá comienza las pruebas data-table ///////////////////////////- -->
<!-- Bootstrap -->
<link href="css/bootstrap.min.css" rel="stylesheet">

<link href="css/bootstrap-datetimepicker.css" rel="stylesheet">

<!-- Date Picker -->
<link href="librerias/plugins/datepicker/datepicker3.css" rel="stylesheet" type="text/css" />


<!-- DATA TABLES -->
<link href="view/librerias/bootstrap/css/bootstrap.min.css" rel="stylesheet" type="text/css" />
<link rel="stylesheet" href="view/librerias/dist/css/dataTables.bootstrap.css" />
<link rel="stylesheet" href="view/librerias/dist/css/dataTables.responsive.css" />
<link rel="stylesheet" href="http://cdn.datatables.net/plug-ins/a5734b29083/integration/bootstrap/3/dataTables.bootstrap.css" />
<link rel="stylesheet" href="http://cdn.datatables.net/responsive/1.0.2/css/dataTables.responsive.css" />





<title>Comprobantes HormiguitaLA</title>

<body>
    <?php
    // include("db.php");

    class ScriptEnvio
    {
        private $pdo;
        function __CONSTRUCT()
        {
            try {
                require_once 'db.php';
                $this->pdo = DB::cn();
                $this->pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
            } catch (Exception $e) {
                echo die($e->getMessage());
            }
        }


        public function ListarFact()
        {

            try {
                $result = array();
                $stm = $this->pdo->prepare("CALL listar_fact()");
                $stm->execute();
                foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r) {

                    $result[] = $r;
                }
                return $result;
            } catch (Exception $e) {
                echo die($e->getMessage());
            }
        }
    }

    $envio = new ScriptEnvio();

    $scriptenvio = $envio->ListarFact();
    function filtrarfechas($scriptenvio)
    {
        echo $scriptenvio;
    }
    
    function RenderizadoClass($type)
    {
        switch ($type) {
            case 1:
                return 'style="color:#ff0707;"'; // no enviados
            case 2:
                return 'style="color:#ffc107;"'; // no anulados
            case 3:
                return 'style="color:#cc3300;"'; // nc no enviadas
            case 4:
                return 'style="color:black;"';  // gr no envidas
                
           
        }
    }
    ?>

    

    <h1>Facturación HormiguitaLA</H1>


    <div class="box-body">
        <table id="datatable" class="table table-bordered table-striped table-hover text-center">
            <thead>
                <tr>
                    <th>Empresa</th>
                    <th>Ruc</th>
                    <th>Id Documento</th>
                    <th>Fecha</th>
                    <th>Correlativo</th>
                    <th>Documento</th>
                    <th>Estado</th>
                    <th>Estado Sunat</th>
                </tr>
            </thead>
           
            <tbody>
                <?php

                foreach ($scriptenvio as $r) { ?>
                 <?php $type = $r->Tipo; ?>
                    <tr <?php echo RenderizadoClass($type) ?>>
                        <td><?= $r->Empresa ?></td>
                        <td><?= $r->Ruc ?></td>
                        <td><?= $r->Id ?></td>
                        <td><?= $r->Fecha ?></td>
                        <td><?= $r->Correlativo ?></td>
                        <td><?= $r->Documento  ?></td>
                        <td><?= $r->Estado ?></td>
                        <td><?= $r->EstadoSunat ?></td>


                    </tr>
                <?php }  ?>

            </tbody>
        </table>
    </div>
    <footer>
        <!-- jQuery -->
        <script src="view/librerias/dist/js/jquery.js"></script>



        <!-- Bootstrap -->
          <script src="view/librerias/bootstrap/js/bootstrap.min.js" type="text/javascript"></script>
        
        <script type="text/javascript" language="javascript" src="view/librerias/dist/js/jquery.dataTables.min.js"></script>
        <script type="text/javascript" language="javascript" src="view/librerias/dist/js/dataTables.responsive.js"></script>
        <script type="text/javascript" language="javascript" src="view/librerias/dist/js/dataTables.bootstrap.js"></script>



        <script type="text/javascript">
        $(document).ready(function() {
                $("#datatable").dataTable({
                "scrollX": true,
                "bSort": true,
                "language": {
                    "search": "Buscar",
                    "lengthMenu": "Visualizar _MENU_ registro por página",
                    "zeroRecords": "No hay información para mostrar",
                    "info": "Pagina _PAGE_ de _PAGES_ de _MAX_ ",
                    "infoEmpty": "Pagina _PAGE_ - _PAGES_ de _MAX_ registros",
                    "infoFiltered": "(filtered from _MAX_ total records)",
                    "paginate": {
                        "previous": "Anterior",
                        "next": "Siguiente"
                    }
                }
            });

    });
        </script>
    </footer>
</body>

</html>