<?php 

class ConceptoFijoModel {
    private $pdo;

    public function __CONSTRUCT() {
        try {
            $this->pdo = DataBase::ObtenerConexion();
            $this->pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
        } catch (Exception $e) {
            die($e->getMessage());
        }
    }

    public function Listar() {
        try {
            $result = array();
            $stm = $this->pdo->prepare("SELECT * FROM conceptofijo WHERE nEstado = 1");
            $stm->execute();
            foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
                $result[] = $r;
            }
            return $result;
        } catch (Exception $e) {
            die($e->getMessage());
        }
    }

    public function Save($data) {
        $description = $data['sDescription'];
        $amount = $data['nAmount'];
        try {
            $stm = $this->pdo->prepare("INSERT INTO `conceptofijo`
                                                        (`sConNombre`,
                                                        `nConValor`)
                                                        VALUES
                                                        ('$description', '$amount');
                                        ");
            $stm->execute();
            return 1;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }

    public function Edit($data) {
        $nDiscount_Id = $data['nDiscount_Id'];
        $description = $data['sDescription'];
        $amount = $data['nAmount'];

        try {
            $stm = $this->pdo->prepare("UPDATE `conceptofijo`
                                                SET
                                                `sConNombre` = '$description',
                                                `nConValor` = '$amount'
                                                WHERE `Concepto_Id` = '$nDiscount_Id'");
            $stm->execute();
            return 2;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }

    public function GetDiscount($id) {
        try {
            $result = array();
            $stm = $this->pdo->prepare("SELECT * FROM conceptofijo WHERE Concepto_Id = ?");
            $stm->execute(array($id));
            foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
                $result[] = $r;
            }
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }

    public function RemoveDiscount($id) {
        try {
            $stm = $this->pdo->prepare("UPDATE `conceptofijo` SET `nEstado` = 0 WHERE `Concepto_Id` = '$id'");
            $stm->execute();

        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }
}