<?php
class OrdenCompraDetalleModel {
    private $pdo;
    function __CONSTRUCT(){
        try {
            $this->pdo = DataBase::ObtenerConexion();
            $this->pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }
    public function Buscar($OrdenCompra_Id){
        try {
            // print_r($this->pdo);
            $result = array();
            $stm = $this->pdo->prepare("CALL ocd_listar($OrdenCompra_Id)");
            $stm->execute();
            foreach($stm->fetchAll(PDO::FETCH_OBJ) as $r){
                $mov = new OrdenCompraDetalle();
                $mov->__SET('OrdenCompraDetalle_Id', $r->OrdenCompraDetalle_Id);//isset($r->OrdenCompraDetalle_Id) ? $r->OrdenCompraDetalle_Id : $r->Movimientodetalleconsumo_Id);
                $mov->__SET('OrdenCompra_Id', $r->OrdenCompra_Id);
                $mov->__SET('ProductoLote_Id', $r->ProductoLote_Id);
                $mov->__SET('nOCDUnidad_Id', $r->nOCDUnidad_Id);
                $mov->__SET('nOCDCantidad', $r->nOCDCantidad);
                $mov->__SET('nOCDPrecioLista', $r->nOCDPrecioLista);
                $mov->__SET('nOCDPorcDescuento1', $r->nOCDPorcDescuento1);
                $mov->__SET('nOCDPorcDecuento2', $r->nOCDPorcDecuento2);
                $mov->__SET('nOCDPrecioUnitario', $r->nOCDPrecioUnitario);
                $mov->__SET('nOCDImporte', $r->nOCDImporte);
                $mov->__SET('nOCDPrecioFlete', $r->nOCDPrecioFlete);
                $mov->__SET('nOCDSaldoAnteriorLote', $r->nOCDSaldoAnteriorLote);
                $mov->__SET('nOCDSaldoPosteriorLote', $r->nOCDSaldoPosteriorLote);
                $mov->__SET('nOCDSaldoAnterior', $r->nOCDSaldoAnterior);
                $mov->__SET('nOCDSaldoPosterior', $r->nOCDSaldoPosterior);
                $mov->__SET('nOCDIncluyeIGV', $r->nOCDIncluyeIGV);
                $mov->__SET('prodserv_Id', $r->prodserv_Id);
                $mov->__SET('sProSrvNombre', $r->sProSrvNombre);
                $mov->__SET('sUndalias', $r->sUndalias);
                $mov->__SET('nProSrvExoneradoIGV', $r->nProSrvExoneradoIGV);
                $mov->__SET('dOCDICBPER', $r->dOCDICBPER);
                $mov->__SET('nOCDCantidadPendiente', $r->nOCDCantidadPendiente);
                $result[] = $mov;
            }
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }
    public function BuscarLote($Almacen_Id,$ProdServ_Id){
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL productolote_listar2($Almacen_Id,$ProdServ_Id)");
            $stm->execute();
            return $stm->fetch(PDO::FETCH_OBJ);
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }

    
    public function getByMovimientoId($OrdenCompra_Id){
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL ocd_listar($OrdenCompra_Id)");
            $stm->execute();
            foreach($stm->fetchAll(PDO::FETCH_OBJ) as $r){
                $result[] = (array) $r;
            }
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }

    public function Guardar(OrdenCompraDetalle $data){
        try {
            $stm = $this->pdo->prepare("CALL ocd_crear(?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)");
            $stm->execute(array(
                                 $data->__get('OrdenCompra_Id'),
                                 $data->__get('TipoMovimiento_Id'),
                                 $data->__get('TipoDestino'),
                                 $data->__get('ProdServ_Id'),
                                 $data->__get('Almacen_Id'),
                                 $data->__get('Lote'),
                                 date('Y-m-d', strtotime($data->__get('FechaVencimiento'))),
                                 $data->__get('Cantidad'),
                                 $data->__get('Unidad_Id'),
                                 $data->__get('MonedaCompra_Id'),
                                 $data->__get('PrecioLista'),
                                 0,
                                 $data->__get('Precio'),
                                 $data->__get('SubTotal'),
                                 $data->__get('Usuario_Id'),
                                 $data->__get('TipoCambio'),
                                 $data->__get('nOCDIncluyeIgv'),
                                 $data->__get('dOCDICBPER'),
                                 $data->__get('nOCDCantidadPendiente')
                                 ));
        } catch (Exception $e) {
            die($e->getMessage());
        }
    }
}
?>
