<?php

class ProdservModel {
    private $pdo;
    public function __CONSTRUCT(){
        try {
            $this->pdo = DataBase::ObtenerConexion();
            $this->pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }
    //genera el codigo siguiente en la familia dada
    public function UltimoCodigo($Familia_Id){
        try {
            $stm = $this->pdo->prepare("CALL pro_UltimoCodigo($Familia_Id)");
            $stm->execute();
            foreach($stm->fetchAll(PDO::FETCH_OBJ) as $r){
                return $r->UltCodigo;
            }
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }

    //lista completa de  productos / servicios
    public function Listar(){
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL pro_listar(0)");
            $stm->execute();

            foreach($stm->fetchAll(PDO::FETCH_OBJ) as $r){
                $pro = new Prodserv();
                $pro->__SET('ProdServ_Id', $r->ProdServ_Id);
                $pro->__SET('sProSrvCodigo', $r->sProSrvCodigo);
                $pro->__SET('sProSrvMarca', $r->sProSrvMarca);
                $pro->__SET('sProSrvCodigoOriginal', $r->sProSrvCodigoOriginal);
                $pro->__SET('sProSrvNombre', $r->sProSrvNombre);
                $pro->__SET('sProSrvCodigoBarras', $r->sProSrvCodigoBarras);
                $pro->__SET('nProSrvFamilia_Id', $r->nProSrvFamilia_Id);
                $pro->__SET('sFamDescripcion', $r->sFamDescripcion);
                $pro->__SET('Activo_Id', $r->Activo_Id);
                $pro->__SET('sActDescripcion', $r->sActDescripcion);
                $pro->__SET('nProSrvUnidad_Id', $r->nProSrvUnidad_Id);
                $pro->__SET('sUndDescripcion', $r->sUndDescripcion);
                $pro->__SET('nProSrvExoneradoIGV', $r->nProSrvExoneradoIGV);
                $pro->__SET('nProSrvICBPer', $r->nProSrvICBPer);
                $pro->__SET('sProSrvCtaContable', $r->sProSrvCtaContable);
                $pro->__SET('nProSrvEstado', $r->nProSrvEstado);
                $pro->__SET('nProSrvEliminado', $r->nProSrvEliminado);
                $pro->__SET('dProSrvFecha_Act', $r->dProSrvFecha_Act);
                $pro->__SET('Usuario_Id', $r->Usuario_Id);
                $pro->__SET('sProSrvCodigo2', $r->sProSrvCodigo2);
                $pro->__SET('sProSrvCodigoOriginal', $r->sProSrvCodigoOriginal);
                $pro->__SET('sProSrvMarca', $r->sProSrvMarca);
                $pro->__SET('sProSrvMarcaOriginal', $r->sProSrvMarcaOriginal);
                $pro->__SET('stock_minimo_id', $r->stock_minimo_id);
                
                $result[] = $pro;
            }
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }

    //lista completa de  productos / servicios
    public function Listar2(){
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL pro_listar2(0)");
            $stm->execute();

            foreach($stm->fetchAll(PDO::FETCH_OBJ) as $r){
                $pro = new Prodserv();
                $pro->__SET('ProdServ_Id', $r->ProdServ_Id);
                $pro->__SET('sProSrvCodigo', $r->sProSrvCodigo);
                $pro->__SET('sProSrvMarca', $r->sProSrvMarca);
                $pro->__SET('sProSrvCodigoOriginal', $r->sProSrvCodigoOriginal);
                $pro->__SET('sProSrvNombre', $r->sProSrvNombre);
                $pro->__SET('sProSrvCodigoBarras', $r->sProSrvCodigoBarras);
                $pro->__SET('nProSrvFamilia_Id', $r->nProSrvFamilia_Id);
                $pro->__SET('sFamDescripcion', $r->sFamDescripcion);
                $pro->__SET('Activo_Id', $r->Activo_Id);
                $pro->__SET('sActDescripcion', $r->sActDescripcion);
                $pro->__SET('nProSrvUnidad_Id', $r->nProSrvUnidad_Id);
                $pro->__SET('sUndDescripcion', $r->sUndDescripcion);
                $pro->__SET('nProSrvExoneradoIGV', $r->nProSrvExoneradoIGV);
                $pro->__SET('nProSrvICBPer', $r->nProSrvICBPer);
                $pro->__SET('sProSrvCtaContable', $r->sProSrvCtaContable);
                $pro->__SET('nProSrvEstado', $r->nProSrvEstado);
                $pro->__SET('nProSrvEliminado', $r->nProSrvEliminado);
                $pro->__SET('dProSrvFecha_Act', $r->dProSrvFecha_Act);
                $pro->__SET('Usuario_Id', $r->Usuario_Id);
                $pro->__SET('sProSrvCodigo2', $r->sProSrvCodigo2);
                $pro->__SET('sProSrvCodigoOriginal', $r->sProSrvCodigoOriginal);
                $pro->__SET('sProSrvMarca', $r->sProSrvMarca);
                $pro->__SET('sProSrvMarcaOriginal', $r->sProSrvMarcaOriginal);
                
                $result[] = $pro;
            }
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }

    public function Buscar($ProdServ_Id){
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL pro_listar($ProdServ_Id)");
            $stm->execute();

            foreach($stm->fetchAll(PDO::FETCH_OBJ) as $r){
                // print_r($r);
                $pro = new Prodserv();
                $pro->__SET('ProdServ_Id', $r->ProdServ_Id);
                $pro->__SET('sProSrvCodigo', $r->sProSrvCodigo);
                $pro->__SET('sProSrvNombre', $r->sProSrvNombre);
                //$pro->__SET('sProSrvNombreComercial', $r->sProSrvNombreComercial);
                $pro->__SET('sProSrvCodigoBarras', $r->sProSrvCodigoBarras);
                $pro->__SET('nProSrvFamilia_Id', $r->nProSrvFamilia_Id);
                $pro->__SET('sFamDescripcion', $r->sFamDescripcion);
                $pro->__SET('Activo_Id', $r->Activo_Id);
                $pro->__SET('sActDescripcion', $r->sActDescripcion);
                $pro->__SET('nProSrvUnidad_Id', $r->nProSrvUnidad_Id);
                $pro->__SET('sUndDescripcion', $r->sUndDescripcion);
                $pro->__SET('nProSrvExoneradoIGV', $r->nProSrvExoneradoIGV);
                $pro->__SET('nProSrvICBPer', $r->nProSrvICBPer);
                $pro->__SET('sProSrvCtaContable', $r->sProSrvCtaContable);
                $pro->__SET('nProSrvEstado', $r->nProSrvEstado);
                $pro->__SET('nProSrvEliminado', $r->nProSrvEliminado);
                $pro->__SET('dProSrvFecha_Act', $r->dProSrvFecha_Act);
                $pro->__SET('Usuario_Id', $r->Usuario_Id);
                //$pro->__SET('ProSrvEspecificacion', $r->ProSrvEspecificacion);
                $pro->__SET('ProSrvNomImagen', $r->ProSrvNomImagen);
                //$pro->__SET('ProSrvNomImagen2', $r->ProSrvNomImagen2);
                //$pro->__SET('ProSrvNomImagen3', $r->ProSrvNomImagen3);
                //$pro->__SET('ProSrvNomImagen4', $r->ProSrvNomImagen4);
                $pro->__SET('sProSrvCodigo2', $r->sProSrvCodigo2);
                $pro->__SET('sProSrvCodigoOriginal', $r->sProSrvCodigoOriginal);
                $pro->__SET('sProSrvMarca', $r->sProSrvMarca);
                $pro->__SET('sProSrvMarcaOriginal', $r->sProSrvMarcaOriginal);
                
                $result[] = $pro;
            }
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }

    public function Guardar(Prodserv $data){
        try {
//            echo "<pre>";
//            print_r($data);
//            echo "</pre>";
            $stm = $this->pdo->prepare("CALL pro_crear(?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,@ProdServ_Id)");
            $stm->execute(array(
                                $data->__get('sProSrvCodigo'),
                                $data->__get('sProSrvNombre'),
                                $data->__get('sProSrvCodigoBarras'),
                                $data->__get('nProSrvFamilia_Id'),
                                $data->__get('Activo_Id'),
                                $data->__get('nProSrvUnidad_Id'),
                                $data->__get('ProSrvEspecificacion'),
                                $data->__get('nProSrvExoneradoIGV'),
                                $data->__get('nProSrvICBPer'),
                                $data->__get('sProSrvCtaContable'),
                                $data->__get('nProSrvEstado'),
                                $data->__get('nProSrvEliminado'),
                                $data->__get('Usuario_Id'),
                                $data->__get('sProSrvCodigo2'),
                                $data->__get('sProSrvCodigoOriginal'),
                                $data->__get('sProSrvMarca'),
                                $data->__get('sProSrvNombreComercial'),
                                $data->__get('sProSrvMarcaOriginal')
                         ));
            foreach($stm->fetchAll(PDO::FETCH_OBJ) as $r){
                return $r->ProdServ_Id;
            }
//            echo '<div class="alert alert-success" role="alert">
//                    <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
//                    <strong>Exito información guardado</strong>, los datos fueron registrados correctamente.
//                  </div>';
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }






    public function Filtrar($txtNameProduct){
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL pro_filtro('$txtNameProduct')");
            $stm->execute();

            foreach($stm->fetchAll(PDO::FETCH_OBJ) as $r){
                $pro = new Prodserv();
                $pro->__SET('ProdServ_Id', $r->ProdServ_Id);
                $pro->__SET('sProSrvCodigo', $r->sProSrvCodigo);
                $pro->__SET('sProSrvNombre', $r->sProSrvNombre);
                $pro->__SET('sProSrvCodigoBarras', $r->sProSrvCodigoBarras);
                $pro->__SET('nProSrvFamilia_Id', $r->nProSrvFamilia_Id);
                $pro->__SET('sFamDescripcion', $r->sFamDescripcion);
                $pro->__SET('Activo_Id', $r->Activo_Id);
                $pro->__SET('sActDescripcion', $r->sActDescripcion);
                $pro->__SET('nProSrvUnidad_Id', $r->nProSrvUnidad_Id);
                $pro->__SET('sUndDescripcion', $r->sUndDescripcion);
                $pro->__SET('nProSrvExoneradoIGV', $r->nProSrvExoneradoIGV);
                $pro->__SET('nProSrvICBPer', $r->nProSrvICBPer);
                $pro->__SET('sProSrvCtaContable', $r->sProSrvCtaContable);
                $pro->__SET('nProSrvEstado', $r->nProSrvEstado);
                $pro->__SET('nProSrvEliminado', $r->nProSrvEliminado);
                $pro->__SET('dProSrvFecha_Act', $r->dProSrvFecha_Act);
                $pro->__SET('Usuario_Id', $r->Usuario_Id);
                $result[] = $pro;
            }
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }
    
    public function Editar(Prodserv $data){
        try {
            $stm = $this->pdo->prepare("CALL pro_editar(?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)");
            $stm->execute(array(
                                 $data->__get('ProdServ_Id'),
                                 $data->__get('sProSrvCodigo'),
                                 $data->__get('sProSrvNombre'),
                                 $data->__get('sProSrvCodigoBarras'),
                                 $data->__get('nProSrvFamilia_Id'),
                                 $data->__get('Activo_Id'),
                                 $data->__get('nProSrvUnidad_Id'),
                                 $data->__get('ProSrvEspecificacion'),
                                 $data->__get('nProSrvExoneradoIGV'),
                                 $data->__get('nProSrvICBPer'),
                                 $data->__get('sProSrvCtaContable'),
                                 $data->__get('nProSrvEstado'),
                                 $data->__get('nProSrvEliminado'),
                                 $data->__get('Usuario_Id'),
                                 $data->__get('sProSrvCodigo2'),
                                 $data->__get('sProSrvCodigoOriginal'),
                                 $data->__get('sProSrvMarca'),
                                 $data->__get('sProSrvNombreComercial'),
                                 $data->__get('sProSrvMarcaOriginal')
                                )); 
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }


    

    public function ActualizarFotoProdserv($codProducto,$foto){
        try{
            $stm = $this->pdo->prepare("CALL prosrv_fotomodif(?,?)");
            $stm->execute(array($codProducto,$foto));

        }catch(Exception $e){
            echo die($e->getMessage());
        }
    }

    public function ActualizarFoto2Prodserv($codProducto,$foto){
        try{
            $stm = $this->pdo->prepare("CALL prosrv_foto2modif(?,?)");
            $stm->execute(array($codProducto,$foto));

        }catch(Exception $e){
            echo die($e->getMessage());
        }
    }
    public function ActualizarFoto3Prodserv($codProducto,$foto){
        try{
            $stm = $this->pdo->prepare("CALL prosrv_foto3modif(?,?)");
            $stm->execute(array($codProducto,$foto));

        }catch(Exception $e){
            echo die($e->getMessage());
        }
    }
    public function ActualizarFoto4Prodserv($codProducto,$foto){
        try{
            $stm = $this->pdo->prepare("CALL prosrv_foto4modif(?,?)");
            $stm->execute(array($codProducto,$foto));

        }catch(Exception $e){
            echo die($e->getMessage());
        }
    }

    

    public function Eliminar(Prodserv $data){
        try {
            $stm = $this->pdo->prepare("CALL pro_eliminar(?)");
            $stm->execute(array($data->__get('ProdServ_Id')));
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }
    public function VerificarStock($ProdServ_Id, $Cantidad, $Unidad_Id){
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL prosrv_verificastock('$ProdServ_Id','$Cantidad','$Unidad_Id')");
            $stm->execute();

            foreach($stm->fetchAll(PDO::FETCH_OBJ) as $r){
                
                $result = $r->RESULT;
                
            }
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }

}