
document.getElementById('sTraLicenciaConductorTraslado').addEventListener('input', function (e) {
	const rgx = /^[A-Za-z][0-9]*$/
	if (!rgx.test(e.target.value)) {
		e.target.value = e.target.value.slice(0, -1)
	} else {
		e.target.value = e.target.value.toUpperCase()
	}
})

Array.prototype.groupBy = function (prop) {
	return this.reduce(function (groups, item) {
		const val = item[prop];
		groups[val] = groups[val] || [];
		groups[val].push(item);
		return groups;
	}, {});
};

var products_detail = [];
var products_detail_group = [];

function groupproducts(data) {
	var data = products_detail.groupBy('Producto_Id');
	var products = [];
	for (var item in data) {
		var product = {
			sProNombre: data[item][0].sProNombre,
			sUMeCodigoSunat: data[item][0].sUMeCodigoSunat,
			sUndalias: data[item][0].sUndalias,
			nTDeCantidad: 0,
			nTDePrecio: 0,
			nTDeSubtotal: 0,
			Unidadmedida_Id: data[item][0].Unidadmedida_Id,
			nTDeIGV: 0,
			Producto_Id: data[item][0].Producto_Id,
			nTDeEstadoIGV: data[item][0].nProSrvExoneradoIGV ? 2 : 1,
			nTDeBase: 0,
		};
		for (var subitem of data[item]) {
			product.nTDeCantidad += parseFloat(subitem.nTDeCantidad);
			product.nTDePrecio += parseFloat(subitem.nTDePrecio);
			product.nTDeSubtotal += parseFloat(subitem.nTDeSubtotal);
		}
		products.push(product);
	}

	return products;
}

function create_table() {
	var table = '';
	var data = groupproducts(products_detail);

	products_detail_group = data;

	if (data.length > 0) {
		for (var i = 0; i < data.length; i++) {
			table += '<tr id="produpd-' + i + '">';
			table += '  <td>' + data[i].sProNombre + '</td>';
			table += '  <td><input type="text" value="';
			table += parseFloat(data[i].nTDeCantidad).toFixed(3);
			table +=
				'" class="form-control inp-cantidad" onchange="guiaActualizarProducto(' +
				i +
				')"/></td>';
			table += '  </td>';
			//table += '  <td>';
			//// '      <input type="text" class="form-control solo-numeros text-center" id="nTDeCantidad" value="'
			//table += data[i].nTDeCantidad
			//// '" onkeypress="return update_detail(event, ' + i + ')"/>';
			//table += '  </td>';
			table += '  <td>' + data[i].sUndalias + '</td>';
			table += '  <td><input type="text" value="';
			table += parseFloat(data[i].nTDePrecio).toFixed(2);
			table += '" class="form-control inp-precio inp-textplain" readonly/></td>';
			table += '  </td>';
			//table += '  <td>';
			//// '      <input type="text" class="form-control solo-numeros text-center" id="nTDePrecio" value="' +
			//table += data[i].nTDePrecio;
			//// '" onkeypress="return update_detail(event, ' + i + ')"/>';
			//table += '  </td>';
			table += '  <td>' + parseFloat(data[i].nTDeSubtotal).toFixed(2) + '</td>';
			table += `  <td>
                            <a href="#" class="btn btn-danger btn-xs" onclick="eliminar_product(${i},${data[i].Producto_Id}); return false;">
                                <i class="fa fa-trash" aria-hidden="true"></i>
                            </a>
                        </td>`;
			table += '</tr>';
		}
	} else {
		table += '<tr>';
		table += '  <td colspan="7">No hay datos</td>';
		table += '</tr>';
	}
	$('#productos_servicios').html(table);
	// $(".solo-numeros").inputFormat({
	//     miles: ''
	// });
}
function guiaActualizarProducto(i) {
	var col = $('#produpd-' + i + ' input');
	var cantidad = col[0].value;
	var precio = col[1].value;

	var haveMax = col[0].dataset.max;

	if (haveMax != undefined) {
		if (cantidad > haveMax) {
			alert('Cantidad maxima permitida por referencia de Orden de compra es: ' + haveMax);
			col[0].value = haveMax;
			guiaActualizarProducto(i);
			return;
		}
	}

	col.prop('disabled', true);
	products_detail[i].nTDeCantidad = cantidad;
	// products_detail[i].nTDePrecio = precio;
	products_detail[i].nTDeSubtotal = cantidad * precio;
	create_table();
	/* $.post('?c=Movimiento&a=ActualizarProductoC', {
        index: i,
        cantidad: cantidad,
        max: haveMax==undefined?null:haveMax,
        precio: precio
    }, function (data) {
        if(data=='1'){
            ListarProductos();
            CalcularImpTotIGV();
        }
    }); */
}

// function update_detail(e, obj) {
//     var keycode = (e.keyCode ? e.keyCode : e.which);
//     if (keycode == '13') {
//         console.log(1);
//         products_detail = products_detail.map((value, index) => {
//             console.log(value, index);
//             console.log(2);
//             return value;
//         });
//         console.log(3);
//         create_table();
//     }
// }

function TipoPrvClien() {
	var tipo = document.getElementById('nMovTipoOrigenDestino').value;
	$.post(
		'?c=Clienteproveedor&a=TipoPrvClien',
		{
			tipo: tipo,
		},
		function (data) {
			$('#nMovOrigenDestino_Id').html(data);
			$('#nMovOrigenDestino_Id').selectpicker('refresh');
		}
	);
}

function Tipomovimiento_venta() {
	var Tipomovimiento_Id = 2;
	$.post(
		'?c=Movimiento&a=TipoMovimiento',
		{
			Tipomovimiento_Id: Tipomovimiento_Id,
		},
		function (data) {
			$('#FrmTipomovimiento').html(data);
			TipoDocumento_vetna(Tipomovimiento_Id);
			CalcularImpTotIGV_venta();
		}
	);
}

function eliminar_product(index, Producto_Id) {
	$('#produpd-' + index).remove();
	// F002-1999

	products_detail = products_detail.filter((value) => value.Producto_Id != Producto_Id);

	// products_detail.splice(index, 1);
	create_table();
}

//TODO Verificar el id del documento en produccion

function NumeroDocumento() {
	$.post(
		'?c=Tipodocumento&a=documento',
		{
			documento_id: 18,
		},
		function (data) {
			data = JSON.parse(data);
			document.getElementById('sNumeroGenerado').value =
				data.sDocNombreCorto + '-' + data.sDocSiguiente;
		}
	);
}

function distritos(id_dist, id_prov, id_dep, prov, dist = null, dep = null) {
	var selectDist = $('#' + id_dist);
	$.post(
		'?c=Ubigeo&a=distritos_inei',
		{
			dep: dep != null ? dep : $('#' + id_dep).val(),
			prov: prov,
		},
		function (data) {
			var items = JSON.parse(data);
			var options = '<option value="">- seleccione -</option>';
			for (let item of items) {
				options +=
					'<option value="' +
					item.dist +
					'" data-name="' +
					item.nombre +
					'" ' +
					(dist != null && dist == item.dist ? 'selected' : '') +
					'>' +
					item.nombre +
					'</option>';
			}
			selectDist.html(options);
			var value = $('#' + id_prov).val();
			if (dist == null) {
				$('#' + id_dist).val('');
			}
			$('#' + id_dist).prop('disabled', value != '' ? false : true);
		}
	);
}

function provincias(id_pro, id_dist, dep, prov = null) {
	var selectProv = $('#' + id_pro);
	$('#' + id_dist).prop('disabled', true);
	$('#' + id_dist).val('');
	$.post(
		'?c=Ubigeo&a=provincias_inei',
		{
			dep: dep,
		},
		function (data) {
			var items = JSON.parse(data);
			var options = '<option value="">- seleccione -</option>';
			for (let item of items) {
				//console.log(item.prov + '|' + prov);
				options +=
					'<option value="' +
					item.prov +
					'" data-name="' +
					item.nombre +
					'" ' +
					(prov != null && prov == item.prov ? 'selected' : '') +
					'>' +
					item.nombre +
					'</option>';
			}
			selectProv.html(options);
			var value = $('#nProcliDep').val();
			if (prov == null) {
				$('#' + id_pro).val('');
			}
			$('#' + id_pro).prop('disabled', value != '' ? false : true);
		}
	);
}

function departamento(id_dep, dep = null) {
	var selectDep = $('#' + id_dep);
	$.post('?c=Ubigeo&a=departamentos_inei', {}, function (data) {
		var items = JSON.parse(data);
		var options = '<option value="">- seleccione -</option>';
		for (let item of items) {
			options +=
				'<option value="' +
				item.dep +
				'" data-name="' +
				item.nombre +
				'" ' +
				(dep != null && dep == item.dep ? 'selected' : '') +
				'>' +
				item.nombre +
				'</option>';
		}
		selectDep.html(options);
	});
}

function ValidarTipomovimiento() {
	$('#lista_lotes').parent().hide();
	$('#agregar_producto').modal('show');
}

function TipoDocumento_vetna(Tipomovimiento_Id) {
	$.post(
		'?c=Tipodocumento&a=ListarConbobox',
		{
			Tipomovimiento_Id: Tipomovimiento_Id,
		},
		function (data) {
			$('#Documento_Id').html(data);
			NumeroDocumento_Venta();
		}
	);
}

function ListarProductosLote() {
	var nProSrvExoneradoIGV = $('#ProdServ_Id option:selected').data('exoneradoigv');
	var ProdServ_Id = document.getElementById('ProdServ_Id');
	$.post(
		'?c=Movimiento&a=ListarLoteProducto',
		{
			ProdServ_Id: ProdServ_Id.value,
		},
		function (data) {
			$('#lista_lotes').html(data);
			ProductosUNILista();
			$('#nProSrvExoneradoIGV').val(nProSrvExoneradoIGV);
		}
	);
}

function CalcularImpTotIGV_venta() {
	var Documento_Id = 12;
	$.post(
		'?c=Movimiento&a=CalcularImpTotIGV_venta',
		{
			Documento_Id: Documento_Id,
		},
		function (data) {
			$('#resultado_productos').html(data);
		}
	);
}

function NumeroDocumento_Venta() {
	var Documento_Id = 12;
	$.post(
		'?c=Tipodocumento&a=NumeroDocumento',
		{
			Documento_Id: Documento_Id,
		},
		function (data) {
			CalcularImpTotIGV_venta();
		}
	);
}

function ProductosUNILista() {
	var ProdServ_Id = document.getElementById('ProdServ_Id').value;
	$.post(
		'?c=Movimiento&a=ListarUnidades',
		{
			ProdServ_Id: ProdServ_Id,
		},
		function (data) {
			console.log(data);
			$('#Unidadmedida_Id').html(data);
			setTimeout(() => {
				$('#Unidadmedida_Id').change();
			}, 500);
		}
	);
}

function calcularFactor() {
	var factorConv = $('#Unidadmedida_Id option:selected').data('factor');
	// var nMovDetConPrecioUnitario = $("input[name=lotes]:checked").data("preciocosto");
	// var nMovDetConPrecioUnitario = $("input[name=lotes]:checked").data("precioventa");
	var PrecioConvert = 0;
	if (nMovDetConPrecioUnitario == undefined) {
		nMovDetConPrecioUnitario = 0;
	}
	if (factorConv == undefined) {
		factorConv = 0;
	}
	PrecioConvert = factorConv * nMovDetConPrecioUnitario;
}

function CalcularSubtotal() {
	var sMovDetConCantidad = document.getElementById('sMovDetConCantidad').value;
	var nMovDetConPrecioUnitario = document.getElementById('nMovDetConPrecioUnitario').value;
	document.getElementById('nMovDetConSubtotal').value = parseFloat(
		sMovDetConCantidad * nMovDetConPrecioUnitario
	).toFixed(2);
}

function calcularBase($nIncluye, $nExcepcionIGV, $nPrecio, $nCantidad, $nIGV, $nDocAfectoIGV) {
	$nValorIGV = 0;
	$nValorBase = 0;
	$nValorTotal = 0;
	$nPrecio = $nDocAfectoIGV == 1 ? $nPrecio : $nPrecio / 1.18;
	if ($nIncluye == 1 && $nExcepcionIGV == 1) {
		//Incluye IGV: SI
		$nValorIGV = parseFloat(($nPrecio * $nCantidad * ($nIGV * 100)) / (100 + $nIGV * 100));
		$nValorBase = parseFloat($nPrecio * $nCantidad - $nValorIGV);
		$nValorTotal = parseFloat($nPrecio * $nCantidad);
	} else if ($nIncluye == 2 && $nExcepcionIGV == 1) {
		//Incluye IGV: NO
		$nValorIGV = parseFloat($nPrecio * $nCantidad * $nIGV);
		$nValorBase = parseFloat($nPrecio * $nCantidad);
		$nValorTotal = parseFloat($nPrecio * $nCantidad + $nValorIGV);
	} else {
		$nValorIGV = parseFloat('0.00');
		$nValorBase = parseFloat($nPrecio * $nCantidad - $nValorIGV);
		$nValorTotal = parseFloat($nPrecio * $nCantidad);
	}

	return {
		nValorIGV: $nValorIGV.toFixed(2),
		nValorBase: $nValorBase.toFixed(2),
		nValorTotal: $nValorTotal.toFixed(2),
		nValorPrecio: $nPrecio.toFixed(2),
	};
}

function AgregarProductoLote() {
	var familia = $('#ProdServ_Id').find(':selected').data('familia');
	var servicio_id = parseInt(familia.substring(0, 1));
	//alert(servicio_id);
	var ProdServ_Id = document.getElementById('ProdServ_Id').value;
	var nProSrvExoneradoIGV = $('#ProdServ_Id').find(':selected').data('exoneradoigv');
	var lotes = $('input:radio[name=lotes]:checked').val();
	var Unidadmedida_Id = document.getElementById('Unidadmedida_Id').value;
	var sUndalias = $('#Unidadmedida_Id').find(':selected').data('alias');
	var codigosunat = $('#Unidadmedida_Id').find(':selected').data('codigosunat');
	var sMovDetConCantidad = document.getElementById('sMovDetConCantidad').value;
	var nMovDetConPrecioUnitario = document.getElementById('nMovDetConPrecioUnitario').value;
	var nMovDetConSubtotal = document.getElementById('nMovDetConSubtotal').value;
	var Almacen_Id = document.getElementById('almacen').value;
	var nIncluyeLoteIGV = 0;

	$baseprice = calcularBase(
		nProSrvExoneradoIGV ? 0 : 2,
		1,
		parseFloat(nMovDetConPrecioUnitario),
		parseFloat(sMovDetConCantidad),
		0.18,
		1
	);
	if ($('#nIncluyeLoteIGV').prop('checked') == true) {
		nIncluyeLoteIGV = 1;
	}
	// if ($('input[name=lotes]:checked').length == 0 && servicio_id != 2) {
	//     swal("Seleccione un lote");
	//     return false;
	// }
	if (sMovDetConCantidad > 0 || servicio_id == 2) {
		products_detail.push({
			Unidadmedida_Id: Unidadmedida_Id,
			sUndalias: sUndalias,
			sUMeCodigoSunat: codigosunat,
			nTDeCantidad: sMovDetConCantidad,
			nTDeSubtotal: sMovDetConCantidad * nMovDetConPrecioUnitario,
			nTDePrecio: nMovDetConPrecioUnitario,
			nTDeIGV: 0,
			sProNombre: $('#ProdServ_Id').find(':selected').text().replace(/\s+/gi, ' '),
			Producto_Id: ProdServ_Id,
			nTDeEstadoIGV: 0,
			nTDeBase: sMovDetConCantidad * nMovDetConPrecioUnitario,
		});
		create_table();
		$('#agregar_producto').modal('hide');
	} else {
		swal('La cantidad tiene que ser mayor a 0');
	}
}

function awaitingSelectChange(select_id, value) {
	//console.log(select_id,value);
	var finded = $('#' + select_id).find('option[value="' + value + '"]').length;
	if (finded) {
		//console.log('encontrado');
		$('#' + select_id)
			.val(value)
			.change();
		return;
	}
	setTimeout(function () {
		//console.log('aun no encontrado... volviendo a preguntar');
		awaitingSelectChange(select_id, value);
	}, 100);
}

function AwaitingSeleccionarUbigeo(select_id, texto) {
	//console.log(select_id,texto);
	if (texto == undefined) {
		//console.log('ut: no hay dato');
		return;
	}
	var finded = $('#' + select_id).find('option').length;
	//1 es por defecto (- Seleccionar -)
	if (finded > 1) {
		Seleccionar('#' + select_id, texto);
		return;
	}
	setTimeout(function () {
		//console.log('Ubigeo '+select_id+' aun no encontrado... volviendo a preguntar');
		AwaitingSeleccionarUbigeo(select_id, texto);
	}, 100);
}

function Seleccionar(id, texto) {
	$(id + ' option')
		.filter(function () {
			return this.text == texto;
		})
		.prop('selected', true)
		.change();
}

function AwaitingSeleccionarUbigeoValue(select_id, value) {
	//console.log(select_id,value);
	if (value == undefined) {
		//console.log('uv: no hay dato');
		return;
	}
	var finded = $('#' + select_id).find('option').length;
	//1 es por defecto (- Seleccionar -)
	if (finded > 1) {
		SeleccionarValue('#' + select_id, value);
		return;
	}
	setTimeout(function () {
		//console.log('Dest Ubigeo '+select_id+' aun no encontrado... volviendo a preguntar');
		AwaitingSeleccionarUbigeoValue(select_id, value);
	}, 100);
}

function SeleccionarValue(id, value) {
	$(id + ' option')
		.filter(function () {
			return this.value == value;
		})
		.prop('selected', true)
		.change();
}

$(function () {
	departamento('dTraParDepartamento');
	departamento('dTraLleDepartamento');
	NumeroDocumento();
	TipoPrvClien();
	Tipomovimiento_venta();

	//seleccion automatica UBIGEO Remitente
	AwaitingSeleccionarUbigeo('dTraParDepartamento', ubigeo_dept);
	AwaitingSeleccionarUbigeo('sTraParProvincia', ubigeo_prov);
	AwaitingSeleccionarUbigeo('sTraParDistrito', ubigeo_dist);

	$('#frmregistrarguia').submit((e) => {
		e.preventDefault();
		var values = $('#frmregistrarguia').serializeAll();
		var parameters = {};

		for (let item of values) {
			parameters[item.name] = item.value;
		}
		parameters['detalle'] = JSON.stringify(products_detail_group);
		
		// obtener si existe o no el select de series
		var sTraSerieSelect = document.getElementById('sTraSerieSelect') ? document.getElementById('sTraSerieSelect').value : '';
		
		var dTraParDepartamento = $('#dTraParDepartamento').val();
		var sTraParProvincia = $('#sTraParProvincia').val();
		var sTraParDistrito = $('#sTraParDistrito').val();

		if (!dTraParDepartamento) {
			swal(
				'Advertencia.',
				'Debe de seleccionar un departamento para el punto de partida.',
				'warning'
			);
			return;
		}
		if (!sTraParProvincia) {
			swal(
				'Advertencia.',
				'Debe de seleccionar una provincia para el punto de partida.',
				'warning'
			);
			return;
		}
		if (!sTraParDistrito) {
			swal(
				'Advertencia.',
				'Debe de seleccionar un distrito para el punto de partida.',
				'warning'
			);
			return;

		}

		// validamos algunos campos
		var dTraLleDepartamento = $('#dTraLleDepartamento').val();
		var sTraLleProvincia = $('#sTraLleProvincia').val();
		var sTraLleDistrito = $('#sTraLleDistrito').val();
		var sTraCodigoMotivoTraslado = $('#sTraCodigoMotivoTraslado').val();
		if (!dTraLleDepartamento) {
			swal(
				'Advertencia.',
				'Debe de seleccionar un departamento para el punto de llegada.',
				'warning'
			);
			return;
		}
		if (!sTraLleProvincia) {
			swal(
				'Advertencia.',
				'Debe de seleccionar una provincia para el punto de llegada.',
				'warning'
			);
			return;
		}
		if (!sTraLleDistrito) {
			swal(
				'Advertencia.',
				'Debe de seleccionar un distrito para el punto de llegada.',
				'warning'
			);
			return;
		}
		if (!sTraCodigoMotivoTraslado) {
			swal('Advertencia.', 'Debe de seleccionar el motivo de traslado.', 'warning');
			return;
		}

		//TODO NUEVO - Validaciones para el remitente

		let sReTipoDocumento = $('#sReTipoDocumento').val();
		let sReDocumento = $('#sReDocumento').val();
		let sReNombreApellido = $('#sReNombreApellido').val();
		let sTraTarjetaCirculacionVehiculoTraslado = $(
			'#sTraTarjetaCirculacionVehiculoTraslado'
		).val();

		if (!sReTipoDocumento) {
			swal('Advertencia.', 'Debe de seleccionar el tipo de documento del remitente', 'warning');
			return;
		}

		if (!sReDocumento) {
			swal('Advertencia.', 'Digite el numero de documento del remitente', 'warning');
			return;
		}

		if (!sReNombreApellido) {
			swal('Advertencia.', 'Digite nombre y apellidos o razon social del remitente', 'warning');
			return;
		}

		// TODO: Validacion para destinatario

		let sCliTipoDocumento = $('#sCliTipoDocumento').val();
		let sCliNroIdentidad = $('#sCliNroIdentidad').val();
		let sCliente = $('#sCliente').val();

		if (!sCliTipoDocumento) {
			swal(
				'Advertencia.',
				'Debe de seleccionar el tipo de documento para el destinatario',
				'warning'
			);
			return;
		}

		if (!sCliNroIdentidad) {
			swal('Advertencia.', 'Digite el numero de documento del destinatario', 'warning');
			return;
		}

		if (!sCliente) {
			swal(
				'Advertencia.',
				'Digite nombre y apellidos o razon social del destinatario',
				'warning'
			);
			return;
		}

		//TODO NUEVO(OPCIONAL) - Validacion para la tarjeta de circulacion
		// if (!sTraTarjetaCirculacionVehiculoTraslado) {
		// 	swal('Advertencia.', 'Digite la tarjeta de circulacion del Vehiculo', 'warning');
		// 	return;
		// }

		//validaciones según tipo de traslado
		var sTraCodigoModalidadTraslado = $('#sTraCodigoModalidadTraslado').val();
		var apellidos_c = $('#sTraApellidosConductorTraslado').val();
		var nombres_c = $('#sTraNombresConductorTraslado').val();
		var licencia_c = $('#sTraLicenciaConductorTraslado').val();
		var placa = $('#sTraPlacaVehiculoTraslado').val();
		var dni_c = $('#sTraDNIConductorTraslado').val();

		if (sTraCodigoModalidadTraslado == '02|TRANSPORTE PRIVADO') {
			if (!apellidos_c || !nombres_c || !licencia_c || !placa || !dni_c) {
				swal('Advertencia.', 'Debe completar los datos del conductor.', 'warning');
				return;
			}
		}
		
		parameters.sTraSerieSelect = sTraSerieSelect

		if ($('#frmregistrarguia').valid()) {
			$.post('?c=GuiaremisionTransportista&a=save', parameters, (data) => {
			    console.log(data)
				swal('Exitoso', 'Los datos se registraron correctamente.', 'success').then(() => {
					products_detail = [];
					products_detail_group = [];
					document.getElementById('frmregistrarguia').reset();
					$('#nMovOrigenDestino_Id').selectpicker('val', '');
					NumeroDocumento();
					create_table();
					location.href =
						'?c=GuiaremisionTransportista&a=Previsualizar&code=' + parseInt(data);
				});
			});
		}
	});

	$('#buscar-comprobante').click((e) => {
		e.preventDefault();
		var value = $('#codigocomprobante').val();
		if (value) {
			$.post(
				'?c=movimiento&a=getByDocumento',
				{
					documento: value,
				},
				function (data) {
					var movimiento = JSON.parse(data);
					if (movimiento.length != 0) {
						$('#sSerieNumeroRelacionado').val(movimiento.Documento);
						$('#Documento_Id').val(movimiento.dMovDays);
						$('#Almacen_Id').val(movimiento.Almacen_Id).change();
						$('#Moneda_Id').val(movimiento.Moneda_Id).change();
						var tmp_od = $('#nMovTipoOrigenDestino').val();
						$('#nMovTipoOrigenDestino').val(movimiento.nMovTipoOrigenDestino);
						//evita recargar innecesariamente
						if (tmp_od != movimiento.nMovTipoOrigenDestino) {
							$('#nMovTipoOrigenDestino').change();
						}
						//$('#nMovOrigenDestino_Id').val(movimiento.nMovOrigenDestino).change();
						awaitingSelectChange('nMovOrigenDestino_Id', movimiento.nMovOrigenDestino_Id);

						for (let item of movimiento.detalle) {
							$baseprice = calcularBase(
								item.nProSrvExoneradoIGV ? 0 : 2,
								1,
								parseFloat(item.nMovDetPrecioUnitario),
								parseFloat(item.nMovDetCantidad),
								0.18,
								1
							);
							products_detail.push({
								Unidadmedida_Id: item.nMovDetUnidad_Id,
								sUndalias: item.sUndalias,
								sUMeCodigoSunat: item.sUndCodeSunat,
								nTDeCantidad: item.nMovDetCantidad,
								nTDeSubtotal: $baseprice.nValorTotal,
								nTDePrecio: $baseprice.nValorPrecio,
								nTDeIGV: $baseprice.nValorIGV,
								sProNombre: item.sProSrvNombre.replace(/\s+/gi, ' '),
								Producto_Id: item.prodserv_Id,
								nTDeEstadoIGV: item.nProSrvExoneradoIGV ? 2 : 1,
								nTDeBase: $baseprice.nValorBase,
							});
						}
						create_table();
						//products_detail = [];
					} else {
						swal(
							'Advertencia',
							'No se encontro el comprobante con el documento ingresado.',
							'warning'
						);
					}
				}
			);
		}
	});

	$('#frmregistrarguia').validators({
		rules: {
			dTraFecha: {
				required: true,
			},
			sNumeroGenerado: {
				required: true,
			},
			dTraFechaTraslado: {
				required: true,
			},
			Almacen_Id: {
				required: true,
			},
			Moneda_Id: {
				required: true,
			},
			sTraDireccionPuntoPartidaTraslado: {
				required: true,
			},
			dTraParDepartamento: {
				required: true,
			},
			sTraParProvincia: {
				required: true,
			},
			sTraParDistrito: {
				required: true,
			},
			sTraDireccionPuntoLlegadaTraslado: {
				required: true,
			},
			sTraRUCTransportistaTraslado: {
				required: true,
			},
			sTraNombreTransportistaTraslado: {
				required: true,
			},
			// sTraPlacaVehiculoTraslado: {
			//     required: true
			// },
			// sTraDNIConductorTraslado: {
			//     required: true
			// },
			nMovOrigenDestino_Id: {
				required: true,
			},
			sTraCodigoUnidadMedidaTraslado: {
				required: true,
			},
			nTraPesoBrutoGuiaTraslado: {
				required: true,
			},
			sTraCodigoModalidadTraslado: {
				required: true,
			},
			// TODO Nuevos campos
			// sTraTarjetaCirculacionVehiculoTraslado: {
			// 	required: true,
			// },
			sReTipoDocumento: {
				required: true,
			},
			sReDocumento: {
				required: true,
			},
			sReNombreApellido: {
				required: true,
			},
			
			sTraPlacaVehiculoTraslado: {
				required: true,
			},
			sTraDNIConductorTraslado: {
			    required: true
			},
			sTraApellidosConductorTraslado: {
				required: true,
			},
			sTraNombresConductorTraslado: {
				required: true,
			},
			sTraLicenciaConductorTraslado: {
				required: true,
			},

			sCliNroIdentidad: {
				required: true,
			},
			sCliente: {
				required: true,
			},
		},
	});
	$('.datepicker').datetimepicker({
		viewMode: 'days',
		format: 'DD-MM-YYYY',
	});
});

function obtener_direccion_cliente(e) {
	$('#sTraDireccionPuntoLlegadaTraslado').html("<option value ='0'>Seleccione dirección</option>");
	var direccion = $(e).find(':selected').data('direccion');
	var direccionGR = $(e).find(':selected').data('direcciongr');

	$('#sTraDireccionPuntoLlegadaTraslado').prop('selectedIndex', 0);
	$('#sTraDireccionPuntoLlegadaTraslado').prepend(
		"<option value='" + direccion + "'>" + direccion + '</option>'
	);
	if (direccionGR != '') {
		$('#sTraDireccionPuntoLlegadaTraslado').prepend(
			"<option value='" + direccionGR + "'>" + direccionGR + '</option>'
		);
	}

	$('#dTraLleDepartamento, #sTraLleProvincia, #sTraLleDistrito').val('').change();

	var ubigeo = $(e).find(':selected').data('ubigeo');
	//console.log('ubigeo: '+ubigeo);
	var ubigeo_dept = ubigeo.split('-')[0];
	var ubigeo_prov = ubigeo.split('-')[1];
	var ubigeo_dist = ubigeo.split('-')[2];

	setTimeout(function () {
		AwaitingSeleccionarUbigeoValue('dTraLleDepartamento', ubigeo_dept);
		AwaitingSeleccionarUbigeoValue('sTraLleProvincia', ubigeo_prov);
		AwaitingSeleccionarUbigeoValue('sTraLleDistrito', ubigeo_dist);
	}, 500);
}
//llenar datos del destinatario

function obtenerDatosRemitente() {
	const idRemitente = $('#nMovOrigenDestino_Id').val();
	const selectsReTipoDocumento = $('#sReTipoDocumento');
	const inputsReDocumento = $('#sReDocumento');
	const inputsReNombreApellido = $('#sReNombreApellido');

	$.post(
		'?c=Clienteproveedor&a=buscarClienteProveedorById',
		{
			OrigenDestino_Id: idRemitente,
		},
		function (data) {
			const dataJson = JSON.parse(data);
			if (dataJson.length > 0) {
				selectsReTipoDocumento.val(dataJson[0].nODTipoDoc);
				inputsReDocumento.val(dataJson[0].sODRucDni);
				inputsReNombreApellido.val(dataJson[0].sODNombreComercial);
			}
		}
	);
}

function buscarReDoc() {
	let documento = $('#sReDocumento').val().trim();
	let tipo = documento.length === 8 ? 'DNI' : 'RUC';

	$('#preloader').fadeIn();

	$.get(
		`https://hormiguitala.com/webservices/reniec/ws_obtener_dni_reniec.php?tipo=${tipo.toLocaleLowerCase()}&numero=${documento}`,
// 		`http://buho.ddns.net:8087/webservices/reniec/ws_obtener_dni_reniec.php?tipo=${tipo.toLocaleLowerCase()}&numero=${documento}`,
		function (data, status) {
			const dataJson = JSON.parse(data);
			if (dataJson.nombre) {
				$('#sReTipoDocumento').val(dataJson.tipoDocumento);
				$('#sReNombreApellido').val(dataJson.nombre);

				//LLenar punto de partida
				$.post(
					'?c=GuiaremisionTransportista&a=getPuntoPartida',
					{
						sReDocumento: documento,
					},
					function (data) {
						let dataJson = JSON.parse(data);

						if (dataJson.length > 0) {
							$('#puntoPartidaModal-body').html('');
							$('#puntoPartida-title').html('Puntos de partida recientes');
							dataJson.forEach((element) => {
								$('#puntoPartidaModal-body').append(
									`<li
									onclick="llenarPuntoDireccion(this)"
									style="cursor: pointer;"
									class="list-group-item"
									value="${element.sTraDireccionPuntoPartidaTraslado}_${element.sTraCodigoUbigeoPuntoPartidaTraslado}_partida">
									${element.sTraDireccionPuntoPartidaTraslado}

									</li>`
								);
							});
							//Mostrar modal
							$('#puntoPartidaModal').modal('show');
							$('#preloader').fadeOut();
						} else {
							//Mensaje de error
							$('#preloader').fadeOut();
							swal(
								'Advertencia.',
								'No se encontraron puntos de partidas recientes',
								'warning'
							);
						}
					}
				);
			} else {
				$('#preloader').fadeOut();
				swal('Advertencia.', 'No se encontraron los datos del remitente.', 'warning');
				$('#sReTipoDocumento').val('');
				$('#sReNombreApellido').val('');
			}
		}
	);
}

function buscarDestDoc() {
	let documento = $('#sCliNroIdentidad').val().trim();
	let tipo = documento.length === 8 ? 'DNI' : 'RUC';

	$('#preloader').fadeIn();

	$.get(
	    `https://hormiguitala.com/webservices/reniec/ws_obtener_dni_reniec.php?tipo=${tipo.toLocaleLowerCase()}&numero=${documento}`,
// 		`http://buho.ddns.net:8087/webservices/reniec/ws_obtener_dni_reniec.php?tipo=${tipo.toLocaleLowerCase()}&numero=${documento}`,
		function (data) {
			const dataJson = JSON.parse(data);
			if (dataJson.nombre) {
				$('#sCliTipoDocumento').val(dataJson.tipoDocumento);
				$('#sCliente').val(dataJson.nombre);

				//Llenar punto de llegada
				$.post(
					'?c=GuiaremisionTransportista&a=getPuntoLlegada',
					{
						sCliNroIdentidad: documento,
					},
					function (data) {
						let dataJson = JSON.parse(data);

						if (dataJson.length > 0) {
							$('#puntoPartidaModal-body').html('');
							$('#puntoPartida-title').html('Puntos de llegada recientes');
							dataJson.forEach((element) => {
								$('#puntoPartidaModal-body').append(
									`<li
									onclick="llenarPuntoDireccion(this)"
									style="cursor: pointer;"
									class="list-group-item"
									value="${element.sTraDireccionPuntoLlegadaTraslado}_${element.sTraCodigoUbigeoPuntoLlegadaTraslado}_llegada">
									${element.sTraDireccionPuntoLlegadaTraslado}
									</li>`
								);
							});
							//Mostrar modal
							$('#puntoPartidaModal').modal('show');
							$('#preloader').fadeOut();
						} else {
							//Mensaje de error
							$('#preloader').fadeOut();
							swal(
								'Advertencia.',
								'No se encontraron puntos de llegadas recientes',
								'warning'
							);
						}
					}
				);
			} else {
				$('#preloader').fadeOut();
				swal('Advertencia.', 'No se encontraron los datos del destinatario.', 'warning');
				$('#sCliTipoDocumento').val('');
				$('#sCliente').val('');
			}
		}
	);
}

function llenarPuntoDireccion(element) {
	//Obtener el value
	let value = $(element).attr('value');
	let direccion = value.split('_')[0];
	let ubigeo = value.split('_')[1];
	let tipoPartida = value.split('_')[2];

	if (tipoPartida.toLocaleUpperCase() === 'PARTIDA') {
		$('#sTraDireccionPuntoPartidaTraslado').val(direccion.trim());
		const dep = Array.from(ubigeo)[0] + Array.from(ubigeo)[1];
		const prov = Array.from(ubigeo)[2] + Array.from(ubigeo)[3];
		const dist = Array.from(ubigeo)[4] + Array.from(ubigeo)[5];

		$('#dTraParDepartamento').val(dep).change();
		setTimeout(function () {
			$('#sTraParProvincia').val(prov).change();
			setTimeout(function () {
				$('#sTraParDistrito').val(dist).change();
				$('#puntoPartidaModal').modal('hide');
			}, 500);
		}, 500);
	} else {
		$('#sTraDireccionPuntoLlegadaTraslado').val(direccion.trim());
		const dep = Array.from(ubigeo)[0] + Array.from(ubigeo)[1];
		const prov = Array.from(ubigeo)[2] + Array.from(ubigeo)[3];
		const dist = Array.from(ubigeo)[4] + Array.from(ubigeo)[5];

		$('#dTraLleDepartamento').val(dep).change();
		setTimeout(function () {
			$('#sTraLleProvincia').val(prov).change();
			setTimeout(function () {
				$('#sTraLleDistrito').val(dist).change();
				$('#puntoPartidaModal').modal('hide');
			}, 500);
		}, 500);
	}
}
