<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <title>HORMIGUITA | FACTURACIÓN ELECTRÓNICA</title>
    <meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' name='viewport'>
    <link href="view/librerias/dist/img/favicon.ico" rel="shortcut icon" />
    <!-- Bootstrap 3.3.4 -->
    <link href="view/librerias/bootstrap/css/bootstrap.min.css" rel="stylesheet" type="text/css" />
    <!-- Font Awesome Icons -->
    <link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.3.0/css/font-awesome.min.css" rel="stylesheet" type="text/css" />
    <!-- Theme style -->
    <!-- <link href="view/librerias/dist/css/AdminLTE.min.css" rel="stylesheet" type="text/css" /> -->
    <!-- iCheck -->
    <link href="view/librerias/plugins/iCheck/square/blue.css" rel="stylesheet" type="text/css" />
    <link href="view/librerias/dist/css/flex.css" rel="stylesheet" type="text/css" />
    <link href="view/librerias/dist/css/login.css" rel="stylesheet" type="text/css" />
    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
            <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
            <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
        <![endif]-->
</head>

<body>
    <div id="preloader">
            <div id="loader">&nbsp;</div>
        </div>
    <div class="wrapper-login">
        <div class="login-box">
            <div class="login-wrapper">
                <div class="login-content">
                    <img src="view/librerias/dist/img/Logo Hormiguita.png" width="110px">
                    <div class="login-box-body" id="form-login">
                        <h2 class="title-login">HORMIGUITA</h2>
                        <p class="login-box-msg">Credenciales</p>
                        <form action="javascript:ingresar();" method="post">
                            <div class="form-group has-feedback" id="resultado"></div>
                            <div class="form-group has-feedback">
                                <input name="usuario" id="usuario" type="text" class="form-control" placeholder="Usuario" data-toggle="tooltip" data-placement="top" title="Ingresar Nombre de Usuario" value="" />
                                <span class="glyphicon glyphicon-envelope form-control-feedback"></span>
                            </div>
                            <div class="form-group has-feedback">
                                <input name="password" id="password" type="password" class="form-control" placeholder="Contraseña" data-toggle="tooltip" data-placement="top" title="Ingresar Contraseña" value="" />
                                <span class="glyphicon glyphicon-lock form-control-feedback"></span>
                            </div>
                            <div class="form-group has-feedback" style="margin-bottom: 0px;">
                                <div class="row">
                                    <div class="col-md-6 form-group">
                                        <input type="text" class="form-control input-sm" name="codigocaptcha" id="codigocaptcha" placeholder="Codigo Captcha" data-toggle="tooltip" data-placement="top" title="Ingresar Codigo Captcha" />
                                    </div>
                                    <div class="col-md-6 form-group">
                                        <img src="view/librerias/catpcha/captcha.php" class="img-thumbnail" id="captcha" style="border-radius: 0px;" data-toggle="tooltip" data-placement="top" title="Codigo Captcha Generado" />
                                        <a onclick="document.getElementById('captcha').src = 'view/librerias/catpcha/captcha.php?'+ Math.random(); return false" name="actualizar" id="actualizar" data-toggle="tooltip" data-placement="top" title="Actualizar codigo Captcha." style="cursor: pointer;"><span class="glyphicon glyphicon-refresh"></span></a>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-xs-12">
                                    <button type="submit" class="btn btn-primary btn-block btn-flat btn-ingresar" style="width: 100%;">Iniciar sesión</button>
                                </div><!-- /.col -->
                            </div>
                            <div class="row">
                                <div class="col-md-6 col-xs-6 repeat-password">
                                    <a href="#" data-toggle="modal" data-target="#form-reset-password">¿Olvidó la contraseña?</a>
                                </div>
                                <div class="col-md-6 col-xs-6 not-cliente">
                                    <a href="#" data-toggle="modal" data-target="#form-not-customer ">¿Aun no es cliente?</a>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
                <div class="contenedor-apk-not-client">
                    <div class="d-flex align-items-center">
                         <div class="flex-fill download text-center">
                            <a href="https://colibri2.fmsac.com/" target="_blank">
                            <img src="view/librerias/dist/img/ico_pdf.png" width="20px">
                              Descargar comprobantes
                            </a>
                        </div>
                        <div class="flex-fill apk text-center">
                            <a href="app/apphormiguita.apk" target="_blank">
                                <img src="view/librerias/dist/img/ico_android.png" width="20px">
                                Descarga App
                            </a>
                        </div>
                    </div>
                    <footer class="footer-pagina">
                        ©2020 Felipe Marroquin S.A.C. - Todos los derechos reservados.
                    </footer>
                </div>
            </div>
        </div><!-- /.login-box -->
        <div class="login-banner">
        </div>
    </div>

    <div class="modal fade" id="form-not-customer" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
            <div class="modal-content modal-conten-login">
                <form method="post" id="FrmNotCustomer">
                    <div class="modal-header d-flex align-items-center justify-content-between">
                        <h4 class="modal-title modal-title-solicitud">Solicitud de Información</h4>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="form-group has-feedback" id="resultado-not-customer"></div>
                        <div class="row">
                            <div class="col-md-12">
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group has-feedback">
                                            <label>Empresa</label>
                                            <input name="emterprise" id="emterprise" type="text" class="form-control" placeholder="Empresa" data-toggle="tooltip" data-placement="top" title="Empresa" />
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group has-feedback">
                                            <label>Rubro</label>
                                            <input name="entry" id="entry" type="text" class="form-control" placeholder="Rubro" data-toggle="tooltip" data-placement="top" title="Rubro" value="" />
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group has-feedback">
                                            <label>Nombre de Contacto</label>
                                            <input name="contact" id="contact" type="text" class="form-control" placeholder="Nombre de Contacto" data-toggle="tooltip" data-placement="top" title="Nombre de Contacto" />
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group has-feedback">
                                            <label>Teléfono/Celular</label>
                                            <input name="phone" id="phone" type="text" class="form-control" placeholder="Teléfono/Celular" data-toggle="tooltip" data-placement="top" title="Teléfono/Celular" />
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group has-feedback">
                                            <label>Correo Electrónico</label>
                                            <input name="email" id="email" type="text" class="form-control" placeholder="Correo Electrónico" data-toggle="tooltip" data-placement="top" title="Correo Electrónico" />
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group has-feedback">
                                            <label>Ciudad</label>
                                            <input name="city" id="city" type="text" class="form-control" placeholder="Ciudad" data-toggle="tooltip" data-placement="top" title="Ciudad" />
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="row">
                                     <div class="col-md-6">
                                        <div class="form-group has-feedback">
                                            <label>Versión de Interés</label>
                                            <select class="form-control" name="version" id="version">
                                                <option value="">- seleccionar -</option>
                                                <option value="bienes">Bienes</option>
                                                <option value="servicios ">Servicios</option>
                                                <option value="Ambas">Ambas</option>
                                            </select>
                                        </div>
                                    </div>
                                       <div class="col-md-6">
                                        <div class="form-group has-feedback">
                                            <label>¿Es principal contribuyente?</label>
                                            <select class="form-control" name="taxpayer" id="taxpayer">
                                                <option value="">- seleccionar -</option>
                                                <option value="si">Si</option>
                                                <option value="no ">No</option>
                                            </select>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="row">
                                  <div class="col-md-6">
                                        <div class="form-group has-feedback">
                                            <label>Nro de Sucursales</label>
                                            <input name="quantityBranches" id="quantityBranches" type="text" class="form-control" placeholder="Nro de Sucursales" data-toggle="tooltip" data-placement="top" title="Nro de Sucursales" />
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group has-feedback">
                                            <label>Nro de comprobantes al mes (aprox.)</label>
                                            <input name="quantityVouchers" id="quantityVouchers" type="text" class="form-control" placeholder="Nro de Comprobantes emitidos al mes" data-toggle="tooltip" data-placement="top" title="Nro de Comprobantes emitidos al mes" />
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-12 text-center mt-2 mb-2">
                                <p style="font-size: 14px; font-style: italic;">Si desea puede comunicarse al 948409747 y/o enviarnos un correo a: consultoria@felipemarroquin.com</p>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer d-flex justify-content-center">
                        <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                        <button type="button" class="btn btn-primary" id="btn-save-solicitud">Guardar</button>
                    </div>
                </form>
            </div><!-- /.modal-content -->
        </div><!-- /.modal-dialog -->
    </div><!-- /.modal -->

    <div class="modal fade" id="form-reset-password" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
            <div class="modal-content modal-conten-login">
                <form method="post" id="FrmRestPassword">
                    <div class="modal-header d-flex align-items-center justify-content-between">
                        <h4 class="modal-title modal-title-solicitud">Solicitud de restablecimiento de contraseña</h4>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="form-group has-feedback" id="resultado-rest-password"></div>
                        <div class="row">
                            <div class="col-md-12">
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group has-feedback">
                                            <label>Empresa</label>
                                            <input name="emterprise-reset" id="emterprise-reset" type="text" class="form-control" placeholder="Empresa" data-toggle="tooltip" data-placement="top" title="Empresa" />
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group has-feedback">
                                            <label>Usuario</label>
                                            <input name="user-reset" id="user-reset" type="text" class="form-control" placeholder="Usuario" data-toggle="tooltip" data-placement="top" title="Usuario" value="" />
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group has-feedback">
                                            <label>Celular</label>
                                            <input name="phone-reset" id="phone-reset" type="text" class="form-control" placeholder="Celular" data-toggle="tooltip" data-placement="top" title="Celular" value="" />
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer d-flex justify-content-center">
                        <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                        <button type="button" class="btn btn-primary" id="btn-send-solicitud">Enviar Solicitud</button>
                    </div>
                </form>
            </div><!-- /.modal-content -->
        </div><!-- /.modal-dialog -->
    </div><!-- /.modal -->

    <!-- jQuery 2.1.4 -->
    <script src="view/librerias/plugins/jQuery/jQuery-2.1.4.min.js"></script>
    <script type="text/javascript" src="view/librerias/dist/js/jquery.validate.js" type="text/javascript"></script>
    <!-- Bootstrap 3.3.2 JS -->
    <script src="view/librerias/bootstrap/js/bootstrap.min.js" type="text/javascript"></script>
    <!-- iCheck -->
    <script src="view/librerias/plugins/iCheck/icheck.min.js" type="text/javascript"></script>
    <script src="view/librerias/dist/js/at-helpers.js" type="text/javascript"></script>
    <script type="text/javascript">
        $(window).load(function() {
            $('#preloader').fadeIn('slow');
            $('body').css({
                'overflow': 'visible'
            });
            $('#preloader').fadeOut('slow');
        });

        $('#form-not-customer, #form-reset-password').on('show.bs.modal', function(e) {
            e.target.classList.add('modal-solicitud');
        });

        $('#form-not-customer, #form-reset-password').on('hide.bs.modal', function(e) {
            e.target.classList.remove('modal-solicitud');
            resetform();
            resetformResetPassword();
        });

        $(function() {
            $('input').iCheck({
                checkboxClass: 'icheckbox_square-blue',
                radioClass: 'iradio_square-blue',
                increaseArea: '20%' // optional
            });
        });
        $(function() {
            $('[data-toggle="tooltip"]').tooltip();
        });

        function validar() {
            var usuario = document.getElementById("usuario").value;
            var password = document.getElementById("password").value;
            var codigocaptcha = document.getElementById("codigocaptcha").value;
            if (usuario == "" || password == "" || codigocaptcha == "") {
                return false;
            } else {
                return true;
            }

        }

        function ingresar() {
            $('#preloader').fadeIn('slow');
            if (validar() == true) {
                var usuario = document.getElementById("usuario").value;
                var password = document.getElementById("password").value;
                var codigocaptcha = document.getElementById("codigocaptcha").value;
                $.post('?c=Principal&a=verificarUsuario', {
                    usuario: usuario,
                    clave: password,
                    codigocaptcha: codigocaptcha
                }, function(data) {
                    $("#resultado").html(data);
                });
            } else {
                $("#resultado").html('<div class="alert alert-danger alert-dismissible text-center" role="alert">' +
                    '<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>' +
                    '<strong>Error!</strong>, Alguno de los campos están vacíos.' +
                    '</div>');
                $('#preloader').fadeOut('slow');
                $('body').css({
                    'overflow': 'visible'
                });
            }
        }

        $("#FrmRestPassword").validators({
            rules: {
                emterprise: {
                    required: true
                },
                user: {
                    required: true
                },
                phone: {
                    required: true
                },
            }
        });

        $("#FrmNotCustomer").validators({
            rules: {
                emterprise: {
                    required: true
                },
                entry: {
                    required: true
                },
                contact: {
                    required: true
                },
                phone: {
                    required: true
                },
            }
        })

        $("#btn-save-solicitud").click(function() {
             $('#preloader').fadeIn('slow');
            if ($("#FrmNotCustomer").valid()) {
                $.post('?c=Home&a=SaveNotCustomer',{
                    emterprise: document.getElementById('emterprise').value,
                    entry: document.getElementById('entry').value,
                    contact: document.getElementById('contact').value,
                    phone: document.getElementById('phone').value,
                    email: document.getElementById('email').value,
                    city: document.getElementById('city').value,
                    version: document.getElementById('version').value,
                    taxpayer: document.getElementById('taxpayer').value,
                    quantityBranches: document.getElementById('quantityBranches').value,
                    quantityVouchers: document.getElementById('quantityVouchers').value
                }, function(data) {
                    $('#preloader').fadeOut('slow');
                    $('body').css({'overflow':'visible'});
                    resetform();
                    $("#resultado-not-customer").html(data);
                });
            }
        });

         $("#btn-save-solicitud").click(function() {
             $('#preloader').fadeIn('slow');
            if ($("#FrmNotCustomer").valid()) {
                $.post('?c=Home&a=SendSolicitud2', {
                    emterprise: document.getElementById('emterprise').value,
                    entry: document.getElementById('entry').value,
                    contact: document.getElementById('contact').value,
                    phone: document.getElementById('phone').value,
                    email: document.getElementById('email').value,
                    city: document.getElementById('city').value,
                    version: document.getElementById('version').value,
                    taxpayer: document.getElementById('taxpayer').value,
                    quantityBranches: document.getElementById('quantityBranches').value,
                    quantityVouchers: document.getElementById('quantityVouchers').value
                }, function(data) {
                    $('#preloader').fadeOut('slow');
                    $('body').css({'overflow':'visible'});
                    resetform();
                     $("#resultado-not-customer").html(data);
                });
            }
        });

        $("#btn-send-solicitud").click(function() {
                $('#preloader').fadeIn('slow');
            if ($("#FrmRestPassword").valid()) {
                $.post('?c=Home&a=SendSolicitud', {
                    emterprise: document.getElementById('emterprise-reset').value,
                    user: document.getElementById('user-reset').value,
                    phone: document.getElementById('phone-reset').value
                }, function(data) {
                    $('#preloader').fadeOut('slow');
                    $('body').css({'overflow':'visible'});
                    resetformResetPassword();
                    $("#resultado-rest-password").html(`
                        <div class="alert alert-success" role="alert">
                            <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                            <strong>Éxito, información guardada</strong>, su solicitud ha sido enviada para ser atendida. En breve nos comunicaremos con usted.
                        </div>
                    `);
                });
            }
        });
        function resetformResetPassword() {
            document.getElementById('emterprise-reset').value = "";
            document.getElementById('user-reset').value = "";
            document.getElementById('phone-reset').value = "";
        }
        function resetform() {
            document.getElementById('emterprise').value = "";
            document.getElementById('entry').value = "";
            document.getElementById('contact').value = "";
            document.getElementById('phone').value = "";
            document.getElementById('email').value = "";
            document.getElementById('city').value = "";
            document.getElementById('quantityBranches').value = "";
            document.getElementById('version').value = "";
            document.getElementById('taxpayer').value = "";
            document.getElementById('quantityVouchers').value = "";
        }
    </script>

    <style type="text/css">
        body {
            overflow: hidden;
            position: relative !important;
        }

        /* preloader */
        #preloader {
            position: fixed;
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
            background: #000;
            opacity: 0.7;
            z-index: 100000;
        }

        /*#loader {*/
        /*    width: 100px;*/
        /*    height: 100px;*/
        /*    position: absolute;*/
        /*    left: 50%;*/
        /*    top: 50%;*/
        /*    background: url(view/librerias/dist/img/loader.gif) no-repeat center 0;*/
        /*    margin: -50px 0 0 -50px;*/
        /*}*/
        
         #loader {
            width: 100px;
            height: 100px;
            position: absolute;
            left: 50%;
            top: 50%;
            background: url(view/librerias/dist/img/animacion4.gif) no-repeat center 0;
            animation: loader 1.2s infinite;
            margin: -50px 0 0 -50px;
        }


    </style>
</body>

</html>
