<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Comprobante</title>
    <style type="text/css">
        * {
            font-size: 15px;
            font-family: 'Courier New';
            font-weight: bold;
        }

        .ticket p {
            margin: 0px;
            padding: 0px;
            font: Ravie;
        }

        .linea {
            padding: 2px 0px;
            width: 100%;
            border-bottom: 1px dotted black;
            border-bottom-style: dotted;
        }

        .product table {
            width: 100%;
        }
    </style>
</head>

<body>
    <div style="text-align: center;" class="ticket">
        <p><?php echo $_SESSION['usu_enterpriseName']; ?></p>
        <p>R.U.C. <?php echo $_SESSION['usu_enterpriseRuc']; ?></p>
        <p><?php echo $_SESSION['usu_enterpriseAddress']; ?></p>
        <p><?php echo $_SESSION['usu_enterpriseUbigeoName']; ?></p>
        <br>
        <p><?php echo $r->__GET('dMovFecha') . ' ' . date('H:i A', strtotime($r->__GET('dMovFecha_Act'))); ?></p>
        <!-- <p>FACTURA ELECTRONICA</p> -->
        <p><?php echo $r->__GET('sDocNombre'); ?></p>
        <p><?php echo $r->__GET('sDocNombreCorto') . " - " . $r->__GET('sMovDocumento'); ?></p>
        <br>
        <p>R.U.C. Cliente: <?php echo $this->RucDniClienteProveedor($r->__GET('nMovOrigenDestino_Id')); ?></p>
        <p><?php echo $this->NombreClienteProveedor($r->__GET('nMovOrigenDestino_Id')); ?></p>
        <p>Direcci&oacute;n Cliente: <?php echo $this->DireccionClienteProveedor($r->__GET('nMovOrigenDestino_Id')); ?></p>

        <?php
        $gravado = 0;
        $nogravado = 0;
        $exonerado = 0;
        ?>
        <?php foreach ($detalle as $detmov) { ?>
            <?php
            switch ($detmov['nProSrvExoneradoIGV']) {
                case '0':
                    if ($detmov['dMovDetICBPER'] == 0) {
                        $gravado += $detmov['nMovDetImporte'];
                    }
                    break;
                case '1':
                    $exonerado += $detmov['nMovDetImporte'];
                    break;
                case '2':
                    $nogravado += $detmov['nMovDetImporte'];
                    break;
            }
            ?>
        <?php } ?>

        <?php
        if ($valor === "1") {
            $importe_igv = 1.18;
        } else {
            $importe_igv = 1;
        }
        ?>
        <!-- medio de pago -->
        <?php
        $mediopago = '';
        switch ($r->__GET('nPagTipoPago_Id')) {
            case '1':
                $mediopago = 'Efectivo';
                break;
            case '2':
                $mediopago = 'Banco-Deposito';
                break;
            case '3':
                $mediopago = 'Banco-Transferencia';
                break;
            case '4':
                $mediopago = 'Cheque';
                break;
            case '5':
                $mediopago = 'Letra';
                break;
            case '6':
                $mediopago = 'Nota de crédito';
                break;
            case '7':
                $mediopago = 'Comprobantes de retención';
                break;
            case '8':
                $mediopago = 'Detracción';
                break;
            case '9':
                $mediopago = 'Tarjeta de crédito';
                break;
        }
        ?>
        <!-- medio de pago -->
        <div class="product">
            <table>

                <td style="width: 50%; text-align: left;">Producto</td>
                <td style="width: 20%; text-align: right;">P.Unitario</td>
                <td style="width: 30%; text-align: right;">Importe(<?php echo $r->__GET('sMonAlias') ?>)</td>

            </table>
        </div>
        <div class="linea"></div>
        <div class="product">
            <table>

                <tbody>
                    <?php
                    $detalle_movimiento = $this->movimientodetalle_model->Buscar($r->__GET('Movimiento_Id'));
                    foreach ($detalle_movimiento as $detmov) :
                    ?>
                        <tr>
                            <td style="width: 50%; text-align: left;">
                                <?php echo
                                $detmov->__GET('nMovDetCantidad') . ' x ' . $detmov->__GET('sProSrvNombre') . ' ' .
                                    $this->UnidadNombre($detmov->__GET('nMovDetUnidad_Id')); ?>
                            </td>
                            <td style="width: 20%; text-align: right;"><?php echo number_format($detmov->__GET('nMovDetPrecioUnitario'), $decimales, ".", ","); ?></td>
                            <td style="width: 30%; text-align: right;"><?php echo number_format($detmov->__GET('nMovDetImporte') * $importe_igv, $decimales, ".", ","); ?></td>
                        </tr>
                    <?php
                    endforeach;
                    ?>
                </tbody>
            </table>
        </div>
        <div class="linea"></div>
        <div class="product">
            <table>
                <tbody>
                    <tr>
                        <td style="width: 60%; text-align: left;">Op. Gravadas</td>
                        <td style="width: 40%; text-align: right;"><?php echo $r->__GET('sMonAlias') . ' ' . number_format($gravado, $decimales, '.', ','); ?></td>
                    </tr>
                    <tr>
                        <td style="width: 60%; text-align: left;">Op. No Gravadas</td>
                        <td style="width: 40%; text-align: right;"><?php echo $r->__GET('sMonAlias') . ' ' . number_format($nogravado, $decimales, '.', ','); ?></td>
                    </tr>
                    <tr>
                        <td style="width: 60%; text-align: left;">Op. Exoneradas</td>
                        <td style="width: 40%; text-align: right;"><?php echo $r->__GET('sMonAlias') . ' ' . number_format($exonerado, $decimales, '.', ','); ?></td>
                    </tr>
                    <tr>
                        <td style="width: 60%; text-align: left;">IGV(18%)</td>
                        <td style="width: 40%; text-align: right;"><?php echo $r->__GET('sMonAlias') . ' ' . $r->__GET('nMovIGV'); ?></td>
                    </tr>
                    <tr>
                        <td style="width: 60%; text-align: left;">ICBPER</td>
                        <td style="width: 40%; text-align: right;"><?php echo $r->__GET('sMonAlias') . ' ' . $r->__GET('dMovICBPER'); ?></td>
                    </tr>
                    <tr>
                        <td style="width: 60%; text-align: left;">TOTAL</td>
                        <td style="width: 40%; text-align: right;"><?php echo $r->__GET('sMonAlias') . ' ' . $r->__GET('nMovTotal'); ?></td>
                    </tr>
                </tbody>
            </table>
        </div>
        <p style="text-align: left;">Tipo de Pago: <?php echo $r->__GET('nMovTipopago') == '1' ? 'Contado' : 'Credito'; ?></p>
        <p style="text-align: left;">Medio de Pago: <?php echo $mediopago ?></p>
        <br>
        <p style="font-size: 13px;">UNA VEZ ENTREGADA LA MERCADERÍA NO HAY RECLAMOS NI DEVOLUCIONES.</p>
        <p style="font-size: 13px;">DESPUÉS DE 7 DÍAS DE ALMACENAMIENTO, SE COBRARÁ S/.7 POR DÍA.</p>
        <br>
        <p style="text-align: left;">Vendedor: <?php echo $r->__GET('sVenNom'); ?></p>
        <br>
        <p><?php echo $r->__GET('sMovObservacion'); ?></p>
        <?php
        $dataText   = $r->__GET('sDocNombreCorto') . " - " . $r->__GET('sMovDocumento');
        $dataText = $toPrint;
        $svgTagId   = 'id-of-svg';
        $saveToFile = false;
        $imageWidth = 130; // px        
        // SVG file format support
        $svgCode = QRcode::svg($dataText, $svgTagId, $saveToFile, QR_ECLEVEL_L, $imageWidth);
        echo $svgCode;
        ?>
        <p style="font-size: 12px;">Puede consultar su comprobante en: www.hormiguita.pe/consultar</p>
    </div>
    <script src="view/librerias/plugins/jQuery/jquery-1.11.0.min.js" type="text/javascript"></script>
    <script>
        $(document).ready(function() {
            window.print();
        })
    </script>
</body>

</html>