<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Comprobante</title>    
    <style type="text/css">
        * {            
            font-size: 15px;
            font-family: 'Courier New';
            font-weight: bold;
        }
        .ticket p {
            margin: 0px;
            padding: 0px;
            font:Ravie;
        }
        .linea {
            padding: 2px 0px;
            width: 100%;
            border-bottom: 1px dotted black;
            border-bottom-style: dotted;
        }
        .product table {
            width: 100%;
        }
    </style>
</head>
<body>
    <div style="text-align: center;" class="ticket">
        <p><?php echo $_SESSION['usu_enterpriseName']; ?></p>
        <p>R.U.C. <?php echo $_SESSION['usu_enterpriseRuc']; ?></p>
        <p><?php echo $_SESSION['usu_enterpriseAddress']; ?></p>
        <p><?php echo $_SESSION['usu_enterpriseUbigeoName']; ?></p>
        <br>
        <p><?php echo date('d/m/Y h:i A', strtotime($r->dMovFecha_Act)); ?></p>
        <!-- <p>FACTURA ELECTRONICA</p> -->
        <p><?php echo $r->sDocNombre; ?></p>
        <p><?php echo $r->Documento; ?></p>
        <br>
        <p>R.U.C. Cliente: <?php echo $this->RucDniClienteProveedor($r->nMovOrigenDestino_Id); ?></p>
        <p><?php echo $this->NombreClienteProveedor($r->nMovOrigenDestino_Id); ?></p>
        <div class="linea"></div>
        <div class="product">
            <table>
                <tbody>
                <?php 
                $detalle_movimiento = $this->nodatecreditodetalle_model->Listar($_REQUEST['notacredito_Id']);
                foreach ($detalle_movimiento as $detmov) :
                ?>
                    <tr>
                        <td style="width: 60%; text-align: left;">
                            <?php echo $detmov->sProSrvNombre . ' ' .
                                $this->UnidadNombre($detmov->nMovDetUnidad_Id) . ' x ' .
                                $detmov->nMovDetCantidad; ?>
                        </td>
                        <td style="width: 40%; text-align: right;"><?php echo $r->sMonAlias . ' ' . number_format($detmov->nMovDetImporte, 4, ".", "."); ?></td>
                    </tr>
                <?php 
                endforeach;
                ?>
                </tbody>
            </table>
        </div>        
        <div class="linea"></div>        
        <div class="product">
            <table>
                <tbody>
                    <tr>
                        <td style="width: 60%; text-align: left;">Op. Gravadas</td>
                        <td style="width: 40%; text-align: right;"><?php echo $r->sMonAlias . ' ' . $r->nMovImporte; ?></td>
                    </tr>
                    <tr>
                        <td style="width: 60%; text-align: left;">IGV(18%)</td>
                        <td style="width: 40%; text-align: right;"><?php echo $r->sMonAlias . ' ' . $r->nMovIGV; ?></td>
                    </tr>
                    <tr>
                        <td style="width: 60%; text-align: left;">TOTAL</td>
                        <td style="width: 40%; text-align: right;"><?php echo $r->sMonAlias . ' ' . $r->nMovTotal; ?></td>
                    </tr>
                </tbody>
            </table>
        </div>  
        <!-- <p style="text-align: left;">Tipo de Pago: <?php echo $r->nMovTipopago == '1' ? 'Contado' : 'Credito'; ?></p>   -->
        <br> 
        <p><?php echo $r->sMovObservacion; ?></p>   
        <?php 
        $dataText = $r->sDocNombreCorto . " - " . $r->sMovDocumento;
        $svgTagId = 'id-of-svg';
        $saveToFile = false;
        $imageWidth = 200; // px        
        // SVG file format support
        $svgCode = QRcode::svg($dataText, $svgTagId, $saveToFile, QR_ECLEVEL_L, $imageWidth);
        echo $svgCode;
        ?>
        <p style="font-size: 12px;">Puede consultar su comprobante en: www.hormiguita.pe/consultar</p>
    </div>
    <script src="view/librerias/plugins/jQuery/jquery-1.11.0.min.js" type="text/javascript"></script>
    <script>
        $(document).ready(function() {
            window.print();
        })
    </script>
</body>
</html>