<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        Cliente/Proveedor
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="wfamain.php"><i class="fa fa-dashboard"></i> Inicio</a></li>
        <li><a href="#">Cliente/Proveedor</a></li>
    </ol>
</section>
<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-xs-12">
            <div class="box">
                <div class="box-header">
                    <h3 class="box-title">Relación completa de Cliente/Proveedor</h3>

                    <div class="row" style="margin-top: 5px;">
                        <?php if ($this->seguridad->validRoleName(RolesType::contador) == false) { ?>
                            <div class="col-md-4 text-left">
                                <a class="btn btn-primary btn-flat btn-custom" onclick="FrmGuardarClienteproveedor();">Nuevo Cliente/Proveedor</a>
                            </div>
                            
                            <div class="col-md-8 text-right">
                                <button type="button" class="btn btn-info btn-flat" data-toggle="modal" data-target="#modal-filtros">Filtrar</button>

                                <?php if (isset($_POST['nProcliDep']) || isset($_POST['nProcliProv']) || isset($_POST['nProcliDist'])) { ?>
                                    <button class="btn btn-default btn-flat btn-custom" type="button" onclick="limpiarFiltro()">Limpiar filtrado</button>
                                <?php } ?>
                            </div>
                        <?php } ?>
                    </div>

                </div><!-- /.box-header -->
                <div class="box-body">
                    <table id="example1" class="table table-bordered table-striped text-center">
                        <thead>
                            <tr>
                                <th>Tipo</th>
                                <th>RUC/DNI</th>
                                <th>Nombre</th>
                                <th>Correo</th>
                                <th>Estado</th>
                                <th>Operaciones</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                            foreach ($clienteproveedor as $cli) {
                            ?>
                                <tr>
                                    <td><?php echo $cli->__GET('nODTipo') == 2 ? 'Cliente' : 'Proveedor'; ?></td>
                                    <td><?php echo $cli->__GET('sODRucDni'); ?></td>
                                    <td><?php echo $cli->__GET('sODNombre'); ?></td>
                                    <td><?php echo $cli->__GET('sODCorreo'); ?></td>
                                    <td><?php echo $cli->__GET('nODEstado') == 1 ? '<span class="label label-success">Habilitado</span>' : '<span class="label label-danger">Deshabilitado</span>'; ?></td>
                                    <td>
                                        <a class="btn btn-primary btn-flat btn-xs" data-toggle="modal" data-target="#modal-ver" onclick="mostrarClienteproveedor('<?php echo $cli->__GET('OrigenDestino_Id'); ?>');"><i class="glyphicon glyphicon-eye-open"></i></a>
                                        <?php if ($this->seguridad->validRoleName(RolesType::contador) == false) { ?>
                                            <a href="#" class="btn btn-success btn-flat btn-xs" onclick="FrmEditarClienteproveedor('<?php echo $cli->__GET('OrigenDestino_Id'); ?>');"><i class="fa fa-pencil"></i></a>
                                            <a href="#" class="btn btn-danger btn-flat btn-xs" data-toggle="modal" data-target="#modal-eliminar" data-codigo="<?php echo $cli->__GET('OrigenDestino_Id'); ?>"><i class="fa fa-trash-o"></i></a>
                                        <?php } ?>
                                    </td>
                                </tr>
                            <?php
                            }
                            ?>
                        </tbody>
                        <tfoot>
                            <tr>
                                <th>Tipo</th>
                                <th>RUC/DNI</th>
                                <th>Nombre</th>
                                <th>Correo</th>
                                <th>Estado</th>
                                <th>Operaciones</th>
                            </tr>
                        </tfoot>
                    </table>

                    <!-- Modal modeal-ver -->
                    <div class="modal fade" id="modal-ver" tabindex="-1" role="dialog" aria-labelledby="modal-ver-label" aria-hidden="true">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <form action="?c=Clienteproveedor&a=PDFCliente" method="POST">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                                        <h4 class="modal-title" id="modal-ver-label">Ver Cliente/Proveedor</h4>
                                    </div>
                                    <div class="modal-body">
                                        <table class="table table-striped" id="ver_datos">

                                        </table>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="submit" class="btn btn-danger" formtarget="_blak"><i class="fa fa-print"></i>&nbsp;Imprimir</button>
                                        <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                    <!-- /Modal modal-ver -->

                    <!-- Modal modal-eliminar -->
                    <div class="modal fade" id="modal-eliminar" tabindex="-1" role="dialog" aria-labelledby="modal-eliminar-label" aria-hidden="true">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <form action="?c=Clienteproveedor&a=EliminarClienteproveedor" method="POST">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                                        <h4 class="modal-title" id="modal-eliminar-label">Eliminar</h4>
                                    </div>
                                    <div class="modal-body">
                                        <input type="hidden" id="editadoExitoso" value="<?php echo $editado ?>">
                                        <input type="hidden" name="IdProvclien" id="IdProvclien" value="">
                                        ¿Estás seguro que desea eliminar?
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-default btn-flat" data-dismiss="modal">No, cancelar</button>
                                        <button type="submit" class="btn btn-danger btn-flat">Si, eliminar</button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                    <!-- /Modal modal-eliminar -->
                    
                    <!-- Modal modal-filtros -->
                    <div class="modal fade" id="modal-filtros" tabindex="-1" role="dialog" aria-labelledby="modal-filtros-label" aria-hidden="true">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <form action="?c=Clienteproveedor&a=Index" method="POST">

                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                                        <h4 class="modal-title" id="modal-eliminar-label">Filtrado por Ubigeo</h4>
                                    </div>

                                    <div class="modal-body">
                                        <div class="row">
                                            <div class="col-md-12">
                                                <label>Departamento</label>
                                                <select name="nProcliDep" id="nProcliDep" class="form-control" onchange="provincias(this.value)"></select>
                                            </div>
                                            <div class="col-md-12">
                                                <label>Pronvicia</label>
                                                <select name="nProcliProv" id="nProcliProv" class="form-control" disabled onchange="distritos(this.value)"></select>
                                            </div>
                                            <div class="col-md-12">
                                                <label>Distrito</label>
                                                <select name="nProcliDist" id="nProcliDist" class="form-control" disabled></select>
                                            </div>
                                            <div class="col-md-12">
                                                <!-- <button class="btn btn-warning btn-flat btn-custom" type="button" onclick="limpiarFiltro()">Limpiar</button>
                                                <button class="btn btn-info btn-flat btn-custom" type="submit">Filtrar</button> -->
                                            </div>
                                        </div>
                                    </div>

                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-default btn-flat" data-dismiss="modal">Cancelar</button>
                                        <button class="btn btn-info btn-flat btn-custom" type="submit">Aplicar filtrado</button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                    <!-- /Modal modal-filtros -->

                </div><!-- /.box-body -->
            </div><!-- /.box -->
        </div><!-- /.col -->
    </div><!-- /.row -->
</section><!-- /.content -->
<script type="text/javascript" src="view/librerias/dist/js/funcionesClienteproveedor.js"></script>


<script>
    $(document).ready(function() {

        if ($('#editadoExitoso').val() == 1) {
            swal({
                icon: 'success',
                title: "¡Éxito!",
                text: "Se ha editado correctamente",
                type: "success",
                confirmButtonText: "Aceptar",
                closeOnConfirm: false
            });
        }

        $.post(
            '?c=Clienteproveedor&a=VerificarSeesionHB', {},
            function(data) {
                if (data.length > 0) {
                    let [existe, valor] = data.split('|');
                    if (JSON.parse(existe)) {
                        FrmEditarClienteproveedor(valor);
                    }
                }
            }
        );

        // departamento(null)
        var selectedDep = '<?php echo $dep; ?>';
        var selectedProv = '<?php echo $prov; ?>';
        var selectedDist = '<?php echo $dist; ?>';

        // Llamar a las funciones con los valores seleccionados
        departamento(selectedDep);
        if (selectedDep != '') {
            provincias(selectedDep, selectedProv);
        }
        if (selectedProv != '') {
            distritos(selectedProv, selectedDist, selectedDep);
        }

    })

    function departamento(dep = null) {
        var selectDep = $('#nProcliDep');
        $.post('?c=Ubigeo&a=departamentos', {}, function(data) {
            var items = JSON.parse(data);
            var options = '<option value="">- seleccione -</option>'
            for (let item of items) {
                options += '<option value="' + item.dep + '" data-name="' + item.nombre + '" ' + (dep != null && dep == item.dep ? 'selected' : '') + '>' + item.nombre + '</option>'
            }
            selectDep.html(options);
        });
    }

    function provincias(dep, prov = null) {
        var selectProv = $('#nProcliProv');
        $('#nProcliDist').prop('disabled', true);
        $('#nProcliDist').val('');
        $.post('?c=Ubigeo&a=provincias', {
            dep: dep
        }, function(data) {
            var items = JSON.parse(data);
            var options = '<option value="">- seleccione -</option>'
            for (let item of items) {
                options += '<option value="' + item.prov + '" data-name="' + item.nombre + '" ' + (prov != null && prov == item.prov ? 'selected' : '') + '>' + item.nombre + '</option>'
            }
            selectProv.html(options);
            if (prov == null) {
                $('#nProcliProv').val('');
            }
            $('#nProcliProv').prop('disabled', (dep != '') ? false : true);
        });
    }

    function distritos(prov, dist = null, dep = null) {
        var selectDist = $('#nProcliDist');
        $.post('?c=Ubigeo&a=distritos', {
            dep: dep != null ? dep : $('#nProcliDep').val(),
            prov: prov
        }, function(data) {
            var items = JSON.parse(data);
            var options = '<option value="">- seleccione -</option>'
            for (let item of items) {
                options += '<option value="' + item.dist + '" data-name="' + item.nombre + '" ' + (dist != null && dist == item.dist ? 'selected' : '') + '>' + item.nombre + '</option>'
            }
            selectDist.html(options);
            if (dist == null) {
                $('#nProcliDist').val('');
            }
            $('#nProcliDist').prop('disabled', prov != '' ? false : true);
        });
    }

</script>

<script type="text/javascript">
    $(function() {
        jQuery.fn.dataTableExt.oSort['fecha-asc'] = function(a, b) {
            var ukDatea = a.split('-');
            var ukDateb = b.split('-');

            var x = (ukDatea[2] + ukDatea[1] + ukDatea[0]) * 1;
            var y = (ukDateb[2] + ukDateb[1] + ukDateb[0]) * 1;

            return ((x < y) ? -1 : ((x > y) ? 1 : 0));
        };

        jQuery.fn.dataTableExt.oSort['fecha-desc'] = function(a, b) {
            var ukDatea = a.split('-');
            var ukDateb = b.split('-');

            var x = (ukDatea[2] + ukDatea[1] + ukDatea[0]) * 1;
            var y = (ukDateb[2] + ukDateb[1] + ukDateb[0]) * 1;

            return ((x < y) ? 1 : ((x > y) ? -1 : 0));
        };
        $("#example1").dataTable({
            "scrollX": true,
            "bSort": true,
            "language": {
                "search": "Buscar",
                "lengthMenu": "Visualizar _MENU_ registro por página",
                "zeroRecords": "No hay información para mostrar",
                "info": "Pagina _PAGE_ de _PAGES_ de _MAX_ ",
                "infoEmpty": "Pagina _PAGE_ - _PAGES_ de _MAX_ registros",
                "infoFiltered": "(filtered from _MAX_ total records)",
                "paginate": {
                    "previous": "Anterior",
                    "next": "Siguiente"
                }
            }
        });
    });
    $('#modal-eliminar').on('show.bs.modal', function(event) {
        var button = $(event.relatedTarget); // Button that triggered the modal
        var recipient = button.data('codigo'); // Extract info from data-* attributes

        // If necessary, you could initiate an AJAX request here (and then do the updating in a callback).
        // Update the modal's content. We'll use jQuery here, but you could use a data binding library or other methods instead.
        var modal = $(this);
        modal.find('.modal-body input').val(recipient);
    });
</script>