<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        Cotización
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="wfamain.php"><i class="fa fa-dashboard"></i> Inicio</a></li>
        <li><a href="#">Cotización</a></li>
    </ol>
</section>
<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-xs-12">
            <div class="box box-primary">
                <form action="javascript:GuardarMovimiento();" method="POST" id="FormMovimiento">
                    <div class="box-header">
                        <h3 class="box-title">Datos basicos</h3>
                    </div>
                    <!-- /.box-header -->
                    <div class="box-body">
                        <div id="resultado"></div>
                        <div class="row">
                            <div class="col-md-4 form-group">
                                <input type="hidden" id="Movimiento_Id" name="Movimiento_Id" value="<?php echo isset($r) ? $r->__GET('Movimiento_Id') : '0'; ?>">
                                <input type="hidden" id="nro_decimales" name="nro_decimales" value="<?php echo isset($r) ? $r->__GET('nro_decimales') : ''; ?>">
                                <label>Fecha</label>
                                <input type="text" class="form-control" name="dMovFecha" id="dMovFecha" placeholder="Fecha" value="<?php echo isset($r) ? $r->__GET('dMovFecha') : date('d-m-Y'); ?>" data-fechformat="<?php echo isset($r) ? $r->__GET('dMovFecha') : date('Y-m-d'); ?>">
                            </div>
                            <div class="col-md-4 form-group" style="display: none;">
                                <label>Tipo movimiento</label>
                                <select class="form-control" name="Tipomovimiento_Id" id="Tipomovimiento_Id" onchange="Tipomovimiento()">
                                    <option selected value="2">Seleccione tipo movimiento</option>
                                  
                                </select>
                            </div>
                            <div class="col-md-4 form-group">
                                <label>Fecha cotización</label>
                                <input type="text" class="form-control" name="dMovFechaCotizacion" id="dMovFechaCotizacion" placeholder="Fecha cotización" value="<?php echo isset($r) ? $r->__GET('dMovFechaCotizacion') : date('d-m-Y'); ?>" data-fechformat="<?php echo isset($r) ? $r->__GET('dMovFechaCotizacion') : date('Y-m-d'); ?>">
                            </div>
                            <div class="col-md-4 form-group">
                                <label>Tipo pago</label>
                                <select class="form-control" name="nMovTipopago" id="nMovTipopago">
                                    <!-- <option value="">Seleccione tipo pago</option> -->
                                    <?php
                                    ?>
                                    <option value="1" selected>Contado</option>
                                    <option value="2" <?php echo isset($r) ? $r->__GET('nMovTipopago') == 2 ? 'selected' : '' : ''; ?>>Credito</option>
                                </select>
                            </div>
                            <div class="col-sm-12">
                                <div class="row">
                                    <div class="col-md-2 form-group">
                                        <label>Tipo</label>
                                        <select class="form-control" name="nMovTipoOrigenDestino" id="nMovTipoOrigenDestino" onchange="TipoPrvClien()">
                                            <option value="1" <?php echo isset($r) ? $r->__GET('nMovTipoOrigenDestino') == 1 ? 'selected' : '' : ''; ?>>Proveedor</option>
                                            <option value="2" <?php echo isset($r) ? $r->__GET('nMovTipoOrigenDestino') == 2 ? 'selected' : '' : ''; ?>>Cliente</option>
                                        </select>
                                    </div>
                                    <div class="col-md-6 form-group">
                                        <label>Cliente/Proveedor</label>
                                        <select class="form-control" id="nMovOrigenDestino_Id" data-live-search="true" onchange="changeProvClien()">
                                            <option value="">Seleccione cliente/proveedor</option>
                                        </select>
                                        <label id="nMovOrigenDestino_Id-error" class="error help-block" for="nMovOrigenDestino_Id" style="display: none;"></label>
                                    </div>
                                    <div class="col-md-4 form-group proveedor">
                                        <label>Destino</label>
                                        <select class="form-control" name="nMovTipodestino" id="nMovTipodestino">
                                            <option value="1" <?php echo isset($r) ? $r->__GET('nMovTipodestino') == 1 ? 'selected' : '' : ''; ?>>Bienes</option>
                                            <option value="2" <?php echo isset($r) ? $r->__GET('nMovTipodestino') == 0 ? 'selected' : '' : ''; ?>>Servicios</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-4 form-group proveedor">
                                <label>Almacen</label>
                                <select class="form-control" name="Almacen_Id" id="Almacen_Id">
                                    <!--<option value="">Seleccione almacen</option>-->
                                    <?php
                                    foreach ($almacen as $alm) {
                                    ?>
                                        <option value="<?php echo $alm->__GET('Almacen_Id'); ?>" <?php echo isset($r) ? $alm->__GET('Almacen_Id') == $r->__GET('Almacen_Id') ? '' : '' : ''; ?>><?php echo $alm->__GET('sAlmNombre'); ?></option>
                                    <?php

                                    }
                                    ?>
                                </select>
                            </div>
                            <div class="col-md-8 form-group">
                                <label>Documento</label>
                                <div class="row">
                                    <div class="col-md-6">
                                        <select class="form-control" name="Documento_Id" id="Documento_Id" onchange="NumeroDocumento();" disabled>
                                            <option value="">Seleccionar documento</option>
                                        </select>
                                    </div>
                                    <div class="col-md-6">
                                        <input type="text" class="form-control" name="sMovDocumento" id="sMovDocumento" placeholder="Nro" value="<?php echo isset($r) ? $r->__GET('sMovDocumento') : ''; ?>">
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6 form-group">
                                <label>Documento referencia</label>
                                <input type="text" class="form-control" name="sMovDocReferencia" id="sMovDocReferencia" placeholder="Documento referencia" value="<?php echo isset($r) ? $r->__GET('sMovDocReferencia') : ''; ?>">
                            </div>
                            <div class="col-md-6 form-group" id="TipoMoneda">
                                <label>Tipo moneda</label>
                                <!--El tipo de cambio solo sera para el dolar caso contrario 1-->
                                <select class="form-control" name="Moneda_Id" id="Moneda_Id" onchange="TipoMoneda()">
                                    <!--<option value="">Seleccione tipo moneda</option>-->
                                    <option value="1" <?php echo isset($r) ? $r->__GET('Moneda_Id') == 1 ? 'selected' : '' : ''; ?>>Soles</option>
                                    <option value="2" <?php echo isset($r) ? $r->__GET('Moneda_Id') == 2 ? 'selected' : '' : ''; ?>>Dolares</option>
                                </select>
                            </div>
                            <div class="col-md-3 form-group" id="TipoCambio" style="display: none;">
                                <label>Tipo de cambio</label>
                                <input type="text" class="form-control" name="nMovTipoCambio" id="nMovTipoCambio" value="<?php echo isset($r) ? $r->__GET('nMovTipoCambio') : '1'; ?>">
                            </div>
                            <div class="col-md-6 form-group">
                                <label>Asesor Comercial</label>
                                <?php if ($_SESSION['usu_enterpriseRuc'] == '20553754454') { ?>
                                    <select class="form-control" name="nMovVendedor_Id" id="nMovVendedor_Id" onchange="asignarobs();">
                                    <?php } else { ?>
                                        <select class="form-control" name="nMovVendedor_Id" id="nMovVendedor_Id">
                                        <?php } ?>
                                        <?php foreach ($vendedor as $doc) { ?>
                                            <option value="<?= $doc->__GET('vendedor_id') ?>" <?= isset($r) ? $r->__GET('vendedor_id') == $doc->__GET('vendedor_id') ? 'selected' : '' : '' ?>>
                                                <?= $doc->__GET('sVenNom') ?>
                                            </option>

                                        <?php } ?>
                                        </select>
                            </div>
                            <div class="col-md-6 form-group">
                                <label>Atención</label>
                                <input type="text" class="form-control" name="sMovAsesor" id="sMovAsesor" placeholder="Asesor Comercial" value="<?php echo isset($r) ? $r->__GET('sMovAsesor') : ''; ?>">
                            </div>
                            <div class="col-md-3 form-group">
                                <label>Lugar de Entrega</label>
                                <input type="text" class="form-control" name="sMovLugarEnrtega" id="sMovLugarEnrtega" placeholder="Lugar de entrega" value="<?php echo isset($r) ? $r->__GET('sMovLugarEnrtega') : ''; ?>">
                            </div>
                            <div class="col-md-3 form-group">
                                <label>Garantía</label>
                                <input type="text" class="form-control" name="nMovGarantia" id="nMovGarantia" placeholder="Garantía" value="<?php echo isset($r) ? $r->__GET('nMovGarantia') : ''; ?>">
                            </div>
                            <div class="col-md-3 form-group">
                                <label>Tiempo de entrega (Días)</label>
                                <input type="number" class="form-control" name="nMovTiempoEntrega" id="nMovTiempoEntrega" placeholder="Asesor Comercial" value="<?php echo isset($r) ? $r->__GET('nMovTiempoEntrega') : '1'; ?>">
                            </div>
                            <div class="col-md-3 form-group">
                                <label>Validez de la oferta (Días)</label>
                                <input type="number" class="form-control" name="nMovValidezOferta" id="nMovValidezOferta" placeholder="Asesor Comercial" value="<?php echo isset($r) ? $r->__GET('nMovValidezOferta') : '1'; ?>">
                            </div>

                            <div class="col-md-12 form-group" style="margin-top: 20px;">
                                <div class="alert alert-warning hidden" role="alert" id="alert_exceso" data-max="15">
                                    Muchos productos
                                </div>
                            </div>
                            <div class="col-md-12 form-group">
                                <div class="row">
                                    <div class="col-md-6">
                                        <h4>&nbsp;&nbsp;Lista de productos</h4>
                                    </div>
                                    <div class="col-md-6 text-right">
                                        <a class="btn btn-success" onclick="ValidarTipomovimiento()"><span class="glyphicon glyphiconglyphicon glyphicon-plus"></span>&nbsp;Agregar producto / servicio</a>
                                    </div>
                                </div>
                                <hr style="margin-top: 0px;">
                                <table class="table table-bordered table-striped text-center" id="dxx">
                                    <thead>
                                        <tr>
                                            <th>Producto</th>
                                            <th>Cantidad</th>
                                            <th>Unidad</th>
                                            <th>Precio</th>
                                            <th>Descuento</th>
                                            <th>Sub Total</th>
                                            <th>Operaciones</th>
                                        </tr>
                                    </thead>
                                    <tbody id="productos_servicios">
                                        <tr>

                                            <td colspan="7">No hay datos</td>

                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                            <div class="col-md-12 form-group" style="margin-top: 20px;">
                                <div class="alert alert-warning hidden" role="alert" id="alert_error">
                                    Error cálculo
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div id="resultado_productos"></div>
                                <div class="row">
                                    <div class="col-md-6 form-group text-center">
                                        <input type="checkbox" name="dMovDetraccion_check" id="dMovDetraccion_check">&nbsp;Detracción
                                    </div>
                                    <div class="col-md-6 form-group">
                                        <input type="text" class="form-control" name="dMovDetraccion" id="dMovDetraccion" placeholder="0.00" value="<?php echo isset($r) ? $r->__GET('dMovDetraccion') : '0'; ?>">
                                    </div>
                                    <div class="col-md-6 form-group text-center">
                                        <input type="checkbox" name="dMovPercepcion_check" id="" dMovPercepcion_check>&nbsp;Percepción
                                    </div>
                                    <div class="col-md-6 form-group">
                                        <input type="text" class="form-control" name="dMovPercepcion" id="dMovPercepcion" placeholder="0.00" value="<?php echo isset($r) ? $r->__GET('dMovPercepcion') : '0'; ?>">
                                    </div>
                                    <div class="col-md-6 form-group text-center">
                                        <input type="checkbox" name="dMovRetencion_check" id="dMovRetencion_check">&nbsp;Retención
                                    </div>
                                    <div class="col-md-6 form-group">
                                        <input type="text" class="form-control" name="dMovRetencion" id="dMovRetencion" placeholder="0.00" value="<?php echo isset($r) ? $r->__GET('dMovRetencion') : '0'; ?>">
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-9">
                                <div class="row">
                                    
                                    <div class="col-md-6">
                                    
                                        <div class="col-md-12 form-group">
                                            <label>Importe</label>
                                            <input type="text" class="form-control" name="dMovImporte" id="dMovImporte" placeholder="0.00" value="<?php echo isset($r) ? $r->__GET('nMovImporte') : ''; ?>">
                                        </div>
    
                                        <div class="col-md-12 form-group">
                                            <label>IGV</label>
                                            <input type="text" class="form-control" name="dMovIGV" id="dMovIGV" placeholder="0.00" value="<?php echo isset($r) ? $r->__GET('nMovIGV') : ''; ?>">
                                        </div>
    
                                        <div class="col-md-12 form-group">
                                            <label>ICBPER</label>
                                            <input type="text" class="form-control" name="dMovICBPER" id="dMovICBPER" placeholder="0.00" value="<?php echo isset($r) ? $r->__GET('dMovICBPER') : ''; ?>">
                                        </div>
                                        
                                        <div class="col-md-12 form-group">
                                            <label>TOTAL</label>
                                            <input type="text" class="form-control" name="dMovTotal" id="dMovTotal" placeholder="0.00" value="<?php echo isset($r) ? $r->__GET('nMovTotal') : ''; ?>">
                                        </div>
                                        
                                    </div>

                                    <div class="col-md-6 form-group">
                                        <label>DESCUENTO TOTAL</label>
                                        <input disabled type="text" class="form-control" name="nMovDescuento" id="nMovDescuento" placeholder="0.00" value="<?php echo isset($r) ? $r->__GET('nMovDescuento') : ''; ?>">
                                    </div>

                                    
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Observaciones</label>
                                    <textarea class="form-control" name="sMovObservacion" id="sMovObservacion" placeholder="Observaciones" rows="3"><?php echo isset($r) ? $r->__GET('sMovObservacion') : ''; ?></textarea>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- /.box-body -->
                    <div class="box-footer">
                        <button type="submit" onmouseover="ErrorCalculo(); this.onmouseover=function(){return false}" class="btn btn-primary btn-flat">Guardar información</button>
                        <a href="?c=Movimiento&a=Index" class="btn btn-danger btn-flat">Cancelar</a>
                    </div>
                </form>
            </div><!-- /.box -->
        </div><!-- /.col -->
    </div><!-- /.row -->
</section><!-- /.content -->
<!-- /Modal modal-eliminar -->
<div class="modal fade" id="agregar_producto" tabindex="-1" role="dialog" aria-labelledby="modal-eliminar-label" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content" id="FrmTipomovimiento">

        </div>
    </div>
</div>
<div class="modal fade" id="eliminar_productos" tabindex="-1" role="dialog" aria-labelledby="modal-eliminar-label" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content" id="FrmTipomovimiento">
            <form action="javascript:EliminarProductoLista();" method="POST" id="FrmIngresoCompra">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                    <h4 class="modal-title" id="modal-eliminar-label">ELIMINAR PRODUCTOS</h4>
                </div>
                <div class="modal-body">
                    <input type="hidden" name="Codigo_Producto" id="Codigo_Producto">
                    ¿Desea eliminar al producto de la lista?
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default btn-flat" data-dismiss="modal">No, cancelar</button>
                    <button type="submit" class="btn btn-danger btn-flat">Si, Eliminar</button>
                </div>
            </form>
        </div>
    </div>
</div>


<!-- /Modal modal-eliminar -->
<script src="view/librerias/dist/js/funcionesCotizacion.js"></script>
<script type="text/javascript">

	var provcliendisc = <?=json_encode($provcliendisc,true);?>;
    function changeProvClien(){
		var sel = document.getElementById('nMovOrigenDestino_Id').value;
		var dni = name = fono = desc = '';
		for(const pc in provcliendisc){
    		if(provcliendisc[pc].OrigenDestino_Id==sel){
        		name = provcliendisc[pc].sODContacto;
    		}
		}
		//$('#sCotDNIContacto').val(dni);
		$('#sMovAsesor').val(name);
	}

    function changePreice(evt) {
        console.log(evt);
        if (evt.checked) {
            $("#nMovDetConPrecioUnitario").val(0.01);
            CalcularSubtotal();
        } else {
            ListarProductosLote();
        }
    }
    var unicomov = "<?php echo isset($unicomov) ? '1' : '0'; ?>";
    $(document).ready(function() {
        TipoPrvClien();
        if (unicomov != 0) {
            Tipomovimiento();
        }
        <?php if ($_SESSION['usu_enterpriseRuc'] == '20553754454') { ?>
            asignarobs();
        <?php } ?>
        loadPameters();
    });
    $('#dMovDetraccion_check').change(function(e) {
        if (e.target.checked) {
            $.post('?c=Parametro&a=Detraccion', {
                is_json: true,
                parametro_id: 6
            }, function(data) {
                var info = JSON.parse(data);
                if (info) {
                    var dMovTotal = parseFloat($("#dMovTotal").val().replace(',', ''));
                    $("#dMovDetraccion").val((dMovTotal * parseInt(info.sParValor) / 100).toFixed(2));
                }
            });
        } else {
            $("#dMovDetraccion").val('0');
        }
    });
    $('#dMovFecha').datetimepicker({
        viewMode: 'days',
        format: 'DD-MM-YYYY'
    });
    $('#dMovFechaCotizacion').datetimepicker({
        viewMode: 'days',
        format: 'DD-MM-YYYY'
    });

    function TipoMoneda() {
        var moneda = $("#TipoMoneda");
        var Moneda_Id = document.getElementById('Moneda_Id').value;
        if (Moneda_Id == 1) {
            moneda.removeClass('col-md-3');
            moneda.addClass('col-md-6');
            $("#TipoCambio").hide();
            $("#nMovTipoCambio").val("1");
        } else {
            moneda.removeClass('col-md-6');
            moneda.addClass('col-md-3');
            $("#TipoCambio").show();
            verificarTipoCambio();
            // $("#nMovTipoCambio").val("");

        }
    }
    $('#eliminar_productos').on('show.bs.modal', function(event) {
        var button = $(event.relatedTarget); // Button that triggered the modal
        var recipient = button.data('productoid'); // Extract info from data-* attributes

        // If necessary, you could initiate an AJAX request here (and then do the updating in a callback).
        // Update the modal's content. We'll use jQuery here, but you could use a data binding library or other methods instead.
        var modal = $(this);
        modal.find('.modal-body input').val(recipient);
    });

    function enviarPrecioCosto(PrecioCosto) {
        calcularFactor();
    }

    function calcularFactor() {
        var factorConv = $("#Unidadmedida_Id option:selected").data("factor");
        var PrecioConvert = 0;

        if (nMovDetConPrecioUnitario == undefined) {
            nMovDetConPrecioUnitario = 0;
        }

        if (factorConv == undefined) {
            factorConv = 0;
        }

        PrecioConvert = factorConv * nMovDetConPrecioUnitario;

        //enviando id de almacen
        var Almacen_Id = $("input[name=lotes]:checked").data("almacen");
        $("#almacen").val(Almacen_Id);
        setTimeout(() => {
            CalcularSubtotal();
        }, 500);
    }

    function loadPameters() {
        <?php
        if (!isset($r)) {
            $tipomovimiento = null;
            $bienes = null;
            $observacion = null;
            $tipopago = null;
            $tipodocumento = null;

            foreach ($parametro as $r) {
                if ($r->__GET('Parametro_Id') == 3) {
                    $tipomovimiento = $r->__GET('sParValor');
                } else if ($r->__GET('Parametro_Id') == 4) {
                    $bienes = $r->__GET('sParValor');
                } else if ($r->__GET('Parametro_Id') == 5) {
                    $observacion = $r->__GET('sParValor');
                } else if ($r->__GET('Parametro_Id') == 7) {
                    $tipopago = $r->__GET('sParValor');
                } else if ($r->__GET('Parametro_Id') == 8) {
                    $tipodocumento = $r->__GET('sParValor');
                }
            }
            if ($bienes) {
                $bienes = explode('|', $bienes);
        ?>
                $('#nMovTipodestino').val(<?php echo $bienes[1]; ?>);
            <?php
            }
            if ($tipomovimiento) {
                $tipomovimiento = explode('|', $tipomovimiento);
            ?>
                $('#Tipomovimiento_Id').val(<?php echo $tipomovimiento[1]; ?>);
            <?php
            }
            if ($observacion) {
            ?>
                $('#sMovObservacion').val('<?php echo $observacion; ?>');
            <?php

            }
            if ($tipopago) {
                $tipopago = explode('|', $tipopago);
            ?>
                $('#nMovTipopago').val(<?php echo $tipopago[1]; ?>);
            <?php
            }

            ?>

        <?php

        }
        ?>
        $('#Tipomovimiento_Id').change();
        $('#nMovTipopago').change();
    }

    function ValidarTipomovimiento() {
        <?php

        $precioigv = null;
        foreach ($parametro as $r) {
            if ($r->__GET('Parametro_Id') == 11) {
                $precioigv = $r->__GET('sParValor');
            }
        }
        if ($precioigv) {
            $precioigv = explode('|', $precioigv);  ?>

            <?php if ($precioigv[1]) {  ?>

                $("#nIncluyeLoteIGV").prop("checked", true);
        <?php

            }
        } ?>
        var Tipomovimiento_Id = document.getElementById('Tipomovimiento_Id').value;

        if (Tipomovimiento_Id == "") {
            $("#Tipomovimiento_Id").addClass('error');
            $("#Tipomovimiento_Id").parent().children().first().addClass("error");
        } else {
            $("#Tipomovimiento_Id").removeClass('error');
            $("#Tipomovimiento_Id").parent().children().first().removeClass("error");
            LimpiarFrmProductosLotes();
            $("#agregar_producto").modal('show');
        }
        $('html, body').animate({
            scrollTop: '0px'
        }, 1000);
    }


    function setTipoDocumento(val) {
        var doc = $('#Documento_Id');
        var ref = doc.html().trim();
        var ref_compare = '<option value="">Seleccionar documento</option>';
        //console.log(ref);
        if (ref == ref_compare) {
            setTimeout(function() {
                setTipoDocumento(val);
            }, 100)
            return;
        }
        $('#Documento_Id').val(val);
        $('#Documento_Id').change();
    }

    function asignarobs() {

        var vendedor = nMovVendedor_Id.options[nMovVendedor_Id.selectedIndex].text;

        document.getElementById('sMovObservacion').value = ('VENDEDOR: ' + vendedor);


    }

    function AgregarProductoLote() {

        var familia = $("#ProdServ_Id").find(':selected').data('familia');
        var nProSrvICBPer = $("#ProdServ_Id").find(':selected').data('icbper');
        var servicio_id = parseInt(familia.substring(0, 1));
        var ProdServ_Id = document.getElementById('ProdServ_Id').value;
        var lotes = $('input:radio[name=lotes]:checked').val();
        var Unidadmedida_Id = document.getElementById('Unidadmedida_Id').value;
        var sMovDetConCantidad = document.getElementById('sMovDetConCantidad').value;
        var nMovDetConPrecioUnitario = document.getElementById('nMovDetConPrecioUnitario').value;
        var nMovDetConDescuento = document.getElementById('nMovDetConDescuento').value;
        var nMovDetConSubtotal = document.getElementById('nMovDetConSubtotal').value;
        var Almacen_Id = document.getElementById('almacen').value;
        var nIncluyeLoteIGV = 0;
        if ($("#nIncluyeLoteIGV").prop("checked") == true) {
            nIncluyeLoteIGV = 1;
        }

        <?php

        $validstock = null;
        foreach ($parametro as $r) {
            if ($r->__GET('Parametro_Id') == 12) {
                $validstock = $r->__GET('sParValor');
            }
        }
        if ($validstock) {
            $validstock = explode('|', $validstock);  ?>

            <?php if ($validstock[1]) {  ?>

                if ($('input[name=lotes]:checked').length == 0 && servicio_id != 2) {
                    swal("Seleccione un lote");
                    return false;
                }
        <?php

            }
        } ?>
     

        if (sMovDetConCantidad > 0 || servicio_id == 2) {
            $.post('?c=Cotizacion&a=AgregarProductoC', {
                ProdServ_Id: ProdServ_Id,
                lotes: lotes,
                Almacen_Id: Almacen_Id,
                Unidadmedida_Id: Unidadmedida_Id,
                sMovDetConCantidad: sMovDetConCantidad,
                nMovDetConPrecioUnitario: nMovDetConPrecioUnitario,
                nMovDetConDescuento: nMovDetConDescuento,
                nMovDetConSubtotal: nMovDetConSubtotal,
                nIncluyeIGV: nIncluyeLoteIGV,
                nProSrvExoneradoIGV: $("#nProSrvExoneradoIGV").val(),
                nProSrvICBPer: nProSrvICBPer
            }, function(data) {
                $("#resultado_saluda_venta").html(data);
                LimpiarFrmProductosLotes();
                setTimeout(function() {
                    $(".prod").fadeOut(500);
                }, 1000);
                ListarProductos();
                CalcularImpTotIGV();


            });
        } else {
            swal("La cantidad tiene que ser mayor a 0");
        }
    }



    function verificarTipoCambio() {

        $("#nMovTipoCambio").val('');


        var fecha = document.querySelector('#dMovFecha');
        var fechaformat = fecha.dataset.fechformat;

        qry_status = true;

        $.get('https://felipemarroquin.com/webservices/tipocambio_sunat/xchange/' + fechaformat + '/', {}, function(data) {

            qry_status = false;

            if (data.success) {
                console.log(data);
                $("#nMovTipoCambio").val(data.sale);
            } else {
                swal("Advertencia.", data.status, "warning");
            }
        });
    }


    <?php
    foreach ($parametro as $r) {
        if ($r->__GET('Parametro_Id') == 14) {
            $decimales = $r->__GET('sParValor');
        }
    }
    if ($decimales) {
    ?>
        $('#nro_decimales').val('<?php echo $decimales; ?>');
    <?php

    }
    ?>
</script>