
<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        Despachos Incompletos
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="wfamain.php"><i class="fa fa-dashboard"></i> Inicio</a></li>
        <li><a href="#">Despachos Incompletos</a></li>
    </ol>
</section>        
<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-xs-12">
            <div class="box">
                <div class="box-header">
                    <h3 class="box-title">Relación completa de Despachos Incompletos</h3>

                </div><!-- /.box-header -->
                <div class="box-body">
                    <table id="example1" class="table table-bordered table-striped table-hover text-center">
                        <thead>
                            <tr>
                                <th>Tipo movimiento</th>
                                <th>Fecha</th>
                                <th>Documento</th>
                                <th>Cliente/Proveedor</th>
                                <th>Moneda</th>
                                <th>Total</th>
                                <th>Estado</th>
                                <th>Observaciones</th>
                                <th>Operaciones</th>
                            </tr>
                        </thead>                  	
                        <tbody>  
                            <?php
                            foreach ($despachos as $r) {
                                ?>
                                <tr>
                                    <td><?php echo $r->sTMovNombre; ?></td>
                                    <td><?php echo $r->dMovFecha; ?></td>
                                    <td><?php echo $r->Documento; ?></td>
                                    <td><?php echo $r->sODNombreComercial; ?></td>
                                    <td><?php echo $r->Moneda_Id == 1 ? 'Soles' : 'Dolares'; ?></td>
                                    <td><?php echo $r->nMovTotal; ?></td>
                                    <td>
                                        <?php
                                        if ($r->nDesEstado == '') {
                                            echo '<span class="label label-warning">No despachado</span>';
                                        } else if ($r->nDesEstado == '0') {
                                            echo '<span class="label label-info">Despachado incompleto</span>';
                                        } else if ($r->nDesEstado == '1') {
                                            echo '<span class="label label-success">Despachado</span>';
                                        } 
                                        ?>
                                    </td>
                                    <td>
                                        <?php echo $r->sObservacion ?>
                                    </td>
                                    <td>

                                        <a href="#" class="btn btn-primary btn-success btn-xs" data-toggle="modal" data-target="#modal-ver" onclick="MostrarMovimiento('<?php echo $r->Movimiento_Id; ?>');"><i class="glyphicon glyphicon-eye-open"></i></a>

                                        <?php
                                            if($r->nDesEstado!='1'){
                                        ?>
                                        <a href="#" class="btn btn-primary btn-flat btn-xs" title="Confirmar Despacho" data-toggle="modal" data-target="#modal-confirmar" onclick="ConfirmarDespacho('<?php echo $r->Despacho_Id; ?>', '<?php echo $r->Movimiento_Id; ?>');"><i class="fa fa-car"></i></a>
                                        <?php
                                            }
                                        ?>

                                        <?php 
                                        $tipoImpresion = $r->nDocTipoImprimir;

                                            $comprobante = '';
                                            switch ($tipoImpresion) {
                                                case 2:
                                                    $comprobante = 'comprobantePDF';
                                                    break;
                                                case 1:
                                                    $comprobante = 'comprobante';
                                                    break;
                                                case 3:
                                                    $comprobante = 'comprobante2';
                                                    break;
                                                case 4:
                                                    $comprobante = 'comprobantePDF2';
                                                    break;
                                                default:
                                                    $comprobante = '';
                                                    break;
                                            }
                                        
                                        if ($tipoImpresion != 0) { ?>
                                                <a href="<?php echo '?c=Movimiento&a=' . $comprobante . '&Movimiento_Id=' . $r->Movimiento_Id; ?>" class="btn btn-warning btn-flat btn-xs" target="_blank"><i class="fa fa-print" aria-hidden="true"></i></a>
                                        <?php } ?>
                                    </td>
                                </tr>
                                <?php

                            }
                            ?>
                        </tbody>
                        <tfoot>
                            <tr>
                                <th>Tipo movimiento</th>
                                <th>Fecha</th>
                                <th>Documento</th>
                                <th>Cliente/Proveedor</th>
                                <th>Moneda</th>
                                <th>Total</th>
                                <th>Estado</th>
                                <th>Operaciones</th>
                            </tr>
                        </tfoot>
                    </table>

                    <!-- Modal modeal-ver -->
                    <div class="modal fade" id="modal-ver" tabindex="-1" role="dialog" aria-labelledby="modal-ver-label" aria-hidden="true">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <form action="?c=Movimiento&a=PDFMovimiento" method="POST">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                                        <h4 class="modal-title" id="modal-ver-label">Registro de Movimiento</h4>
                                    </div>
                                    <div class="modal-body">
                                        <input type="hidden" name="PDFMmovimiento_Id" id="PDFMmovimiento_Id" value="">
                                        <table class="table table-striped" id="ver_datos">

                                        </table>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="submit" class="btn btn-danger" formtarget="_blak"><i class="fa fa-print"></i>&nbsp;Imprimir</button>
                                        <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                                        <!-- <button type="button" onclick="Actualizar_obs_docref()" class="btn btn-success"><i class="fa fa-edit"></i>&nbsp;Actualizar</button> -->
                                        
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                    <!-- /Modal modal-ver -->

                    <!-- Modal modal-eliminar -->
                    <div class="modal fade" id="modal-eliminar" tabindex="-1" role="dialog" aria-labelledby="modal-eliminar-label" aria-hidden="true">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <form action="?c=Movimiento&a=AnularMovimiento" method="POST">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                                        <h4 class="modal-title" id="modal-eliminar-label">Anular movimiento</h4>
                                    </div>
                                    <div class="modal-body">
                                        <input type="hidden" name="IdMovimiento" id="IdMovimiento" value="">
                                        <input type="hidden" name="estadoSunat" id="estadoSunat" value="">
                                        ¿Estás seguro que desea anular el movimiento?
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-default btn-flat" data-dismiss="modal">No, cancelar</button>
                                        <button type="submit" class="btn btn-danger btn-flat">Si, eliminar</button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                    <!-- /Modal modal-eliminar -->

                    <!-- Modal modal-confirmar -->
                    <div class="modal fade" id="modal-confirmar" tabindex="-1" role="dialog" aria-labelledby="modal-eliminar-label" aria-hidden="true">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <form action="?c=Despacho&a=ConfirmarDespacho" method="POST">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                                        <h4 class="modal-title" id="modal-confirmar-label">Confirmar Despacho</h4>
                                    </div>
                                    <div class="modal-body">
                                        <input type="hidden" name="Movimiento_Id" id="Movimiento_Id" value="">
                                        <input type="hidden" name="IdDespacho" id="IdDespacho" value="">
                                        ¿Estás seguro que desea confirmar el espacho?
                                        
                                        <div style="margin-top: 10px;">
                                            <input type="checkbox" name="cbxCompleto" id="cbxCompleto"> Entrega Completa
                                            <br>
                                            <label>Observaciones</label>
                                            <textarea name="obs" class="form-control" id="obs" cols="30" rows="3"></textarea>
                                        </div>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-default btn-flat" data-dismiss="modal">No, cancelar</button>
                                        <button type="submit" class="btn btn-success btn-flat">Si, confirmar</button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                    <!-- /Modal modal-confirmar -->

                </div><!-- /.box-body -->
            </div><!-- /.box -->
        </div><!-- /.col -->
    </div><!-- /.row -->
</section><!-- /.content -->
<script type="text/javascript" src="view/librerias/dist/js/funcionesMovimiento.js"></script>
<script type="text/javascript" src="view/librerias/dist/js/funcionesDespacho.js"></script>
<script type="text/javascript">
$('#fechaInicio').datetimepicker({
    viewMode: 'days',
    format: 'DD-MM-YYYY'
});

$('#fechaFin').datetimepicker({
    viewMode: 'days',
    format: 'DD-MM-YYYY'
});
document.getElementById('cbxCompleto').checked = false;

$(function () {
    jQuery.fn.dataTableExt.oSort['fecha-asc'] = function (a, b) {
        var ukDatea = a.split('-');
        var ukDateb = b.split('-');

        var x = (ukDatea[2] + ukDatea[1] + ukDatea[0]) * 1;
        var y = (ukDateb[2] + ukDateb[1] + ukDateb[0]) * 1;

        return ((x < y) ? -1 : ((x > y) ? 1 : 0));
    };

    jQuery.fn.dataTableExt.oSort['fecha-desc'] = function (a, b) {
        var ukDatea = a.split('-');
        var ukDateb = b.split('-');

        var x = (ukDatea[2] + ukDatea[1] + ukDatea[0]) * 1;
        var y = (ukDateb[2] + ukDateb[1] + ukDateb[0]) * 1;

        return ((x < y) ? 1 : ((x > y) ? -1 : 0));
    };
    $("#example1").dataTable({
        "scrollX": true,
        "bSort": true,
        "language": {
            "search": "Buscar",
            "lengthMenu": "Visualizar _MENU_ registro por página",
            "zeroRecords": "No hay información para mostrar",
            "info": "Pagina _PAGE_ de _PAGES_ de _MAX_ ",
            "infoEmpty": "Pagina _PAGE_ - _PAGES_ de _MAX_ registros",
            "infoFiltered": "(filtered from _MAX_ total records)",
            "paginate": {
                "previous": "Anterior",
                "next": "Siguiente"
            }
        }
    });
});

$('#modal-eliminar').on('show.bs.modal', function (event) {
    var button = $(event.relatedTarget); // Button that triggered the modal
    var recipient = button.data('codigo'); // Extract info from data-* attributes
    var sunat = button.data('sunat'); // Extract info from data-* attributes

    // If necessary, you could initiate an AJAX request here (and then do the updating in a callback).
    // Update the modal's content. We'll use jQuery here, but you could use a data binding library or other methods instead.
    $("#IdMovimiento").val(recipient);
    $("#estadoSunat").val(sunat);
});

 function Actualizar_obs_docref(){
                $('#preloader').show();
                var Movimiento_Id = document.getElementById('Movimiento_Id').value;
                var sMovDocReferencia = document.getElementById('sMovDocReferencia').value;
                var sMovObservacion = document.getElementById('sMovObservacion').value;
                $.post('?c=Movimiento&a=act_obs_docref',{
                    Movimiento_Id: Movimiento_Id,
                    sMovDocReferencia: sMovDocReferencia,
                    sMovObservacion: sMovObservacion
                },function(data){
                    $('#resultado').html(data);
                    // $('#preloader').fadeIn('slow');
                    $('#preloader').hide();
                    // LimpiarFrmPago();
                    
                    setTimeout(function(){
                        window.location.reload()
                       
                    }, 500);
                });
            }
    document.getElementById('cbxCompleto').addEventListener('change', function(e) {
        let is_checked = e.target.checked
        if (is_checked) {
            document.getElementById('obs').readOnly = true
            document.getElementById('obs').innerText = 'Despachado completo'
        } else {
            document.getElementById('obs').innerText = ''
            document.getElementById('obs').readOnly = false
            document.getElementById('obs').focus()
        }
    })
</script>
