<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        Enterprise
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="wfamain.php"><i class="fa fa-dashboard"></i> Home</a></li>
        <li><a href="#">Enterprise</a></li>
    </ol>
</section>
<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-xs-12">
            <div class="box">
                <div class="box-header">
                    <h3 class="box-title">Enterprise</h3>

                    <div class="row">
                        
                        <div class="col-md-12"><br>
                            <!-- <button type="button" class="btn btn-success btn-flat" onclick="exportarExcel()"><i class="fa fa-file-excel-o"></i> Export</button> -->
                            <a class="btn btn-primary btn-flat btn-custom" onclick="FrmGuardarEnterprise();">Add Enterprise</a>
                        </div>

                    </div>
                </div><!-- /.box-header -->
                <div class="box-body">
                    <table id="example1" class="table table-bordered table-striped table-hover text-center">
                        <thead>
                            <tr>
                                <th>Name</th>
                                <th>Status</th>
                                <th>Actions</th>
                            </tr>
                        </thead>

                        <tbody>
                            <?php foreach($companies as $company) { ?>
                                <?php
                                    $estado = '';
                                    if($company->nEnterStatus == '0') {
                                        $estado = '<span class="label label-danger">Remove</span>';
                                    } else if ($company->nEnterStatus == '1') {
                                        $estado = '<span class="label label-success">Active</span>';
                                    }
                                ?>
                                <tr>
                                    <td><?php echo $company->sEnterName; ?></td>
                                    <td><?php echo $estado ?></td>
                                    <td>
                                        <a href="#" class="btn btn-primary btn-xs btn-flat btn-custom" data-toggle="modal" data-target="#modal-ver" onclick="MostrarEnterprise('<?php echo $company->Enterprise_Id ?>');">
                                            <i class="fa fa-eye"></i>
                                        </a>
                                        <a href="#" class="btn btn-success btn-xs btn-flat btn-custom" onclick="FrmEditarEnterprise('<?php echo $company->Enterprise_Id ?>');">
                                            <i class="fa fa-edit"></i>
                                        </a>
                                        <a href="#" class="btn btn-danger btn-xs btn-flat btn-custom" data-toggle="modal" data-target="#modal-eliminar" data-company="<?php echo $company->Enterprise_Id; ?>">
                                            <i class="fa fa-trash"></i>
                                        </a>
                                    </td>
                                </tr>
                            <?php } ?>
                        </tbody>
                        
                        <tfoot>
                            <tr>
                                <th>Name</th>
                                <th>Status</th>
                                <th>Actions</th>
                            </tr>
                        </tfoot>
                    </table>

                    <!-- Modal modeal-ver -->
                    <div class="modal fade" id="modal-ver" tabindex="-1" role="dialog" aria-labelledby="modal-ver-label" aria-hidden="true">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <form action="" method="POST">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                                        <h4 class="modal-title" id="modal-ver-label">Information</h4>
                                    </div>
                                    <div class="modal-body">
                                        <table class="table table-striped" id="ver_datos">

                                        </table>
                                    </div>
                                    <div class="modal-footer">
                                        <!-- <button type="submit" class="btn btn-danger" formtarget="_blak"><i class="fa fa-print"></i>&nbsp;Imprimir</button> -->
                                        <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                                        <!-- <button type="button" onclick="Actualizar_obs_docref()" class="btn btn-success"><i class="fa fa-edit"></i>&nbsp;Actualizar</button> -->

                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                    <!-- /Modal modal-ver -->

                    <!-- Modal modal-register -->
                    <div class="modal fade" id="modal-register" tabindex="-1" role="dialog" aria-labelledby="modal-register-label" aria-hidden="true">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <form action="" method="POST">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                                        <h4 class="modal-title" id="modal-register-label">Register</h4>
                                    </div>
                                    <div class="modal-body">
                                        <div class="row">
                                            <div class="col-md-12">
                                                <div id="response_company"></div>
                                            </div>
                                            <input type="hidden" name="Company_Id" id="Company_Id">
                                            <div class="col-md-12">
                                                <div class="form-group">
                                                    <label>Name</label>
                                                    <input type="text" class="form-control" name="sEnterName" id="sEnterName">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" onclick="GuardarEnterprise()" class="btn btn-success">
                                            <span id="span_update" class="hidden">Update</span>
                                            <span id="span_save">Save</span>
                                        </button>
                                        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>

                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                    <!-- /Modal modal-register -->

                    <!-- Modal modal-eliminar -->
                    <div class="modal fade" id="modal-eliminar" tabindex="-1" role="dialog" aria-labelledby="modal-eliminar-label" aria-hidden="true">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <form action="#" method="POST">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                                        <h4 class="modal-title" id="modal-eliminar-label">Remove enterprise</h4>
                                    </div>
                                    <div class="modal-body">
                                        <input type="hidden" name="Company_Id" id="Company_Id" value="">
                                        Are you sure you want to remove?
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-default btn-flat" data-dismiss="modal">Cancel</button>
                                        <button onclick="EliminarEnterprise()" type="button" class="btn btn-danger btn-flat">Yes</button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                    <!-- /Modal modal-eliminar -->

                </div><!-- /.box-body -->
            </div><!-- /.box -->
        </div><!-- /.col -->
    </div><!-- /.row -->
    <div id="script_js"></div>
</section><!-- /.content -->

<script type="text/javascript" src="view/librerias/dist/js/funcionesEnterprise.js"></script>
<script type="text/javascript">
    $('#fechaInicio').datetimepicker({
        viewMode: 'days',
        format: 'DD-MM-YYYY'
    });

    $('#fechaFin').datetimepicker({
        viewMode: 'days',
        format: 'DD-MM-YYYY'
    });
    $(function() {
        jQuery.fn.dataTableExt.oSort['fecha-asc'] = function(a, b) {
            var ukDatea = a.split('-');
            var ukDateb = b.split('-');

            var x = (ukDatea[2] + ukDatea[1] + ukDatea[0]) * 1;
            var y = (ukDateb[2] + ukDateb[1] + ukDateb[0]) * 1;

            return ((x < y) ? -1 : ((x > y) ? 1 : 0));
        };

        jQuery.fn.dataTableExt.oSort['fecha-desc'] = function(a, b) {
            var ukDatea = a.split('-');
            var ukDateb = b.split('-');

            var x = (ukDatea[2] + ukDatea[1] + ukDatea[0]) * 1;
            var y = (ukDateb[2] + ukDateb[1] + ukDateb[0]) * 1;

            return ((x < y) ? 1 : ((x > y) ? -1 : 0));
        };
        $("#example1").dataTable({
            "scrollX": true,
            "bSort": true,
            "language": {
            }
        });
    });

    $('#modal-eliminar').on('show.bs.modal', function(event) {
        var button = $(event.relatedTarget); // Button that triggered the modal
        var company = button.data('company'); // Extract info from data-* attributes

        // If necessary, you could initiate an AJAX request here (and then do the updating in a callback).
        // Update the modal's content. We'll use jQuery here, but you could use a data binding library or other methods instead.
        $("#Company_Id").val(company);
    });

    $('#modal-register').on('hidden.bs.modal', function() {
        document.getElementById('span_update').classList.add('hidden')
        document.getElementById('span_save').classList.remove('hidden')
    });

</script>