<!-- Content Header (Page header) -->
<style>
    .list-group-item:hover {
        background-color: #f5f5f5;
        cursor: pointer;
    }
</style>
<section class="content-header">
    <h1>
        Guia de remisión Transportista
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="wfamain.php"><i class="fa fa-dashboard"></i> Inicio</a></li>
        <li><a href="#">Guia de remisión transportista</a></li>
    </ol>
</section>
<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-xs-12">
            <form id="frmregistrarguia" method="POST" action="#">
                <input type="hidden" id="Guiaremision_Id" name="Guiaremision_Id" value="0">
                <input type="hidden" id="nTipoDocRelacionado" name="nTipoDocRelacionado" value="0">
                <div class="box">
                    <div class="box-header">
                        <h3 class="box-title">Registro de guia de remisión transportista</h3>
                    </div><!-- /.box-header -->
                    <div class="box-body">
                        <div class="row" style="padding-left: 15px; padding-right: 15px;">
                            <div class="col-md-12">
                                <h5 class="sub-tittle-header">Buscar comprobante (opcional).</h5>
                                <div role="separator" class="divider"></div>
                            </div>
                            <div class="col-md-12">
                                Codigo comprobante
                                <div class="form-inline">
                                    <div class="form-group">
                                        <input type="text" class="form-control" id="codigocomprobante" placeholder="Codigo comprobante">
                                    </div>
                                    <a href="#" class="btn btn-default" id="buscar-comprobante">Buscar</a>
                                </div>
                            </div>
                            
                            <?php if ($_SESSION['usu_enterpriseRuc'] == 20481666105) { ?>
                            <div class="col-md-12">
                                <h5 class="sub-tittle-header">Seleccionar serie.</h5>
                                <div role="separator" class="divider"></div>
                            </div>
                            <div class="col-md-12">
                                Serie
                                <div class="form-inline">
                                    <select class="form-control" id="sTraSerieSelect" name="sTraSerieSelect" onchange="cambiarNroGuia()">
                                        <option value="">- seleccionar -</option>
                                        <?php foreach ($series as $x) : ?>
                                            <option value="<?php echo $x->Documento_Id ?>"
                                                <?php echo isset($r) ? ($x->sDocNombreCorto == $r['sTraSerie'] ? 'selected' : '') : '' ?>
                                            >
                                                <?php echo $x->sDocNombreCorto; ?>
                                            </option>
                                        <?php endforeach; ?>
                                    </select>
                                </div>
                            </div>
                            <?php } ?>
                            
                            <div class="col-md-12" style="padding-top: 15px;">
                                <h5 class="sub-tittle-header">Informacion de guia de remisión</h5>
                                <div role="separator" class="divider"></div>
                            </div>
                            <div class="col-md-12">
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="row">
                                            <div class="col-md-3 form-group">
                                                Nro guia
                                                <input type="text" class="form-control" name="sNumeroGenerado" id="sNumeroGenerado" placeholder="Nro. Guia" value="" disabled>
                                            </div>
                                            <div class="col-md-3 form-group">
                                                Fecha y Hora de Emision
                                                <input type="text" class="form-control datepicker" name="dTraFecha" id="dTraFecha" placeholder="dd/mm/yyyy" value="<?= isset($r) ? $r->dTraFecha : date('d-m-Y H:i:s') ?>">
                                            </div>
                                            <div class="col-md-3 form-group">
                                                Fecha Inicio de traslado
                                                <input type="text" class="form-control datepicker" name="dTraFechaTraslado" id="dTraFechaTraslado" placeholder="dd/mm/yyyy" value="<?= isset($r) ? $r->dTraFecha : date('d-m-Y') ?>">
                                            </div>
                                            <div class="col-md-3 form-group">
                                                Almacen
                                                <select class="form-control" id="Almacen_Id" name="Almacen_Id">
                                                    <option value="">- seleccionar -</option>
                                                    <?php foreach ($almacen as $item) : ?>
                                                        <option value="<?php echo $item->__GET('Almacen_Id'); ?>"><?php echo $item->__GET('sAlmNombre'); ?></option>
                                                    <?php endforeach; ?>
                                                </select>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-12">
                                        <div class="row">
                                            <div class="col-md-3 form-group">
                                                Moneda
                                                <select class="form-control" id="Moneda_Id" name="Moneda_Id">
                                                    <option value="1" selected>Soles</option>
                                                    <option value="2">Dolares</option>
                                                </select>
                                            </div>
                                            <div class="col-md-3 form-group">
                                                Doc. referencia (opcional).
                                                <input type="text" class="form-control" name="sSerieNumeroRelacionado" id="sSerieNumeroRelacionado" placeholder="Doc. referencia (opcional)." disabled>
                                            </div>
                                            <div class="col-md-3 form-group">
                                                Motivo de traslado
                                                <select class="form-control" id="sTraCodigoMotivoTraslado" name="sTraCodigoMotivoTraslado">
                                                    <option value="">- seleccionar -</option>
                                                    <?php foreach ($motivotraslado as $item) : ?>
                                                        <option value="<?php echo $item['sMotTraCodigoSunat'] . '|' . $item['sMotTraDescripcion']; ?>"><?php echo $item['sMotTraDescripcion']; ?></option>
                                                    <?php endforeach; ?>
                                                </select>
                                            </div>
                                            <div class="col-md-3 form-group">
                                                Medio de traslado
                                                <select class="form-control" id="sTraCodigoModalidadTraslado" name="sTraCodigoModalidadTraslado">
                                                    <option value="">- seleccionar -</option>
                                                    <?php foreach ($tipotransporte as $item) : ?>
                                                        <option value="<?php echo $item['sTipTraCodigoSunat'] . '|' . $item['sTipTraDescripcion']; ?>">
                                                            <?php echo $item['sTipTraDescripcion']; ?>
                                                        </option>
                                                    <?php endforeach; ?>
                                                </select>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-2 form-group">
                                        Tipo
                                        <select class="form-control" name="nMovTipoOrigenDestino" id="nMovTipoOrigenDestino" onchange="TipoPrvClien()">
                                            <option value="1" selected>Proveedor</option>
                                            <option value="2">Cliente</option>
                                        </select>
                                    </div>
                                    <div class="col-md-4 form-group">
                                        Cliente/Proveedor
                                        <select class="form-control selectpicker" name="nMovOrigenDestino_Id" id="nMovOrigenDestino_Id" data-live-search="true" onchange="obtenerDatosRemitente()">
                                            <option value="">Seleccione cliente/proveedor</option>
                                        </select>
                                    </div>
                                    <div class="col-md-3 form-group">
                                        Guia de remisión remitente referencia
                                        <input type="text" class="form-control" id="Grr_referencia" name="Grr_referencia" placeholder="Guia de remision remitente referencia">
                                    </div>
                                    <div class="col-md-3 form-group">
                                        Otro Motivo de Traslado
                                        <input type="text" class="form-control" id="sGuiOtroMotivo" name="sGuiOtroMotivo" placeholder="Otro Motivo de Traslado">
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <h5 class="sub-tittle-header" style="padding-top: 15px;">
                                    Datos del Remitente
                                </h5>
                                <div role="separator" class="divider"></div>
                                <div class="row">
                                    <div class="col-md-4 form-group">
                                        Tipo de documento
                                        <select class="form-control" id="sReTipoDocumento" name="sReTipoDocumento">
                                            <option value="">- seleccionar -</option>
                                            <option value="6" <?php echo isset($r) ? $r->__GET('nODTipoDoc') == 6 ? 'selected' : '' : ''; ?>>RUC</option>
                                            <option value="1" <?php echo isset($r) ? $r->__GET('nODTipoDoc') == 1 ? 'selected' : '' : ''; ?>>DNI</option>
                                            <option value="0" <?php echo isset($r) ? $r->__GET('nODTipoDoc') == 0 ? 'selected' : '' : ''; ?>>DOC.TRIB.NO.DOM.SIN.RUC</option>
                                            <option value="4" <?php echo isset($r) ? $r->__GET('nODTipoDoc') == 4 ? 'selected' : '' : ''; ?>>CARNET DE EXTRANJERÍA</option>
                                            <option value="7" <?php echo isset($r) ? $r->__GET('nODTipoDoc') == 7 ? 'selected' : '' : ''; ?>>PASAPORTE</option>
                                        </select>
                                    </div>
                                    <div class=" col-md-4 form-group">
                                        Numero de documento
                                        <!-- TODO: REMITENTE -->
                                        <div class="input-group" style="display: flex;">
                                            <input type="text" class="form-control" id="sReDocumento" name="sReDocumento" placeholder="Numero de documento">
                                            <button type="button" class="btn btn-primary" onclick="buscarReDoc()"><i class="fa fa-search"></i></button>
                                        </div>
                                    </div>
                                    <div class="col-md-4 form-group">
                                        Apellidos y nombres, denominación o razón
                                        <input type="text" class="form-control" id="sReNombreApellido" name="sReNombreApellido" placeholder="Apellidos y Nombres o Razón Social">
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <h5 class="sub-tittle-header" style="padding-top: 15px;">
                                    Datos del Destinatario
                                </h5>
                                <div role="separator" class="divider"></div>
                                <div class="row">
                                    <div class="col-md-4 form-group">
                                        Tipo de documento
                                        <select class="form-control" id="sCliTipoDocumento" name="sCliTipoDocumento">
                                            <option value="">- seleccionar -</option>
                                            <option value="6" <?php echo isset($r) ? $r->__GET('nODTipoDoc') == 6 ? 'selected' : '' : ''; ?>>RUC</option>
                                            <option value="1" <?php echo isset($r) ? $r->__GET('nODTipoDoc') == 1 ? 'selected' : '' : ''; ?>>DNI</option>
                                            <option value="0" <?php echo isset($r) ? $r->__GET('nODTipoDoc') == 0 ? 'selected' : '' : ''; ?>>DOC.TRIB.NO.DOM.SIN.RUC</option>
                                            <option value="4" <?php echo isset($r) ? $r->__GET('nODTipoDoc') == 4 ? 'selected' : '' : ''; ?>>CARNET DE EXTRANJERÍA</option>
                                            <option value="7" <?php echo isset($r) ? $r->__GET('nODTipoDoc') == 7 ? 'selected' : '' : ''; ?>>PASAPORTE</option>
                                        </select>
                                    </div>

                                    <div class=" col-md-4 form-group">
                                        Numero de documento
                                        <div class="input-group" style="display: flex;">
                                            <!--TODO: DESTINATARIO -->
                                            <input type="text" class="form-control" id="sCliNroIdentidad" name="sCliNroIdentidad" placeholder="Numero de documento">
                                            <button type="button" class="btn btn-primary" onclick="buscarDestDoc()"><i class="fa fa-search"></i></button>
                                        </div>

                                    </div>
                                    <div class="col-md-4 form-group">
                                        Apellidos y nombres, denominación o razón
                                        <input type="text" class="form-control" id="sCliente" name="sCliente" placeholder="Apellidos y Nombres o Razón Social">
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <h5 class="sub-tittle-header" style="padding-top: 15px;">Punto de partida</h5>
                                <div role="separator" class="divider"></div>
                                <div class="row">
                                    <div class="col-md-12 form-group">
                                        Dirección
                                        <input type="text" class="form-control" name="sTraDireccionPuntoPartidaTraslado" id="sTraDireccionPuntoPartidaTraslado" placeholder="Dirección" value="<?php echo $_SESSION['usu_enterpriseAddress']; ?>">
                                    </div>
                                    <div class="col-md-4 form-group">
                                        Departamento
                                        <select class="form-control" name="dTraParDepartamento" id="dTraParDepartamento" onchange="provincias('sTraParProvincia', 'sTraParDistrito', this.value)">
                                            <option value="">- seleccionar -</option>
                                        </select>
                                    </div>
                                    <div class="col-md-4 form-group">
                                        Provincia
                                        <select class="form-control" name="sTraParProvincia" id="sTraParProvincia" onchange="distritos('sTraParDistrito', 'sTraParProvincia', 'dTraParDepartamento', this.value)" disabled>
                                            <option value="">- seleccionar -</option>
                                        </select>
                                    </div>
                                    <div class="col-md-4 form-group">
                                        Distrito
                                        <select class="form-control" name="sTraParDistrito" id="sTraParDistrito" disabled>
                                            <option value="">- seleccionar -</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <h5 class="sub-tittle-header" style="padding-top: 15px;">Punto de Llegada</h5>
                                <div role="separator" class="divider"></div>
                                <div class="row">
                                    <div class="col-md-12 form-group">
                                        Dirección
                                        <input class="form-control" name="sTraDireccionPuntoLlegadaTraslado" id="sTraDireccionPuntoLlegadaTraslado" />
                                    </div>
                                    <div class="col-md-4 form-group">
                                        Departamento
                                        <select class="form-control" name="dTraLleDepartamento" id="dTraLleDepartamento" onchange="provincias('sTraLleProvincia', 'sTraLleProvincia', this.value)">
                                            <option value="">- seleccionar -</option>
                                        </select>
                                    </div>
                                    <div class="col-md-4 form-group">
                                        Provincia
                                        <select class="form-control" name="sTraLleProvincia" id="sTraLleProvincia" onchange="distritos('sTraLleDistrito', 'sTraLleProvincia', 'dTraLleDepartamento', this.value)" disabled>
                                            <option value="">- seleccionar -</option>
                                        </select>
                                    </div>
                                    <div class="col-md-4 form-group">
                                        Distrito
                                        <select class="form-control" name="sTraLleDistrito" id="sTraLleDistrito" disabled>
                                            <option value="">- seleccionar -</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <h5 class="sub-tittle-header" style="padding-top: 15px;">
                                    Lista de productos
                                    <a href="#" class="btn btn-success" style="padding: 2px 10px; margin: 0px 10px !important;" onclick="ValidarTipomovimiento(); return false;">Agregar</a>
                                </h5>
                                <div role="separator" class="divider"></div>
                                <table class="table table-bordered table-striped text-center">
                                    <thead>
                                        <tr>
                                            <th>Producto</th>
                                            <th>Cantidad</th>
                                            <th>Unidad</th>
                                            <th>Precio</th>
                                            <th>Sub Total</th>
                                            <th>Operaciones</th>
                                        </tr>
                                    </thead>
                                    <tbody id="productos_servicios">
                                        <tr>
                                            <td colspan="7">No hay datos</td>
                                        </tr>
                                    </tbody>
                                </table>
                                <div class="form-group">
                                    Observacion
                                    <textarea class="form-control" id="sGuiObservacion" name="sGuiObservacion" rows="3" style="resize: none;"></textarea>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <h5 class="sub-tittle-header" style="padding-top: 15px;">
                                    Datos de transporte
                                </h5>
                                <div role="separator" class="divider"></div>
                                <div class="row">
                                    <div class="col-md-12 form-group">
                                        <div class="row">
                                            <div class="col-md-3">
                                                RUC Transportista
                                                <input type="text" class="form-control" id="sTraRUCTransportistaTraslado" name="sTraRUCTransportistaTraslado" placeholder="RUC Transportista">
                                            </div>
                                            <div class="col-md-3">
                                                Nombre Transportista
                                                <input type="text" class="form-control" id="sTraNombreTransportistaTraslado" name="sTraNombreTransportistaTraslado" placeholder="Nombre Transportista">
                                            </div>
                                            <div class="col-md-3">
                                                Placa de Vehiculo
                                                <input type="text" class="form-control" id="sTraPlacaVehiculoTraslado" name="sTraPlacaVehiculoTraslado" placeholder="Placa de Vehiculo"
                                                    minlength="6" maxlength="8">
                                            </div>
                                            <div class="col-md-3">
                                                Tarjecta Circulacion de Vehiculo (Opcional)
                                                <input type="text" class="form-control" id="sTraTarjetaCirculacionVehiculoTraslado" name="sTraTarjetaCirculacionVehiculoTraslado" placeholder="Tarjecta circulacion de Vehiculo">
                                            </div>

                                        </div>
                                    </div>
                                    <div class="col-md-12 form-group">
                                        <div class="row">
                                            <div class="col-md-3">
                                                DNI Conductor
                                                <input type="text" class="form-control" id="sTraDNIConductorTraslado" name="sTraDNIConductorTraslado" placeholder="DNI Conductor">
                                            </div>
                                            <div class="col-md-3">
                                                Apellidos Conductor
                                                <input type="text" class="form-control" id="sTraApellidosConductorTraslado" name="sTraApellidosConductorTraslado" placeholder="Apellidos">
                                            </div>
                                            <div class="col-md-3">
                                                Nombres Conductor
                                                <input type="text" class="form-control" id="sTraNombresConductorTraslado" name="sTraNombresConductorTraslado" placeholder="Nombres">
                                            </div>
                                            <div class="col-md-3">
                                                Licencia conductor
                                                <input type="text" class="form-control" id="sTraLicenciaConductorTraslado" name="sTraLicenciaConductorTraslado" placeholder="Licencia"
                                                    minlength="9" maxlength="10">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-12 form-group">
                                        <div class="row">
                                            <div class="col-md-3">
                                                Unidad de medida
                                                <select class="form-control" id="sTraCodigoUnidadMedidaTraslado" name="sTraCodigoUnidadMedidaTraslado">
                                                    <?php foreach ($unidadmedida as $uni) { ?>
                                                        <option value="<?php echo $uni->__GET('sUndCodeSunat') . '|' . $uni->__GET('sUndAlias') . '|' . $uni->__GET('sUndDescripcion'); ?>" <?php echo $uni->__GET('sUndAlias') === 'KGM' ? 'selected' : ''; ?>><?php echo $uni->__GET('sUndDescripcion') . ' (' . $uni->__GET('sUndAlias') . ')'; ?></option>
                                                    <?php
                                                    } ?>
                                                </select>
                                            </div>
                                            <div class="col-md-3">
                                                Peso bruto total de la carga
                                                <input type="text" class="form-control" id="nTraPesoBrutoGuiaTraslado" name="nTraPesoBrutoGuiaTraslado" placeholder="Peso bruto">
                                            </div>

                                            <div class="col-md-3">
                                                Pagador
                                                <input type="text" class="form-control" id="sTraPagador" name="sTraPagador" placeholder="Pagador">
                                            </div>
                                            <div class="col-md-3">
                                                Autorización MTC
                                                <input type="text" class="form-control" id="sTraAutorizacion" name="sTraAutorizacion" placeholder="Autorización">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-12 form-group">
                                        <div class="row">
                                            
                                            <div class="col-md-3">
                                                Certificado Vehiculo Principal
                                                <input type="text" class="form-control" id="sTraCertificaVehiculoPrin" minlength="10" maxlength="15" name="sTraCertificaVehiculoPrin" placeholder="Certificado Vehiculo Principal">
                                            </div>
                                            <div class="col-md-3">
                                                Vehiculo Secundario
                                                <input type="text" class="form-control" id="sTraVehiculoSec" name="sTraVehiculoSec" placeholder="Vehiculo Secundario"
                                                    minlength="6" maxlength="8">
                                            </div>
                                            <div class="col-md-3">
                                                Certificado Vehiculo Secundario
                                                <input type="text" class="form-control" id="sTraCertificaVehiculoSec" minlength="10" maxlength="15" name="sTraCertificaVehiculoSec" placeholder="Certificado Vehiculo Secundario">
                                            </div>
                                        </div>
                                    </div>

                                </div>
                            </div>
                        </div>
                    </div><!-- /.box-body -->
                    <div class="box-footer">
                        <button type="submit" class="btn btn-primary btn-flat">Guardar información</button>
                        <a href="?c=GuiaremisionTransportista&a=Index" class="btn btn-danger btn-flat">Cancelar</a>
                    </div>
                </div><!-- /.box -->
            </form>
        </div><!-- /.col -->
    </div><!-- /.row -->
</section><!-- /.content -->
<div class="modal fade" id="agregar_producto" tabindex="-1" role="dialog" aria-labelledby="modal-eliminar-label" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content" id="FrmTipomovimiento">

        </div>
    </div>
</div>

<!-- modal -->
<div class="modal fade" id="puntoPartidaModal" tabindex="-1" role="dialog">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="puntoPartida-title">Ultimos Puntos de Partida Registrados</h4>
            </div>
            <div id="puntoPartidaModal-body" class="modal-body" style="height: 500px; overflow-y: scroll;">
            </div>
            <div class="modal-footer" id="puntoPartidaModal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
            </div>
        </div>
    </div>
</div>
<!-- terminar modal -->

<script type="text/javascript" src="view/librerias/dist/js/funcionesGuiaremisionTransportista.js"></script>
<script type="text/javascript">
    $('#dTraFecha').datetimepicker({
        viewMode: 'days',
        format: 'DD-MM-YYYY HH:mm',
    });
    var ubigeo = "<?= $_SESSION['usu_enterpriseUbigeoName'] ?>";
    var ubigeo_dept = ubigeo.split(' - ')[0];
    var ubigeo_prov = ubigeo.split(' - ')[1];
    var ubigeo_dist = ubigeo.split(' - ')[2];
    
    //TODO: solo INVERSIONES AG
    <?php if ($_SESSION['usu_enterpriseRuc'] == 20481666105) { ?>
        $(document).ready(function () {
            document.getElementById('sTraSerieSelect').value = 18 // DEFECTO ES V001
            cambiarNroGuia()
        });

        function cambiarNroGuia() {
            const valueSelect = document.getElementById('sTraSerieSelect').value
            <?php if (!isset($r)) { ?>
                    if (valueSelect !== "") {
                        $.post('?c=GuiaremisionTransportista&a=Cambio', {
                            idSerie: valueSelect
                        }, function(data) {
                            if (data) {
                                const json = JSON.parse(data)
                                document.getElementById('sNumeroGenerado').value = json.sDocNombreCorto + "-" + json.sDocSiguiente
                            }
                        })
                    } else {
                        document.getElementById('sNumeroGenerado').value = ''
                    }
            <?php } else { ?>
                var xserie = "<?= $r['sTraSerie'] . '-' . $r['sNumeroGenerado']?>"
                document.getElementById('sNumeroGenerado').value = xserie
            <?php } ?>
        }
    <?php } ?>
    // TODO: FIN solo INVERSIONES AG
    
</script>
<?php if (isset($_REQUEST['code'])) { ?>
    <script type="text/javascript">
        function loaddata(Guiaremision_Id) {
            $.post('?c=GuiaremisionTransportista&a=Buscar', {
                Guiaremision_Id: Guiaremision_Id
            }, (data) => {
                if (data) {
                    var data = JSON.parse(data);
                    console.log(data);
                    for (let item in data) {
                        var doc = document.getElementById(item);
                        if (doc) {
                            doc.value = data[item];
                        }
                    }
                    $("#sTraCodigoMotivoTraslado").val(data.sTraCodigoMotivoTraslado + '|' + data.sTraMotivoTraslado)
                    $("#sTraCodigoModalidadTraslado").val(data.sTraCodigoModalidadTraslado + '|' + data.sTraDescripcionModalidadTraslado)
                    $("#sTraCodigoUnidadMedidaTraslado").val(data.sTraCodigoUnidadMedidaTraslado + '|' + data.sTraAliasUnidadMedidaTraslado + '|' + data.sTraDescripcionUnidadMedidaTraslado);
                    setTimeout(() => {
                        $("#nMovOrigenDestino_Id").val(data.nMovOrigenDestino_Id);
                        $("#nMovOrigenDestino_Id").selectpicker('refresh');
                        var ubigeoLlegada = (data.sTraCodigoUbigeoPuntoLlegadaTraslado).match(/.{1,2}/g);
                        $("#dTraLleDepartamento").val(ubigeoLlegada[0]).change();
                        setTimeout(() => {
                            $("#sTraLleProvincia").val(ubigeoLlegada[1]).change();
                            setTimeout(() => {
                                $("#sTraLleDistrito").val(ubigeoLlegada[2]).change();
                            }, 400);
                        }, 400);

                        var ubigeoPartida = (data.sTraCodigoUbigeoPuntoPartidaTraslado).match(/.{1,2}/g);
                        $("#dTraParDepartamento").val(ubigeoPartida[0]).change();
                        setTimeout(() => {
                            $("#sTraParProvincia").val(ubigeoPartida[1]).change();
                            setTimeout(() => {
                                $("#sTraParDistrito").val(ubigeoPartida[2]).change();
                            }, 400);
                        }, 400);
                    }, 900);
                    products_detail = data.detalle;
                    create_table();
                }
            });
        }
        loaddata(<?php echo $_REQUEST['code']; ?>)
    </script>
<?php
} ?>