<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        Registration/Expenses
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="wfamain.php"><i class="fa fa-dashboard"></i> Home</a></li>
        <li><a href="#">Registration/Expenses</a></li>
    </ol>
</section>
<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-xs-12">
            <div class="box">
                <div class="box-header">
                    <h3 class="box-title">Registration/Expenses</h3>

                    <div class="row">
                        <div class="col-md-8" style="margin-top: 15px;">
                            <form action="?c=Gasto&a=Index" method="POST">
                                <div class="row">
                                    <input type="hidden" id="id_empresa" value="<?php echo $_SESSION['usu_enterpriseRuc']; ?>">
                                    <div class="col-md-3">
                                        Start date <br />
                                        <input type="text" class="form-control col-md-4" name="fechaInicio" id="fechaInicio" value="<?php echo isset($_POST['fechaInicio']) ? $_POST['fechaInicio'] : date('d-m-Y', strtotime('-1 day', strtotime(date('d-m-Y')))) ?>">
                                    </div>
                                    <div class="col-md-3">
                                        End date <br />
                                        <input type="text" class="form-control col-md-4" name="fechaFin" id="fechaFin" value="<?php echo isset($_POST['fechaFin']) ? $_POST['fechaFin'] : date('d-m-Y', strtotime(date('d-m-Y'))) ?>">
                                    </div>
                                    <div class="col-md-3">
                                        Company
                                        <select class="form-control" id="paramDestino" name="paramDestino">
                                            <option value="0">All</option>
                                            <?php foreach($companies as $company) { ?>
                                                <option value="<?php echo $company->Enterprise_Id; ?>"><?php echo $company->sEnterName; ?></option>
                                            <?php } ?>
                                        </select>
                                    </div>
                                    <div class="col-md-3"><br>
                                        <button type="submit" class="btn btn-danger btn-flat btn-custom">Filter
                                        </button>
                                    </div>

                                </div>
                            </form>
                        </div>
                        <div class="col-md-4 text-right" style="margin-top: 15px;"><br>
                            <a class="btn btn-primary btn-flat btn-custom" onclick="addExpense();">New Expense</a>
                        </div>

                    </div>
                </div><!-- /.box-header -->
                <div class="box-body">
                    <table id="example1" class="table table-bordered table-striped table-hover text-center">
                        <thead>
                            <tr>
                                <th>Date</th>
                                <th>Description</th>
                                <th>Amount</th>
                                <!-- <th>Companies</th> -->
                                <th>Status</th>
                                <th>Actions</th>
                            </tr>
                        </thead>

                        <tbody>
                            <?php foreach($gastos as $gasto) { ?>

                                <?php 
                                $estado = '';
                                if($gasto->nGasEstado == '0') {
                                    $estado = '<span class="label label-danger">Anulado</span>';
                                } else if ($gasto->nGasEstado == '1') {
                                    $estado = '<span class="label label-success">Registrado</span>';
                                }
                                ?>

                                <tr>
                                    <td><?php echo date('d-m-Y', strtotime($gasto->dGasFechaEmision)) ?></td>
                                    <td><?php echo $gasto->sGasDescripcion ?></td>
                                    <td><?php echo $gasto->nGasMonto ?></td>
                                    <!-- <td><?php echo $destino ?></td> -->
                                    <td><?php echo $estado ?></td>
                                    <td>
                                        <a href="#" class="btn btn-primary btn-flat btn-xs" data-toggle="modal" data-target="#modal-ver" onclick="MostrarGasto('<?php echo $gasto->Gasto_Id ?>')"><i class="glyphicon glyphicon-eye-open"></i></a>
                                        <a href="#" class="btn btn-warning btn-flat btn-xs" onclick="FrmEditarGasto('<?php echo $gasto->Gasto_Id ?>')"><i class="glyphicon glyphicon-edit"></i></a>
                                        <a href="#" class="btn btn-danger btn-flat btn-xs" data-toggle="modal" data-target="#modal-eliminar" data-gasto="<?php echo $gasto->Gasto_Id; ?>"><i class="glyphicon glyphicon-trash"></i></a>

                                    </td>
                                </tr>
                            <?php } ?>
                        </tbody>
                        
                        <tfoot>
                            <tr>
                                <th>Date</th>
                                <th>Description</th>
                                <th>Amount</th>
                                <!-- <th>Companies</th> -->
                                <th>Status</th>
                                <th>Actions</th>
                            </tr>
                        </tfoot>
                    </table>

                    <!-- Modal modeal-ver -->
                    <div class="modal fade" id="modal-ver" tabindex="-1" role="dialog" aria-labelledby="modal-ver-label" aria-hidden="true">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <form action="?c=Movimiento&a=PDFMovimiento" method="POST">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                                        <h4 class="modal-title" id="modal-ver-label">Registro de Gasto</h4>
                                    </div>
                                    <div class="modal-body">
                                        <table class="table table-striped" id="ver_datos">

                                        </table>
                                    </div>
                                    <div class="modal-footer">
                                        <!-- <button type="submit" class="btn btn-danger" formtarget="_blak"><i class="fa fa-print"></i>&nbsp;Imprimir</button> -->
                                        <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                                        <!-- <button type="button" onclick="Actualizar_obs_docref()" class="btn btn-success"><i class="fa fa-edit"></i>&nbsp;Actualizar</button> -->

                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                    <!-- /Modal modal-ver -->

                    <!-- Modal modal-register -->
                    <div class="modal fade" id="modal-register" tabindex="-1" role="dialog" aria-labelledby="modal-register-label" aria-hidden="true">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <form action="" method="POST">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                                        <h4 class="modal-title" id="modal-register-label">Register</h4>
                                    </div>
                                    <div class="modal-body">
                                        <div class="row">
                                            <div class="col-md-12">
                                                <div id="response_expense"></div>
                                            </div>
                                            <input type="hidden" name="Gasto_Id" id="Gasto_Id">
                                            <div class="col-md-12">
                                                <div class="form-group">
                                                    <label>Date</label>
                                                    <input type="date" class="form-control" name="dMovFecha" id="dMovFecha">
                                                </div>
                                            </div>
                                            <div class="col-md-12">
                                                <div class="form-group">
                                                    <label>Description</label>
                                                    <input type="text" class="form-control" name="sGasDescripcion" id="sGasDescripcion">
                                                </div>
                                            </div>
                                            <div class="col-md-12">
                                                <div class="form-group">
                                                    <label>Amount</label>
                                                    <input type="text" class="form-control" name="nGasMonto" id="nGasMonto">
                                                </div>
                                            </div>

                                            <div class="col-md-12">
                                                <div class="form-group">
                                                    <label>Destino del gasto</label>
                                                    <div style="display: flex; gap: 10px;">
                                                        <?php foreach ($companies as $item) { ?>
                                                            <div>
                                                                <input type="checkbox" name="<?php echo "nGas" . $item->Enterprise_Id ?>" id="<?php echo $item->Enterprise_Id ?>"
                                                                    
                                                                >
                                                                <?php echo $item->sEnterName ?>
                                                            </div>
                                                        <?php } ?>
                                                        <!-- <div>
                                                            <input type="checkbox" name="nGasEmpresaUno" id="nGasEmpresaUno">
                                                            <label for="nGasEmpresaUno">Gielow I</label>
                                                        </div>
    
                                                        <div>
                                                            <input type="checkbox" name="nGasEmpresaDos" id="nGasEmpresaDos">
                                                            <label for="nGasEmpresaDos">Gielow II</label>
                                                        </div>

                                                        <div>
                                                            <input type="checkbox" name="nGasEmpresaTres" id="nGasEmpresaTres">
                                                            <label for="nGasEmpresaTres">Gielow III</label>
                                                        </div>
                                                        
                                                        <div>
                                                            <input type="checkbox" name="nGasPersonal" id="nGasPersonal">
                                                            <label for="nGasPersonal">Personal</label>
                                                        </div> -->
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" onclick="GuardarGasto()" class="btn btn-success">
                                            <span id="span_update" class="hidden">Update</span>
                                            <span id="span_save">Save</span>
                                        </button>
                                        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>

                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                    <!-- /Modal modal-register -->

                    <!-- Modal modal-eliminar -->
                    <div class="modal fade" id="modal-eliminar" tabindex="-1" role="dialog" aria-labelledby="modal-eliminar-label" aria-hidden="true">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <form action="#" method="POST">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                                        <h4 class="modal-title" id="modal-eliminar-label">Eliminar gasto</h4>
                                    </div>
                                    <div class="modal-body">
                                        <input type="hidden" name="Gasto_Id" id="Gasto_Id" value="">
                                        ¿Estás seguro que desea eliminar el gasto?
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-default btn-flat" data-dismiss="modal">No, cancelar</button>
                                        <button onclick="EliminarGasto()" type="button" class="btn btn-danger btn-flat">Si, eliminar</button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                    <!-- /Modal modal-eliminar -->

                </div><!-- /.box-body -->
            </div><!-- /.box -->
        </div><!-- /.col -->
    </div><!-- /.row -->
    <div id="script_js"></div>
</section><!-- /.content -->

<script type="text/javascript" src="view/librerias/dist/js/funcionesGasto.js"></script>
<script type="text/javascript">
    $('#fechaInicio').datetimepicker({
        viewMode: 'days',
        format: 'DD-MM-YYYY'
    });

    $('#fechaFin').datetimepicker({
        viewMode: 'days',
        format: 'DD-MM-YYYY'
    });
    $(function() {
        jQuery.fn.dataTableExt.oSort['fecha-asc'] = function(a, b) {
            var ukDatea = a.split('-');
            var ukDateb = b.split('-');

            var x = (ukDatea[2] + ukDatea[1] + ukDatea[0]) * 1;
            var y = (ukDateb[2] + ukDateb[1] + ukDateb[0]) * 1;

            return ((x < y) ? -1 : ((x > y) ? 1 : 0));
        };

        jQuery.fn.dataTableExt.oSort['fecha-desc'] = function(a, b) {
            var ukDatea = a.split('-');
            var ukDateb = b.split('-');

            var x = (ukDatea[2] + ukDatea[1] + ukDatea[0]) * 1;
            var y = (ukDateb[2] + ukDateb[1] + ukDateb[0]) * 1;

            return ((x < y) ? 1 : ((x > y) ? -1 : 0));
        };
        $("#example1").dataTable({
            "scrollX": true,
            "bSort": true,
            "language": {
            }
        });
    });

    $('#modal-eliminar').on('show.bs.modal', function(event) {
        var button = $(event.relatedTarget); // Button that triggered the modal
        var gasto = button.data('gasto'); // Extract info from data-* attributes

        // If necessary, you could initiate an AJAX request here (and then do the updating in a callback).
        // Update the modal's content. We'll use jQuery here, but you could use a data binding library or other methods instead.
        $("#Gasto_Id").val(gasto);
    });

    $('#modal-register').on('hidden.bs.modal', function() {
        document.getElementById('span_update').classList.add('hidden')
        document.getElementById('span_save').classList.remove('hidden')
    });
</script>