<style>
    .inp-cantidad {
        width: 5rem;
        margin: auto;
        text-align: center;
    }

    .inp-precio {
        width: 9rem;
        margin: auto;
        text-align: center;
    }

    .nopromovido tr td input[type='text'] {
        background-color: transparent !important;
        color: black !important;
        border: 0 !important;
    }
</style>

<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        Registrar Gastos
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="wfamain.php"><i class="fa fa-dashboard"></i> Inicio</a></li>
        <li><a href="#">Registrar Gastos</a></li>
    </ol>
</section>
<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-xs-12">
            <div class="box box-primary">
                <form action="javascript:GuardarGasto();" method="POST" id="FormGasto">
                    <div class="box-header">
                        <h3 class="box-title">Datos basicos</h3>
                    </div>
                    <!-- /.box-header -->
                    <div class="box-body">
                        <div id="resultado"></div>
                        <div class="row">
                            <input type="hidden" name="Gasto_Id" id="Gasto_Id" value="<?php echo isset($r) ? $r->Gasto_Id : 0 ?>">

                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Fecha de Emisi&oacute;n</label>
                                    <input name="dMovFecha" id="dMovFecha" type="text" class="form-control input-custom datepicker" data-toggle="tooltip" data-placement="top" value="<?php echo isset($r) ? date('d-m-Y', strtotime($r->dGasFechaEmision)) : date('d-m-Y') ?>" />
                                </div>
                            </div>

                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Descripci&oacute;n</label>
                                    <input name="sGasDescripcion" id="sGasDescripcion" type="text" class="form-control" value="<?php echo isset($r) ? $r->sGasDescripcion : '' ?>"/>
                                </div>
                            </div>

                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Monto</label>
                                    <input name="nGasMonto" id="nGasMonto" type="text" class="form-control input-custom" value="<?php echo isset($r) ? $r->nGasMonto : '00.00' ?>"/>
                                </div>
                            </div>

                            <div class="col-md-4">
                                <label>Company</label>
                                <div class="form-group">
                                    <div>
                                        <input type="checkbox" name="nGasEmpresaUno" id="nGasEmpresaUno"
                                            <?php echo isset($r) && $r->nGasEmpresaUno == 1 ? 'checked' : '' ?>
                                        >
                                        <label for="nGasEmpresaUno">Gielow I</label>
                                    </div>

                                    <div>
                                        <input type="checkbox" name="nGasEmpresaDos" id="nGasEmpresaDos"
                                            <?php echo isset($r) && $r->nGasEmpresaDos == 1 ? 'checked' : '' ?>
                                        >
                                        <label for="nGasEmpresaDos">Gielow II</label>
                                    </div>
                                    
                                    <div>
                                        <input type="checkbox" name="nGasPersonal" id="nGasPersonal"
                                            <?php echo isset($r) && $r->nGasPersonal == 1 ? 'checked' : '' ?>
                                        >
                                        <label for="nGasPersonal">Personal</label>
                                    </div>
                                </div>
                            </div>
                            
                        </div>
                    </div>
                    <!-- /.box-body -->
                    <div class="box-footer">
                        <button type="submit" class="btn btn-primary btn-flat btn-custom">Guardar información</button>
                        <a href="?c=Gasto&a=Index" class="btn btn-danger btn-flat btn-custom">Cancelar</a>
                    </div>
                </form>
            </div><!-- /.box -->
        </div><!-- /.col -->
    </div><!-- /.row -->
</section><!-- /.content -->

<div class="modal fade" id="form-agregarcliente" tabindex="-1" role="dialog" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content" id="FrmAddCliente"></div>
    </div>
</div>
<!-- /Modal modal-eliminar -->
<div class="modal fade" id="agregar_producto" tabindex="-1" role="dialog" aria-labelledby="modal-eliminar-label" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content" id="FrmTipomovimiento">

        </div>
    </div>
</div>
<div class="modal fade" id="eliminar_productos" tabindex="-1" role="dialog" aria-labelledby="modal-eliminar-label" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content" id="FrmTipomovimiento">
            <form action="javascript:EliminarProductoLista();" method="POST" id="FrmIngresoCompra">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                    <h4 class="modal-title" id="modal-eliminar-label">ELIMINAR PRODUCTOS</h4>
                </div>
                <div class="modal-body">
                    <input type="hidden" name="Codigo_Producto" id="Codigo_Producto">
                    ¿Desea eliminar al producto de la lista?
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default btn-flat btn-custom" data-dismiss="modal">No, cancelar</button>
                    <button type="submit" class="btn btn-danger btn-flat btn-custom">Si, Eliminar</button>
                </div>
            </form>
        </div>
    </div>
</div> <!-- /Modal modal-eliminar -->

<!-- /Modal modal-pagos -->

<div class="modal fade" id="form-agregarpagos" tabindex="-1" role="dialog">
    <div class="modal-dialog" role="document">
        <div class="modal-content modal-conten-login">
            <form method="post" id="FrmAgregarPagos">
                <div class="modal-header d-flex align-items-center justify-content-between">
                    <h4 class="modal-title modal-title-solicitud">Agregar Pagos</h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="form-group has-feedback" id="resultado-rest-password"></div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group has-feedback">
                                        <label>Fecha</label>
                                        <input name="dMovPagFechaCuota" id="dMovPagFechaCuota" type="text" class="form-control input-custom datepicker" data-toggle="tooltip" data-placement="top" />
                                        <!-- <input type="text" class="form-control" name="dMovPagFechaCuota" id="dMovPagFechaCuota"> -->
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group has-feedback">
                                        <label>Importe</label>
                                        <div style="display: flex">
                                            <input name="nMovPagTotalCuota" id="nMovPagTotalCuota" type="text" class="form-control input-custom" placeholder="S/." data-toggle="tooltip" data-placement="top" value="" />
                                            &nbsp;&nbsp;<a type="button" onclick="agregar_importe()" class="btn btn-success btn-flat"><i class="fa fa-plus-square"></i></a>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>

                        <div class="col-sm-12">
                            <table class="table table-bordered table-hover table-striped">
                                <thead>
                                    <tr>
                                        <th style="display: none;">Id</th>
                                        <th>Fecha</th>
                                        <th>Importe</th>
                                        <th>#</th>
                                    </tr>
                                </thead>
                                <tbody id="tabla_importes_agregados">

                                </tbody>
                            </table>
                        </div>

                        <div class="col-md-12">
                            <div style="text-align:center;">
                                <label>Total</label>
                                <input style="text-align: center; border-top: black;" id="resultado_importes" type="text" data-toggle="tooltip" data-placement="top" value="0" disabled />
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer d-flex justify-content-center">
                    <button type="button" class="btn btn-primary btn-custom" onclick="guardarImportes()">Guardar</button>
                    <button type="button" class="btn btn-default btn-custom" data-dismiss="modal">Cancelar</button>
                </div>
            </form>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->


<div class="modal fade" id="modal_confirmareliminar_importe" tabindex="-1" role="dialog" aria-labelledby="modal-eliminar-label" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <form onsubmit="return false;" method="POST">
                <input type="hidden" id="row_importe_a_eliminar" />
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">
                        <span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                    <h4 class="modal-title" id="modal-eliminar-label">Eliminar Pago</h4>
                </div>
                <div class="modal-body">
                    <input type="hidden" name="codigo" id="codigo">
                    <input type="hidden" name="fila" id="fila">
                    ¿Desea eliminar al pago de la lista?
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default btn-flat btn-custom" data-dismiss="modal">No, cancelar</button>
                    <button type="button" onclick="return quitar_pago_ok($('#row_importe_a_eliminar').val())" class="btn btn-danger btn-flat btn-custom">Sí, eliminar</button>
                </div>
            </form>
        </div>
    </div>
</div>

<script src="view/librerias/dist/js/funcionesGasto.js"></script>

<!-- <script src="view/librerias/dist/js/funcionesMovimiento.js"></script> -->
<script type="text/javascript">
    $('#dMovFecha').datetimepicker({
        viewMode: 'days',
        format: 'DD-MM-YYYY',
    });

</script>