<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        Tipo documento
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="#"><i class="fa fa-dashboard"></i> Inicio</a></li>
        <li class="active">Tipo documento</li>
    </ol>
</section>
<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-md-12" id="resultadoPasajero">

        </div>
        <div class="col-md-12">
            <div class="box box-primary">
                <div class="box-header">
                    <h4>Relación completa de tipo de documento</h4>                    
                </div>
                <div class="box-body">
                      <?php if ($this->seguridad->validRoleName(RolesType::contador) == false) { ?>
                        <div class="form-group">
                            <button class="btn btn-primary btn-flat" onclick="FrmGuardarTipodocumento();">Nuevo tipo documento</button>
                        </div>
                    <?php } ?>
                    <table id="example1" class="table table-bordered table-striped text-center">
                        <thead>
                            <tr>
                                <th>Tipo de Movimiento</th>
                                <th>Almacén</th>
                                <th>Nombre</th>
                                <th>Nombre corto</th>
                                <th>Automático</th>
                                <th>Número siguiente</th>
                                <th>Tipo de Impresi&oacute;n</th>
                                <th>Habilitado env&iacute;o FE</th>
                                <th>Estado</th>
                                <th>Operaciones</th>
                            </tr>
                        </thead>                  	
                        <tbody>  
                            <?php 
                            foreach ($tipodocumento as $row){
                            ?>
                            <tr>
                                <td><?php echo $row->__GET('sTMovNombre'); ?></td>
                                <td><?php echo $row->__GET('sAlmNombre'); ?></td>
                                <td><?php echo $row->__GET('sDocNombre'); ?></td>
                                <td><?php echo $row->__GET('sDocNombreCorto'); ?></td>
                                <td><?php echo $row->__GET('nDocNomAutomatico') == 1 ? 'Si':'No'; ?></td>
                                <td><?php echo $row->__GET('sDocSiguiente'); ?></td>
                                <td>
                                    <?php
                                        $nDocTipoImprimirArray = array(
                                            '0' => "No disponible",
                                            '1' => "Ticket",
                                            '3' => "Ticket2",
                                            '2' => "A4",
                                            '4' => "A4-2"
                                        );
                                        echo $nDocTipoImprimirArray[$row->__GET('nDocTipoImprimir')]
                                    ?>
                                </td>
                                <td>
                                    <?php echo $row->__GET('isFE') == 1 ? '<span class="label label-success">Habilitado</span>':'<span class="label label-danger">Deshabilitado</span>';
                                    ?>
                                </td>
                                <td>
                                    <?php echo $row->__GET('nDocEstado') == 1 ? '<span class="label label-success">Habilitado</span>':'<span class="label label-danger">Deshabilitado</span>';
                                    ?>
                                </td>
                                <td>
                                    <a class="btn btn-primary btn-xs btn-flat" data-toggle="modal" data-target="#Mostrar" onclick="mostrarTipodocumento('<?php echo $row->__GET('Documento_Id'); ?>');"><span class="glyphicon glyphicon-eye-open"></span></a>
                                     <?php if ($this->seguridad->validRoleName(RolesType::contador) == false) { ?>
                                            <a class="btn btn-success btn-xs btn-flat" onclick="FrmEditarTipodocumento('<?php echo $row->__GET('Documento_Id'); ?>');"><span class="glyphicon glyphicon-edit"></span></a>
                                            <a class="btn btn-danger btn-xs btn-flat" data-toggle="modal" data-target="#Eliminar" data-codigo="<?php echo $row->__GET('Documento_Id'); ?>"><span class="glyphicon glyphicon-remove"></span></a>
                                        <?php } ?>
                                </td>
                            </tr>
                            <?php 
                            }
                            ?>
                        </tbody>
                        <tfoot>
                            <tr>
                                <th>Tipo de Movimiento</th>
                                <th>Almacén</th>
                                <th>Nombre</th>
                                <th>Nombre corto</th>
                                <th>Automático</th>
                                <th>Número siguiente</th>
                                <th>Tipo de Impresi&oacute;n</th>
                                <th>Habilitado envi&iacute;o FE</th>
                                <th>Estado</th>
                                <th>Operaciones</th>
                            </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- Modal modal-eliminar -->
<div class="modal fade" id="modal-agregar" tabindex="-1" role="dialog" aria-labelledby="modal-eliminar-label" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <form action="" method="POST">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                    <h4 class="modal-title" id="modal-eliminar-label">Agregar tipo de pago</h4>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-md-12 form-group">
                            <label>Descripcion de Tipo de pago</label>
                            <textarea class="form-control" name="" id="" placeholder="Descripción"></textarea>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="submit" class="btn btn-primary btn-flat">Si, Agregar</button>
                    <button type="button" class="btn btn-default btn-flat" data-dismiss="modal">No, cancelar</button>
                </div>
            </form>
        </div>
    </div>
</div>
<div class="modal fade" id="Mostrar">
    <div class="modal-dialog">
        <div class="modal-content">
            <form action="?c=Almacen&a=EliminarAlmacen" method="POST">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title">Tipo de documento</h4>
                </div>
                <div class="modal-body">
                    <table class="table table-bordered" id="ver_datos">
                        <tbody>
                            <tr>
                                <td>Cargando datos...</td>
                            </tr>
                        </tbody>
                    </table>
                </div>
                <div class="modal-footer">
                    <button type="submit" class="btn btn-danger btn-flat">Imprimir</button>
                    <button type="button" class="btn btn-default btn-flat" data-dismiss="modal">Cerrar</button>
                </div>
            </form>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->
<div class="modal fade" id="Eliminar">
    <div class="modal-dialog">
        <div class="modal-content">
            <form action="?c=Tipodocumento&a=EliminarTipodocumento" method="POST">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title">Eliminar</h4>
                </div>
                <div class="modal-body">
                    <input type="hidden" id="idDocumento" name="idDocumento">
                    <p>¿Estás seguro que desea eliminar?</p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default btn-flat" data-dismiss="modal">No, Cancelar</button>
                    <button type="submit" class="btn btn-danger btn-flat">Si, Eliminar</button>
                </div>
            </form>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->
<!-- /Modal modal-eliminar -->
<script type="text/javascript" src="view/librerias/dist/js/funcionesTipodocumento.js"></script>
<script type="text/javascript">
    $(function() {
        jQuery.fn.dataTableExt.oSort['fecha-asc'] = function(a, b) {
            var ukDatea = a.split('-');
            var ukDateb = b.split('-');

            var x = (ukDatea[2] + ukDatea[1] + ukDatea[0]) * 1;
            var y = (ukDateb[2] + ukDateb[1] + ukDateb[0]) * 1;

            return ((x < y) ? -1 : ((x > y) ? 1 : 0));
        };

        jQuery.fn.dataTableExt.oSort['fecha-desc'] = function(a, b) {
            var ukDatea = a.split('-');
            var ukDateb = b.split('-');

            var x = (ukDatea[2] + ukDatea[1] + ukDatea[0]) * 1;
            var y = (ukDateb[2] + ukDateb[1] + ukDateb[0]) * 1;

            return ((x < y) ? 1 : ((x > y) ? -1 : 0));
        };
        $("#example1").dataTable({
            "scrollX": true,
            "bSort": true,
            "language": {
                "search": "Buscar",
                "lengthMenu": "Visualizar _MENU_ registro por página",
                "zeroRecords": "No hay información para mostrar",
                "info": "Pagina _PAGE_ de _PAGES_ de _MAX_ ",
                "infoEmpty": "Pagina _PAGE_ - _PAGES_ de _MAX_ registros",
                "infoFiltered": "(filtered from _MAX_ total records)",
                "paginate": {
                    "previous": "Anterior",
                    "next": "Siguiente"
                }
            }
        });
    });
    $('#Eliminar').on('show.bs.modal', function(event) {
        var button = $(event.relatedTarget); // Button that triggered the modal
        var recipient = button.data('codigo'); // Extract info from data-* attributes

        // If necessary, you could initiate an AJAX request here (and then do the updating in a callback).
        // Update the modal's content. We'll use jQuery here, but you could use a data binding library or other methods instead.
        var modal = $(this);
        modal.find('.modal-body input').val(recipient);
    });
</script>

