<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        Cr&eacute;ditos
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="wfamain.php"><i class="fa fa-dashboard"></i> Inicio</a></li>
        <li><a href="#">Cr&eacute;ditos</a></li>
    </ol>
</section>
<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-xs-12">
            <div class="box box-primary">
                <div class="box-header">
                    <h3 class="box-title">Relación de Cr&eacute;ditos</h3>
                    <div class="row">
                        <div class="col-md-8" style="margin-top: 15px;">
                            <form action="?c=Reportes&a=Creditos" method="POST">
                                <div class="row">
                                    <div class="col-md-3">
                                        Fecha Inicio <br />
                                        <input type="text" class="form-control" name="fechaIni" id="fechaIni" value="<?php echo $fechaIni; ?>">
                                    </div>
                                    <div class="col-md-3">
                                        Fecha Fin <br />
                                        <input type="text" class="form-control" name="fechaFin" id="fechaFin" value="<?php echo $fechaFin; ?>">
                                    </div>
                                    <div class="col-md-3">
                                        Tipo de movimiento<br>
                                        <select class="form-control" name="Tipomovimiento_Id" id="Tipomovimiento_Id">
                                            <?php foreach ($tipomovimiento as $timo) { ?>
                                                <option value="<?php echo $timo->__GET('TipoMovimiento_Id'); ?>" <?php echo $timo->__GET('TipoMovimiento_Id') == 2 ? 'selected' : ''; ?>><?php echo $timo->__GET('sTMovNombre'); ?></option>
                                            <?php } ?>
                                        </select>
                                    </div>
                                    <div class="col-md-3">
                                        <br>
                                        <button type="submit" id="filtrar" class="btn btn-danger btn-flat">Filtrar</button>
                                        <button type="button" class="btn btn-success btn-flat" id="click-export-excel">Exportar</button>

                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div><!-- /.box-header -->
                <div class="box-body">
                    <table id="example1" class="table table-hover display responsive no-wrap">

                        <thead>
                            <tr>
                                <th>Documento</th>
                                <th>Fecha</th>
                                <th>Vencimiento</th>
                                <th>D&iacute;as Vencidos</th>
                                <th>RUC</th>
                                <th>Cliente/Proveedor</th>
                                <th>Moneda</th>
                                <th>Total</th>
                                <th>Pagado</th>
                                <th>Pago Pendiente</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php $i = 0; ?>
                            <?php foreach ($reportes as $r) : ?>
                                <tr id="<?php echo preg_replace("/[-\s]/", "", $r->Documento . $i); ?>">
                                    <td><a href="#" data-toggle="modal" data-target="#movimiento" onclick="MostrarMovimiento(<?php echo preg_replace('/[-\s]/', '', $r->Documento . $i); ?>)"><?php echo $r->Documento; ?></a></td>
                                    <td><?php echo $r->Fecha; ?></td>
                                    <td><?php echo $r->Vencimiento; ?></td>
                                    <!-- <td data-order="<?= $r->DiasRestantes ?>"> -->
                                    <td>
                                        <?php
                                        $dr = intval($r->DiasRestantes);
                                        $drText = sprintf('%s D&Iacute;AS', $dr * -1);
                                        switch ($dr) {
                                            case 14:
                                            case 13:
                                            case 12:
                                            case 11:
                                            case 10:
                                            case 9:
                                            case 8:
                                                $drLbl = 'success';
                                                break;
                                            case 7:
                                            case 6:
                                            case 5:
                                            case 4:
                                            case 3:
                                            case 2:
                                            case 1:
                                                $drLbl = 'warning';
                                                break;
                                            case 0:
                                                $drLbl = 'danger';
                                                $drText = 'HOY';
                                                break;
                                            case preg_match('/^\-/', $dr) == true:
                                                $drLbl = 'danger';
                                                break;
                                            default:
                                                $drLbl = 'info';
                                        }
                                        echo "<span class='label label-$drLbl'>$drText</span>";
                                        ?>
                                    </td>
                                    <td><?php echo $r->RUC; ?></td>
                                    <td><?php echo $r->CliProv; ?></td>
                                    <td><?php echo $r->Moneda; ?></td>
                                    <td><?php echo $r->Total; ?></td>
                                    <td><?php echo $r->Pagado; ?></td>
                                    <td><?php echo $r->Pendiente; ?></td>
                                    <!-- <td><?php echo number_format($r->Total, 2, '.', ','); ?></td> -->
                                    <?php $i++; ?>
                                </tr>
                            <?php endforeach; ?>
                        </tbody>
                        <tfoot>
                            <tr>
                                <th style="visibility:hidden">Total</th>
                                <th style="visibility:hidden">Total</th>
                                <th style="visibility:hidden">Total</th>
                                <th style="visibility:hidden">Total</th>
                                <th style="visibility:hidden">Total </th>
                                <th style="visibility:hidden">Total </th>
                                <th style="visibility:hidden" id="totalp">Total p&aacute;gina:</th>
                                <th id="totalg"></th>
                                <th style="visibility:hidden">Total </th>
                            </tr>
                        </tfoot>
                    </table>

                </div><!-- /.box-body -->
            </div><!-- /.box -->
        </div><!-- /.col -->
    </div><!-- /.row -->
</section><!-- /.content -->

<!-- Modal modeal-ver -->
<div class="modal fade" id="movimiento" tabindex="-1" role="dialog" aria-labelledby="modal-ver-label" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <form action="?c=Movimiento&a=PDFMovimiento" method="POST">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                    <h4 class="modal-title" id="modal-ver-label">Visualizar Credito</h4>
                </div>
                <div class="modal-body">
                    <div id="ver_datos">

                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                </div>
            </form>
        </div>
    </div>
</div>
<!-- /Modal modal-ver -->


<script type="text/javascript">
    var MostrarMovimiento = function(Movimiento_Id) {
        var datos = [];
        var header = [];

        $('#ver_datos').html('');

        $('#example1 thead tr').find('th').each(function() {
            header.push($(this).text());
        });

        var trId = $(Movimiento_Id).filter("tr").attr("id");

        var fila = $(`#${trId}`);
        fila.find('td').each(function() {
            datos.push($(this).text());
        })

        datos.forEach(function(element, index) {

            var addClass = index % 2 == 0 ? 'whitesmoke' : '';

            var html = ` <div class="row" style='font-size: 15px; padding: 5px 0; background-color:${addClass}'>
            <p class="col-xs-4 col-md-4" id="modal_header" style='font-weight: bolder'>${header[index]}:</p>
            <span id="col-xs-8 col-md-8" id="modal_fila">${element}</span>
            </div>`

            $('#ver_datos').append(html);

        });
    }
</script>

<script type="text/javascript">
    $(document).ready(function() {
        $('#fechaIni').datetimepicker({
            viewMode: 'days',
            format: 'DD-MM-YYYY',
        });
        $('#fechaFin').datetimepicker({
            viewMode: 'days',
            format: 'DD-MM-YYYY',
        });
        var fileName = 'Creditos-' + new Date().getFullYear() +
            +(new Date().getMonth() + 1) +
            +new Date().getDay() +
            +new Date().getHours() +
            +new Date().getMinutes() +
            +new Date().getSeconds()
        localStorage.setItem('fileName', JSON.stringify(fileName));
        localStorage.setItem('columna', '7');
    })
</script>

<script type="text/javascript" src="view/librerias/dist/js/funcionExcelCreditos.js"></script>