<!-- Content Header (Page header) -->
<style type="text/css">
    #totalp {
        width: 100px !important;
    }

    #totalg {
        width: 150px !important;
    }
</style>
<section class="content-header">
    <h1>
        Guias de Remisión Transportista
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="wfamain.php"><i class="fa fa-dashboard"></i> Inicio</a></li>
        <li><a href="#">Guias de Remisión Transportista</a></li>
    </ol>
</section>
<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-xs-12">
            <div class="box box-primary">
                <div class="box-header">
                    <h3 class="box-title">Relación de Guias de Remisión Transportista</h3>
                    <div class="row">
                        <div class="col-md-8" style="margin-top: 15px;">
                            <form action="?c=Reportes&a=GuiasRemisionTransportista" method="POST">
                                <div class="row">
                                    <div class="col-md-3">
                                        Fecha Inicio <br />
                                        <input type="text" class="form-control" name="fechaIni" id="fechaIni" value="<?php echo $fechaIni; ?>">
                                    </div>
                                    <div class="col-md-3">
                                        Fecha Fin <br />
                                        <input type="text" class="form-control" name="fechaFin" id="fechaFin" value="<?php echo $fechaFin; ?>">
                                    </div>
                                    <div class="col-md-3">
                                        <br>
                                        <button type="submit" class="btn btn-danger btn-flat">Filtrar</button>
                                        <button type="button" class="btn btn-success btn-flat" id="click-export-excel">Exportar</button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div><!-- /.box-header -->
                <div class="box-body">
                    <table id="example1" class="table table-hover display responsive no-wrap">
                        <thead>
                            <tr>
                                <th>Fecha Emisión</th>
                                <th>Fecha Traslado</th>
                                <th>Documento</th>
                                <th>Remitente</th>
                                <th>Destinatario</th>
                                <th>Motivo Traslado</th>
                                <th>Unidad de medida</th>
                                <th>Peso bruto</th>
                                <th>Pagador</th>
                                <th>Estado SUNAT</th>
                                <th>Usuario</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php foreach ($reportes as $r) { ?>
                                <tr>
                                    <td><?php echo $r->dTraFecha; ?></td>
                                    <td><?php echo $r->dTraFechaTraslado; ?></td>
                                    <td><?php echo $r->Documento; ?></td>
                                    <td><?php echo $r->remitente; ?></td>
                                    <td><?php echo $r->destinatario; ?></td>
                                    <td><?php echo $r->sTraMotivoTraslado; ?></td>
                                    <td><?php echo $r->sTraCodigoUnidadMedidaTraslado; ?></td>
                                    <td><?php echo $r->nTraPesoBrutoGuiaTraslado; ?></td>
                                    <td><?php echo $r->sTraPagador; ?></td>
                                    <td>
                                        <?php
                                        switch ($r->nGuiEstadoSunat) {
                                            case '-1':
                                                $sunatText = 'No enviado';
                                                $sunatLbl = 'estado-sunat';
                                                break;
                                            case '0':
                                                $sunatText = 'Pendiente';
                                                $sunatLbl = 'label-warning';
                                                break;
                                            case '1':
                                                $sunatText = 'Validado';
                                                $sunatLbl = 'label-info';
                                                break;
                                            case '2':
                                                $sunatText = 'Validado';
                                                $sunatLbl = 'label-info';
                                                break;
                                            case '3':
                                                $sunatText = 'Validado';
                                                $sunatLbl = 'label-info';
                                                break;
                                            case '4':
                                                $sunatText = 'Rechazado';
                                                $sunatLbl = 'label-danger';
                                                break;
                                            case '5':
                                                $sunatText = 'Baja';
                                                $sunatLbl = 'label-danger';
                                                break;
                                        }
                                        echo "<span class='label $sunatLbl'>" . $sunatText . "</span>";
                                        ?>
                                    </td>
                                    <td><?php echo $r->usuario; ?></td>
                                </tr>
                            <?php } ?>
                        </tbody>
                        <tfoot>
                            <tr>
                                <th style="visibility:hidden">Total</th>
                                <th style="visibility:hidden">Total</th>
                                <th style="visibility:hidden">Total</th>
                                <th style="visibility:hidden">Total</th>
                                <th style="visibility:hidden" id="totalp">Total p&aacute;gina:</th>
                                <th style="visibility:hidden" id="totalg"></th>
                                <th style="visibility:hidden">Total </th>
                                <th style="visibility:hidden">Total </th>
                                <th style="visibility:hidden">Total</th>
                                <th style="visibility:hidden">Total</th>
                                <th style="visibility:hidden">Total</th>
                            </tr>
                        </tfoot>
                    </table>

                </div><!-- /.box-body -->
            </div><!-- /.box -->
        </div><!-- /.col -->
    </div><!-- /.row -->
</section><!-- /.content -->


<!-- Modal modeal-ver -->
<div class="modal fade" id="movimiento" tabindex="-1" role="dialog" aria-labelledby="modal-ver-label" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <form action="?c=Movimiento&a=PDFMovimiento" method="POST">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                    <h4 class="modal-title" id="modal-ver-label">Visualizar Movimiento</h4>
                </div>
                <div class="modal-body">
                    <div id="ver_datos">

                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                </div>
            </form>
        </div>
    </div>
</div>
<!-- /Modal modal-ver -->



<script type="text/javascript">
    $(document).ready(function() {
        $('#fechaIni').datetimepicker({
            viewMode: 'days',
            format: 'DD-MM-YYYY',
        });
        $('#fechaFin').datetimepicker({
            viewMode: 'days',
            format: 'DD-MM-YYYY',
        });
        var fileName = 'REPORTE-' + new Date().getFullYear() +
            +(new Date().getMonth() + 1) +
            +new Date().getDay() +
            +new Date().getHours() +
            +new Date().getMinutes() +
            +new Date().getSeconds()
        localStorage.setItem('fileName', JSON.stringify(fileName));
        localStorage.setItem('columna', false);
    })
</script>
<script type="text/javascript" src="view/librerias/dist/js/funcionExcel.js"></script>