<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        Lista de precios por producto
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="wfamain.php"><i class="fa fa-dashboard"></i> Inicio</a></li>
        <li><a href="#">Lista de precios</a></li>
    </ol>
</section>
<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-xs-12">
            <div class="box box-primary">
                <div class="box-header">
                    <h3 class="box-title">Relación completa de lista de precios por producto</h3>
                    <div class="row">
                        <div class="col-md-8" style="margin-top: 15px;">
                            <form action="?c=Reportes&a=catalogoProductos" method="POST">
                                <div class="row">

                                    <div class="col-md-3">

                                        <button type="button" class="btn btn-success btn-flat" id="click-export-excel">Exportar</button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div><!-- /.box-header -->
                <div class="box-body">
                    <table id="example1" class="table table-hover display responsive no-wrap">
                        <thead>
                            <tr>
                                <th>Codigo</th>
                                <th>Codigo2</th>
                                <th>Codigo Original</th>
                                <th>Familia</th>
                                <th>Producto/Servicio</th>
                                <th>Marca</th>
                                <th>Marca Original</th>
                                <th>Stock</th>
                                <th>Unidad</th>
                                <th>Precio Prom IGV</th>
                                <th>Precio venta</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php foreach ($reportes as $r) : ?>
                                <tr>
                                    <td><?php echo $r->__GET('valor02'); ?></td>
                                    <td><?php echo $r->__GET('valor03'); ?></td>
                                    <td><?php echo $r->__GET('valor04'); ?></td>
                                    <td><?php echo $r->__GET('valor05'); ?></td>



                                    <td><?php echo "<a href=# data-toggle='modal' data-target='#modal-ver' onClick='mostrarProducto(" . $r->__GET("valor01") . ",0);'>" . $r->__GET('valor06') . "</a>"; ?></td>





                                    <td><?php echo $r->__GET('valor07'); ?></td>
                                    <td><?php echo $r->__GET('valor08'); ?></td>
                                    <td><?php echo $r->__GET('valor09'); ?></td>
                                    <td><?php echo $r->__GET('valor10'); ?></td>
                                    <td><?php echo $r->__GET('valor11'); ?></td>
                                    <td><?php echo $r->__GET('valor12'); ?></td>
                                </tr>
                            <?php endforeach; ?>
                        </tbody>
                        <tfoot>
                            <tr>
                                <th>Codigo</th>
                                <th>Codigo2</th>
                                <th>Codigo Original</th>
                                <th>Familia</th>
                                <th>Producto/Servicio</th>
                                <th>Marca</th>
                                <th>Marca Original</th>
                                <th>Stock</th>
                                <th>Unidad</th>
                                <th>Precio Prom IGV</th>
                                <th>Precio venta</th>
                            </tr>
                        </tfoot>
                    </table>
                </div><!-- /.box-body -->
            </div><!-- /.box -->
        </div><!-- /.col -->
    </div><!-- /.row -->
</section><!-- /.content -->

<!-- Modal modeal-ver -->
<div class="modal fade" id="modal-ver" tabindex="-1" role="dialog" aria-labelledby="modal-ver-label" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <form action="?c=Productos&a=PDFProductos" method="POST">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                    <h4 class="modal-title" id="modal-ver-label">Mostrar Producto</h4>
                </div>
                <div class="modal-body">
                    <table class="table table-striped" id="ver_datos">

                    </table>
                </div>
                <div class="modal-footer">
                    <button type="submit" class="btn btn-danger" formtarget="_blak"><i class="fa fa-print"></i>&nbsp;Imprimir</button>
                    <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                </div>
            </form>
        </div>
    </div>
</div>
<!-- /Modal modal-ver -->


<script type="text/javascript" src="view/librerias/dist/js/funcionesProductos.js"></script>
<script type="text/javascript">
    $(document).ready(function() {
        var fileName = 'REPORTE-' + new Date().getFullYear() +
            +(new Date().getMonth() + 1) +
            +new Date().getDay() +
            +new Date().getHours() +
            +new Date().getMinutes() +
            +new Date().getSeconds()
        localStorage.setItem('fileName', JSON.stringify(fileName));
        localStorage.setItem('columna', false);
    })
</script>
<script type="text/javascript" src="view/librerias/dist/js/funcionExcel.js"></script>