<!-- Content Header (Page header) -->
<style type="text/css">
    #totalp {
        width: 100px !important;
    }

    #totalg {
        width: 150px !important;
    }
</style>
<section class="content-header">
    <h1>
        Reporte de Clientes por Ubigeo
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="wfamain.php"><i class="fa fa-dashboard"></i> Inicio</a></li>
        <li><a href="#">Clientexubigeo</a></li>
    </ol>
</section>
<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-xs-12">
            <div class="box box-primary">
                <div class="box-header">
                    <h3 class="box-title">Relación completa de Clientes por Ubigeo</h3>
                    <div class="row">
                        <div class="col-md-12" style="margin-top: 15px;">
                            <form action="?c=Reportes&a=ClientesxUbigeo" method="POST">
                                <input type="hidden" id="departamento_id" name="departamento_id" value="<?php echo isset($_POST['nProcliDep']) ? $_POST['nProcliDep'] : '0'; ?>">
                                <input type="hidden" id="provincia_id" name="provincia_id" value="<?php echo isset($_POST['nProcliProv']) ? $_POST['nProcliProv'] : '0'; ?>">
                                <input type="hidden" id="distrito_id" name="distrito_id" value="<?php echo isset($_POST['nProcliDist']) ? $_POST['nProcliDist'] : '0'; ?>">

                                <div class="row">
                                    <div class="col-md-3">
                                        Cliente<br />
                                        <select class="form-control selectpicker" id="OrigenDestino_Id" name="OrigenDestino_Id" data-live-search="true">
                                            <option value="0">Seleccionar Cliente</option>
                                            <?php
                                            foreach ($clientes as $cli) :
                                            ?>
                                                <option value="<?php echo $cli->__GET('OrigenDestino_Id'); ?>" <?php echo isset($_POST['OrigenDestino_Id']) ? $_POST['OrigenDestino_Id'] == $cli->__GET('OrigenDestino_Id') ? 'selected' : '' : '' ?>><?php echo $cli->__GET('sODNombre'); ?></option>
                                            <?php
                                            endforeach;
                                            ?>
                                        </select>
                                    </div>
                                    <div class="col-sm-12">
                                        <div class="row">
                                            <div class="col-md-4 form-group">
                                                <label>Departamento</label>
                                                <select class="form-control" name="nProcliDep" id="nProcliDep" onchange="provincias(this.value)">
                                                    <option value="">- seleccionar -</option>
                                                </select>
                                            </div>
                                            <div class="col-md-4 form-group">
                                                <label>Provincia</label>
                                                <select class="form-control" name="nProcliProv" id="nProcliProv" disabled="disabled" onchange="distritos(this.value)">
                                                    <option value="">- seleccionar -</option>
                                                </select>
                                            </div>
                                            <div class="col-md-4 form-group">
                                                <label>Distrito</label>
                                                <select class="form-control" name="nProcliDist" id="nProcliDist" disabled="disabled">
                                                    <option value="">- seleccionar -</option>
                                                </select>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-2">
                                        Fecha Inicio <br />
                                        <input type="text" class="form-control" name="fechaIni" id="fechaIni" value="<?php echo $fechaIni; ?>">
                                    </div>
                                    <div class="col-md-2">
                                        Fecha Fin <br />
                                        <input type="text" class="form-control" name="fechaFin" id="fechaFin" value="<?php echo $fechaFin; ?>">
                                    </div>
                                    <div class="col-md-5">
                                        <br>
                                        <button type="submit" class="btn btn-danger btn-flat">Filtrar</button>
                                        <a class="btn btn-success btn-flat" href="#" id="click-export-excel">Exportar Excel</a>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div><!-- /.box-header -->
                <div class="box-body">
                    <table id="example1" class="table table-hover display responsive no-wrap">
                        <thead>
                            <tr>
                                <th>Fecha</th>
                                <th>Hora</th>
                                <th>Documento</th>
                                <th>RUC</th>
                                <th>Cliente</th>
                                <th>Ubigeo</th>
                                <th>Tipo Pago</th>
                                <th>Moneda</th>
                                <th>Importe</th>
                                <th>IGV</th>
                                <th>Total</th>
                                <th>Pendiente Pago</th>
                                <th>Estado</th>
                                <th>Estado Sunat</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php $i = 0; ?>
                            <?php foreach ($reportes as $r) : ?>
                                <tr id="<?php echo preg_replace("/[-\s]/", "", $r->__GET('valor03') . $i); ?>">
                                    <td><?php echo $r->__GET('valor01'); ?></td>
                                    <td><?php echo $r->__GET('valor02'); ?></td>
                                    <td><a href="#" data-toggle="modal" data-target="#movimiento" onclick="MostrarMovimiento(<?php echo preg_replace('/[-\s]/', '', $r->__GET('valor03') . $i); ?>)"><?php echo $r->__GET('valor03'); ?></a></td>
                                    <td><?php echo $r->__GET('valor04'); ?></td>
                                    <td><?php echo $r->__GET('valor05'); ?></td>
                                    <td><?php echo $r->__GET('valor06'); ?></td>
                                    <td><?php echo $r->__GET('valor07'); ?></td>
                                    <td><?php echo $r->__GET('valor08'); ?></td>
                                    <td><?php echo $r->__GET('valor09'); ?></td>
                                    <td><?php echo $r->__GET('valor10'); ?></td>
                                    <td><?php echo $r->__GET('valor11'); ?></td>
                                    <td><?php echo $r->__GET('valor12'); ?></td>
                                    <td>

                                        <?php switch ($r->__GET('valor13')) {

                                            case 'Anulado':
                                                echo '<span class="label label-danger">Anulado</span>';
                                                break;
                                            case 'Registrado':
                                                echo '<span class="label label-warning">Registrado</span>';
                                                break;
                                            case 'Pagado':
                                                echo '<span class="label label-success">Pagado</span>';
                                                break;
                                        }
                                        ?>

                                    </td>
                                    <td>
                                        <?php switch ($r->__GET('valor14')) {

                                            case 'Anulado':
                                                switch ($r->__GET('valor13')) {
                                                    case 'Anulado':
                                                        echo '<span class="label label-danger">Anulado</span>';
                                                        break;
                                                    case 'Registrado':
                                                        echo '<span class="label label-warning">No enviado</span>';
                                                        break;
                                                    case 'Pagado':
                                                        echo '<span class="label label-warning">No enviado</span>';
                                                        break;
                                                }
                                                break;

                                            case 'No enviado':
                                                switch ($r->__GET('valor13')) {
                                                    case 'Anulado':
                                                        echo '<span class="label label-danger">Anulado</span>';
                                                        break;
                                                    case 'Registrado':
                                                        echo '<span class="label label-warning">No enviado</span>';
                                                        break;
                                                    case 'Pagado':
                                                        echo '<span class="label label-warning">No enviado</span>';
                                                        break;
                                                }
                                                break;

                                            case 'Validado':
                                                echo '<span class="label label-success">Validado</span>';
                                                break;
                                            case 'Rechazado':
                                                echo '<span class="label label-danger">Rechazado</span>';
                                                break;
                                            case 'Baja':
                                                echo '<span class="label label-danger">Baja</span>';
                                                break;
                                        } ?>
                                    </td>
                                    <?php $i++; ?>
                                </tr>
                            <?php endforeach; ?>
                        </tbody>
                        <tfoot>
                            <tr>
                                <th style="visibility:hidden">Total</th>
                                <th style="visibility:hidden">Total</th>
                                <th style="visibility:hidden">Total</th>
                                <th style="visibility:hidden">Total</th>
                                <th style="visibility:hidden">Total </th>
                                <th style="visibility:hidden">Total </th>
                                <th style="visibility:hidden">Total </th>
                                <th style="visibility:hidden">Total</th>
                                <th style="visibility:hidden">Total</th>
                                <th id="totalp">Total p&aacute;gina:</th>
                                <th id="totalg"></th>
                                <th style="visibility:hidden">Total</th>
                                <th style="visibility:hidden">Total</th>
                                <th style="visibility:hidden">Total</th>
                            </tr>
                        </tfoot>
                    </table>
                </div><!-- /.box-body -->
            </div><!-- /.box -->
        </div><!-- /.col -->
    </div><!-- /.row -->
</section><!-- /.content -->

<!-- Modal modeal-ver -->
<div class="modal fade" id="movimiento" tabindex="-1" role="dialog" aria-labelledby="modal-ver-label" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <form action="?c=Movimiento&a=PDFMovimiento" method="POST">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                    <h4 class="modal-title" id="modal-ver-label">Visualizar Cliente por Ubigeo</h4>
                </div>
                <div class="modal-body">
                    <div id="ver_datos">

                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                </div>
            </form>
        </div>
    </div>
</div>
<!-- /Modal modal-ver -->

<script type="text/javascript">
    var MostrarMovimiento = function(Movimiento_Id) {
        var datos = [];
        var header = []

        $('#ver_datos').html('');

        $('#example1 thead tr').find('th').each(function() {
            header.push($(this).text());
        });

        var trId = $(Movimiento_Id).filter("tr").attr("id");

        var fila = $(`#${trId}`);
        fila.find('td').each(function() {
            datos.push($(this).text());
        })

        datos.forEach(function(element, index) {

            var addClass = index % 2 == 0 ? 'whitesmoke' : '';

            var html = ` <div class="row" style='font-size: 15px; padding: 5px 0; background-color:${addClass}'>
            <p class="col-xs-4 col-md-4" id="modal_header" style='font-weight: bolder'>${header[index]}:</p>
            <span id="col-xs-8 col-md-8" id="modal_fila">${element}</span>
            </div>`

            $('#ver_datos').append(html);

        });
    }
</script>


<script type="text/javascript">
    $(document).ready(function() {

        var dep_id = $('#departamento_id').val();
        var prov_id = $('#provincia_id').val();
        var dist_id = $('#distrito_id').val();

        departamento(<?php echo isset($r) ? "'" . $r->__GET('nProcliDepId') . "'" : null; ?>);
        if (dep_id != 0) {
            provincias(dep_id, prov_id)
            distritos(prov_id, dist_id, dep_id)

        }

        $('#fechaIni').datetimepicker({
            viewMode: 'days',
            format: 'DD-MM-YYYY',
        });
        $('#fechaFin').datetimepicker({
            viewMode: 'days',
            format: 'DD-MM-YYYY',
        });
        var fileName = 'VentasxClienteUbigeo-' + new Date().getFullYear() +
            +(new Date().getMonth() + 1) +
            +new Date().getDay() +
            +new Date().getHours() +
            +new Date().getMinutes() +
            +new Date().getSeconds()
        localStorage.setItem('fileName', JSON.stringify(fileName));
        localStorage.setItem('columna', '10');
    })
</script>

<script type="text/javascript" src="view/librerias/dist/js/funcionExcel.js"></script>


<script type="text/javascript">
    function departamento(dep = null) {
        var selectDep = $('#nProcliDep');
        var dep_id = $('#departamento_id').val();
        // console.log(dep_id);
        $.post('?c=Ubigeo&a=departamentos', {}, function(data) {
            var items = JSON.parse(data);
            var options = '<option value="">- seleccione -</option>'
            for (let item of items) {
                options += '<option value="' + item.dep + '" data-name="' + item.nombre + '" ' + (dep_id != 0 ? dep_id == item.dep ? 'selected' : '' : '') + '>' + item.nombre + '</option>'
            }
            selectDep.html(options);
        });
        // if (dep_id != 0) {
        //     $("#nProcliDep").val('01');


        // }

    }

    function provincias(dep, prov = null) {
        var selectProv = $('#nProcliProv');
        var prov_id = $('#provincia_id').val();
        $('#nProcliDist').prop('disabled', true);
        $('#nProcliDist').val('');
        $.post('?c=Ubigeo&a=provincias', {
            dep: dep
        }, function(data) {
            var items = JSON.parse(data);
            var options = '<option value="">- seleccione -</option>'
            for (let item of items) {
                // console.log(item.prov + '|' + prov);
                options += '<option value="' + item.prov + '" data-name="' + item.nombre + '" ' + (prov_id != 0 ? prov_id == item.prov ? 'selected' : '' : '') + '>' + item.nombre + '</option>'
            }
            selectProv.html(options);
            var value = $('#nProcliDep').val();
            console.log(value, 'acá');
            if (prov == null) {
                $('#nProcliProv').val('');
            }
            $('#nProcliProv').prop('disabled', (value != '') ? false : true);
        });
    }

    function provincias_auto(dep, prov = null, objeto_domicilio) {
        var selectProv = $('#nProcliProv');

        var prov_id = $('#provincia_id').val();
        $('#nProcliDist').prop('disabled', true);
        $('#nProcliDist').val('');
        $.post('?c=Ubigeo&a=provincias', {
            dep: dep
        }, function(data) {
            var items = JSON.parse(data);
            var options = '<option value="">- seleccione -</option>'
            for (let item of items) {
                // console.log(item.prov + '|' + prov);
                options += '<option value="' + item.prov + '" data-name="' + item.nombre + '" ' + (prov_id != 0 ? prov_id == item.prov ? 'selected' : '' : '') + '>' + item.nombre + '</option>'
            }
            selectProv.html(options);
            var value = $('#nProcliDep').val();
            // console.log(value, 'acá');
            if (prov == null) {
                $('#nProcliProv').val('');
            }
            $('#nProcliProv').prop('disabled', (value != '') ? false : true);


            Seleccionar('#nProcliProv', objeto_domicilio.provincia);
            var pro_codigo = $("#nProcliProv option:selected").val();

            distritos_auto(pro_codigo, null, null, objeto_domicilio.distrito);
        });
    }

    function distritos(prov, dist = null, dep = null) {
        var selectDist = $('#nProcliDist');
        var dist_id = $('#distrito_id').val();
        $.post('?c=Ubigeo&a=distritos', {
            dep: dep != null ? dep : $('#nProcliDep').val(),
            prov: prov
        }, function(data) {
            var items = JSON.parse(data);
            var options = '<option value="">- seleccione -</option>'
            for (let item of items) {
                options += '<option value="' + item.dist + '" data-name="' + item.nombre + '" ' + (dist_id != 0 ? dist_id == item.dist ? 'selected' : '' : '') + '>' + item.nombre + '</option>'
            }
            selectDist.html(options);
            var value = $('#nProcliProv').val();
            if (dist == null) {
                $('#nProcliDist').val('');
            }
            $('#nProcliDist').prop('disabled', value != '' ? false : true);
        });
    }

    function distritos_auto(prov, dist = null, dep = null, nombre_distrito) {
        var selectDist = $('#nProcliDist');
        var dist_id = $('#distrito_id').val();
        $.post('?c=Ubigeo&a=distritos', {
            dep: dep != null ? dep : $('#nProcliDep').val(),
            prov: prov
        }, function(data) {
            var items = JSON.parse(data);
            var options = '<option value="">- seleccione -</option>'
            for (let item of items) {
                options += '<option value="' + item.dist + '" data-name="' + item.nombre + '" ' + (dist_id != 0 ? dist_id == item.dist ? 'selected' : '' : '') + '>' + item.nombre + '</option>'
            }
            selectDist.html(options);
            var value = $('#nProcliProv').val();
            if (dist == null) {
                $('#nProcliDist').val('');
            }
            $('#nProcliDist').prop('disabled', value != '' ? false : true);

            Seleccionar('#nProcliDist', nombre_distrito);
        });
    }
</script>