<!-- Content Header (Page header) -->
<style type="text/css">
    #totalp {
        width: 100px !important;
    }

    #totalg {
        width: 150px !important;
    }
</style>
<section class="content-header">
    <h1>
        Stock
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="wfamain.php"><i class="fa fa-dashboard"></i> Inicio</a></li>
        <li><a href="#">Stock</a></li>
    </ol>
</section>
<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-xs-12">
            <div class="box box-primary">
                <div class="box-header">
                    <div class="row">
                        <div class="col-md-6 text-left">
                            <h3 class="box-title">Relación completa de Stock</h3>
                        </div>
                        <div class="col-md-6 text-right">
                            <button type="button" class="btn btn-success btn-flat" id="click-export-excel">Exportar <i class="fa fa-file-excel-o"></i></button>
                        </div>
                    </div>
                </div><!-- /.box-header -->
                <div class="box-body">
                    <table id="example1" class="table table-hover display responsive no-wrap" style="width: 100%;">
                        <thead>
                            <tr>
                                <th>Código</th>
                                <th>Código2</th>
                                <th>Familia</th>
                                <th>Producto/Servicio</th>
                                <th>Marca</th>
                                <th>Stock</th>
                                <th>Unidad</th>
                                <th>Costo sin IGV S/</th>
                                <th>Valorizado S/</th>
                                <th>Costo inc. IGV S/</th>
                                <th>Precio Venta S/</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php foreach ($reportes as $r) : ?>
                                <tr>
                                    <td><?php echo $r->__GET('valor01'); ?></td>
                                    <td><?php echo $r->__GET('valor02'); ?></td>
                                    <td><?php echo $r->__GET('valor04'); ?></td>
                                    <td><?php echo $r->__GET('valor05'); ?></td>
                                    <td><?php echo $r->__GET('valor12'); ?></td>
                                    <td><?php echo $r->__GET('valor06'); ?></td>
                                    <td><?php echo $r->__GET('valor07'); ?></td>
                                    <td><?php echo $r->__GET('valor08'); ?></td>
                                    <td><?php echo $r->__GET('valor09'); ?></td>
                                    <td><?php echo $r->__GET('valor10'); ?></td>
                                    <td><?php echo $r->__GET('valor11'); ?></td>
                                </tr>
                            <?php endforeach; ?>
                        </tbody>
                        <?php if ($this->seguridad->validRoleName(RolesType::admin) or $this->seguridad->validRoleName(RolesType::admin2)) { ?>
                            <tfoot>
                                <tr>
                                    <th style="visibility:hidden">Total</th>
                                    <th style="visibility:hidden">Total</th>
                                    <th style="visibility:hidden">Total</th>
                                    <th style="visibility:hidden">Total</th>
                                    <th style="visibility:hidden">Total </th>
                                    <th style="visibility:hidden">Total </th>
                                    <th id="totalp">Total p&aacute;gina:</th>
                                    <th id="totalg"></th>
                                    <th style="visibility:hidden">Total</th>
                                    <th style="visibility:hidden">Total</th>
                                    <th style="visibility:hidden">Total</th>
                                </tr>
                            </tfoot>
                        <?php } ?>
                    </table>

                </div><!-- /.box-body -->
            </div><!-- /.box -->
        </div><!-- /.col -->
    </div><!-- /.row -->
</section><!-- /.content -->
<script type="text/javascript">
    $(document).ready(function() {
        var fileName = 'REPORTE-' + new Date().getFullYear() +
            +(new Date().getMonth() + 1) +
            +new Date().getDay() +
            +new Date().getHours() +
            +new Date().getMinutes() +
            +new Date().getSeconds()
        localStorage.setItem('fileName', JSON.stringify(fileName));
        localStorage.setItem('columna', false);
    })
</script>
<script type="text/javascript" src="view/librerias/dist/js/funcionExcel.js"></script>