<style type="text/css">
    #totalg {
        width: 100px !important;
    }
</style>
<section class="content-header">
    <h1>
        Venta Mensual Pagados / Pendientes pago
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="wfamain.php"><i class="fa fa-dashboard"></i> Inicio</a></li>
        <li><a href="#">Venta Mensual Pagados/PendientesPago</a></li>
    </ol>
</section>

<section class="content">
    <div class="row">
        <div class="col-xs-12">
            <div class="box box-primary">
                <div class="box-header">
                    <h3 class="box-title">Relaci&oacute;n de operaciones por Mes</h3>
                    <canvas id="oilChart" width="350" height="120"></canvas>
                    <div class="row">
                        <div class="col-md-12" style="margin-top: 15px;">
                            <form action="?c=Reportes&a=VentaMensualPagadosyPendientes" method="POST">
                                <div class="row">
                                    <div class="col-md-3">
                                        Fecha Inicio <br />
                                        <input type="text" class="form-control" name="fechaIni" id="fechaIni" value="<?php echo $fechaIni; ?>">
                                    </div>
                                    <div class="col-md-3">
                                        Fecha Fin <br />
                                        <input type="text" class="form-control" name="fechaFin" id="fechaFin" value="<?php echo $fechaFin; ?>">
                                    </div>
                                    <div class="col-md-3">
                                        <br>
                                        <button type="submit" class="btn btn-danger btn-flat">Filtrar</button>
                                        <button type="button" class="btn btn-success btn-flat" id="click-export-excel">Exportar</button>
                                        <button type="button" class="btn btn-danger btn-flat" id="click-export-pdf" onclick="exportarPDF()">
                                            <i class="fa fa-file-pdf-o"></i>
                                            Exportar
                                        </button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div><!-- /.box-header -->
                <div class="box-body" id="datos_reporte">
                    <h3 style="text-align:center;display:none" id="titulo_pdf">
                        Relaci&oacute;n de operaciones por Mes
                    </h3>
                    <!-- <div id="grafico_vistamensual" style="margin: 0 auto; max-height: 600px; max-width: 900px;">
                        <canvas id="grafico"></canvas>
                    </div> -->
                    <div class="clearfix">&nbsp;</div>
                    <table id="example1" class="table table-bordered table-striped table-condensed text-center" style="width:100% !important">
                        <thead>
                            <tr>
                                <th>Mes</th>
                                <th>Total Facturación</th>
                                <th>Pagadas</th>
                                <th>Pendientes pago</th>
                            </tr>
                        </thead>
                        <tbody id="datos_tabla">
                            <?php foreach ($reportes as $r) : ?>
                                <tr class="count">
                                    <td>
                                        <?php switch ($r->Mes) {
                                            case 1:
                                                echo 'Enero';
                                                break;
                                            case 2:
                                                echo 'Febrero';
                                                break;
                                            case 3:
                                                echo 'Marzo';
                                                break;
                                            case 4:
                                                echo 'Abril';
                                                break;
                                            case 5:
                                                echo 'Mayo';
                                                break;
                                            case 6:
                                                echo 'Junio';
                                                break;
                                            case 7:
                                                echo 'Julio';
                                                break;
                                            case 8:
                                                echo 'Agosto';
                                                break;
                                            case 9:
                                                echo 'Setiembre';
                                                break;
                                            case 10:
                                                echo 'Octubre';
                                                break;
                                            case 11:
                                                echo 'Noviembre';
                                                break;
                                            case 12:
                                                echo 'Diciembre';
                                                break;
                                            default:
                                                echo '';
                                                break;
                                        }
                                        ?>
                                    </td>
                                    <td><?php echo $r->TotalFacturacion; ?></td>
                                    <td><?php echo $r->Pagadas; ?></td>
                                    <td><?php echo $r->PendientePago; ?></td>
                                </tr>
                            <?php endforeach; ?>

                        </tbody>
                        <tfoot>
                            <tr>
                                <th id="totalg">Total p&aacute;gina:</th>
                                <th></th>
                                <th></th>
                                <th></th>
                            </tr>
                        </tfoot>
                    </table>
                </div><!-- /.box-body -->
            </div><!-- /.box -->
        </div><!-- /.col -->
    </div><!-- /.row -->
</section><!-- /.content -->


<script src="view/librerias/plugins/chartjs2/Chart.js" type="text/javascript"></script>
<script type="text/javascript" src="view/librerias/dist/js/jspdf.min.js"></script>
<script type="text/javascript" src="view/librerias/dist/js/html2canvas.min.js"></script>
<script type="text/javascript" src="view/librerias/dist/js/html2pdf.js"></script>
<script type="text/javascript" src="view/librerias/dist/js/graficoVentaMensual_Pagadas_Pendientes.js"></script>

<script type="text/javascript">
    $(document).ready(function() {
        $('#fechaIni').datetimepicker({
            viewMode: 'days',
            format: 'DD-MM-YYYY',
        });
        $('#fechaFin').datetimepicker({
            viewMode: 'days',
            format: 'DD-MM-YYYY',
        });
        var fileName = 'REPORTE-' + new Date().getFullYear() +
            +(new Date().getMonth() + 1) +
            +new Date().getDay() +
            +new Date().getHours() +
            +new Date().getMinutes() +
            +new Date().getSeconds()
        localStorage.setItem('fileName', JSON.stringify(fileName));
        localStorage.setItem('columna', JSON.stringify([1, 2, 3]));
    })
</script>
<script type="text/javascript" src="view/librerias/dist/js/funcionExcel.js"></script>