<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        Stock x Vencimiento
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="wfamain.php"><i class="fa fa-dashboard"></i> Inicio</a></li>
        <li><a href="#">Stock x Vencimiento</a></li>
    </ol>
</section>
<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-xs-12">
            <div class="box box-primary">
                <div class="box-header">
                    <div class="row">
                        <div class="col-md-6 text-left">
                            <h3 class="box-title">Relación completa de Stock x Vencimiento</h3>
                        </div>
                        <div class="col-md-6 text-right">
                            <button type="button" class="btn btn-success btn-flat" id="click-export-excel">Exportar <i class="fa fa-file-excel-o"></i></button>
                        </div>
                    </div>
                </div><!-- /.box-header -->
                <div class="box-body">
                    <table id="example1" class="table table-hover display responsive no-wrap">
                        <thead>
                            <tr>
                                <th>Producto</th>
                                <th>Lote</th>
                                <th>Cantidad</th>
                                <th>Costo Unitario</th>
                                <th>Costo Valor</th>
                                <th>Dias para Vencer</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php foreach ($reportes as $r) : ?>
                                <tr>
                                    <td><?php echo $r->Producto; ?></td>
                                    <td><?php echo $r->Lote; ?></td>
                                    <td><?php echo $r->Cantidad; ?></td>
                                    <td><?php echo $r->CostoUnitario; ?></td>
                                    <td><?php echo $r->CostoValor; ?></td>
                                    <td>
                                        <?php
                                        $dv = intval($r->DiasVence);
                                        $dvText = sprintf('%s D&Iacute;AS', $dv * -1);
                                        switch ($dv) {
                                                //SI VENCE HOY
                                            case 0:
                                                $dvLbl = 'danger';
                                                $dvText = 'HOY';
                                                break;
                                            case preg_match('/^[3-5]\d$/', $dv) == true:
                                                $dvLbl = 'success';
                                                break;
                                                //FALTANDO 3 MESES
                                            case preg_match('/^[1-2]\d$/', $dv) == true:
                                            case preg_match('/^\d$/', $dv) == true:
                                                $dvLbl = 'warning';
                                                break;
                                                //SI YA VENCIO
                                            case preg_match('/^\-/', $dv) == true:
                                                $dvLbl = 'danger';
                                                break;
                                            default:
                                                $dvLbl = 'info';
                                        }
                                        echo "<span class='label label-$dvLbl'>$dvText</span>";
                                        ?>
                                    </td>
                                </tr>
                            <?php endforeach; ?>
                        </tbody>
                        <tfoot>
                            <tr>
                                <th>Producto</th>
                                <th>Lote</th>
                                <th>Cantidad</th>
                                <th>Costo Unitario</th>
                                <th>Costo Valor</th>
                                <th>Dias para Vencer</th>
                            </tr>
                        </tfoot>
                    </table>

                </div><!-- /.box-body -->
            </div><!-- /.box -->
        </div><!-- /.col -->
    </div><!-- /.row -->
</section><!-- /.content -->
<script>
    $(document).ready(function() {
        var fileName = 'Stock x Vencer-' + new Date().getFullYear() +
            +(new Date().getMonth() + 1) +
            +new Date().getDay() +
            +new Date().getHours() +
            +new Date().getMinutes() +
            +new Date().getSeconds()
        localStorage.setItem('fileName', JSON.stringify(fileName));
        localStorage.setItem('columna', false);
    })
</script>
<script type="text/javascript" src="view/librerias/dist/js/funcionExcel.js"></script>