<section class="content-header">
    <h1>
        Venta Mensual
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="wfamain.php"><i class="fa fa-dashboard"></i> Inicio</a></li>
        <li><a href="#">Venta Mensual</a></li>
    </ol>
</section>

<section class="content">
    <div class="row">
        <div class="col-xs-12">
            <div class="box box-primary">
                <div class="box-header">
                    <h3 class="box-title">Relaci&oacute;n de operaciones por Mes</h3>
                    <div class="row">
                        <div class="col-md-12" style="margin-top: 15px;">
                            <form action="?c=Reportes&a=VentaMensual" method="POST">
                                <div class="row">
                                    <div class="col-md-3">
                                        Fecha Inicio <br />
                                        <input type="text" class="form-control" name="fechaIni" id="fechaIni" value="<?php echo $fechaIni; ?>">
                                    </div>
                                    <div class="col-md-3">
                                        Fecha Fin <br />
                                        <input type="text" class="form-control" name="fechaFin" id="fechaFin" value="<?php echo $fechaFin; ?>">
                                    </div>
                                    <div class="col-md-3">
                                        Tipo de movimiento<br>
                                        <select class="form-control" name="Tipomovimiento_Id" id="Tipomovimiento_Id">
                                            <?php foreach ($tipomovimiento as $timo) { ?>
                                                <option value="<?php echo $timo->__GET('TipoMovimiento_Id'); ?>" <?php echo $timo->__GET('TipoMovimiento_Id') == 2 ? 'selected' : ''; ?>><?php echo $timo->__GET('sTMovNombre'); ?></option>
                                            <?php } ?>
                                        </select>
                                    </div>
                                    <div class="col-md-3">
                                        <br>
                                        <button type="submit" class="btn btn-danger btn-flat">Filtrar</button>
                                        <button type="button" class="btn btn-success btn-flat" id="click-export-excel">Exportar</button>
                                        <button type="button" class="btn btn-danger btn-flat" id="click-export-pdf" onclick="exportarPDF()">
                                            <i class="fa fa-file-pdf-o"></i>
                                            Exportar
                                        </button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div><!-- /.box-header -->
                <div class="box-body" id="datos_reporte">
                    <h3 style="text-align:center;display:none" id="titulo_pdf">
                        Relaci&oacute;n de operaciones por Mes
                    </h3>
                    <div id="grafico_vistamensual" style="margin: 0 auto; max-height: 600px; max-width: 900px;">
                        <canvas id="grafico"></canvas>
                    </div>
                    <div class="clearfix">&nbsp;</div>
                    <table id="example1" class="table table-bordered table-striped table-condensed text-center" style="width:100% !important">
                        <thead>
                            <tr>
                                <th>A&ntilde;o</th>
                                <th>Mes</th>
                                <th>D&oacute;lares</th>
                                <th>Soles</th>
                                <th>Total Valorizado Soles</th>
                            </tr>
                        </thead>
                        <tbody id="datos_tabla">
                            <?php foreach ($reportes as $r) : ?>
                                <tr class="count">
                                    <td><?php echo $r->Anio; ?></td>
                                    <td><?php echo $r->Mes; ?></td>
                                    <td sum="s_dolares"><?php echo $r->Dolares; ?></td>
                                    <td sum="s_soles"><?php echo $r->Soles; ?></td>
                                    <td sum="s_tvs"><?php echo $r->TVS; ?></td>
                                </tr>
                            <?php endforeach; ?>
                            <tr class="success no-count">
                                <td style="font-weight: bold">TOTAL</td>
                                <td></td>
                                <td id="s_dolares" style="font-weight: bold">0</td>
                                <td id="s_soles" style="font-weight: bold">0</td>
                                <td id="s_tvs" style="font-weight: bold">0</td>
                            </tr>
                        </tbody>
                        <tfoot>
                            <tr>
                                <th>A&ntilde;o</th>
                                <th>Mes</th>
                                <th>D&oacute;lares</th>
                                <th>Soles</th>
                                <th>Total Valorizado Soles</th>
                            </tr>
                        </tfoot>
                    </table>
                </div><!-- /.box-body -->
            </div><!-- /.box -->
        </div><!-- /.col -->
    </div><!-- /.row -->
</section><!-- /.content -->

<!-- Modal modeal-ver -->
<div class="modal fade" id="movimiento-detallado" tabindex="-1" role="dialog" aria-labelledby="modal-ver-label" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <form action="?c=Movimiento&a=PDFMovimiento" method="POST">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                    <h4 class="modal-title" id="modal-ver-label">Visualizar Movimiento</h4>
                </div>
                <div class="modal-body">
                    <table class="table table-striped" id="ver_datos">

                    </table>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                </div>
            </form>
        </div>
    </div>
</div>
<script src="view/librerias/plugins/chartjs2/Chart.js" type="text/javascript"></script>
<script type="text/javascript" src="view/librerias/dist/js/jspdf.min.js"></script>
<script type="text/javascript" src="view/librerias/dist/js/html2canvas.min.js"></script>
<script type="text/javascript" src="view/librerias/dist/js/html2pdf.js"></script>
<script type="text/javascript" src="view/librerias/dist/js/RPT.js"></script>
<script type="text/javascript">
    function MostrarMovimientoReporte(Movimiento_Id) {
        $.post('?c=Movimiento&a=MostrarMovimiento', {
            Movimiento_Id: Movimiento_Id
        }, function(data) {
            $("#ver_datos").html(data);
        });
    }
</script>
<script>
    $(document).ready(function() {
        var fileName = 'Venta Mensual-' + new Date().getFullYear() +
            +(new Date().getMonth() + 1) +
            +new Date().getDay() +
            +new Date().getHours() +
            +new Date().getMinutes() +
            +new Date().getSeconds()
        localStorage.setItem('fileName', JSON.stringify(fileName));
        localStorage.setItem('columna', false);
        
        $('#fechaIni').datetimepicker({
            viewMode: 'days',
            format: 'DD-MM-YYYY',
        });
        $('#fechaFin').datetimepicker({
            viewMode: 'days',
            format: 'DD-MM-YYYY',
        });
    })
</script>

<script type="text/javascript" src="view/librerias/dist/js/funcionExcel.js"></script>