<?php

header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Methods: GET, POST, PUT, DELETE');
header('Access-Control-Allow-Headers: X-Requested-With, Content-Type, Authorization');

// Obtener el tipo de cambio de SUNAT

function obetenerTipoCambioMes($fecha)
{

    $token = 'apis-token-1.aTSI1U7KEuT-6bbbCguH-4Y8TI6KS73N';
    $mes = date('m');
    $anio = date('Y');

    // Iniciar llamada a API
    // $data = file_get_contents('https://api.apis.net.pe/v1/tipo-cambio-sunat?month=' . $mes . '&year=' . $anio);

    $curl = curl_init();
    curl_setopt_array($curl, array(
        // para usar la versi贸n 1
        CURLOPT_URL => 'https://api.apis.net.pe/v1/tipo-cambio-sunat?fecha=' . $fecha,
        CURLOPT_RETURNTRANSFER => true,
        CURLOPT_SSL_VERIFYPEER => 0,
        CURLOPT_ENCODING => '',
        CURLOPT_MAXREDIRS => 10,
        CURLOPT_TIMEOUT => 0,
        CURLOPT_FOLLOWLOCATION => true,
        CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
        CURLOPT_CUSTOMREQUEST => 'GET',
        CURLOPT_HTTPHEADER => array(
            'Accept: application/json',
            'Referer: https://apis.net.pe/tipo-de-cambio-sunat-api',
            'Authorization: Bearer ' . $token
        ),
    ));

    $response = curl_exec($curl);

    $response = json_decode($response);

    curl_close($curl);

    if (!$response) {
        $tipo_cambio_venta = null;
        $tipo_cambio_compra = null;
        $fecha = null;
    }

    $tipo_cambio_venta = $response->venta;
    $tipo_cambio_compra = $response->compra;
    $fecha = $response->fecha;

    // foreach ($array as $row) {
    //     if ($row['fecha'] == date('Y-m-d')) {
    //         $tipo_cambio_venta = $row['venta'];
    //         $tipo_cambio_compra = $row['compra'];
    //         $fecha = $row['fecha'];
    //     }
    // }

    return $fecha . ' ' . $tipo_cambio_compra . ' ' . $tipo_cambio_venta;
}

$fecha = $_GET['fecha'];

echo json_encode(obetenerTipoCambioMes($fecha));
