<?php    
    require_once 'model/parametro.model.php';
    require_once 'model/parametro.entidad.php';
    require_once 'model/conductor.model.php';
    require_once 'model/conductor.entidad.php';
    class ConductorController {
        private $parametro_model;
        private $conductor_model;

        public function __CONSTRUCT(){
            $this->parametro_model = new ParametroModel();
            $this->conductor_model = new ConductorModel();
        }
        
        public function Index(){
            $parametro = $this->parametro_model->ListarParametros();
            $conductor = $this->conductor_model->Listar();
            require_once 'view/header.php';  
            require_once 'view/webforms/wfaconductor.php';
            echo "<script type='text/javascript'>
                        $(document).ready(function (){
                            $('.catalogos').addClass('active');
                        });
                  </script>";
            require_once 'view/footer.php'; 
        }
        public function EliminarConductor(){
            $con = new Conductor();
            $con->__SET('conductor_Id', $_POST['Idconductor']);
            $con->__SET('nConUsuario_Id', $_SESSION['usu_codigo']);
            $this->conductor_model->Eliminar($con);
            echo '<script type="text/javascript">window.location="?c=conductor&a=Index";</script>';
        }
        public function FrmNuevoConductor(){
            require_once 'view/webforms/wfaconductora.php'; 
        }
        public function FrmEditarConductor(){
            $datos = $this->conductor_model->Buscar($_POST['conductor_Id']);
            foreach ($datos as $r):
                require_once 'view/webforms/wfaconductora.php';            
            endforeach;       
        }

        public function GuardarConductor(){
            $con = new Conductor();
            $con->__SET('conductor_Id', $_POST['conductor_Id']);
            $con->__SET('sConApePaterno', $_POST['sConApePaterno']);
            $con->__SET('sConApeMaterno', $_POST['sConApeMaterno']);
            $con->__SET('sConNombres', $_POST['sConNombres']);
            $con->__SET('sConDNI', $_POST['sConDNI']);
            $con->__SET('sConLicencia', $_POST['sConLicencia']);
            $con->__SET('sConCategoriaLic', $_POST['sConCategoriaLic']);
            $con->__SET('dConVencimientoLic', $_POST['dConVencimientoLic']);
            $con->__SET('nConEstado', $_POST['nConEstado']);
            $con->__SET('nConEliminado', 0);
            $con->__SET('nConUsuario_Id', $_SESSION['usu_codigo']);


            if($_POST['conductor_Id'] != 0 ? $this->conductor_model->Editar($con) : $this->conductor_model->Crear($con));


        }

        
    }
?>