<?php
require_once 'model/stockminimo.entidad.php';
require_once 'model/stockminimo.model.php';
require_once 'model/almacen.model.php';
require_once 'model/almacen.entidad.php';
class StockMinimoController
{
    private $stockminimo_model;
    public  $almacen_model;

    public function __CONSTRUCT()
    {
        $this->stockminimo_model = new StockMinimoModel();
        $this->almacen_model = new AlmacenModel();
    }
    public function Index()
    {
        //INGRESAR Y LLAMAR A LAS VISTAR PARA EL INDEX
    }
    public function Guardar()
    {
        $pre = new StockMinimo();
        if ($_POST['stock_minimo_id'] != 0 ? $pre->__SET('stock_minimo_id', $_POST['stock_minimo_id']) : '');
        $pre->__SET('ProdServ_Id', $_POST['ProdServ_Id']);
        $pre->__SET('Almacen_Id', $_POST['Almacen_Id']);
        $pre->__SET('nStockMinCantidad', $_POST['nStockMinCantidad']);
        $pre->__SET('sStockMinUbicacion', $_POST['sStockMinUbicacion']);
        $pre->__SET('nStockMinUsuario_Id', $_SESSION['usu_codigo']);
        if ($_POST['stock_minimo_id'] != 0) {
            $this->stockminimo_model->Editar($pre);
        } else {
            $this->stockminimo_model->Crear($pre);
        }
    }

    public function PrecioProducto()
    {
        $lista = $this->precioventa_model->Precio($_POST['ProdServ_Id'], $_POST['Unidadmedida_Id']);
        if (count($lista) > 0) {
            foreach ($lista as $r) {
                echo "<script type='text/javascript'>
                        $('#nMovDetConPrecioUnitario').val('" . $r->__GET('PreVenPrecio') . "');
                        
                    </script>";
            }
        } else {
            echo "<re>
                    <td colspan='3'>No existe ningun dato de este producto</td>
                </tr>";
        }
    }
    public function Buscar()
    {
        
        echo json_encode($this->stockminimo_model->Buscar($_POST['ProdServ_Id']));
        // $prueba= json_encode($this->stockminimo_model->Buscar(7));
        // var_dump($prueba[0].) 
    }

    public function Listar()
    {


        $lista = $this->stockminimo_model->Buscar($_POST['ProdServ_Id']);

        // var_dump($lista);

        foreach ($lista as $r) {

            echo " <div class='col-md-6 form-group'>";
            echo "<label>Almacen</label>";
            $almacen = $this->almacen_model->Listar();
            foreach ($almacen as $alm) {
                echo "<select class='form-control' name='Almacen_Id' id='Almacen_Id'>";
                echo " <option value=" . $alm->__GET('Almacen_Id') . " " . isset($r) ? $r->Almacen_Id == $alm->__GET('Almacen_Id') ? 'selected' : '' : '' . "> " . $alm->__GET('sAlmNombre') . "</option>";
            }
            echo "</select>";
            echo "</div>";
            echo " <div class='col-md-6 form-group'>";
            echo "<input type='hidden' name='stock_minimo_id' id='stock_minimo_id' value='0'>";
            echo "<input type='hidden' name='ProdServ_Id' id='ProdServ_Id'>";
            echo " <label>Stock mínimo</label>";
            echo "<input type='number' class='form-control' name='nStockMinCantidad' id='nStockMinCantidad' placeholder='0' value=" .  $r->nStockMinCantidad  . " required='required'>";
            echo "</div>";
            echo "<div class='col-md-6 form-group'>";
            echo "<label>Ubicación</label>";
            echo "<input type='text' class='form-control' name='sStockMinUbicacion' id='sStockMinUbicacion' value=" . $r->sStockMinUbicacion . " placeholder='Ubicación' required='required'>";
            echo "</div>";
            echo "<div class='col-md-6 form-group'>";
            echo "<button type='button' class='btn btn-default btn-flat' data-dismiss='modal' style='width: 100%;'>No, cancelar</button>";
            echo "</div>";
            echo "<div class='col-md-6 form-group'>";
            echo "<button type='submit' class='btn btn-danger btn-flat' style='width: 100%;'>Sí, Guardar</button>";
            echo "</div> ";
        }
    }
    public function FrmPrecioventaEditar()
    {
        //FORMULARIO EDITAR
    }
    public function EliminarPrecioventa()
    {
        $pre = new Precioventa();
        $pre->__SET('PrecioVenta_Id', $_POST['IdPrecioVenta']);
        $this->precioventa_model->Eliminar($pre);
        echo '<script type="text/javascript">window.location="?c=Productos&a=Index";</script>';
    }
    public function ConsultarUnidadMedida($codigo, $moneda, $unidad)
    {
        $estado = false;
        foreach ($this->precioventa_model->Listar($codigo, 0) as $r) {
            if ($unidad == $r->__GET('UnidadMedida_Id') && $moneda == $r->__GET('Moneda_Id')) {
                $estado = true;
            }
        }
        return $estado;
    }


    public function PrecioProductoVenta()
    {
        $lista = $this->precioventa_model->Listar($_POST['ProdServ_Id']);
        if (count($lista) > 0) {
            foreach ($lista as $r) {
                if ($_POST['Unidadmedida_Id'] == $r->__GET('UnidadMedida_Id') && $_POST['Moneda_Id'] == $r->__GET('Moneda_Id')) {
                    echo "<script type='text/javascript'>
                        $('#nMovDetConPrecioUnitario').val('" . $r->__GET('PreVenPrecio') . "');
                        
                    </script>";
                }
            }
        } else {
            echo "<re>
                    <td colspan='3'>No existe ningun dato de este producto</td>
                </tr>";
        }
    }
    public function GetPrecioVenta()
    {
        $lista = $this->precioventa_model->PrecioVenta($_POST['ProdServ_Id'], $_POST['Moneda_Id'], $_POST['Unidadmedida_Id']);
        echo $lista;
    }
}
