<?php
require_once 'model/seguridad/enterprise.model.php';
require_once 'model/seguridad/user.model.php';
require_once 'model/seguridad/menuoption.model.php';
class Seguridad
{
    public $enterprise_model;
    public $usuario_model;
    public $optionmenu_model;
    public function __CONSTRUCT()
    {
        $this->enterprise_model = new EmterpriseModel();
        $this->usuario_model = new UserModel();
        $this->optionmenu_model = new MenuoptionModel();
    }
    public function Conexion()
    {
        $empresa = $this->enterprise_model->GetByCode(isset($_SESSION['usu_enterprise']) ? $_SESSION['usu_enterprise'] : 'd5180b5b-da0b-11e8-8e7d-0cc47abb9612');
        // echo isset($_SESSION['usu_enterprise']) ? $_SESSION['usu_enterprise'] : '';
        return array(
            'server' => $empresa->ServerDB,
            'usuario' => $empresa->UsuarioDB,
            'pass' => $empresa->PasswordDB,
            'db' => $empresa->NameDB
        );
    }
    public function GetUsuarioByAuth($usuario, $password)
    {
        return $this->usuario_model->GetByAuth($usuario, $password);
    }
    public function GetEnterpriseByUserId($UserId)
    {
        return $this->enterprise_model->GetByUserId($UserId);
    }
    public function GetEnterpriseByCode($EnterpriseCode)
    {
        return $this->enterprise_model->GetByCode($EnterpriseCode);
    }
    public function optionMenu()
    {
        return $this->optionmenu_model->loadMenuOptions();
    }
    public function roles()
    {
        return $this->enterprise_model->GetRolesByEnterpriseIdAndUserId($_SESSION['usu_enterpriseId'], $_SESSION['usu_codigo']);
    }
    public function validRoleName($roleName)
    {
        $roles = $this->roles();
        foreach ($roles as $item) {
            if ($item->RoleName === $roleName) {
                return true;
            }
        }
        return false;
    }
}
