var reportes_excel = (function (reportes_excel, undefined) {
	var URLactual = window.location.host;
	var table;
	var rep_nombre;
	var tits = [];
	reportes_excel.Nombre = function (n) {
		rep_nombre = n;
	};
	_GetTitles = function () {
		var tablecolumns = table.api().columns().header(); //[1].innerHTML
		var titulos = [];
		for (var i = 0; i < tablecolumns.length; i++) {
			titulos.push(tablecolumns[i].innerHTML);
		}
		tits = titulos;
		return titulos;
	};
	_GetData = function () {
		var titulos = _GetTitles();
		var titx = [];
		for (i = 0; i < titulos.length; i++) {
			titx[i] = titulos[i].replace(/[^a-zA-Z\d]/g, '');
		}
		var datos = [];
		var tablecolumns = table.api().columns().header(); //[1].innerHTML
		//for (var r = 0; r < table.fnGetData().length; r++) {
		var filtered = table._('tr', {
			filter: 'applied',
		});
		for (var r = 0; r < filtered.length; r++) {
			var data = {};
			for (var c = 0; c < tablecolumns.length; c++) {
				//var value = table.fnGetData(r, c);
				var value = filtered[r][c];
				data[titx[c]] = value
					.replace(/(<([^>]+)>)/gi, '')
					.replace(/\s\s+/, '')
					.trim();
			}
			datos.push(data);
		}
		return datos;
	};
	(_DownloadExcelXLS = function (titulos, data, fini, ffin) {
		var url = window.self.location.pathname + '?c=Reportes&a=DescargarExcel';

		var f = $('<form/>')
			.attr('id', 'fxpdf')
			.attr('method', 'post')
			.attr('action', url)
			.attr('target', '_blank');

		var inp = $('<input/>').attr('type', 'hidden');

		f.append(
			inp.clone().attr({
				name: 'nombre',
				value: rep_nombre,
			})
		);
		f.append(
			inp.clone().attr({
				name: 'titulos',
				value: titulos,
			})
		);
		f.append(
			inp.clone().attr({
				name: 'data',
				value: data,
			})
		);
		f.append(
			inp.clone().attr({
				name: 'fechaInicio',
				value: fini,
			})
		);
		f.append(
			inp.clone().attr({
				name: 'fechaFin',
				value: ffin,
			})
		);
		//console.log(f.html());
		$('body').append(f);
		$('#fxpdf').submit();
		$('#fxpdf').remove();
	}),
		(_DownloadExcel2 = function () {
			var titulos = _GetTitles();
			titulos = JSON.stringify(titulos);
			var data = _GetData();
			data = JSON.stringify(data);
			var fini = $('#fechaIni').val();
			var ffin = $('#fechaFin').val();

			_DownloadExcelXLS(titulos, data, fini, ffin);
		}),
		(reportes_excel.Excel = function () {
			$('#click-export-excel').click(function () {
				$('#preloader').fadeIn('slow');
				//_DownloadExcel();
				_DownloadExcel2();
				$('#preloader').fadeOut('slow');
				$('body').css({
					overflow: 'visible',
				});
			});
		}),
		(reportes_excel.datepicker = function (InputId) {
			$('#' + InputId).datetimepicker({
				viewMode: 'days',
				format: 'DD-MM-YYYY',
			});
		}),
		(reportes_excel.TableData = function (DivId) {
			if ($.fn.dataTable.isDataTable('#' + DivId)) {
				table = $('#' + DivId).dataTable();
			} else {
				let success =
					typeof JSON.parse(localStorage.getItem('columna')) === 'number'
						? true
						: typeof JSON.parse(localStorage.getItem('columna')) === 'object'
						? true
						: false;
                        console.log(localStorage.getItem('columna'));

				table = $('#' + DivId).dataTable({
					footerCallback: function (row, data, start, end, display) {
						if (success) {
							var api = this.api(),
								data;
							// Remove the formatting to get integer data for summation
							var intVal = function (i) {
								return typeof i === 'string'
									? i.replace(/[\$,]/g, '') * 1
									: typeof i === 'number'
									? i
									: 0;
							};
							// console.log(api.columns(9).data());// Gravado
							// console.log(api.columns(10).data()); // exonerado

							if (success) {
								if (typeof JSON.parse(localStorage.getItem('columna')) === 'object') {
									let lengthColumnas = JSON.parse(localStorage.getItem('columna'));
                                    
									lengthColumnas.forEach((element) => {
										total = api
											.column(parseInt(element))
											.data()
											.reduce(function (a, b) {
												return intVal(a) + intVal(b);
											}, 0);

										pageTotal = api
											.column(parseInt(element), {
												page: 'current',
											})
											.data()
											.reduce(function (a, b) {
												return intVal(a) + intVal(b);
											}, 0);

										$(api.column(parseInt(element)).footer()).html(
											'S/.' +
												pageTotal.toString().match(/\d+(\.\d{1,2})?/g)[0] +
												' (Total general: S/.' +
												total.toString().match(/\d+(\.\d{1,2})?/g)[0] +
												')'
										);
									});

								} else {
									total = api
										.column(parseInt(localStorage.getItem('columna')))
										.data()
										.reduce(function (a, b) {
											return intVal(a) + intVal(b);
										}, 0);

									// Total over this page
									pageTotal = api
										.column(parseInt(localStorage.getItem('columna')), {
											page: 'current',
										})
										.data()
										.reduce(function (a, b) {
											return intVal(a) + intVal(b);
										}, 0);
										
									
									totalPagado = api
										.column(8)
										.data()
										.reduce(function (a, b) {
											return intVal(a) + intVal(b);
										}, 0);

									// TotalPagado over this page
									pageTotalPagado = api
										.column(parseInt(8), {
											page: 'current',
										})
										.data()
										.reduce(function (a, b) {
											return intVal(a) + intVal(b);
										}, 0);
										
									totalPendiente = api
										.column(parseInt(9))
										.data()
										.reduce(function (a, b) {
											return intVal(a) + intVal(b);
										}, 0);

									// TotalPendiente over this page
									pageTotalPendiente = api
										.column(parseInt(9), {
											page: 'current',
										})
										.data()
										.reduce(function (a, b) {
											return intVal(a) + intVal(b);
										}, 0);


									// Update footer
									$(api.column(parseInt(localStorage.getItem('columna'))).footer()).html(
										// total.toString().match(/\d+(\.\d{1,2})?/g)[0]
										'Total: S/.' +
												pageTotal.toString().match(/\d+(\.\d{1,2})?/g)[0] +
												'<br> (Total general: S/.' +
												total.toString().match(/\d+(\.\d{1,2})?/g)[0] +
												')<br><br>'
												+
										'Pagado: S/.' +
												pageTotalPagado.toString().match(/\d+(\.\d{1,2})?/g)[0] +
												'<br> (Total general: S/.' +
												totalPagado.toString().match(/\d+(\.\d{1,2})?/g)[0] +
												')<br><br>'	
												+
										'Pago pendiente: S/.' +
												pageTotalPendiente.toString().match(/\d+(\.\d{1,2})?/g)[0] +
												'<br> (Total general: S/.' +
												totalPendiente.toString().match(/\d+(\.\d{1,2})?/g)[0] +
												')<br><br>'	
									);

									// ocultar para algunos
									// if (!enable) {

										// Calcular y mostrar el total para la columna "Total Gravado"
										totalGravado = api
											.column(9)
											.data()
											.reduce(function (a, b) {
												return intVal(a) + intVal(b);
											}, 0);
	
										pagetotalGravado = api
											.column(9, { page: 'current' })
											.data()
											.reduce(function (a, b) {
												return intVal(a) + intVal(b);
											}, 0);
						
										$(api.column(9).footer()).html(
											'Total página: S/.' + pagetotalGravado.toFixed(2) + ' (Total general gravado: S/.' + totalGravado.toFixed(2) + ')'
										);
						
										// Calcular y mostrar el total para la columna "Total Exonerado"
										// totalExonerado = api
										// 	.column(10)
										// 	.data()
										// 	.reduce(function (a, b) {
										// 		return intVal(a) + intVal(b);
										// 	}, 0);
	
										// pagetotalExonerado = api
										// 	.column(10, { page: 'current' })
										// 	.data()
										// 	.reduce(function (a, b) {
										// 		return intVal(a) + intVal(b);
										// 	}, 0);
						
										// $(api.column(10).footer()).html(
										// 	'Total página: S/.' + pagetotalExonerado.toFixed(2) + ' (Total general exonerado: S/.' + totalExonerado.toFixed(2) + ')'
										// );
									// }

								}
							}
						}
					},
					scrollX: true,
					language: {
						search: 'Buscar',
						lengthMenu: 'Visualizar _MENU_ registro por página',
						zeroRecords: 'No hay información para mostrar.',
						info: 'Página _PAGE_ de _PAGES_ de _MAX_',
						infoEmpty: 'Página _PAGE_ - _PAGES_ de _MAX_ registros',
						infoFiltered: '(filtrado de _MAX_ registros)',
						paginate: {
							previuos: 'Anterior',
							next: 'Siguiente',
						},
					},
				});
			}
			return table;
		});
	reportes_excel.clickexcel = () => {
		$('#click-export-excel').click((e) => {
			$('#preloader').fadeIn('slow');

			setTimeout(() => {
				var tableData = [
					{
						sheetName: 'Sheet1',
						data: [],
					},
				];
				var tablecolumns = table.api().columns().header(); //[1].innerHTML
				var columns = [];
				for (var i = 0; i < tablecolumns.length; i++) {
					columns.push({
						text: tablecolumns[i].innerHTML,
					});
				}
				tableData[0].data.push(columns);
				for (var r = 0; r < table.fnGetData().length; r++) {
					var newitem = [];
					for (var c = 0; c < tablecolumns.length; c++) {
						var value = table.fnGetData(r, c);
						var rgx = /^-?\d+(,\d+)*(\.\d+)?$/;
						var isNumber = rgx.test(value);

						if (isNumber) {
							newitem.push({ text: parseFloat(value.replace(/<[^>]*>?/g, '')), type: 'n' });
						} else {
							newitem.push({ text: value.replace(/<[^>]*>?/g, ''), type: 's' });
						}
					}
					tableData[0].data.push(newitem);
				}
				var fileName = localStorage.getItem('fileName')
					? localStorage.getItem('fileName')
					: 'REPORTE-' +
					  new Date().getFullYear() +
					  '' +
					  (new Date().getMonth() + 1) +
					  '' +
					  new Date().getDay() +
					  '' +
					  new Date().getHours() +
					  '' +
					  new Date().getMinutes() +
					  '' +
					  new Date().getSeconds();

				var options = {
					fileName,
				};
				Jhxlsx.export(tableData, options);
				$('#preloader').fadeOut('slow');
			}, 1000);
		});
	};

	return reportes_excel;
})(reportes_excel || {});

$(document).ready(function () {
	reportes_excel.TableData('example1');
	// reportes_stock.Excel();
	reportes_excel.clickexcel();
});
