function modalAddDiscount() {
    clearInputs()

    $('#modal-add').modal('show');
}

function clearInputs() {
    document.getElementById('nDiscount_Id').value = ''
    document.getElementById('sDescription').value = ''
    document.getElementById('nAmount').value = 0
}


function saveDiscount() {
    const description = document.getElementById('sDescription').value
    const amount = document.getElementById('nAmount').value
    const nDiscount_Id = document.getElementById('nDiscount_Id').value
    console.log(description, amount, nDiscount_Id)
    if (!description || parseFloat(amount) <= 0) {
        swal('Warning', 'You must complete all fields', 'warning')
        return
    }

    $.post('?c=Descuentos&a=SaveDescuento', {
        nDiscount_Id: nDiscount_Id,
        sDescription: description,
        nAmount: amount
    }, function (data) {
        console.log(data)
        $('#response').html(data)
        clearInputs()

        setTimeout(() => {
            $('#modal-add').modal('hide')
            location.reload()
        }, 3000);
    })
}

function showDiscount(id) {
    $.post('?c=Descuentos&a=GetDiscount', {
        nDiscount_Id: id
    }, function(data) {
        const json = JSON.parse(data)
        if (json.length > 0) {
            const table = document.getElementById('ver_datos')

            table.innerHTML = `
                <tr>
                    <td>Description</td>
                    <td>${json[0].sConNombre}</td>
                </tr>
                <tr>
                    <td>Amount</td>
                    <td>${json[0].nConValor}</td>
                </tr>
            `

            $('#modal-ver').modal('show')
        }
    })
}

function editDiscount(id) {
    clearInputs()

    $.post('?c=Descuentos&a=GetDiscount', {
        nDiscount_Id: id
    }, function(data) {
        
        const json = JSON.parse(data)
        if (json.length > 0) {
            document.getElementById('nDiscount_Id').value = json[0].Concepto_Id
            document.getElementById('sDescription').value = json[0].sConNombre
            document.getElementById('nAmount').value = json[0].nConValor

            document.getElementById('span_update').classList.remove('hidden')
            document.getElementById('span_save').classList.add('hidden')

            $('#modal-add').modal('show')
        }
    })
}

function removeDiscount() {
    $.post('?c=Descuentos&a=RemoveDiscount', {
        nDiscount_Id: document.getElementById('nDescuento_Id').value
    }, function(data) {
        console.log(data)
        $('#response_remove').html(data)

        setTimeout(() => {
            $('#modal-eliminar').modal('hide')
            location.reload()
        }, 3000);
    })
}