function FrmGuardarEnterprise() {
    clearForm()
    $('#modal-register').modal('show')
}

function EliminarEnterprise() {
    const Company_Id = document.getElementById('Company_Id').value
	$.post('?c=Enterprise&a=Eliminar', {
		Company_Id: Company_Id
	}, function(data) {
		$('#modal-eliminar').modal('hide')
		$('#preloader').fadeOut('slow')
		$('#script_js').html(data)
	})
}

function GuardarEnterprise() {
	const Company_Id = document.getElementById('Company_Id').value
	const sEnterName = document.getElementById('sEnterName').value

	if (!sEnterName) {
		swal('Warning', 'Name is a required field', 'warning')
		return
	}

    $.post('?c=Enterprise&a=Guardar', {
        Enterprise_Id: Company_Id,
        sEnterName: sEnterName
    }, function(data) {
        console.log(data)
		clearForm()

		document.getElementById('sEnterName').disabled = true

        $('#response_company').html(data);

        setTimeout(function() {
			$('#modal-register').modal('hide')
            window.location.reload();
        }, 3000);
    })
	
}

function FrmEditarEnterprise(Enterprise_Id) {
    clearForm()

	$.post('?c=Enterprise&a=getEnterprise', {
		Enterprise_Id: Enterprise_Id
	}, function (data) {
		console.log(data)
		const json = JSON.parse(data)
		if (json.length > 0) {
            document.getElementById('Company_Id').value = json[0].Enterprise_Id
            document.getElementById('sEnterName').value = json[0].sEnterName
			
			document.getElementById('span_update').classList.remove('hidden')
			document.getElementById('span_save').classList.add('hidden')

			$('#modal-register').modal('show')
		}
	})
}

function MostrarEnterprise(Enterprise_Id) {
	$.post('?c=Enterprise&a=Mostrar', {
		Enterprise_Id: Enterprise_Id
	}, function(data) {
		document.getElementById('ver_datos').innerHTML = data
	})
}

function clearForm() {
    document.getElementById('Company_Id').value = ''
    document.getElementById('sEnterName').value = ''
}