function MostrarMovimiento(Movimiento_Id) {
    $("#PDFMmovimiento_Id").val(Movimiento_Id);
    $.post('?c=OrdenCompra&a=MostrarMovimiento', {
        Movimiento_Id: Movimiento_Id
    }, function (data) {
        $("#ver_datos").html(data);
    });
}

function FrmGuardarMovimiento() {
    $.post('?c=OrdenCompra&a=FrmGuardarMovimiento', {}, function (data) {
        $(".content-wrapper").html(data);
    });
}

function FrmEditarMovimiento(Movimiento_Id) {
    $.post('?c=OrdenCompra&a=FrmEditarMovimiento', {
        Movimiento_Id: Movimiento_Id
    }, function (data) {
        $(".content-wrapper").html(data);
    });
}

function FrmEditarUsuario(Usuario_Id) {
    $.post('?c=Usuario&a=FrmEditarUsuario', {
        Usuario_Id: Usuario_Id
    }, function (data) {
        $(".content-wrapper").html(data);
    });
}

function mostrarUsuario(Usuario_Id) {
    $.post('?c=Usuario&a=MostrarUsuario', {
        Usuario_Id: Usuario_Id
    }, function (data) {
        $("#ver_datos").html(data);
    });
}

function Limpiar() {
    document.getElementById('OrdenCompra_Id').value = '0';
    document.getElementById('dMovFecha').value = '';
    $('#Tipomovimiento_Id').prop('selectedIndex', 0);
    $('#nMovTipopago').prop('selectedIndex', 0);
    //    $('#nMovTipoOrigenDestino').prop('selectedIndex',0);
    $('#nMovOrigenDestino_Id').prop('selectedIndex', 0);
    $('#nMovTipodestino').prop('selectedIndex', 0);
    $('#Almacen_Id').prop('selectedIndex', 0);
    $('#Documento_Id').prop('selectedIndex', 0);
    document.getElementById('sMovDocumento').value = '';
    document.getElementById('sMovDocReferencia').value = '';
    $('#Moneda_Id').prop('selectedIndex', 0);
    if (document.getElementById('Moneda_Id').value == '2') {
        document.getElementById('nMovTipoCambio').value = '1';
    }
    $('#nMovVendedor_Id').prop('selectedIndex', 0);
    $('#dMovDetraccion_check').prop("checked", true);
    document.getElementById('dMovDetraccion').value = '0';
    $('#dMovPercepcion_check').prop("checked", true);
    document.getElementById('dMovPercepcion').value = '0';
    $('#dMovRetencion_check').prop("checked", true);
    document.getElementById('dMovRetencion').value = '0';
    document.getElementById('dMovImporte').value = '0';
    document.getElementById('dMovICBPER').value = '0';
    document.getElementById('dMovIGV').value = '0';
    document.getElementById('dMovTotal').value = '0';
    $("#sMovObservacion").val("");
    $('#tipo').prop('selectedIndex', 0);
}

function LimpiarFrmProductos() {
    //$('#ProdServ_Id').prop('selectedIndex',0);
    document.getElementById('sMovDetConCantidad').value = "0";
    //    document.getElementById('dMovDetConFechaVencimiento').value = "";
    $('#Unidadmedida_Id').prop('selectedIndex', 0);
    document.getElementById('nMovDetConPrecioUnitario').value = "0";
    document.getElementById('nMovDetConSubtotal').value = "0";
}

function LimpiarFrmProductosLotes() {
    var value = 0;
    // $("#lotes").attr('checked', false);
    $('#Unidadmedida_Id').prop('selectedIndex', 0);
    document.getElementById('sMovDetConCantidad').value = 1;
    document.getElementById('nMovDetConPrecioUnitario').value = value.toFixed(2);
    document.getElementById('nMovDetConSubtotal').value = value.toFixed(2);
    var tipodestino = document.getElementById('nOCTipodestino').value;
    if (tipodestino === "2") {
        $("#lista_lotes").parent().hide();
    } else {
        $("#lista_lotes").parent().show();
    }
}


function ValidarTipomovimiento() {
    var Tipomovimiento_Id = document.getElementById('Tipomovimiento_Id').value;
    // $("#nIncluyeLoteIGV").prop("checked", true); 
    if (Tipomovimiento_Id == "") {
        $("#Tipomovimiento_Id").addClass('error');
        $("#Tipomovimiento_Id").parent().children().first().addClass("error");
    } else {
        $("#Tipomovimiento_Id").removeClass('error');
        $("#Tipomovimiento_Id").parent().children().first().removeClass("error");
        LimpiarFrmProductosLotes();
        $("#agregar_producto").modal('show');
    }
    $('html, body').animate({
        scrollTop: '0px'
    }, 1000);
}

function GuardarMovimiento() {
    NumeroDocumento();
    var nOCOrigenDestino_Id = document.getElementById('nOCOrigenDestino_Id').value;
    var sOCDocumento = document.getElementById('sOCDocumento').value;

    if (sOCDocumento == undefined || sOCDocumento === '' || !sOCDocumento) {
        swal("Advertencia.", "El documento no se cargo correctamente.", "warning");
        return;
    }
    if (!nOCOrigenDestino_Id) {
        swal("Advertencia.", "Debe de seleccionar un cliente/proveedor porfavor.", "warning");
        return;
    }

    //Si es factura electronica
    if ($('#Documento_Id').val() == 1) {
        var druc = $('#nOCOrigenDestino_Id option:selected').data('subtext').toString();
        console.log(druc);
        //Si el document es menor a 11 (No es RUC)
        if (druc.length < 11) {
            swal("Advertencia.", "Para usar facturacion electronica el Cliente/Proveedor debe poseer RUC.", "warning");
            return;
        }
    }

       // Si hay productos con precio 0
    var cantidad_productos = $('#productos_servicios').children().length;
    for (var i = 0; i < cantidad_productos; i++) {
        var productocero = parseFloat($('#productos_servicios').children()[i].children[4].innerHTML);
        if ($('#Documento_Id').val() == 1 || $('#Documento_Id').val() == 2) {
            if (productocero.toFixed(2) == 0.00) {
                swal("Advertencia.", "Hay productos con precio 0.", "warning");
                return;
            }
        }
    }
    
    $.post('?c=OrdenCompra&a=validardetallemovimiento', {}, function (data) {
        $('#preloader').show();
        var cant = parseInt(data);
        if (cant > 0) {
            var OrdenCompra_Id = document.getElementById('OrdenCompra_Id').value;
            var dOCFecha = document.getElementById('dOCFecha').value;
            var dias_credito = $('#nOCOrigenDestino_Id').find(':selected').data('diascredito');
            var Tipomovimiento_Id = document.getElementById('Tipomovimiento_Id').value;
            var nOCTipopago = document.getElementById('nOCTipopago').value;
            var Almacen_Id = document.getElementById('Almacen_Id').value;
            var nOCOrigenDestino_Id = document.getElementById('nOCOrigenDestino_Id').value;
            var nOCTipoOrigenDestino = document.getElementById('nOCTipoOrigenDestino').value;

            var nOCTipodestino = document.getElementById('nOCTipodestino').value;
            var Documento_Id = document.getElementById('Documento_Id').value;
            var sOCDocReferencia = document.getElementById('sOCDocReferencia').value;
            var Moneda_Id = document.getElementById('Moneda_Id').value;
            var nOCTipoCambio = document.getElementById('nOCTipoCambio').value;
            var nOCVendedor_Id = document.getElementById('nOCVendedor_Id').value;
            var dOCImporte = document.getElementById('dOCImporte').value;
            var dOCIGV = document.getElementById('dOCIGV').value;
            var dOCICBPER = document.getElementById('dOCICBPER').value;
            var dOCTotal = document.getElementById('dOCTotal').value;
            var dOCSaldo = document.getElementById('dOCTotal').value;
            var dOCDetraccion = document.getElementById('dOCDetraccion').value;
            var dOCPercepcion = document.getElementById('dOCPercepcion').value;
            var dOCRetencion = document.getElementById('dOCRetencion').value;
            var sOCObservacion = document.getElementById('sOCObservacion').value;
            //    var nMovEstado = document.getElementById('nMovEstado').value;
            var dOCFechaEntrega  = document.getElementById('dOCFechaEntrega').value;
            var sOCLugarEntrega = document.getElementById('sOCLugarEntrega').value;

            //$('#preloader').hide();

            $.post('?c=OrdenCompra&a=GuardarMovimiento', {
                OrdenCompra_Id: OrdenCompra_Id,
                dOCFecha: dOCFecha,
                dias_credito: dias_credito,
                Tipomovimiento_Id: Tipomovimiento_Id,
                nOCTipopago: nOCTipopago,
                Almacen_Id: Almacen_Id,
                nOCTipoOrigenDestino: nOCTipoOrigenDestino,
                nOCOrigenDestino_Id: nOCOrigenDestino_Id,
                nOCTipodestino: nOCTipodestino,
                Documento_Id: Documento_Id,
                sOCDocumento: sOCDocumento,
                sOCDocReferencia: sOCDocReferencia,
                Moneda_Id: Moneda_Id,
                nOCTipoCambio: nOCTipoCambio,
                nOCVendedor_Id: nOCVendedor_Id,
                dOCImporte: dOCImporte,
                dOCIGV: dOCIGV,
                dOCICBPER: dOCICBPER,
                dOCTotal: dOCTotal,
                dOCSaldo: dOCSaldo,
                dOCDetraccion: dOCDetraccion,
                dOCPercepcion: dOCPercepcion,
                dOCRetencion: dOCRetencion,
                sOCObservacion: sOCObservacion,
                dOCFechaEntrega: dOCFechaEntrega,
                sOCLugarEntrega: sOCLugarEntrega,
                importes: guardarImportes()
                //        nMovEstado: nMovEstado
            }, function (data) {

                /* data = JSON.parse(data);
                
                if(data.previsualizacion){
                    previsualizacion(data.Movimiento_Id);
                }else if(data.enviarcomprobante){
                    enviarcomprobante(data.Movimiento_Id);
                }else if(!display_modal_pago_efectivo){
                    location.href='?c=OrdenCompra&a=Index';
                }
                
                if(display_modal_pago_efectivo){
                    forcePago(data.Movimiento_Id,data.importe);
                }
                
                $("#resultado").html(data.print); */
                $("#resultado").html(data);
                $('#preloader').hide();
                Limpiar();
                ListarProductos();
                CalcularImpTotIGV();
                $('html, body').animate({
                    scrollTop: '0px'
                }, 1000);

            });
        } else {
            swal("Advertencia.", "El movimiento debe contener al menos un detalle", "warning");
        }
    });
}

function AvisoImpresionProductos() {
    var e = $('#alert_exceso');
    var cant = $('#productos_servicios tr').size();
    var max = parseInt(e.data('max'));
    console.log('productos: ' + cant);
    if (cant > max) {
        e
            .html('<b>IMPORTANTE:</b> A partir de ' + (max + 1) + ' productos, la impresi&oacute;n es por ticket (Hay ' + cant + ' productos actualmente).')
            .removeClass('hidden')
            .show('fast');
    } else {
        e.hide('fast')
    }
}

function ErrorCalculo() {

    // var e = $('#alert_error');
    var importe = $("#dMovImporte").val();
    var importe = importe.replace(',', '');
    var igv = $('#dMovIGV').val();
    var igv = igv.replace(',', '');
    var icbper = $('#dMovICBPER').val();
    var icbper = icbper.replace(',', '');
    var total = $('#dMovTotal').val();
    var total = total.replace(',', '');
    var sum= parseFloat(importe) + parseFloat(igv) + parseFloat(icbper);
    //   
    if (sum.toFixed(2) != parseFloat(total)) {
        // e
        //     .html('<b>AVISO:</b> Hay un error en la sumatoria de los importes.')
        //     .removeClass('hidden')
        //     .show('fast');
        swal("Aviso.", "Hay un error en la sumatoria de los importes.", "warning");
        return;
        // return false;
    }
}


function AgregarProductoC() {
    // var nProSrvICBPer = document.getElementById('nProSrvICBPer').value;
    var nProSrvICBPer = $("#ProdServ_Id").find(':selected').data('icbper');
    var Almacen_Id = document.getElementById('Almacen_Id').value;
    var ProdServ_Id = document.getElementById('ProdServ_Id').value;
    var Unidadmedida_Id = document.getElementById('Unidadmedida_Id').value;
    var sOCDConCantidad = document.getElementById('sMovDetConCantidad').value;//sOCDConCantidad
    var nOCDConCantidadPendiente = sOCDConCantidad;
    var dOCDConFechaVencimiento = document.getElementById('dMovDetConFechaVencimiento').value;//dOCDConFechaVencimiento
    var nOCDConSubtotal = document.getElementById('nMovDetConSubtotal').value;//nOCDConSubtotal
    var nOCDConPrecioUnitario = document.getElementById('nMovDetConPrecioUnitario').value;//nOCDConPrecioUnitario
    var nIncluyeIGV = 0;
    if ($("#nIncluyeIGV").prop("checked") == true) {
        nIncluyeIGV = 1;
    }

    if (sOCDConCantidad > 0) {
        $.post('?c=OrdenCompra&a=AgregarProductoC', {
            Almacen_Id: Almacen_Id,
            ProdServ_Id: ProdServ_Id,
            Unidadmedida_Id: Unidadmedida_Id,
            sOCDConCantidad: sOCDConCantidad,
            nOCDConCantidadPendiente: nOCDConCantidadPendiente,
            dOCDConFechaVencimiento: dOCDConFechaVencimiento,
            nOCDConSubtotal: nOCDConSubtotal,
            nOCDConPrecioUnitario: nOCDConPrecioUnitario,
            nIncluyeIGV: nIncluyeIGV,
            nProSrvExoneradoIGV: $("#nProSrvExoneradoIGV").val(),
            nProSrvICBPer: nProSrvICBPer
        }, function (data) {
            $("#resultado_ingresocompra").html(data); // Mostrar la respuestas del script PHP.
            LimpiarFrmProductos();
            ListarProductos();
            CalcularImpTotIGV();
        });
    } else {
        swal("La cantidad tiene que ser mayor a 0");
    }
    //    $.ajax({
    //        type: "POST",
    //        url: '?c=OrdenCompra&a=AgregarProductoC',
    //        data: $("#FrmIngresoCompra").serialize(), // Adjuntar los campos del formulario enviado.
    //        success: function (data)
    //        {
    //            $("#resultado_ingresocompra").html(data); // Mostrar la respuestas del script PHP.
    //            LimpiarFrmProductos();
    //            ListarProductos();
    //            CalcularImpTotIGV();
    //        }
    //    });
}

function ProductosUNILista() {
    var ProdServ_Id = document.getElementById('ProdServ_Id').value;
    $.post('?c=OrdenCompra&a=ListarUnidades', {
        ProdServ_Id: ProdServ_Id
    }, function (data) {
        $("#Unidadmedida_Id").html(data);
        setTimeout(() => {
            $("#Unidadmedida_Id").change();
        }, 500);
    });
}

function ListarProductos() {
    $.post('?c=OrdenCompra&a=ListarProductos', {}, function (data) {
        $("#productos_servicios").html(data);
        $(".nopromovido tr td input[type='text']").prop('readonly',true);
        AvisoImpresionProductos();

    });
}

function ListarProductosLote() {
    var nProSrvExoneradoIGV = $("#ProdServ_Id option:selected").data('exoneradoigv');
    var ProdServ_Id = document.getElementById('ProdServ_Id');
    $.post('?c=OrdenCompra&a=ListarLoteProducto', {
        ProdServ_Id: ProdServ_Id.value
    }, function (data) {
        $("#lista_lotes").html(data);
        ProductosUNILista();
        $("#nProSrvExoneradoIGV").val(nProSrvExoneradoIGV);
    });
}

function TotalGravamen() {
    $.post('?c=Garantias&a=TotalGarantias', {}, function (data) {
        document.getElementById('').value = data;
    });
}

function CalcularImpTotIGV() {
    var Documento_Id = document.getElementById('Documento_Id').value;
    $.post('?c=OrdenCompra&a=CalcularImpTotIGV', {
        Documento_Id: Documento_Id
    }, function (data) {
        $("#resultado_productos").html(data);
    });
}

function CalcularImpTotIGV_venta() {
    var Documento_Id = document.getElementById('Documento_Id').value;
    $.post('?c=OrdenCompra&a=CalcularImpTotIGV_venta', {
        Documento_Id: Documento_Id
    }, function (data) {
        $("#resultado_productos").html(data);
    });
}

function CalcularSubtotal() {
    var decimales= document.getElementById('nro_decimales').value;
    var sOCDCConCantidad = document.getElementById('sMovDetConCantidad').value;
    var nOCDConPrecioUnitario = document.getElementById('nMovDetConPrecioUnitario').value;
    document.getElementById('nMovDetConSubtotal').value = (sOCDCConCantidad * nOCDConPrecioUnitario).toFixed(decimales);
}

function Tipomovimiento() {
    var Tipomovimiento_Id = document.getElementById('Tipomovimiento_Id').value;
    $.post('?c=OrdenCompra&a=TipoMovimiento', {
        Tipomovimiento_Id: Tipomovimiento_Id
    }, function (data) {
        $("#FrmTipomovimiento").html(data);
        TipoDocumento(Tipomovimiento_Id);
        $("#Documento_Id").attr('disabled', false);
        CalcularImpTotIGV();
    });
}

function Tipomovimiento_venta() {
    var Tipomovimiento_Id = 2;
    $.post('?c=OrdenCompra&a=TipoMovimiento', {
        Tipomovimiento_Id: Tipomovimiento_Id
    }, function (data) {
        $("#FrmTipomovimiento").html(data);
        TipoDocumento_vetna(Tipomovimiento_Id);
        CalcularImpTotIGV_venta();
    });
}

function TipoDocumento(Tipomovimiento_Id) {
    $.post('?c=Tipodocumento&a=ListarConboboxOC', {
        Tipomovimiento_Id: Tipomovimiento_Id
    }, function (data) {
        $("#Documento_Id").html(data);
        NumeroDocumento();
    });
}

function TipoDocumento_vetna(Tipomovimiento_Id) {
    $.post('?c=Tipodocumento&a=ListarConboboxOC', {
        Tipomovimiento_Id: Tipomovimiento_Id
    }, function (data) {
        $("#Documento_Id").html(data);
        NumeroDocumento_Venta();
    });
}

function TipoDocumentoEditar(nOCOrigenDestino_Id) {
    var Tipomovimiento_Id = document.getElementById('Tipomovimiento_Id').value;
    $.post('?c=Tipodocumento&a=ListarConboboxOC', {
        Tipomovimiento_Id: Tipomovimiento_Id
    }, function (data) {
        $("#Documento_Id").html(data);
        $("#Documento_Id").attr('disabled', false);
        $("#nOCOrigenDestino_Id").val(nOCOrigenDestino_Id);
    });
}

function NumeroDocumento() {
    var Documento_Id = document.getElementById('Documento_Id').value;
    $.post('?c=Tipodocumento&a=NumeroDocumento', {
        Documento_Id: Documento_Id
    }, function (data) {
        document.getElementById("sOCDocumento").value = parseInt(data);
        AutomaticoSINO(Documento_Id);
        CalcularImpTotIGV();
    });
}

function NumeroDocumento_Venta() {
    var Documento_Id = document.getElementById('Documento_Id').value;
    $.post('?c=Tipodocumento&a=NumeroDocumento', {
        Documento_Id: Documento_Id
    }, function (data) {
        document.getElementById("sOCDocumento").value = parseInt(data);
        AutomaticoSINO(Documento_Id);
        CalcularImpTotIGV_venta();
    });
}

function AutomaticoSINO(Documento_Id) {
    $.post('?c=Tipodocumento&a=AutomaticoSINO', {
        Documento_Id: Documento_Id
    }, function (data) {
        //        console.log(data);
        $("#resultado_productos").html(data);
    });
}

function TipoPrvClien() {
    var tipo = document.getElementById('nOCTipoOrigenDestino').value;
    $.post('?c=Clienteproveedor&a=TipoPrvClien', {
        tipo: tipo
    }, function (data) {
        $("#nOCOrigenDestino_Id").html(data);
        if ($("#OrdenCompra_Id").val() == 0) {
            $("#nOCOrigenDestino_Id").selectpicker('refresh');
        }
    });
}

function EliminarProductoLista() {
    var Codigo_Producto = document.getElementById('Codigo_Producto').value;
    $.post('?c=OrdenCompra&a=EliminarProductoLista', {
        Codigo_Producto: Codigo_Producto
    }, function (data) {
        $("#resultado").html(data);
        ListarProductos();
        CalcularImpTotIGV();
        $("#eliminar_productos").modal("hide");
    });
}

function previsualizacion(Movimiento_Id) {
    $.post('?c=OrdenCompra&a=Previsualizacion', {
        Movimiento_Id: Movimiento_Id
    }, function (data) {
        $(".content-wrapper").html(data);
    });
}

$(document).ready(function () {
    $("#FormMovimiento").validate({
        rules: {
            dOCFecha: {
                required: true
            },
            Tipomovimiento_Id: {
                required: true
            },
            nOCTipopago: {
                required: true
            },
            nOCTipoOrigenDestino: {
                required: true
            },
            nOCOrigenDestino_Id: {
                required: true
            },
            sOCObservacion: {
                 maxlength: function () {
                    var id_empresa = document.getElementById('id_empresa').value;
                        if (id_empresa != '20440120149') {
                            return 250;
                        }else{
                            return 800;
                        }
                }
            }
        },
        messages: {
            sOCObservacion: {
                maxlength: "Máximo de caracteres permitidos: 250"
            },
            dOCFecha: "Campo requerido",
            Tipomovimiento_Id: "Campo requerido",
            nOCTipopago: "Campo requerido",
            nOCTipoOrigenDestino: "Campo requerido",
            nOCOrigenDestino_Id: "Campo requerido",
        }
    });

});

function enviarcomprobante(OrdenCompra_Id) {

    $("#btn-send-sunat").prop('disabled', true);
    $("#preloader").show();

    var nDocTipoImprimir = $('#nDocTipoImprimir').val();
    var tipo = null;
    switch (parseInt(nDocTipoImprimir)) {
        case 2:
            tipo = 'comprobantePDF';
            $.post('?c=OrdenCompra&a=enviarcomprobante', {
                OrdenCompra_Id: OrdenCompra_Id
            }, function (data) {
                $("#resultado").html(data);
                $("#preloader").hide();
            });
            break;
        case 1:
        default:
            tipo = 'comprobante';
            break;
    }
    $("#preloader").hide();
    var url = window.self.location.pathname + '?c=OrdenCompra&a=' + tipo + '&OrdenCompra_Id=' + OrdenCompra_Id;
    var f = '<form id="fxpdf" method="post" action="' + url + '" target="_blank"></form>';

    $('body').append(f);
    $('#fxpdf').submit();
}

function FrmEditarNotaCredito(Notacredito_Id) {
    $.post('?c=Notacredito&a=FrmEditar', {
        Notacredito_Id: Notacredito_Id
    }, function (data) {
        $(".content-wrapper").html(data);
    });
}

function agregar_importe() {

    var fecha = $("#dOCPagFechaCuota").val();
    var importe = $("#nOCPagTotalCuota").val();
    if (!fecha) {
        alert('Ingrese una fecha, por favor.')
        return;
    } if (!importe) {
        alert('Ingrese un importe, por favor.')
        return;
    }

    console.log($('#FrmAgregarPagos').serializeArray());
    var datos = $('#FrmAgregarPagos').serializeArray();

    var conteo_contactos = $('#tabla_importes_agregados').children().length;
    var siguiente = conteo_contactos + 1;
    var contador = 1;
    var contadorsum = contador + 1;
    var row_contacto = '<tr id="row_contacto_' + siguiente + '">';
    // row_contacto += '<td style="display:none">0</td>';
    row_contacto += '<td style="display:none">' + siguiente + '</td>';
    row_contacto += '<td>' + datos[0].value + '</td>';
    row_contacto += '<td>' + datos[1].value + '</td>';
    row_contacto += '<td><button id="quitar_importe" type="button" data-fila="' + datos[1].value + '" onclick="return quitar_contacto(' + siguiente + ', ' + datos[1].value + ')" class="btn btn-xs btn-flat btn-danger"><i class="fa fa-minus"></i></button></td>';
    row_contacto += '</tr>';

    $('#tabla_importes_agregados').append(row_contacto);
    $('#FrmAgregarPagos').trigger('reset');
    sumar_importes();
}


function quitar_contacto(id, importe) {
    // $('#row_importe_a_eliminar').val(id);
    // $('#modal_confirmareliminar_importe').modal('show');
    $('#row_contacto_' + id).remove();

    restar_importes(importe);
}

function quitar_pago_ok(id) {
    $('#row_contacto_' + id).remove();
    $('#modal_confirmareliminar_importe').modal('hide');

}

function sumar_importes() {

    importes_tabla = [];
    var cantidad_importes = $('#tabla_importes_agregados').children().length;

    for (var i = 0; i < cantidad_importes; i++) {
        importes_tabla.push({
            fecha: $('#tabla_importes_agregados').children()[i].children[1].innerHTML,
            importe: $('#tabla_importes_agregados').children()[i].children[2].innerHTML,
            nrocuota: $('#tabla_importes_agregados').children()[i].children[0].innerHTML
        });
        var total = parseFloat($('#resultado_importes').val());

        $('#resultado_importes').val(total + parseFloat($('#tabla_importes_agregados').children()[i].children[2].innerHTML));

    }
}

function restar_importes(importe) {
    var total = parseFloat($('#resultado_importes').val());
    var nMovPagTotalCuota = parseFloat($("#nMovPagTotalCuota").val());
    $('#resultado_importes').val(total - importe);
}

function movActualizarProducto(i){
    var col = $('#produpd-'+i+' input');
    var cantidad = col[0].value;
    var precio = col[1].value;
    col.prop('disabled',true);
    $.post('?c=OrdenCompra&a=ActualizarProductoC', {
        index: i,
        cantidad: cantidad,
        precio: precio
    }, function (data) {
        if(data=='1'){
            ListarProductos();
            CalcularImpTotIGV();
        }
    });

}

function PromoverOrdenCompra(OrdenCompra_Id) {
    var f = '<form id="send_form_oc" method="POST" action="?c=Movimiento&a=Index"><input type="hihdden" name="OrdenCompra_Id" value="'+OrdenCompra_Id+'"></form>';
    $('body').append(f);
    document.getElementById('send_form_oc').submit();
    $('#send_form_oc').remove();
}