var reportes_excel = (function (reportes_excel, undefined) {
    var URLactual = window.location.host;
    var table;
    var rep_nombre;
    var tits = [];
    reportes_excel.Nombre = function (n) {
        rep_nombre = n;
    };
    _GetTitles = function () {
        var tablecolumns = table.api().columns().header(); //[1].innerHTML
        var titulos = [];
        for (var i = 0; i < tablecolumns.length; i++) {
            titulos.push(tablecolumns[i].innerHTML)
        }
        tits = titulos;
        return titulos;
    };
    _GetData = function () {
        var titulos = _GetTitles();
        var titx = [];
        for (i = 0; i < titulos.length; i++) {
            titx[i] = titulos[i].replace(/[^a-zA-Z\d]/g, '');
        }
        var datos = [];
        var tablecolumns = table.api().columns().header(); //[1].innerHTML
        //for (var r = 0; r < table.fnGetData().length; r++) {
        var filtered = table._('tr', {"filter": "applied"});
        for (var r = 0; r < filtered.length; r++) {
            var data = {};
            for (var c = 0; c < tablecolumns.length; c++) {
                //var value = table.fnGetData(r, c);
                var value = filtered[r][c];
                data[titx[c]] = value.replace(/(<([^>]+)>)/ig, "").replace(/\s\s+/, '').trim();
            }
            datos.push(data);
        }
        return datos;
    }
    _ObtenerTTitulos = function () {
        if (tits.length > 0) {
            return tits;
        }
        var titulos = [];
        $('#example1 tr th.sorting_disabled,#example1 tr th.sorting').each(function (i, v) {
            var tx = $(this).find('div').html();
            titulos.push(tx);
        });
        tits = titulos;
        return titulos;
    };
    _ObtenerTDatosMejorado = function () {
        var titulos = _ObtenerTTitulos();
        var titx = [];
        for (i = 0; i < titulos.length; i++) {
            titx[i] = titulos[i].replace(/[^a-zA-Z\d]/g, '');
        }
        var datos = [];
        $('#example1 tbody tr').each(function (i, v) {
            var data = {};
            $(this).find('td').each(function (tdi, tdv) {
                data[titx[tdi]] = $(this).html().replace(/(<([^>]+)>)/ig, "").replace(/\s\s+/, '').trim();
            });
            datos.push(data);
        });
        return datos;
    };
    _ObtenerTDatos = function () {
        var table = reportes_excel.TableData('example1');
        var oVentaDetallada = [];
        var filteredrows = table._('tr', {"filter": "applied"});
        for (var i = 0; i < filteredrows.length; i++) {
            var data = {};
            data.FechaPago = filteredrows[i][0];
            data.MedioPago = filteredrows[i][1];
            data.Descripcion = filteredrows[i][2];
            data.Moneda = filteredrows[i][3];
            data.Importe = filteredrows[i][4];
            data.Documento = filteredrows[i][5];
            data.RUC = filteredrows[i][6];
            data.CliProv = filteredrows[i][7];
            oVentaDetallada.push(data);

        }
        ;
        return oVentaDetallada;
    };
    _DownloadExcelXLS = function (titulos, data, fini, ffin) {
        var url = window.self.location.pathname + '?c=Reportes&a=DescargarExcel';

        var f = $('<form/>')
                .attr('id', 'fxpdf')
                .attr('method', 'post')
                .attr('action', url)
                .attr('target', '_blank');

        var inp = $('<input/>')
                .attr('type', 'hidden');

        f.append(inp.clone().attr({name: 'nombre', value: rep_nombre}));
        f.append(inp.clone().attr({name: 'titulos', value: titulos}));
        f.append(inp.clone().attr({name: 'data', value: data}));
        f.append(inp.clone().attr({name: 'fechaInicio', value: fini}));
        f.append(inp.clone().attr({name: 'fechaFin', value: ffin}));
        //console.log(f.html());
        $('body').append(f);
        $('#fxpdf').submit();
        $('#fxpdf').remove();
    },
            _DownloadExcel2 = function () {
                var titulos = _GetTitles();
                titulos = JSON.stringify(titulos);
                var data = _GetData();
                data = JSON.stringify(data);
                var fini = $('#fechaIni').val();
                var ffin = $('#fechaFin').val();

                _DownloadExcelXLS(titulos, data, fini, ffin);
            },
            _DownloadExcel = function () {
                var titulos = _ObtenerTTitulos();
                titulos = JSON.stringify(titulos);
                var data = _ObtenerTDatosMejorado();
                data = JSON.stringify(data);
                var fini = $('#fechaIni').val();
                var ffin = $('#fechaFin').val();

                _DownloadExcelXLS(titulos, data, fini, ffin);
            },
            reportes_excel.Excel = function () {
                $("#click-export-excel").click(function () {
                    $('#preloader').fadeIn('slow');
                    //_DownloadExcel();
                    _DownloadExcel2();
                    $('#preloader').fadeOut('slow');
                    $('body').css({'overflow': 'visible'});
                });
            },
            reportes_excel.datepicker = function (InputId) {
                $('#' + InputId).datetimepicker({
                    viewMode: 'days',
                    format: 'DD-MM-YYYY'
                });
            },
            reportes_excel.TableData = function (DivId) {

                if ($.fn.dataTable.isDataTable('#' + DivId)) {
                    table = $("#" + DivId).dataTable();
                } else {
                    table = $("#" + DivId).dataTable({
                    scrollX: true,
                    language: {
                        search: 'Buscar',
                        lengthMenu: 'Visualizar _MENU_ registro por página',
                        zeroRecords: 'No hay información para mostrar.',
                        info: 'Página _PAGE_ de _PAGES_ de _MAX_',
                        infoEmpty: 'Página _PAGE_ - _PAGES_ de _MAX_ registros',
                        infoFiltered: '(filtrado de _MAX_ registros)',
                        paginate: {
                            previuos: 'Anterior',
                            next: 'Siguiente'
                        }
                    }
                 
                });

                }
                return table;
            };
    reportes_excel.clickexcel = () => {
        $("#click-export-excel").click((e) => {
            var tableData = [
                {
                    "sheetName": "Sheet1",
                    "data": []
                }
            ];
            var tablecolumns = table.api().columns().header(); //[1].innerHTML
            var columns = [];
            for (var i = 0; i < tablecolumns.length; i++) {
                columns.push({'text': tablecolumns[i].innerHTML})
            }
            tableData[0].data.push(columns);
            for (var r = 0; r < table.fnGetData().length; r++) {
                var newitem = [];
                for (var c = 0; c < tablecolumns.length; c++) {
                    var value = table.fnGetData(r, c);
                    console.log(value);
                    newitem.push({'text': value.replace(/<[^>]*>?/g, '')})
                }
                tableData[0].data.push(newitem);
            }
            var options = {
                fileName: 'REPORTE-' + new Date().getFullYear() + '' + (new Date().getMonth() + 1) + '' + new Date().getDay() + '' + new Date().getHours() + '' + new Date().getMinutes() + '' + new Date().getSeconds()
            };
            console.log(tableData);
            // return;
            Jhxlsx.export(tableData, options);
        });
    };

    return reportes_excel;
})(reportes_excel || {});

$('#fechaIni').datetimepicker({
    viewMode: 'days',
    format: 'DD-MM-YYYY',
});
$('#fechaFin').datetimepicker({
    viewMode: 'days',
    format: 'DD-MM-YYYY',
});

