<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        Movimiento
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="wfamain.php"><i class="fa fa-dashboard"></i> Inicio</a></li>
        <li><a href="#">Movimiento</a></li>
    </ol>
</section>
<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-xs-12">
            <div class="box box-primary">
                <form action="javascript:savenotacredito()" method="POST" id="FormMovimiento">
                    <div class="box-header">
                        <h3 class="box-title">Datos basicos</h3>
                    </div>

                    <div style="display: none" class="col-md-4 form-group">
                        <select style="visibility: hidden;" class="form-control" name="Documento_Id" id="Documento_Id" onchange="NumeroDocumento();" disabled>

                            <?php foreach ($documentos as $doc) { ?>
                                <option value="<?= $doc->__GET('Documento_Id') ?>" <?= isset($r) ? $r->__GET('Documento_Id') == $doc->__GET('Documento_Id') ? 'selected' : '' : '' ?>>
                                    <?= $doc->__GET('sDocNombreCorto') ?>
                                </option>


                            <?php } ?>

                        </select>
                    </div>

                    <!-- /.box-header -->
                    <div class="box-body">
                        <div id="resultado"></div>

                        <div class="row">
                            <input type="hidden" id="Movimiento_Id" name="Movimiento_Id" value="">

                            <input type="hidden" id="sNotDocumento_Id" name="sNotDocumento_Id" value="<?php echo isset($r) ? $r->__GET('sNotDocumento_Id') : '0'; ?>">

                            <input type="hidden" id="sNotDocumento" name="sNotDocumento" value="<?php echo isset($r) ? $r->__GET('sNotDocumento') : '0'; ?>">

                            <input type="hidden" id="dMovDays" name="dMovDays" value="0">

                            <input type="hidden" name="nMovEstado" id="nMovEstado" value="">


                            <div class="form-group col-sm-3">
                                <label>Documento</label>
                                <div class="input-group">
                                    <input type="text" class="form-control" id="documento" name="documento" placeholder="Documento">
                                    <div class="input-group-addon input-group-addon-button">
                                        <button type="button" class="btn btn-danger" onclick="buscarcomprobante(this);"><span class="glyphicon glyphicon-search"></span></button>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3 form-group" id="TipoCategoria">
                                <label>Categoria</label>
                                <select class="form-control" id="categoriareclamo" name="categoriareclamo" onchange="TipoCategoria()">
                                    <?php foreach ($categorias as $item) { ?>
                                        <option value="<?php echo $item->nCReCodigoSunat . '|' . $item->nCReDescripcionSunat; ?>"><?php echo $item->nCReDescripcionSunat; ?></option>
                                    <?php
                                    } ?>
                                </select>

                            </div>

                            <div class="col-md-3 form-group">
                                <label>Fecha nota credito</label>
                                <input type="text" class="form-control datepicker" name="dNotcreFecha" id="dNotcreFecha" placeholder="Fecha de nota credito" value="<?php echo date('d/m/Y'); ?>">
                            </div>
                            <div class="col-md-3 form-group">
                                <label>Fecha comprobante</label>
                                <input type="text" class="form-control" name="dMovFecha" id="dMovFecha" placeholder="Fecha" value="" disabled>
                            </div>
                            <div class="col-md-3 form-group">
                                <label>Tipo movimiento</label>
                                <select class="form-control" name="Tipomovimiento_Id" id="Tipomovimiento_Id" disabled>
                                    <option selected value=""></option>
                                    <?php foreach ($tipomovimiento as $timo) { ?>
                                        <option value="<?php echo $timo->__GET('TipoMovimiento_Id'); ?>"><?php echo $timo->__GET('sTMovNombre'); ?></option>
                                    <?php
                                    } ?>
                                </select>
                            </div>
                            <div class="col-md-4 form-group">
                                <label>Tipo pago</label>
                                <select class="form-control" name="nMovTipopago" id="nMovTipopago" disabled>
                                    <option value=""></option>
                                    <option value="1">Contado</option>
                                    <option value="2">Credito</option>
                                </select>
                            </div>
                            <div class="col-sm-8">
                                <div class="row">
                                    <div class="col-md-4 form-group">
                                        <label>Tipo</label>
                                        <select class="form-control" name="nMovTipoOrigenDestino" id="nMovTipoOrigenDestino" disabled>
                                            <option value=""></option>
                                            <option value="1">Proveedor</option>
                                            <option value="2">Cliente</option>
                                        </select>
                                    </div>
                                    <div class="col-md-8 form-group">
                                        <label>Cliente/Proveedor</label>
                                        <input type="text" class="form-control" name="nMovOrigenDestinoName" id="nMovOrigenDestinoName" disabled>
                                        <!-- <select class="form-control selectpicker" name="nMovOrigenDestino_Id" id="nMovOrigenDestino_Id" data-live-search="true" disabled>
                                                    <option value="">Seleccione cliente/proveedor</option>
                                                </select> -->
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-4 form-group proveedor">
                                <label>Destino</label>
                                <select class="form-control" name="nMovTipodestino" id="nMovTipodestino" disabled>
                                    <option value=""></option>
                                    <option value="1">Bienes</option>
                                    <option value="2">Servicios</option>
                                </select>
                            </div>
                            <div class="col-md-4 form-group proveedor">
                                <label>Almacen</label>
                                <select class="form-control" name="Almacen_Id" id="Almacen_Id" disabled>
                                    <option value=""></option>
                                    <?php
                                    foreach ($almacen as $alm) {
                                    ?>
                                        <option value="<?php echo $alm->__GET('Almacen_Id'); ?>"><?php echo $alm->__GET('sAlmNombre'); ?></option>
                                    <?php

                                    }
                                    ?>
                                </select>
                            </div>
                            <div class="col-md-4 form-group" id="TipoMoneda">
                                <label>Tipo moneda</label>
                                <!--El tipo de cambio solo sera para el dolar caso contrario 1-->
                                <select class="form-control" name="Moneda_Id" id="Moneda_Id" disabled>
                                    <!--<option value="">Seleccione tipo moneda</option>-->
                                    <option value=""></option>
                                    <option value="1">Soles</option>
                                    <option value="2">Dolares</option>
                                </select>
                            </div>
                            <div class="col-md-3 form-group" id="TipoCambio" style="display: none;">
                                <label>Tipo de cambio</label>
                                <input type="text" class="form-control" name="nMovTipoCambio" id="nMovTipoCambio" value="" disabled>
                            </div>

                            <div class="col-md-12 form-group">
                                <!-- <div class="row" style="margin-top: 20px;">   
                                            <div class="col-md-6">
                                                <h4>&nbsp;&nbsp;Lista de productos</h4>
                                            </div>
                                          
                                        </div>               -->
                                <h5 class="sub-tittle-header" style="padding-top: 15px;">
                                    Lista de productos
                                    <a href="#" class="btn btn-success" id="agregar-producto" style="padding: 2px 10px; margin: 0px 10px !important; display: none" onclick="ValidarTipomovimiento(); return false;">Agregar</a>
                                </h5>
                                <hr style="margin-top: 0px;">
                                <table class="table table-bordered table-striped text-center">
                                    <thead>
                                        <tr>
                                            <th>Producto</th>
                                            <th>Cantidad</th>
                                            <th>Unidad</th>
                                            <th>Precio</th>
                                            <th>Sub Total</th>
                                            <th>#</th>
                                        </tr>
                                    </thead>
                                    <tbody id="productos_servicios">
                                        <tr>
                                            <td colspan="7">No hay datos</td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                            <div class="col-md-3">
                                <div id="resultado_productos"></div>
                                <div class="row">
                                    <div class="col-md-6 form-group text-center">
                                        <input type="checkbox" name="dMovDetraccion_check" id="dMovDetraccion_check" disabled>&nbsp;Detracción
                                    </div>
                                    <div class="col-md-6 form-group">
                                        <input type="text" class="form-control" name="dMovDetraccion" id="dMovDetraccion" placeholder="0.00" value="" disabled>
                                    </div>
                                    <div class="col-md-6 form-group text-center">
                                        <input type="checkbox" name="dMovPercepcion_check" id="" disabled>&nbsp;Percepción
                                    </div>
                                    <div class="col-md-6 form-group">
                                        <input type="text" class="form-control" name="dMovPercepcion" id="dMovPercepcion" placeholder="0.00" value="" disabled>
                                    </div>
                                    <div class="col-md-6 form-group text-center">
                                        <input type="checkbox" name="dMovRetencion_check" id="dMovRetencion_check" disabled>&nbsp;Retención
                                    </div>
                                    <div class="col-md-6 form-group">
                                        <input type="text" class="form-control" name="dMovRetencion" id="dMovRetencion" placeholder="0.00" value="" disabled>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-9">
                                <div class="row">
                                    <div class="col-md-4 form-group">
                                        <label>Importe</label>
                                        <input type="text" class="form-control" name="dMovImporte" id="dMovImporte" placeholder="0.00" value="">
                                    </div>
                                    <div class="col-md-4 form-group">
                                        <label>IGV</label>
                                        <input type="text" class="form-control" name="dMovIGV" id="dMovIGV" placeholder="0.00" value="">
                                    </div>
                                    <div class="col-md-4 form-group">
                                        <label>TOTAL</label>
                                        <input type="text" class="form-control" name="dMovTotal" id="dMovTotal" placeholder="0.00" value="">
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-12 form-group hide" id="listado_cuotas">
                                <h5 class="sub-tittle-header" style="padding-top: 15px;">
                                    Lista de Nro de Cuotas
                                    <a href="#" class="btn btn-success" id="agregar-producto" style="padding: 2px 10px; margin: 0px 10px !important; display: none" onclick="ValidarTipomovimiento(); return false;">Agregar</a>
                                </h5>
                                <hr style="margin-top: 0px;">
                                <table class="table table-bordered table-striped text-center">
                                    <thead>
                                        <tr>
                                            <th>Nro Cuota</th>
                                            <th>Total</th>
                                            <th>Vencimiento</th>
                                        </tr>
                                    </thead>
                                    <tbody id="listado_cuotas_tabla">
                                    </tbody>
                                </table>
                            </div>

                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Observaciones</label>
                                    <textarea class="form-control" name="sMovObservacion" id="sMovObservacion" placeholder="Observaciones" rows="3"></textarea>
                                </div>
                            </div>

                            <div class="col-md-6 form-group" id="devolver" style="display: none;">
                                <input type="checkbox" name="devolucion_check" id="devolucion_check">&nbsp;Devoluci&oacute;n mercader&iacute;a
                            </div>
                            <div class="col-md-12 form-group">
                                <input type="checkbox" name="aplicarpago_check" id="aplicarpago_check" checked>&nbsp;Aplicar pago a Factura/Boleta origen
                            </div>
                        </div>

                    </div>
                    <!-- /.box-body -->
                    <div class="box-footer">
                        <button type="submit" class="btn btn-primary btn-flat">
                            Guardar información
                        </button>
                        <a href="?c=Notacredito&a=Index" class="btn btn-danger btn-flat">
                            Cancelar
                        </a>
                    </div>
                </form>
            </div><!-- /.box -->
        </div><!-- /.col -->
    </div><!-- /.row -->
</section><!-- /.content -->

<div class="modal fade" id="agregar_producto" tabindex="-1" role="dialog" aria-labelledby="modal-eliminar-label" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content" id="FrmTipomovimiento">
            <input type="hidden" id="cantidad_decimales_id" value="<?php echo isset($parametro) ? $parametro[13]->sParValor : '' ?>">
        </div>
    </div>
</div>
<script type="text/javascript">
    // F002-1996
    let buscarUnicaVez = false;
    let esAjuste = false;

    $('#categoriareclamo').change(function() {

        const [codigo, descripcion] = $(this).val().split('|');

        // 13 => Codigo de sunat de ajuste
        //Si no es ajuste
        if (codigo != 13) {
            //Ocultar el campo de observaciones
            $('#listado_cuotas').addClass('hide');

            //Regresar a los valores por defecto y que se ejecute 1 ves
            if (buscarUnicaVez) {
                $('#preloader').fadeIn('slow');
                buscarcomprobante();
                eliminarValoresTablaCuotas()
                buscarUnicaVez = false;
                esAjuste = false;
                setTimeout(() => {
                    $('#preloader').fadeOut('slow');
                }, 2000);
            }
        }

        if (codigo == 13) {
            //Si es ajuste
            //Mostrar el campo de observaciones
            if ($("#Movimiento_Id").val() != '') {
                //Obtener el listado de cuotas
                obtenerNroCuotas();
            }
        }
    })

    function setearTablaProductos() {
        const trElementos = $('#productos_servicios').find('tr');

        trElementos.each(function(index, element) {
            const inputPrecio = $(element).find('input[type="text"]')[1];
            const tdSubtotal = $(element).find('td')[4];
            $(inputPrecio).val(0);
            $(tdSubtotal).text(0);
        });

        //setear los totales
        document.getElementById('dMovImporte').value = 0;
        document.getElementById('dMovIGV').value = 0;
        document.getElementById('dMovTotal').value = 0;

    }

    function eliminarValoresTablaCuotas() {
        $("#listado_cuotas_tabla").html('');
    }


    function obtenerValoresTablaCuotas() {
        const trElementos = $('#listado_cuotas_tabla').find('tr');

        let cuotas = [];

        trElementos.each(function(index, element) {
            const inputPrecio = $(element).find('input[type="text"]')[0];
            const inputFecha = $(element).find('input[type="date"]')[0];

            cuotas.push({
                nMovPagNroCuota: $(element).find('td')[0].innerText,
                nMovPagTotalCuota: $(inputPrecio).val(),
                dMovPagFechaCuota: $(inputFecha).val(),
            });
        })

        return cuotas;
    };

    function obtenerNroCuotas() {

        buscarUnicaVez = true;
        esAjuste = true;

        $('#preloader').fadeIn('slow');

        $('#listado_cuotas').removeClass('hide');

        const [codigo, descripcion] = $('#categoriareclamo').val().split('|');

        if (codigo != 13) return;

        $.post('?c=Notacredito&a=obtenerMovNroCuotas', {
            Movimiento_Id: $("#Movimiento_Id").val()
        }, function(data) {
            let info = JSON.parse(data);
            if (info.length > 0) {
                let table = '';
                for (let i = 0; i < info.length; i++) {
                    table += '<tr>';
                    table += '  <td style="width: 40%">' + info[i].nMovPagNroCuota + '</td>';
                    table += '  <td style="width: 30%">';
                    table += '      <input type="text" class="form-control solo-enteros" value="' + info[i].nMovPagTotalCuota + '"/>';
                    table += '  </td>';
                    table += '  <td style="width: 30%">';
                    table += '      <input type="date" class="form-control solo-enteros" value="' + info[i].dMovPagFechaCuota + '"/>';
                    table += '  </td>';
                    table += '</tr>';
                }
                $("#listado_cuotas_tabla").html(table);
                //setear en 0 la tabla con id productos_servicios
                setearTablaProductos()
                //Terminar carga
                $('#preloader').fadeOut('slow');
            } else {
                $("#listado_cuotas_tabla").html('');
                $('#preloader').fadeOut('slow');
                return swal(
                    'Advertencia',
                    'El documento no cuenta con un calendario de pagos.',
                    'warning'
                );
            }
        });

    }

    products_detail = [];
    pDocumento_Id = 0;
    entExonerado = <?php echo $_SESSION['usu_enterpriseExoneratedIGV'] == '1' ? 'true' : 'false'; ?>;

    function savenotacredito() {
        NumeroDocumento();
        $.post('?c=Notacredito&a=Save', {
            categoriareclamo: $("#categoriareclamo").val(),
            Documento_Id: pDocumento_Id,
            Movimiento_Id: $("#Movimiento_Id").val(),
            dNotcreFecha: $("#dNotcreFecha").val(),
            detail: JSON.stringify(products_detail),
            dMovImporte: document.getElementById('dMovImporte').value,
            dMovIGV: document.getElementById('dMovIGV').value,
            dMovTotal: document.getElementById('dMovTotal').value,
            sMovObservacion: document.getElementById('sMovObservacion').value,
            //Campos nuevos | cuando es ajuste
            cuotas: JSON.stringify(obtenerValoresTablaCuotas()),
            esAjuste
        }, function(data) {
            // debugger;
            var info = JSON.parse(data);
            devolucion();
            aplicarpago();
            location.href = '?c=Notacredito&a=Previsualizacion&Notacredito_Id=' + info.id;
        });
    }

    function devolucion() {

        // $('#devolucion_check').change(function(e) {
        if ($("#devolucion_check").is(':checked')) {
            $.post('?c=Notacredito&a=Devolver', {
                Movimiento_Id: $("#Movimiento_Id").val(),
                sNotDocumento_Id: pDocumento_Id,
                sNotDocumento: $("#sNotDocumento").val()
            }, function(data) {
                var info = JSON.parse(data);

            });
        }
        // });
    }

    function aplicarpago() {
        if ($("#aplicarpago_check").is(':checked')) {
            $.post('?c=Notacredito&a=Aplicarpago', {
                Movimiento_Id: $("#Movimiento_Id").val(),
                dNotcreFecha: $("#dNotcreFecha").val(),
                dMovTotal: document.getElementById('dMovTotal').value,
                sNotDocumento_Id: pDocumento_Id,
                sNotDocumento: $("#sNotDocumento").val(),
                estado: $("#nMovEstado").val()
            }, function(data) {
                var info = JSON.parse(data);

            });
        }
    }

    //   function savenotacredito() {


    //     $.post('?c=Notacredito&a=Save', {

    //         Movimiento_Id: $("#Movimiento_Id").val(),
    //         sNotDocumento_Id: $("#sNotDocumento_Id").val(),
    //         sNotDocumento: $("#sNotDocumento").val()

    //     }, function(data) {
    //         debugger;
    //         var info = JSON.parse(data);
    //     });
    // }

    function ValidarTipomovimiento() {
        $("#lista_lotes").parent().hide();
        $("#agregar_producto").modal('show');
    }

    function buscarcomprobante(e) {
        $.post("?c=movimiento&a=getByDocumento", {
            documento: $("#documento").val()
        }, function(data) {
            var movimiento = JSON.parse(data);
            if (movimiento.length != 0) {
                pDocumento_Id = movimiento.Documento_Id == 1 ? 11 : 15;
                console.log(pDocumento_Id);
                if (pDocumento_Id == 11) {
                    $("#Documento_Id").val('11');
                    $('#Documento_Id').change();
                } else {
                    $("#Documento_Id").val('15');
                    $('#Documento_Id').change();
                }
                //Aqui
                let dMovDetraccion = parseFloat(movimiento.dMovDetraccion).toFixed(parseInt($("#cantidad_decimales_id").val()));
                let dMovPercepcion = parseFloat(movimiento.dMovPercepcion).toFixed(parseInt($("#cantidad_decimales_id").val()));
                let dMovRetencion = parseFloat(movimiento.dMovRetencion).toFixed(parseInt($("#cantidad_decimales_id").val()));
                let dMovImporte = parseFloat(movimiento.nMovImporte).toFixed(parseInt($("#cantidad_decimales_id").val()));
                let dMovIGV = parseFloat(movimiento.nMovIGV).toFixed(parseInt($("#cantidad_decimales_id").val()));
                let dMovTotal = parseFloat(movimiento.nMovTotal).toFixed(parseInt($("#cantidad_decimales_id").val()));

                // F001-1988

                $("#Movimiento_Id").val(movimiento.Movimiento_Id);
                $("#dMovFecha").val(movimiento.dMovFecha);
                $("#Tipomovimiento_Id").val(movimiento.nMovTipoMovimiento_Id);
                $("#nMovTipopago").val(movimiento.nMovTipopago);
                $("#nMovTipoOrigenDestino").val(movimiento.nMovTipoOrigenDestino);
                $("#nMovOrigenDestinoName").val(movimiento.sODNombreComercial);
                $("#nMovTipodestino").val(movimiento.nMovTipodestino);
                $("#Almacen_Id").val(movimiento.Almacen_Id);
                $("#Moneda_Id").val(movimiento.Moneda_Id);
                $("#dMovDetraccion").val(parseFloat(dMovDetraccion));
                $("#dMovPercepcion").val(parseFloat(dMovPercepcion));
                $("#dMovRetencion").val(parseFloat(dMovRetencion));
                $("#dMovImporte").val(parseFloat(dMovImporte));
                $("#dMovIGV").val(parseFloat(dMovIGV));
                $("#dMovTotal").val(parseFloat(dMovTotal));
                $("#sMovObservacion").val(movimiento.sMovObservacion);
                $("#nMovEstado").val(movimiento.nMovEstado);
                $("#dMovDays").val(movimiento.dMovDays)

                products_detail = movimiento.detalle.map(x => {
                    var detail = x;
                    detail.new = 0;
                    return detail;
                });
                create_table();
                Tipomovimiento_venta();
                $("#agregar-producto").show();
            } else {
                swal(
                    'Advertencia',
                    'No se encontro el comprobante con el documento ingresado.',
                    'warning'
                );
            }
        })
    }

    function Tipomovimiento_venta() {
        var Tipomovimiento_Id = 2;
        $.post('?c=Movimiento&a=TipoMovimiento', {
            Tipomovimiento_Id: Tipomovimiento_Id
        }, function(data) {
            $("#FrmTipomovimiento").html(data);
        });
    }

    function NumeroDocumento() {
        var Documento_Id = document.getElementById('Documento_Id').value;
        $.post('?c=Tipodocumento&a=NumeroDocumento', {
            Documento_Id: Documento_Id
        }, function(data) {
            document.getElementById("sNotDocumento").value = parseInt(data);
            AutomaticoSINO(Documento_Id);
        });
    }

    function create_table() {

        let decimales = parseInt($("#cantidad_decimales_id").val()) || 2;

        var table = '';
        if (products_detail.length > 0) {
            for (var i = 0; i < products_detail.length; i++) {
                let subtotal = parseFloat(products_detail[i].nMovDetCantidad * products_detail[i].nMovDetPrecioUnitario).toFixed(decimales);
                table += '<tr>';
                table += '  <td>' + products_detail[i].sProSrvNombre + '</td>';
                table += '  <td style="width: 10%">';
                table += '      <input type="text" class="form-control solo-enteros" value="' + products_detail[i].nMovDetCantidad + '" onkeypress="return update_detail(event, ' + i + ', true)" />';
                table += '  </td>';
                table += '  <td>' + products_detail[i].sUndalias + '</td>';
                table += '  <td style="width: 10%">';
                table += '      <input type="text" class="form-control solo-decimales" value="' + parseFloat(products_detail[i].nMovDetPrecioUnitario) + '" onkeypress="return update_detail(event, ' + i + ', false)" />';
                table += '  </td>';
                table += '  <td>' + subtotal + '</td>';
                table += '  <td>';
                table += `  <a href="#" class="btn btn-danger btn-xs" onclick="eliminar_product(${i}); return false;">
                                        <i class="fa fa-trash" aria-hidden="true"></i>
                                    </a>`;
                table += '  </td>';
                table += '</tr>';
            }
        } else {
            table += '<tr>';
            table += '    <td colspan="6" class="text-center">No hay datos</td>';
            table += '</tr>';
        }
        $("#productos_servicios").html(table);
        $(".solo-decimales").inputFormat({
            miles: ''
        });
        $(".solo-enteros").inputFormat({
            miles: '',
            decimales: '.'
        });
        update_totales();
    }

    function update_detail(e, i, quantity_or_price) {
        let decimales = parseInt($("#cantidad_decimales_id").val()) || 2;

        if (e.keyCode === 13) {
            // Cancel the default action, if needed
            e.preventDefault();
            products_detail = products_detail.map((x, index) => {
                if (i == index) {
                    if (quantity_or_price == true)
                        x.nMovDetCantidad = parseFloat(e.target.value);
                    else if (quantity_or_price == false)
                        x.nMovDetPrecioUnitario = parseFloat(e.target.value).toFixed(decimales);

                    x.nMovDetImporte = parseFloat(x.nMovDetCantidad * x.nMovDetPrecioUnitario);
                }
                return x;
            });
            create_table();
        }
    }

    function update_totales() {
        let decimales = parseInt($("#cantidad_decimales_id").val()) || 2;
        document.getElementById('dMovImporte').value = products_detail.reduce((sum, x) => {
            var total = (x.nMovDetCantidad * x.nMovDetPrecioUnitario);
            return parseFloat(parseFloat(Number(sum)) + parseFloat(total))
        }, 0);

        document.getElementById('dMovImporte').value = parseFloat(document.getElementById('dMovImporte').value).toFixed(decimales);

        document.getElementById('dMovIGV').value = !entExonerado ? products_detail.reduce((sum, x) => {
            var total = x.nProSrvExoneradoIGV === '0' ? (x.nMovDetCantidad * x.nMovDetPrecioUnitario) * 0.18 : 0;
            // return sum + parseFloat(total.toFixed(2));
            return parseFloat(parseFloat(Number(sum)) + parseFloat(total));
            //return parseFloat(sum + total).toFixed(2);
        }, 0) : 0;

        document.getElementById('dMovIGV').value = parseFloat(document.getElementById('dMovIGV').value).toFixed(decimales);

        document.getElementById('dMovTotal').value = products_detail.reduce((sum, x) => {
            var total = (x.nMovDetCantidad * x.nMovDetPrecioUnitario);
            return parseFloat(parseFloat(Number(sum)) + parseFloat((!entExonerado ? (x.nProSrvExoneradoIGV === '0' ? (total * 0.18 + total) : total) : total)));
        }, 0);

        document.getElementById('dMovTotal').value = parseFloat(document.getElementById('dMovTotal').value).toFixed(decimales);
    }

    function eliminar_product(index) {
        products_detail.splice(index, 1);
        create_table();
    }

    // function NumeroDocumento() {
    //     $.post('?c=Tipodocumento&a=NumeroDocumento', {
    //         Documento_Id: 11
    //     }, function(data) {
    //         console.log(data);
    //     });
    // }

    function previsualizacion_notacredito(Notacredito_Id) {
        $.post('?c=Notacredito&a=Previsualizacion', {
            Notacredito_Id: Notacredito_Id
        }, function(data) {
            $(".content-wrapper").html(data);
        });
    }

    function TipoPrvClien() {
        var tipo = document.getElementById('nMovTipoOrigenDestino').value;
        $.post('?c=Clienteproveedor&a=TipoPrvClien', {
            tipo: tipo
        }, function(data) {
            $("#nMovOrigenDestino_Id").html(data);
            $("#nMovOrigenDestino_Id").selectpicker('refresh');
        });
    }

    $('#dNotcreFecha').datetimepicker({
        viewMode: 'days',
        format: 'DD-MM-YYYY'
    });

    $("#FormMovimiento").on('submit', () => {
        // var cantidadias = $("#dMovDays").val();
        // if (cantidadias > 7) {
        //     swal({
        //         title: "Fecha no valida",
        //         text: "La fecha a superado el limite para el comprobante seleccionado.",
        //         icon: "warning",
        //     });
        //     return false;
        // }
        var Movimiento_Id = $("#Movimiento_Id").val();
        if (Movimiento_Id == "") {
            swal({
                title: "Advertencia",
                text: "Seleccione un comprobante por favor.",
                icon: "warning",
            });
            return false;
        }
    });

    function ListarProductosLote() {
        var nProSrvExoneradoIGV = $("#ProdServ_Id option:selected").data('exoneradoigv');
        var ProdServ_Id = document.getElementById('ProdServ_Id');
        $.post('?c=Movimiento&a=ListarLoteProducto', {
            ProdServ_Id: ProdServ_Id.value
        }, function(data) {
            $("#lista_lotes").html(data);
            ProductosUNILista();
            $("#nProSrvExoneradoIGV").val(nProSrvExoneradoIGV);
        });
    }

    function ProductosUNILista() {
        var ProdServ_Id = document.getElementById('ProdServ_Id').value;
        $.post('?c=Movimiento&a=ListarUnidades', {
            ProdServ_Id: ProdServ_Id
        }, function(data) {
            $("#Unidadmedida_Id").html(data);
            setTimeout(() => {
                $("#Unidadmedida_Id").change();
            }, 500);
        });
    }

    function calcularFactor() {
        var factorConv = $("#Unidadmedida_Id option:selected").data("factor");
        // var nMovDetConPrecioUnitario = $("input[name=lotes]:checked").data("preciocosto");
        // var nMovDetConPrecioUnitario = $("input[name=lotes]:checked").data("precioventa");
        var PrecioConvert = 0;
        if (nMovDetConPrecioUnitario == undefined) {
            nMovDetConPrecioUnitario = 0;
        }
        if (factorConv == undefined) {
            factorConv = 0;
        }
        PrecioConvert = factorConv * nMovDetConPrecioUnitario;
    }

    function CalcularSubtotal() {
        var sMovDetConCantidad = document.getElementById('sMovDetConCantidad').value;
        var nMovDetConPrecioUnitario = document.getElementById('nMovDetConPrecioUnitario').value;
        document.getElementById('nMovDetConSubtotal').value = sMovDetConCantidad * nMovDetConPrecioUnitario;
    }


    function AgregarProductoLote() {
        var familia = $("#ProdServ_Id").find(':selected').data('familia');
        var servicio_id = parseInt(familia.substring(0, 1));
        //alert(servicio_id);
        var ProdServ_Id = document.getElementById('ProdServ_Id').value;
        var nProSrvExoneradoIGV = $("#ProdServ_Id").find(':selected').data('exoneradoigv');
        var lotes = $('input:radio[name=lotes]:checked').val();
        var Unidadmedida_Id = document.getElementById('Unidadmedida_Id').value;
        var sUndalias = $("#Unidadmedida_Id").find(':selected').data('alias');;
        var codigosunat = $('#Unidadmedida_Id').find(':selected').data('codigosunat');
        var sMovDetConCantidad = document.getElementById('sMovDetConCantidad').value;
        var nMovDetConPrecioUnitario = document.getElementById('nMovDetConPrecioUnitario').value;
        var nMovDetConSubtotal = document.getElementById('nMovDetConSubtotal').value;
        var Almacen_Id = document.getElementById('almacen').value;
        var nIncluyeLoteIGV = 0;

        $baseprice = calcularBase(
            nProSrvExoneradoIGV ? 0 : 2,
            1,
            parseFloat(nMovDetConPrecioUnitario),
            parseFloat(sMovDetConCantidad),
            0.18,
            1
        );
        if ($("#nIncluyeLoteIGV").prop("checked") == true) {
            nIncluyeLoteIGV = 1;
        }
        // if ($('input[name=lotes]:checked').length == 0 && servicio_id != 2) {
        //     swal("Seleccione un lote");
        //     return false;
        // }
        if (sMovDetConCantidad > 0 || servicio_id == 2) {
            products_detail.push({
                Unidadmedida_Id: Unidadmedida_Id,
                sUndalias: sUndalias,
                sUMeCodigoSunat: codigosunat,
                nMovDetCantidad: sMovDetConCantidad,
                nTDeSubtotal: $baseprice.nValorTotal,
                nMovDetPrecioUnitario: $baseprice.nValorPrecio,
                nTDeIGV: $baseprice.nValorIGV,
                sProSrvNombre: ($("#ProdServ_Id").find(':selected').text()).replace(/\s+/gi, ' '),
                Producto_Id: ProdServ_Id,
                nTDeEstadoIGV: nProSrvExoneradoIGV ? 2 : 1,
                nTDeBase: $baseprice.nValorBase,
                new: 1
            });
            create_table();
            $("#agregar_producto").modal('hide');
        } else {
            swal("La cantidad tiene que ser mayor a 0");
        }
    }

    function calcularBase($nIncluye, $nExcepcionIGV, $nPrecio, $nCantidad, $nIGV, $nDocAfectoIGV) {
        $nValorIGV = 0;
        $nValorBase = 0;
        $nValorTotal = 0;
        $nPrecio = $nDocAfectoIGV == 1 ? $nPrecio : $nPrecio / 1.18;
        if ($nIncluye == 1 && $nExcepcionIGV == 1) { //Incluye IGV: SI
            $nValorIGV = parseFloat(((($nPrecio * $nCantidad) * ($nIGV * 100)) / (100 + ($nIGV * 100))));
            $nValorBase = parseFloat((($nPrecio * $nCantidad) - ($nValorIGV)));
            $nValorTotal = parseFloat(($nPrecio * $nCantidad));
        } else if ($nIncluye == 2 && $nExcepcionIGV == 1) { //Incluye IGV: NO
            $nValorIGV = parseFloat(((($nPrecio * $nCantidad) * $nIGV)));
            $nValorBase = parseFloat(($nPrecio * $nCantidad));
            $nValorTotal = parseFloat((($nPrecio * $nCantidad) + ($nValorIGV)));
        } else {
            $nValorIGV = parseFloat("0.00");
            $nValorBase = parseFloat((($nPrecio * $nCantidad) - ($nValorIGV)));
            $nValorTotal = parseFloat(($nPrecio * $nCantidad));
        }

        return {
            'nValorIGV': $nValorIGV.toFixed(2),
            'nValorBase': $nValorBase.toFixed(2),
            'nValorTotal': $nValorTotal.toFixed(2),
            'nValorPrecio': $nPrecio.toFixed(2)
        };
    }


    function TipoCategoria() {

        var categoria = $("#TipoCategoria");
        var cat = $("#categoriareclamo").val();
        var categoriareclamo = document.getElementById('categoriareclamo').value;
        if (cat == '01|Anulación de la operación') {
            categoria.removeClass('col-md-6');
            categoria.addClass('col-md-3');
            $("#devolver").show();

        } else {

            categoria.removeClass('col-md-3');
            categoria.addClass('col-md-3');
            $("#devolver").hide();


        }
    }

    $(document).ready(function() {
        $("#aplicarpago_check").prop("checked") == true;
        $('#categoriareclamo').val();
        $('#categoriareclamo').change();
    });
</script>