<?php
/**
 * HTML2PDF Librairy - example
 *
 * HTML => PDF convertor
 * distributed under the LGPL License
 *
 * @author      Laurent MINGUET <webmaster@html2pdf.fr>
 *
 * isset($_GET['vuehtml']) is not mandatory
 * it allow to display the result in the HTML format
 */

ob_start();
?>
<style type="text/css">
<!--
    table.page_header {width: 100%; border: none; border-bottom: solid 0.1mm #E6892F; padding: 3mm 4mm }
    table.page_footer {width: 100%; border: none; border-top: solid 0.1mm #E6892F; padding: 3mm 4mm}
    h1 {color: #000033}
    h2 {color: #000055}
    h3 {color: #000077}
    h4 {
        margin: 0px;
    }

    div.niveau
    {
        padding-left: 5mm;
    }
    #example1{
        width: 100%;
    }
    #example1 tbody tr td,
    #example1 tbody tr th{
        font-size: 11px;
        text-align: center;
        border-bottom: 0.1mm solid #ccc;
        padding: 5px 0px;
    }
    hr{
        border: 0.2mm solid #A7A7A7;
        margin-bottom: 10px;
        margin-top: 5px;
    }
    h5{
        margin: 0px;
        text-align: left;
    }
-->
</style>
<page backtop="30mm" backbottom="20mm" backleft="20mm" backright="20mm" style="font-size: 12pt">
    <page_header>
        <table class="page_header">
            <tr>
                <td style="width: 50%; text-align: left">
                    
                </td>
                <td style="width: 50%; text-align: right; color: #7b7b7b;">
                   CLIENTE
                </td>
            </tr>
        </table>
    </page_header>
    <page_footer>
        <table class="page_footer">
            <tr>
                <td style="width: 50%; text-align: left; font-weight: normal; font-size: 11px;">
                    <?PHP echo date('d-m-Y H:i A');?>
                </td>
                <td style="width: 50%; text-align: right">
                    [[page_cu]]/[[page_nb]]
                </td>
            </tr>
        </table>
    </page_footer>
    <bookmark title="Sommaire" level="0">
        <h4 style="font-weight: normal; text-align: center; width: 100%;">REGISTRO DE CLIENTE-PROVEEDOR</h4>
        <hr>                  	
        <?php             
        foreach ($datos as $r){
        ?>
        <table id="example1" cellpadding="0" cellspacing="0">     
           <tbody>
                <tr>
                   <th style="width: 30%; text-align: right;">Nombre/Razon social:</th>
                   <td style="width: 70%;"><?php echo $r->__GET('sODNombre'); ?></td>
                </tr> 
                <tr>
                   <th style="width: 30%; text-align: right;">Nombre Comercial:</th>
                   <td style="width: 70%;"><?php echo $r->__GET('sODNombreComercial'); ?></td>
                </tr> 
                <tr>
                   <th style="width: 30%; text-align: right;">DNI/RUC:</th>
                   <td style="width: 70%;"><?php echo $r->__GET('sODRucDni'); ?></td>
                </tr>
                <tr>
                   <th style="width: 30%; text-align: right;">Dirección:</th>
                   <td style="width: 70%;"><?php echo $r->__GET('sODDireccion'); ?></td>
                </tr>   
                <tr>
                   <th style="width: 30%; text-align: right;">Teléfono:</th>
                   <td style="width: 70%;"><?php echo $r->__GET('sODTelefono'); ?></td>
                </tr>  
                <tr>
                   <th style="width: 30%; text-align: right;">Correo electronico:</th>
                   <td style="width: 70%;"><?php echo $r->__GET('sODCorreo'); ?></td>
                </tr>    
                <tr>
                   <th style="width: 30%; text-align: right;">Estado:</th>
                   <td style="width: 70%;"><?php echo ($r->__GET('nODEstado') == '1' ? '<span class="label bg-green">Habilitado</span>' : '<span class="label bg-danger">Inhabilitado</span>'); ?></td>
                </tr>  
                <tr>
                   <th style="width: 30%; text-align: right;">Contacto:</th>
                   <td style="width: 70%;"><?php echo $r->__GET('sODContacto'); ?></td>
                </tr>
                <tr>
                   <th style="width: 30%; text-align: right;">Días de Crédito:</th>
                   <td style="width: 70%;"><?php echo $r->__GET('nODDiasCredito'); ?></td>
                </tr>
             </tbody>
        </table>
        
        <?php
        }
        ?>
    </bookmark>
</page>

<?php
    $content = ob_get_clean();

    require_once('view/librerias/html2pdf/html2pdf.class.php');
    try
    {
        $html2pdf = new HTML2PDF('P', 'A4', 'fr', true, 'UTF-8', 0);
        $html2pdf->writeHTML($content, isset($_GET['vuehtml']));
//        $html2pdf->createIndex('Sommaire', 25, 12, false, true, 1);
        $html2pdf->Output('bookmark.pdf');
    }
    catch(HTML2PDF_exception $e) {
        echo $e;
        exit;
    }