<style type="text/css">
    page {
        margin: 0 auto;
        font-family: "Arial";
    }

    table.cabecera,
    td.cabecera_logo,
    td.cabecera_membrete,
    table.dirigido,
    table.tabla_productos,
    table.tabla_productos_items,
    table.tabla_productos_items_interna,
    table.abajo,
    table.importes_finales,
    table.abajo_izquierda_contenido,
    table.vendedor_condicion,
    table.disclaimer,
    table.post_dirigido {
        /*border: 1px solid #000;*/
        width: 100%;
    }

    table.post_dirigido {
        margin-top: 10px;
        margin-bottom: 10px;
        border-radius: 15px;
    }

    #membrete_cuadro {
        border: 2px solid #000;
        border-radius: 10px;
        padding: 2% 0 2% 0;
        font-weight: bold;
        font-size: 18px;
    }

    table.dirigido,
    table.tabla_productos,
    table.disclaimer {
        border: 2px solid #000;
        border-radius: 15px;
    }

    td.dirigido_contenido {
        padding: 5px;
    }

    td.fechaemision {
        text-align: right;
    }

    td.cabecera_logo {
        width: 65%;
        text-align: center;
        padding-right: 16%;
    }

    td.cabecera_membrete {
        width: 35%;
        /*border: 2px solid #000; */
        border-radius: 15px;
        text-align: center;
    }

    td.abajo_importes {
        width: 40%;
        border: 2px solid #000;
        border-radius: 15px;
    }

    table.importes_finales {
        padding: 0px 6% 0px 6%;
    }

    td.importe_value {
        text-align: right;
    }

    table.cuotas {
        width: 100%;
        margin-top: 15px;
    }

    table.cuotas tr td,
    table.cuotas tr th {
        border: 2px solid #000;
        text-align: center;
    }



    td.cuotas_obs {
        vertical-align: bottom;
    }

    table.cuotas tr td,
    table.cuotas tr th {
        padding: 3px;
    }

    td.QR {
        width: 20%;
    }

    td.cuotas_obs {
        width: 80%;
    }

    td.vendedor_condicion_contenido {
        text-align: left;
		padding-left: 12.3%;
    }
</style>


<?php
setlocale(LC_TIME, 'es_ES');
$numero = date('m', strtotime($r->__GET('dMovFecha')));
$fecha = DateTime::createFromFormat('!m', $numero);
$mes = strftime("%B", $fecha->getTimestamp());

$fecha_emision = date('d', strtotime($r->__GET('dMovFecha'))) . ' ' . $mes . ' ' . date('Y', strtotime($r->__GET('dMovFecha')));
?>


<page>
    <table class="cabecera">
        <tr>
            <td class="cabecera_logo">
                <img src="./view/librerias/dist/img/logos/<?= $_SESSION['usu_enterpriseId']; ?>.png" width="250" /><br />
                <span style="font-size: 19px; font-weight: bold"><?php echo $_SESSION['usu_enterpriseName'];?></span><br />
                <span style="font-size: 13px"><?php echo $_SESSION['usu_enterpriseAddress']; ?></span><br />
                <span style="font-size: 13px"><?php echo $_SESSION['usu_enterpriseUbigeoName']; ?></span><br />
                <!-- <span style="font-size: 13px">Tlf. : 01- 7700906 / 933 622 196 / 925 063 750</span><br />
                <span style="font-size: 13px">www.cofel.com.pe</span> -->
            </td>
            <td class="cabecera_membrete">
                <div id="membrete_cuadro">
                    RUC : <?= $_SESSION['usu_enterpriseRuc'] ?><br /><br />
                    <?= $r->__GET('sDocNombre'); ?><br /><br />
                    <?= $r->__GET('sDocNombreCorto') . " - " . $r->__GET('sMovDocumento'); ?>
                </div>
            </td>
        </tr>
        <tr>
            <td colspan="2" class="fechaemision">
                <table style="width:100%">
                    <tr>
                        <td style="width:33%"></td>
                        <td style="width:33%"></td>
                        <td style="width:33%; text-align: justify; text-justify: inter-word"><b>Fecha emisi&oacute;n</b> <?= $fecha_emision ?></td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
    <table class="dirigido">
        <tr>
            <td class="dirigido_contenido">
                <table style="width:100%">
                    <tr>
                        <td>
                            <b>Cliente:</b> <?= $this->NombreClienteProveedor($r->__GET('nMovOrigenDestino_Id')) ?>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <b>RUC:</b> <?= $this->RucDniClienteProveedor($r->__GET('nMovOrigenDestino_Id')) ?>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <b>Direcci&oacute;n:</b> <?= $this->DireccionClienteProveedor($r->__GET('nMovOrigenDestino_Id')) ?>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
    <table class="post_dirigido" class="cuotas" cellspacing="0" cellpadding="0">
        <tr>
            <td style="width:25%; border: 2px solid #000; text-align:center; border-top-left-radius: 15px; border-bottom-left-radius: 15px; padding:10px; line-height:13px;">
                <b>Forma de pago:</b><br /><br />
                <?= $r->__GET('nMovEstado') == 1 ? 'Credito' : 'Contado'; ?>
            </td>
            <td style="width:25%; border: 2px solid #000; text-align:center; padding:10px; line-height:13px;">
                <b>Orden de compra:</b><br /><br />
                <?= $r->__GET('sMovDocReferencia') ?>
                &nbsp;
            </td>
            <td style="width:25%; border: 2px solid #000; text-align:center; padding:10px; line-height:13px;">
                <b>Fecha de vencimiento:</b><br /><br />
                <?= $fechacuota ?>
                &nbsp;
            </td>
            <td style="width:25%; border: 2px solid #000; text-align:center; ; border-top-right-radius: 15px; border-bottom-right-radius: 15px; padding:10px; line-height:13px;">
                <b>N&deg; Gu&iacute;a de remisi&oacute;n:</b><br /><br />
                <?= $r->__GET('nroguia_ref') ?>
                &nbsp;
            </td>
        </tr>
    </table>
    <?php
    if ($valor === "1") {
        $importe_igv = 1.18;
    } else {
        $importe_igv = 1;
    }
    ?>
    <table class="tabla_productos">
        <tr class="cabecera_titulos">
            <th style="width:10%; text-align:center">C&oacute;digo</th>
            <th style="width:15%; text-align:center">Cant</th>
            <th style="width:55%; text-align:center">Descripci&oacute;n</th>
            <th style="width:10%; text-align:center">Precio Unit.</th>
            <th style="width:10%; text-align:center">Importe</th>
        </tr>
    </table>

    <?php
    $gravado = 0;
    $nogravado = 0;
    $exonerado = 0;
    ?>
    <?php foreach ($detalle_movimiento as $detmov) { ?>
        <?php
        switch ($detmov['nProSrvExoneradoIGV']) {
            case '0':
                if ($detmov['dMovDetICBPER'] == 0) {
                    $gravado += $detmov['nMovDetImporte'];
                }
                break;
            case '1':
                $exonerado += $detmov['nMovDetImporte'];
                break;
            case '2':
                $nogravado += $detmov['nMovDetImporte'];
                break;
        }
        ?>

        <table class="tabla_productos_items">
            <tr>
                <td style="width:100%;height:50px;vertical-align: top;">
                    <table class="tabla_productos_items_interna">
                        <td style="width:10%; text-align:center"><?= $detmov['sProSrvCodigo2'] ?></td>
                        <td style="width:15%; text-align:center"><?= $detmov['nMovDetCantidad'] ?></td>
                        <td style="width:55%; text-align:left"><?= $detmov['sProSrvNombre'] ?></td>
                        <td style=" width:10%; text-align:center"><?= number_format($detmov['nMovDetPrecioUnitario'], $decimales, ".", ",") ?></td>
                        <td style="width:10%; text-align:center;">
                            <?= number_format($detmov['nMovDetPrecioUnitario'] * $detmov['nMovDetCantidad'], $decimales, ".", ",") ?>
                        </td>
                    </table>
                </td>
            </tr>
        <?php } ?>
        </table>
        <hr />
        <table class="abajo">
            <tr>
                <td class="abajo_izquierda">
                    <table class="abajo_izquierda_contenido">
                        <tr>
                            <td colspan="2">Son:</b>&nbsp;&nbsp;<?php echo $r->__GET('NumeroLetras'); ?></td>
                        </tr>
                        <tr>
                            <td class="QR">
                                <?php
                                $dataText = $r->__GET('sDocNombreCorto') . " - " . $r->__GET('sMovDocumento');
                                $dataText = $toPrint;
                                $svgTagId = 'id-of-svg';
                                $saveToFile = false;
                                $imageWidth = 130; // px        
                                // SVG file format support
                                $svgCode = QRcode::svg($dataText, $svgTagId, $saveToFile, QR_ECLEVEL_L, $imageWidth);
                                echo $svgCode;
                                ?>
                            </td>
                            <td class="cuotas_obs">
                                <b>Observaciones:</b><br />
                                <?= nl2br($observacion) ?>
                            </td>
                        </tr>
                    </table>
                </td>
                <td class="abajo_importes">
                    <table class="importes_finales">
                        <tr>
                            <td class="importe_tag"><b>Total operaciones:</b></td>
                            <td class="importe_value"><?= number_format($gravado, $decimales, '.', ',') ?></td>
                        </tr>
                        <tr>
                            <td class="importe_tag"><b>IGV (18%):</b></td>
                            <td class="importe_value"><?= number_format($r->__GET('nMovIGV'), $decimales, '.', ',') ?></td>
                        </tr>
                        <tr>
                            <td class="importe_tag"><b>Importe Total:</b></td>
                            <td class="importe_value"><?= $r->sMonAlias . ' ' . number_format($r->__GET('nMovTotal'), $decimales, '.', ',') ?></td>
                        </tr>
                        <tr>
                            <td class="importe_tag"><b>Retenci&oacute;n:</b></td>
                            <td class="importe_value"><?= number_format($r->__GET('dMovRetencion'), $decimales, '.', ',') ?></td>
                        </tr>
                        <tr>
                            <td class="importe_tag"><b>Monto neto a pagar:</b></td>
                            <td class="importe_value"><?= $r->sMonAlias . ' ' . number_format($r->__GET('nMovTotal') - $r->__GET('dMovRetencion'), $decimales, ".", ",") ?></td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
        <table class="vendedor_condicion">
            <tr>
                <td class="vendedor_condicion_contenido">
                    <b>Vendedor:</b>&nbsp;&nbsp;
                    <?= $r->__GET('sVenNom') ?> &nbsp;&nbsp;&nbsp;&nbsp;
                </td>
            </tr>
        </table>

        <table class="disclaimer">
            <tr>
                <td class="disclaimer_contenido">
                    Representaci&oacute;n Impresa de la Factura Electr&oacute;nica<br />
                    Puede Verificarla en la Web Sunat con su clave sol.
                </td>
            </tr>
        </table>
        <?php if ($r->__GET('nMovTipopago') == 2) { ?>
            <table class="cuotas" cellspacing="0" cellpadding="0">
                <tr>
                    <th style="background-color: #373737; color: #fff; border-top-left-radius: 15px;">N&deg; DE CUOTA</th>
                    <th style="background-color: #373737; color: #fff;">IMPORTE</th>
                    <th style="background-color: #373737; color: #fff; border-top-right-radius: 15px;">FECHA DE PAGO</th>
                </tr>
                <?php foreach ($pagos_movimiento as $pm) { ?>
                    <tr>
                        <!-- LOS STYLES EN LOS TD SOLO SE AGREGAN AL ULTIMO DEL LOOP -->
                        <td style="border-bottom-left-radius: 15px;"><?= $nrocuota ?></td>
                        <td><?= $totalcuota ?></td>
                        <td style="border-bottom-right-radius: 15px;"><?= $fechacuota ?></td>
                    </tr>
                <?php } ?>
            </table>
        <?php } ?>
</page>
