<style>
    .message-success {
        color: #339900;
    }
    .message-danger {
        color: #cc3300;
    }
    .message-warning {
        color: #ffc107;
    }
</style>
<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        Resultado
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="wfamain.php"><i class="fa fa-dashboard"></i> Inicio</a></li>
        <li><a href="#">Facturación</a></li>
        <li><a href="#">Resultado</a></li>
    </ol>
</section>
<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-md-12">
            <form id="frm-generar-comprobante" action="#" method="POST">
                <div class="box">
                    <div class="box-header">
                        <h3 class="box-title">Facturación electronica resultado</h3>
                    </div><!-- /.box-header -->
                    <div class="box-body">
                        <div class="row">
                            <div class="col-md-12">
                                <span style="padding-left: 10px;padding-right: 10px;">
                                    <i class="fa fa-circle message-success" aria-hidden="true"></i>
                                    Datos guardados correctamente
                                </span>
                                <span style="padding-left: 10px;padding-right: 10px;">
                                    <i class="fa fa-circle message-warning" aria-hidden="true"></i>
                                    Cliente registrado
                                </span>
                                <span style="padding-left: 10px;padding-right: 10px;">
                                    <i class="fa fa-circle message-danger" aria-hidden="true"></i>
                                    Documento invalido / Error al registrar
                                </span>
                            </div>
                        </div>
                        <div style="width: 100%; max-height: 400px; overflow: auto; position: relative; margin-bottom: 15px;">
                            <table class="table talbe-bordered">
                                <thead>
                                    <tr>
                                        <th style="position: sticky; top: -1px; background-color: #fff;">#</th>
                                        <th style="position: sticky; top: -1px; background-color: #fff;">ID_REGISTRO</th>
                                        <th style="position: sticky; top: -1px; background-color: #fff;">RUC_DNI</th>
                                        <th style="position: sticky; top: -1px; background-color: #fff;">NOMBRE</th>
                                        <th style="position: sticky; top: -1px; background-color: #fff;">OBSERVACION</th>
                                        <th style="position: sticky; top: -1px; background-color: #fff;">TOTAL</th>
                                        <th style="position: sticky; top: -1px; background-color: #fff;">DIAS_CREDITO</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php foreach ($movimientos as $item) {?>
                                    <?php
                                    $class = "";
                                    switch ($item['status']) {
                                        case 'CLIENT_REGISTERED':
                                            $class = "message-warning";
                                            break;

                                        case 'MOVEMENT_REGISTERED':
                                            $class = "message-success";
                                            break;

                                        case 'INVALID_DOCUMENT':
                                        case 'CLIENT_NOT_REGISTERED':
                                        case 'MOVEMENT_NOT_REGISTERED':
                                            $class = "message-danger";
                                            break;

                                        default:
                                            # code...
                                            break;
                                    }
                                    ?>
                                    <tr class="<?php echo $class; ?>">
                                        <td>
                                    <?php
                                        $checked = "";
                                        switch ($item['status']) {
                                                
                                            case 'INVALID_DOCUMENT':
                                            case 'CLIENT_NOT_REGISTERED':
                                            case 'MOVEMENT_NOT_REGISTERED':
                                                $checked = "disabled='disabled'";
                                                break;

                                            case 'MOVEMENT_REGISTERED':
                                            case 'CLIENT_REGISTERED':
                                                $checked = "";
                                                break;

                                            default:
                                                # code...
                                                break;
                                        }
                                        ?>
                                            <input type="checkbox" <?php echo $checked; ?>/>
                                        </td>
                                        <td><?php echo $item['id']; ?></td>
                                        <td><?php echo $item['RUC_DNI']; ?></td>
                                        <td><?php echo $item['NOMBRE']; ?></td>
                                        <td><?php echo $item['sMovObservacion']; ?></td>
                                        <td><?php echo $item['dMovImporte']; ?></td>
                                        <td><?php echo $item['DIAS_CREDITO']; ?></td>
                                    </tr>
                                    <?php }?>
                                </tbody>
                            </table>
                        </div>
                        <div class="row">                            
                            <div class="col-md-12 text-right">
                                <button type="button" class="btn btn-primary" id="btn-generar">Enviar comprobante</button>
                                <a href="?c=Generarcomprobante&a=Index" class="btn btn-primary" id="btn-cancelar">Cancelar</a>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
</section>