<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        Guia de remisión transportista
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="wfamain.php"><i class="fa fa-dashboard"></i> Inicio</a></li>
        <li><a href="#">Guia de remisión transportista</a></li>
    </ol>
</section>
<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-xs-12">
            <form id="frmprevisualizar" method="POST" action="#">
                <input type="hidden" id="Guiaremision_Id" name="Guiaremision_Id" value="<?php echo $guiaremision['Guiaremisiontransportista_Id']; ?>">
                <div class="box">
                    <div class="box-header">
                        <h3 class="box-title">Visualizar de guia de remisión transportista</h3>
                    </div><!-- /.box-header -->
                    <div class="box-body" style="padding: 15px 25px;">
                        <div class="row">
                            <div class="col-md-12">
                                <div id="resultado_gr"></div>
                            </div>
                            <div class="col-md-12">
                                <div id="resultado_comprobante"></div>
                            </div>
                            <div class="col-md-12">
                                <label>DATOS DE INICIO DEL TRASLADO</label>
                                <div class="row">
                                    <div class="col-md-12">
                                        <table class="table table-bordered table-striped">
                                            <tr>
                                                <th>Fecha de Emisión</th>
                                                <td><?php echo date('d-m-Y', strtotime($guiaremision['dTraFecha'])); ?></td>

                                                <th>Motivo de traslado</th>
                                                <td><?php echo $guiaremision['sTraMotivoTraslado']; ?></td>
                                            </tr>
                                            <tr>
                                                <th>Fecha de Inicio del traslado</th>
                                                <td><?php echo date('d-m-Y', strtotime($guiaremision['dTraFechaTraslado'])); ?></td>

                                                <th>Modalidad de transporte</th>
                                                <td><?php echo $guiaremision['sTraDescripcionModalidadTraslado']; ?></td>
                                            </tr>
                                            <tr>
                                                <th>Guia de remisión remitente referencia</th>
                                                <td><?php echo $guiaremision['Grr_referencia']; ?></td>

                                                <th>Peso Bruto Total de la Carga (KGM)</th>
                                                <td><?php echo $guiaremision['nTraPesoBrutoGuiaTraslado']; ?></td>
                                            </tr>
                                            <tr>
                                                <th>Documento Relacionado</th>
                                                <td><?php echo $guiaremision['sSerieNumeroRelacionado']; ?></td>

                                                <th>Pagador</th>
                                                <td><?php echo $guiaremision['sTraPagador']; ?></td>
                                            </tr>
                                            <tr>
                                                <th>Autorización MTC</th>
                                                <td><?php echo $guiaremision['sTraAutorizacion']; ?></td>
                                            </tr>
                                        </table>
                                    </div>
                                </div>
                            </div>

                            <!-- //TODO Datos del remitente agregados -->
                            <div class="col-md-12">
                                <div class="row">
                                    <div class="col-md-12">
                                        <label>DATOS DEL REMITENTE</label>
                                        <div class="row">
                                            <div class="col-md-12">
                                                <table class="table table-bordered">
                                                    <tr>
                                                        <th>Numero de documento</th>
                                                        <td><?php echo $guiaremision['sReDocumento']; ?></td>
                                                    </tr>
                                                    <tr>
                                                        <th>Apellidos y Nombres, denominación o razón</th>
                                                        <td><?php echo $guiaremision['sReNombreApellido']; ?></td>
                                                    </tr>
                                                </table>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-12">
                                <label>DATOS DEL PUNTO DE PARTIDA Y PUNTO DE LLEGADA</label>
                                <table class="table table-bordered">
                                    <tr>
                                        <th>Dirección del punto de partida</th>
                                        <td><?php echo $guiaremision['sTraDireccionPuntoPartidaTraslado']; ?></td>
                                    </tr>
                                    <tr>
                                        <th>Dirección del punto de Llegada</th>
                                        <td><?php echo $guiaremision['sTraDireccionPuntoLlegadaTraslado']; ?></td>
                                    </tr>
                                </table>
                            </div>

                            <div class="col-md-12">
                                <div class="row">
                                    <div class="col-md-6">
                                        <label>DATOS DEL TRANSPORTISTA</label>
                                        <div class="row">
                                            <div class="col-md-12">
                                                <table class="table table-bordered">
                                                    <tr>
                                                        <th>Apellidos y Nombres, denominación o razón</th>
                                                        <td><?php echo $guiaremision['sTraNombreTransportistaTraslado']; ?></td>
                                                    </tr>
                                                    <tr>
                                                        <th>Número de RUC</th>
                                                        <td><?php echo $guiaremision['sTraRUCTransportistaTraslado']; ?></td>
                                                    </tr>
                                                </table>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <label>DATOS DEL DESTINATARIO</label>
                                        <div class="row">
                                            <div class="col-md-12">
                                                <table class="table table-bordered">
                                                    <tr>
                                                        <th>Apellidos y Nombres, denominación o razón</th>
                                                        <td><?php echo $guiaremision['sCliente']; ?></td>
                                                    </tr>
                                                    <tr>
                                                        <th>Documento de identidad</th>
                                                        <td><?php echo $guiaremision['sCliNroIdentidad']; ?></td>
                                                    </tr>
                                                </table>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            
                            <div class="col-md-6">
                                <label>DATOS DEL CONDUCTOR</label>
                                <table class="table table-bordered table-striped">
                                    <tr>
                                        <th>DNI</th>
                                        <td><?php echo $guiaremision['sTraDNIConductorTraslado']; ?></td>
                                    </tr>
                                    <tr>
                                        <th>Nombres</th>
                                        <td><?php echo $guiaremision['sTraNombresConductorTraslado']; ?></td>
                                    </tr>
                                    <tr>
                                        <th>Apellidos</th>
                                        <td><?php echo $guiaremision['sTraApellidosConductorTraslado']; ?></td>
                                    </tr>
                                    <tr>
                                        <th>Licencia</th>
                                        <td><?php echo $guiaremision['sTraLicenciaConductorTraslado']; ?></td>
                                    </tr>
                                </table>
                            </div>
                            <div class="col-md-6">
                                <label>DATOS DE LOS VEHICULOS</label>
                                <table class="table table-bordered table-striped">
                                    <tr>
                                        <th>Número de placa</th>
                                        <td><?php echo $guiaremision['sTraPlacaVehiculoTraslado']; ?></td>
                                    </tr>
                                    <tr>
                                        <th>
                                            Tarjeta de circulación
                                        </th>
                                        <td><?php echo $guiaremision['sTraTarjetaCirculacionVehiculoTraslado']; ?></td>
                                    </tr>
                                    <tr>
                                        <th>
                                            Certificado
                                        </th>
                                        <td><?php echo $guiaremision['sTraCertificaVehiculoPrin']; ?></td>
                                    </tr>
                                </table>

                                <label>DATOS DEL VEHICULO SECUNDARIO</label>
                                <table class="table table-bordered table-striped">
                                    <tr>
                                        <th>Número de placa</th>
                                        <td><?php echo $guiaremision['sTraVehiculoSec']; ?></td>
                                    </tr>
                                    <tr>
                                        <th>
                                            Certificado
                                        </th>
                                        <td><?php echo $guiaremision['sTraCertificaVehiculoSec']; ?></td>
                                    </tr>
                                </table>
                            </div>
                            
                            <div class="col-md-12">
                                <label>DATOS DE LOS BIENES</label>
                                <table class="table table-bordered table-striped">
                                    <thead>
                                        <tr>
                                            <th>Nro</th>
                                            <th>Cod. Bien</th>
                                            <th>Descripción</th>
                                            <th>Unidad de medida</th>
                                            <th>Cantidad</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php
                                        $i = 0;
                                        foreach ($this->guiaremisiondetalle_model->Buscar($_REQUEST['code']) as $item) {
                                            $i++;
                                        ?>
                                            <tr>
                                                <td><?php echo $i; ?></td>
                                                <td><?php echo $item['Guiaremisiondetalletransportista_Id']; ?></td>
                                                <td><?php echo $item['sProNombre']; ?></td>
                                                <td><?php echo $item['sUMeCodigoSunat']; ?></td>
                                                <td><?php echo $item['nTDeCantidad']; ?></td>
                                            </tr>
                                        <?php
                                        }
                                        ?>
                                    </tbody>
                                </table>
                            </div>
                            <div class="col-md-12">
                                <label>Observaciones</label>
                                <p>
                                    <?php echo $guiaremision['sGuiObservacion'] == '' ? 'Sin observaciones' : $guiaremision['sGuiObservacion']; ?>
                                </p>
                            </div>
                        </div>
                    </div><!-- /.box-body -->
                    <div class="box-footer">
                        <?= $button_gr ?>
                        <a href="?c=GuiaremisionTransportista&a=Index" class="btn btn-danger btn-flat">Cancelar</a>
                    </div>
                </div><!-- /.box -->
            </form>
        </div><!-- /.col -->
    </div><!-- /.row -->
</section><!-- /.content -->

<!-- Modal modal-eliminar -->
<div class="modal fade" id="modal-confirmar-validacion" tabindex="-1" role="dialog" aria-labelledby="modal-eliminar-label" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                <h4 class="modal-title" id="modal-eliminar-label">Enviar comprobante + Guía remisión</h4>
            </div>
            <div class="modal-body">
                <input type="hidden" name="ig_gr" id="ig_gr" value="">
                <input type="hidden" name="id_comprobante" id="id_comprobante" value="">
                El comprobante aun no se encuentra validado, ¿desea enviar GR + comprobante?
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default btn-flat" data-dismiss="modal">No, cancelar</button>
                <button type="button" id="comprobante_gr" onclick="validar_comprobante_gr()" class="btn btn-success btn-flat">Sí, continuar</button>
            </div>
        </div>
    </div>
</div>
<!-- /Modal modal-eliminar -->
<script type="text/javascript">
    $('#comprobante_realizado').click(function() {
        window.location.href = '?c=GuiaremisionTransportista&a=Index';
    })

    $(function() {
        $("#frmprevisualizar").submit((e) => {
            e.preventDefault();
            $.post('?c=GuiaremisionTransportista&a=Enviarcomprobante', {
                Guiaremision_Id: $("#Guiaremision_Id").val()
            }, (data) => {
                $("#resultado_gr").html(data);
            });
        })
    });

    $('#modal-confirmar-validacion').on('show.bs.modal', function(event) {
        var button = $(event.relatedTarget); // Button that triggered the modal
        var gr = button.data('gr'); // Extract info from data-* attributes
        var comprobante = button.data('comprobante'); // Extract info from data-* attributes
        $("#ig_gr").val(gr);
        $("#id_comprobante").val(comprobante);
    });


    function validar_comprobante_gr() {
        $("#modal-confirmar-validacion").modal('hide'); //ocultamos el modal
        $("#preloader").show();
        var id_gr = $('#id_gr').val();
        var id_comprobante = $('#id_comprobante').val();
        $.post('?c=Movimiento&a=enviarcomprobante_gr', {
            Movimiento_Id: id_comprobante,
            Guiaremisiontransportista_Id: id_gr
        }, function(data) {
            $("#resultado_comprobante").html(data);
            var resultado_comprobante = $('#result_colibri').text();
            $("#preloader").hide();
            // acá debo validar si el comprobanté devolvió 1
            if (parseInt(resultado_comprobante) == 1) {
                setTimeout(function() {
                    $("#preloader").show();
                    $.post('?c=GuiaremisionTransportista&a=Enviarcomprobante', {
                        Guiaremision_Id: ig_gr
                    }, function(data) {
                        console.log(data);
                        // $("#resultado_gr").html(data);
                        $("#preloader").hide();

                    })
                }, 1000);
            } else {
                swal(
                    'Advertencia',
                    'El comprobante referenciado no se ha podido validar, inténtelo en otro momento.',
                    'warning'
                );
                $('#comprobante_gr').attr('disabled', true); //bloqueamos el botón
            }

        })
    }
</script>