<style>
    .inp-cantidad {
        width: 5rem;
        margin: auto;
        text-align: center;
    }

    .inp-precio {
        width: 9rem;
        margin: auto;
        text-align: center;
    }

    .nopromovido tr td input[type='text'] {
        background-color: transparent !important;
        color: black !important;
        border: 0 !important;
    }
</style>

<section class="content-header">
    <h1>
        Register Income
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="wfmain.php"><i class="fa fa-dashboard"></i> Home</a></li>
        <li><a href="#">Register Income</a></li>
    </ol>
</section>

<section class="content">
    <div class="row">
        <div class="col-xs-12">
            <div class="box box-primary">
                <form action="javascript:GuardarIngreso();" method="POST" id="FormIngreso">
                    <div class="box-header">
                        <h3 class="box-title">Data</h3>
                    </div>

                    <div class="box-body">
                        <div id="response_income"></div>
                        <div class="row">
                            <input type="hidden" name="Ingreso_Id" id="Ingreso_Id" value="<?php echo isset($r) ? $r->Ingreso_Id : 0 ?>">

                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Start Date</label>
                                    <input type="text" name="dIngFechaInicio" id="dIngFechaInicio" class="form-control input-custom datepicker" value="<?php echo isset($r) ? date('d-m-Y', strtotime($r->dIngFechaInicio)) : date('d-m-Y') ?>">
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>End Date</label>
                                    <input type="text" name="dIngFechaFin" id="dIngFechaFin" class="form-control input-custom datepicker" value="<?php echo isset($r) ? date('d-m-Y', strtotime($r->dIngFechaFin)) : date('d-m-Y') ?>">
                                </div>
                            </div>

                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Carga Final</label>
                                    <input type="text" name="nIngCargaFinal" id="nIngCargaFinal" class="form-control" value="<?php echo isset($r) ? $r->nIngCargaFinal : 0 ?>">
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Returns</label>
                                    <input type="text" name="nIngRetornos" id="nIngRetornos" class="form-control" value="<?php echo isset($r) ? $r->nIngRetornos : 0 ?>">
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Ventas Netas</label>
                                    <input type="text" name="nIngVentasNetas" id="nIngVentasNetas" class="form-control" value="<?php echo isset($r) ? $r->nIngVentasNetas : 0 ?>">
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Promotions</label>
                                    <input type="text" name="nIngPromociones" id="nIngPromociones" class="form-control" value="<?php echo isset($r) ? $r->nIngPromociones : 0 ?>">
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Permiso de efectivo</label>
                                    <input type="text" name="nIngPermisoEfectivo" id="nIngPermisoEfectivo" class="form-control" value="<?php echo isset($r) ? $r->nIngPermisoEfectivo : 0 ?>">
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Total previsiones</label>
                                    <input type="text" name="nIngTotalPrevisiones" id="nIngTotalPrevisiones" class="form-control" value="<?php echo isset($r) ? $r->nIngTotalPrevisiones : 0 ?>">
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Enterprise</label>
                                    <select name="nIngrEnterprise_Id" id="nIngrEnterprise_Id" class="form-control">
                                        <option value="0" disabled selected>- Select Enterprise -</option>
                                        <?php foreach ($companies as $item) { ?>
                                            <option value="<?php echo $item->Enterprise_Id; ?>"
                                                <?php echo isset($r) && $r->nIngrEnterprise_Id == $item->Enterprise_Id ? 'selected' : ''; ?>
                                            >
                                                <?php echo $item->sEnterName; ?>
                                            </option>
                                        <?php } ?>
                                    </select>
                                </div>
                            </div>
                            
                            <div class="col-md-12">
                                <div style="display: flex; justify-content: space-between; align-items: center">
                                    <h5 style="padding-top: 15px;">
                                        List of discounts                                    
                                    </h5>
                                    <a href="#" class="btn btn-success btn-sm" style="height: min-content" data-toggle="modal" data-target="#ModalDescuentos" onclick="agregarDescuento()"><i class="fa fa-plus"></i> Agregar</a>
                                </div>

                                <table class="table table-bordered text-center">
                                    <thead>
                                        <tr>
                                            <!-- <td>#</td> -->
                                            <td>Description</td>
                                            <td>Amount</td>
                                            <td>Actions</td>
                                        </tr>
                                    </thead>
                                    <tbody id="tbDescuentos">
                                        <tr>
                                            <td colspan="3">Empty</td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>

                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>Total de descuento</label>
                                    <input type="text" name="nIngTotalVarios" id="nIngTotalVarios" class="form-control" value="<?php echo isset($r) ? $r->nIngTotalVarios : '' ?>" disabled>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>Total neto</label>
                                    <input type="text" name="nIngTotalNeto" id="nIngTotalNeto" class="form-control" oninput="calcularPorcentajes()" value="<?php echo isset($r) ? $r->nIngTotalNeto : '' ?>">
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>% commission</label>
                                    <input type="text" name="nIngPorcenComision" id="nIngPorcenComision" class="form-control" value="<?php echo isset($r) ? intval($r->nIngPorcenComision) : '' ?>" disabled>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>% returns</label>
                                    <input type="text" name="nIngPorcenRetorno" id="nIngPorcenRetorno" class="form-control" value="<?php echo isset($r) ? intval($r->nIngPorcenRetorno) : '' ?>" disabled>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="box-footer">
                        <button type="submit" class="btn btn-primary btn-flat">Save</button>
                        <a href="?c=Ingreso&a=Index" class="btn btn-danger btn-flat">Cancel</a>
                    </div>
                </form>
            </div>
        </div>
    </div>

    <div class="modal fade" id="ModalDescuentos" tabindex="-1" role="dialog" aria-labelledby="modal-eliminar-label" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">

            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" onclick="limpiarLista()"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                <h4 class="modal-title" id="modal-eliminar-label">Add discount</h4>
            </div>

            <div class="modal-body">
                <div class="form-group">
                    <label>Description</label>
                    <select name="Concepto_Id" id="Concepto_Id" class="form-control" onchange="cargarMonto()">
                        <option value="0" selected>- Select -</option>
                    </select>
                </div>
                <div class="form-group">
                    <label>Amount</label>
                    <input type="text" name="nIDMonto" id="nIDMonto" class="form-control">
                </div>
            </div>

            <div class="modal-footer">
                <button type="button" class="btn btn-default btn-flat" data-dismiss="modal" onclick="limpiarLista()">Cancel</button>
                <button type="button" class="btn btn-primary btn-flat" data-dismiss="modal" onclick="agregarDescuentoTabla()">Add</button>
            </div>

        </div>
    </div>
</div>

</section>

<script src="view/librerias/dist/js/funcionesIngreso.js"></script>

<script type="text/javascript">
    $('#dIngFechaInicio').datetimepicker({
        viewMode: 'days',
        format: 'DD-MM-YYYY'
    })

    $('#dIngFechaFin').datetimepicker({
        viewMode: 'days',
        format: 'DD-MM-YYYY'
    })

    $('#Concepto_Id').selectpicker('refresh')
    
</script>