<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        Libros Electrónicos
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="wfamain.php"><i class="fa fa-dashboard"></i> Inicio</a></li>
        <li><a href="#">LE</a></li>
    </ol>
</section>
<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-xs-12">
            <div class="box box-primary">
                <div class="box-header">
                    <h3 class="box-title">Relación de movimientos</h3>
                    <div class="row">
                        <div class="col-md-8" style="margin-top: 15px;">
                            <form id="formularioenvio" action="?c=Reportes&a=LibrosElectronicosTxt" method="POST">
                                <div class="row">
                                    <div class="col-md-3">
                                        Fecha Inicio <br />
                                        <input type="text" class="form-control" name="fechaIni" id="fechaIni" value="<?php echo $fechaIni; ?>">
                                    </div>
                                    <?php
                                    $fecha_separada = explode("-", $fechaIni); ?>
                                    <input id="fecha_separada" type="hidden" data-month=<?php echo $fecha_separada[1]; ?> data-year=<?php echo $fecha_separada[2]; ?>>

                                    <div class="col-md-3">
                                        Fecha Fin <br />
                                        <input type="text" class="form-control" name="fechaFin" id="fechaFin" value="<?php echo $fechaFin; ?>">
                                    </div>

                                    <input id="ruc" type="hidden" value="<?php echo $_SESSION['usu_enterpriseRuc'] ?>">

                                    <div class="col-md-6">
                                        <br>
                                        <button type="submit" id="filtrar" class="btn btn-danger btn-flat">Filtrar</button>
                                        <button type="button" class="btn btn-success btn-flat" id="click-export-excel">Exportar</button>
                                        <button type="submit" id="generartxt" class="btn btn-warning btn-flat">TXT</button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div><!-- /.box-header -->
                <div class="box-body">
                    <table id="example1" class="table table-hover display responsive no-wrap">
                        <thead>
                            <tr>
                                <th>Línea</th>
                                <th>1-Periodo</th>
                                <th>2-Operacion</th>
                                <th>3-Correlativo</th>
                                <th>4-Fec.Emision</th>
                                <th>5-Fec.Vence</th>
                                <th>6-Tipo.Doc</th>
                                <th>7-Serie</th>
                                <th>8-Número</th>
                                <th>9-Tickets</th>
                                <th>10-TipoCliente</th>
                                <th>11-Doc.Cliente</th>
                                <th>12-Nombre</th>
                                <th>13-Export</th>
                                <th>14-Base</th>
                                <th>15-Dscto.Base</th>
                                <th>16-IGV</th>
                                <th>17-Dscto.IGV</th>
                                <th>18-Exoner</th>
                                <th>19-Inafecta</th>
                                <th>20-ISC</th>
                                <th>21-Base arroz</th>
                                <th>22-IGV Arroz</th>
                                <th>23-Bolsas</th>
                                <th>24-Otros</th>
                                <th>25-Total</th>
                                <th>26-Moneda</th>
                                <th>27-TC</th>
                                <th>28-Nota.Fecha</th>
                                <th>29-Nota.Ref.Tipo</th>
                                <th>30-Nota.Ref.Serie</th>
                                <th>31-Nota.Ref.Num</th>
                                <th>32-Contrato</th>
                                <th>33-Error.1</th>
                                <th>34-MediodePago</th>
                                <th>35-Estado</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php foreach ($reportes as $r) : ?>
                                <tr>
                                    <td><?php echo $r->Linea; ?></td>
                                    <td><?php echo $r->Periodo; ?></td>
                                    <td><?php echo $r->Operacion; ?></td>
                                    <td><?php echo $r->Correlativo; ?></td>
                                    <td><?php echo $r->FecEmision; ?></td>
                                    <td><?php echo $r->FecVence; ?></td>
                                    <td><?php echo $r->TipoDoc; ?></td>
                                    <td><?php echo $r->Serie; ?></td>
                                    <td><?php echo $r->Numero; ?></td>
                                    <td><?php echo $r->Tickets; ?></td>
                                    <td><?php echo $r->TipoCliente; ?></td>
                                    <td><?php echo $r->DocCliente; ?></td>
                                    <td><?php echo $r->Nombre; ?></td>
                                    <td><?php echo $r->Export; ?></td>
                                    <td><?php echo $r->Base; ?></td>
                                    <td><?php echo $r->DsctoBase; ?></td>
                                    <td><?php echo $r->IGV; ?></td>
                                    <td><?php echo $r->DsctoIGV; ?></td>
                                    <td><?php echo $r->Exoner; ?></td>
                                    <td><?php echo $r->Inafecta; ?></td>
                                    <td><?php echo $r->ISC; ?></td>
                                    <td><?php echo $r->ISC1; ?></td>
                                    <td><?php echo $r->ISC2; ?></td>
                                    <td><?php echo $r->Bolsas; ?></td>
                                    <td><?php echo $r->ISC3; ?></td>
                                    <td><?php echo $r->Total; ?></td>
                                    <td><?php echo $r->Moneda; ?></td>
                                    <td><?php echo $r->TC; ?></td>
                                    <td><?php echo $r->NotaFecha; ?></td>
                                    <td><?php echo $r->NotaRefTipo; ?></td>
                                    <td><?php echo $r->NotaRefSerie; ?></td>
                                    <td><?php echo $r->NotaRefNum; ?></td>
                                    <td><?php echo $r->Contrato; ?></td>
                                    <td><?php echo $r->Error1; ?></td>
                                    <td><?php echo $r->MediodePago; ?></td>
                                    <td><?php echo $r->Estado; ?></td>

                                </tr>
                            <?php endforeach; ?>
                        </tbody>
                        <tfoot>
                            <tr>
                                <th>Línea</th>
                                <th>1-Periodo</th>
                                <th>2-Operacion</th>
                                <th>3-Correlativo</th>
                                <th>4-Fec.Emision</th>
                                <th>5-Fec.Vence</th>
                                <th>6-Tipo.Doc</th>
                                <th>7-Serie</th>
                                <th>8-Número</th>
                                <th>9-Tickets</th>
                                <th>10-TipoCliente</th>
                                <th>11-Doc.Cliente</th>
                                <th>12-Nombre</th>
                                <th>13-Export</th>
                                <th>14-Base</th>
                                <th>15-Dscto.Base</th>
                                <th>16-IGV</th>
                                <th>17-Dscto.IGV</th>
                                <th>18-Exoner</th>
                                <th>19-Inafecta</th>
                                <th>20-ISC</th>
                                <th>21-Base arroz</th>
                                <th>22-IGV Arroz</th>
                                <th>23-Bolsas</th>
                                <th>24-Otros</th>
                                <th>25-Total</th>
                                <th>26-Moneda</th>
                                <th>27-TC</th>
                                <th>28-Nota.Fecha</th>
                                <th>29-Nota.Ref.Tipo</th>
                                <th>30-Nota.Ref.Serie</th>
                                <th>31-Nota.Ref.Num</th>
                                <th>32-Contrato</th>
                                <th>33-Error.1</th>
                                <th>34-MediodePago</th>
                                <th>35-Estado</th>
                            </tr>
                        </tfoot>
                    </table>

                </div><!-- /.box-body -->
            </div><!-- /.box -->
        </div><!-- /.col -->
    </div><!-- /.row -->
</section><!-- /.content -->
<script>
    $('#generartxt').click(function() {
        $("#formularioenvio").attr("action", '?c=Reportes&a=LibrosElectronicosTxt');
    });

    $('#filtrar').click(function() {
        $("#formularioenvio").attr("action", '?c=Reportes&a=LibrosElectronicos');
    });
</script>



<script type="text/javascript">
    $(document).ready(function() {
        $('#fechaIni').datetimepicker({
            viewMode: 'days',
            format: 'DD-MM-YYYY',
        });
        $('#fechaFin').datetimepicker({
            viewMode: 'days',
            format: 'DD-MM-YYYY',
        });
        var fileName = 'LE-' + new Date().getFullYear() +
            +(new Date().getMonth() + 1) +
            +new Date().getDay() +
            +new Date().getHours() +
            +new Date().getMinutes() +
            +new Date().getSeconds()
        localStorage.setItem('fileName', JSON.stringify(fileName));
        localStorage.setItem('columna', false);
    })
</script>

<script type="text/javascript" src="view/librerias/dist/js/funcionExcel.js"></script>