<!-- Content Header (Page header) -->
<style type="text/css">
    #totalp {
        width: 100px !important;
    }

    #totalg {
        width: 150px !important;
    }
</style>
<section class="content-header">
    <h1>
        Movimientos
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="wfamain.php"><i class="fa fa-dashboard"></i> Inicio</a></li>
        <li><a href="#">Movimientos</a></li>
    </ol>
</section>
<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-xs-12">
            <div class="box box-primary">
                <div class="box-header">
                    <h3 class="box-title">Relación de movimientos</h3>
                    <div class="row">
                        <div class="col-md-8" style="margin-top: 15px;">
                            <form action="?c=Reportes&a=MovimientosSimple" method="POST">
                                <div class="row">
                                    <div class="col-md-3">
                                        Fecha Inicio <br />
                                        <input type="text" class="form-control" name="fechaIni" id="fechaIni" value="<?php echo $fechaIni; ?>">
                                    </div>
                                    <div class="col-md-3">
                                        Fecha Fin <br />
                                        <input type="text" class="form-control" name="fechaFin" id="fechaFin" value="<?php echo $fechaFin; ?>">
                                    </div>
                                    <div class="col-md-3">
                                        Tipo de movimiento<br>
                                        <select class="form-control" name="Tipomovimiento_Id" id="Tipomovimiento_Id">
                                            <?php foreach ($tipomovimiento as $timo) { ?>
                                                <option value="<?php echo $timo->__GET('TipoMovimiento_Id'); ?>" <?php echo $timo->__GET('TipoMovimiento_Id') == 2 ? 'selected' : ''; ?>><?php echo $timo->__GET('sTMovNombre'); ?></option>
                                            <?php } ?>
                                        </select>
                                    </div>
                                    <div class="col-md-3">
                                        <br>
                                        <button type="submit" class="btn btn-danger btn-flat">Filtrar</button>
                                        <button type="button" class="btn btn-success btn-flat" id="click-export-excel">Exportar</button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div><!-- /.box-header -->
                <div class="box-body">
                    <table id="example1" class="table table-hover display responsive no-wrap">
                        <thead>
                            <tr>
                                <th>Fecha</th>
                                <th>Hora</th>
                                <th>Documento</th>
                                <th>Importe</th>
                                <th>IGV</th>
                                <th>Total</th>
                                <th>Tipo Pago</th>
                                <th>Moneda</th>
                                <th>Cliente</th>
                                <th>RUC</th>
                                <th>Ubigeo</th>
                                <th>Observación</th>
                                <th>Vendedor</th>
                                <th>Estado</th>
                                <th>Estado SUNAT</th>
                                <th>Usuario</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php foreach ($reportes as $r) : ?>
                                <tr id="<?php echo preg_replace("/[-\s]/", "", $r->Documento); ?>">
                                    <td><?php echo $r->Fecha; ?></td>
                                    <td><?php echo $r->Hora; ?></td>
                                    <td><a href="#" data-toggle="modal" data-target="#movimiento" onclick="MostrarMovimiento(<?php echo preg_replace('/[-\s]/', '', $r->Documento); ?>)"><?php echo $r->Documento; ?></a></td>
                                    <td><?php echo $r->Importe; ?></td>
                                    <td><?php echo $r->IGV; ?></td>
                                    <td><?php echo $r->Total; ?></td>
                                    <td><?php echo $r->TipoPago; ?></td>
                                    <td><?php echo $r->Moneda; ?></td>
                                    <td><?php echo $r->CliProv; ?></td>
                                    <td><?php echo $r->RUC; ?></td>
                                    <td><?php echo $r->Ubigeo; ?></td>
                                    <td><?php echo $r->Observacion; ?></td>
                                    <td><?php echo $r->Vendedor; ?></td>
                                    <td>
                                        <?php
                                        switch ($r->Estado) {
                                            case '0':
                                                $estText = 'Anulado';
                                                $estLbl = 'danger';
                                                break;
                                            case '1':
                                                $estText = 'Registrado';
                                                $estLbl = 'warning';
                                                break;
                                            case '2':
                                                $estText = 'Pagado';
                                                $estLbl = 'success';
                                                break;
                                        }
                                        echo "<span class='label label-$estLbl'>$estText</span>";
                                        ?>
                                    </td>
                                    <td>
                                        <?php
                                        switch ($r->EstadoSunat) {
                                            case '-1':
                                                $sunatText = 'No enviado';
                                                $sunatLbl = 'estado-sunat';
                                                break;
                                            case '0':
                                                $sunatText = 'Pendiente';
                                                $sunatLbl = 'label-warning';
                                                break;
                                            case '500':
                                                $sunatText = 'Pendiente';
                                                $sunatLbl = 'label-warning';
                                                break;
                                            case '1':
                                                $sunatText = 'Validado';
                                                $sunatLbl = 'label-info';
                                                break;
                                            case '2':
                                                $sunatText = 'Validado';
                                                $sunatLbl = 'label-info';
                                                break;
                                            case '3':
                                                $sunatText = 'Validado';
                                                $sunatLbl = 'label-info';
                                                break;
                                            case '4':
                                                $sunatText = 'Rechazado';
                                                $sunatLbl = 'label-danger';
                                                break;
                                            case '5':
                                                $sunatText = 'Baja';
                                                $sunatLbl = 'label-danger';
                                                break;
                                        }
                                        echo "<span class='label $sunatLbl'>$sunatText</span>";
                                        ?>
                                    </td>
                                    <td><?php echo $r->Usuario; ?></td>
                                </tr>
                            <?php endforeach; ?>
                        </tbody>
                        <tfoot>
                            <tr>
                                <th style="visibility:hidden">Total</th>
                                <th style="visibility:hidden">Total</th>
                                <th style="visibility:hidden">Total</th>
                                <th style="visibility:hidden">Total</th>
                                <th id="totalp">Total p&aacute;gina:</th>
                                <th id="totalg"></th>
                                <th style="visibility:hidden">Total </th>
                                <th style="visibility:hidden">Total </th>
                                <th style="visibility:hidden">Total </th>
                                <th style="visibility:hidden">Total</th>
                                <th style="visibility:hidden">Total</th>
                                <th style="visibility:hidden">Total</th>
                                <th style="visibility:hidden">Total</th>
                                <th style="visibility:hidden">Total</th>
                                <th style="visibility:hidden">Total</th>
                                <th style="visibility:hidden">Total</th>
                            </tr>
                        </tfoot>
                    </table>

                </div><!-- /.box-body -->
            </div><!-- /.box -->
        </div><!-- /.col -->
    </div><!-- /.row -->
</section><!-- /.content -->


<!-- Modal modeal-ver -->
<div class="modal fade" id="movimiento" tabindex="-1" role="dialog" aria-labelledby="modal-ver-label" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <form action="?c=Movimiento&a=PDFMovimiento" method="POST">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                    <h4 class="modal-title" id="modal-ver-label">Visualizar Movimiento</h4>
                </div>
                <div class="modal-body">
                    <div id="ver_datos">

                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                </div>
            </form>
        </div>
    </div>
</div>
<!-- /Modal modal-ver -->
<script type="text/javascript">
    var MostrarMovimiento = function(Movimiento_Id) {
        var datos = [];
        var header = []

        $('#ver_datos').html('');

        $('#example1 thead tr').find('th').each(function() {
            header.push($(this).text());
        });

        var trId = $(Movimiento_Id).filter("tr").attr("id");

        var fila = $(`#${trId}`);
        fila.find('td').each(function() {
            datos.push($(this).text());
        })

        datos.forEach(function(element, index) {

            var addClass = index % 2 == 0 ? 'whitesmoke' : '';

            var html = ` <div class="row" style='font-size: 15px; padding: 5px 0; background-color:${addClass}'>
            <p class="col-xs-4 col-md-4" id="modal_header" style='font-weight: bolder'>${header[index]}:</p>
            <span id="col-xs-8 col-md-8" id="modal_fila">${element}</span>
            </div>`

            $('#ver_datos').append(html);

        });
    }
</script>


<script>
    $(document).ready(function() {
        $('#fechaIni').datetimepicker({
            viewMode: 'days',
            format: 'DD-MM-YYYY',
        });
        $('#fechaFin').datetimepicker({
            viewMode: 'days',
            format: 'DD-MM-YYYY',
        });
        var fileName = 'Movimientos-' + new Date().getFullYear() +
            +(new Date().getMonth() + 1) +
            +new Date().getDay() +
            +new Date().getHours() +
            +new Date().getMinutes() +
            +new Date().getSeconds()
        localStorage.setItem('fileName', JSON.stringify(fileName));
        localStorage.setItem('columna', '5');
    })
</script>
<script type="text/javascript" src="view/librerias/dist/js/funcionExcel.js"></script>