<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        Kardex
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="wfamain.php"><i class="fa fa-dashboard"></i> Inicio</a></li>
        <li><a href="#">Kardex</a></li>
    </ol>
</section>
<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-xs-12">
            <div class="box box-primary">
                <div class="box-header">
                    <h3 class="box-title">Relación completa de Kardex</h3>
                    <div class="row">
                        <div class="col-md-12" style="margin-top: 15px;">
                            <form action="?c=Reportes&a=Kardex" method="POST">
                                <div class="row">
                                    <div class="col-md-3">
                                        Producto<br />
                                        <select class="form-control selectpicker" id="ProdServ_Id" name="ProdServ_Id" data-live-search="true">
                                            <option value="">Seleccionar Producto</option>
                                            <?php
                                            foreach ($productos as $pro) :
                                            ?>
                                                <option value="<?php echo $pro->__GET('ProdServ_Id'); ?>" <?php echo isset($_POST['ProdServ_Id']) ? $_POST['ProdServ_Id'] == $pro->__GET('ProdServ_Id') ? 'selected' : '' : '' ?>><?php echo $pro->__GET('sProSrvNombre'); ?></option>
                                            <?php
                                            endforeach;
                                            ?>
                                        </select>
                                    </div>
                                    <div class="col-md-2">
                                        Fecha Inicio <br />
                                        <input type="text" class="form-control" name="fechaIni" id="fechaIni" value="<?php echo $fechaIni; ?>">
                                    </div>
                                    <div class="col-md-2">
                                        Fecha Fin <br />
                                        <input type="text" class="form-control" name="fechaFin" id="fechaFin" value="<?php echo $fechaFin; ?>">
                                    </div>
                                    <div class="col-md-5">
                                        <br>
                                        <button type="submit" class="btn btn-danger btn-flat">Filtrar</button>
                                        <a class="btn btn-success btn-flat" href="#" id="click-export-excel">Exportar Excel</a>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div><!-- /.box-header -->
                <div class="box-body">
                    <table id="example1" class="table table-hover display responsive no-wrap">
                        <thead>
                            <tr>
                                <th>Fecha Hora</th>
                                <th>Tipo Movimiento</th>
                                <th>Almacén</th>
                                <th>Documento</th>
                                <th>Fecha Documento</th>
                                <th>Origen/Destino</th>
                                <th>Estado</th>
                                <th>Lote</th>
                                <th>Cantidad</th>
                                <th>Unidad</th>
                                <th>Saldo Anterior Lote</th>
                                <th>Saldo Posterior Lote</th>
                                <th>Saldo Anterior</th>
                                <th>Saldo Posterior</th>
                                <th>Observaciones</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php foreach ($reportes as $r) : ?>
                                <tr id="<?php echo preg_replace("/[-\s]/", "", $r->__GET('valor04')); ?>">
                                    <td><?php echo $r->__GET('valor01'); ?></td>
                                    <td><?php echo $r->__GET('valor02'); ?></td>
                                    <td><?php echo $r->__GET('valor03'); ?></td>
                                    <td><a href="#" data-toggle="modal" data-target="#movimiento" onclick="MostrarMovimiento(<?php echo preg_replace('/[-\s]/', '', $r->__GET('valor04')); ?>)"><?php echo $r->__GET('valor04'); ?></a></td>
                                    <td><?php echo $r->__GET('valor05'); ?></td>
                                    <td><?php echo $r->__GET('valor06'); ?></td>
                                    <td><?php echo $r->__GET('valor07'); ?></td>
                                    <td><?php echo $r->__GET('valor08'); ?></td>
                                    <td><?php echo $r->__GET('valor09'); ?></td>
                                    <td><?php echo $r->__GET('valor10'); ?></td>
                                    <td><?php echo $r->__GET('valor11'); ?></td>
                                    <td><?php echo $r->__GET('valor12'); ?></td>
                                    <td><?php echo $r->__GET('valor13'); ?></td>
                                    <td><?php echo $r->__GET('valor14'); ?></td>
                                    <td><?php echo $r->__GET('valor16'); ?></td>
                                </tr>
                            <?php endforeach; ?>
                        </tbody>
                        <tfoot>
                            <tr>
                                <th>Fecha Hora</th>
                                <th>Tipo Movimiento</th>
                                <th>Almacén</th>
                                <th>Documento</th>
                                <th>Fecha Documento</th>
                                <th>Origen/Destino</th>
                                <th>Estado</th>
                                <th>Lote</th>
                                <th>Cantidad</th>
                                <th>Unidad</th>
                                <th>Saldo Anterior Lote</th>
                                <th>Saldo Posterior Lote</th>
                                <th>Saldo Anterior</th>
                                <th>Saldo Posterior</th>
                                <th>Observaciones</th>
                            </tr>
                        </tfoot>
                    </table>
                </div><!-- /.box-body -->
            </div><!-- /.box -->
        </div><!-- /.col -->
    </div><!-- /.row -->
</section><!-- /.content -->

<!-- Modal modeal-ver -->
<div class="modal fade" id="movimiento" tabindex="-1" role="dialog" aria-labelledby="modal-ver-label" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <form action="?c=Movimiento&a=PDFMovimiento" method="POST">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                    <h4 class="modal-title" id="modal-ver-label">Visualizar Kardex</h4>
                </div>
                <div class="modal-body">
                    <div id="ver_datos">

                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                </div>
            </form>
        </div>
    </div>
</div>
<!-- /Modal modal-ver -->


<script type="text/javascript">
    // var MostrarMovimiento = function(Movimiento_Id) {
    //    var datos = [];
    //    var header = []

    //    $('#ver_datos').html('');

    //    $('#example1 thead tr').find('th').each(function() {
    //        header.push($(this).text());
    //    });

    //    var trId = $(Movimiento_Id).filter("tr").attr("id");

    //    var fila = $(`#${trId}`);
    //    fila.find('td').each(function() {
    //        datos.push($(this).text());
    //    })

    //    datos.forEach(function(element, index) {

    //        var addClass = index % 2 == 0 ? 'whitesmoke' : '';

    //        var html = ` <div class="row" style='font-size: 15px; padding: 5px 0; background-color:${addClass}'>
    //        <p class="col-xs-4 col-md-4" id="modal_header" style='font-weight: bolder'>${header[index]}:</p>
    //        <span id="col-xs-8 col-md-8" id="modal_fila">${element}</span>
    //        </div>`

    //        $('#ver_datos').append(html);

    //    });
    // }
    
    var MostrarMovimiento = function(Movimiento_Id) {
        var datos = [];
        var header = [];

        $('#ver_datos').html('');

        // Obtener todos los encabezados de las columnas
        $('#example1 thead tr').find('th').each(function() {
            header.push($(this).text());
        });

        var table = $('#example1').DataTable();

        var fila = table.row(Movimiento_Id).data();

        if (fila) {
            for (let index = 0; index < fila.length; index++) {
                datos.push(fila[index]);
            }

            datos.forEach(function(element, index) {
                var addClass = index % 2 == 0 ? 'whitesmoke' : '';
                console.log(element)

                switch (index) {
                    // case 0:
                    //     header[0] = 'Fecha Hora';
                    //     break;
                    // case 1:
                    //     header[1] = 'Tipo Movimiento';
                    //     break;
                    // case 2:
                    //     header[2] = 'Almacén';
                    //     break;
                    // case 3:
                    //     header[3] = 'Documento';
                    //     break;
                    // case 4:
                    //     header[4] = 'Fecha Documento';
                    //     break;
                    // case 5:
                    //     header[5] = 'Origen/Destino';
                    //     break;
                    // case 6:
                    //     header[6] = 'Estado';
                    //     break;
                    // case 7:
                    //     header[7] = 'Lote';
                    //     break;
                    // case 8:
                    //     header[8] = 'Cantidad';
                    //     break;
                    // case 9:
                    //     header[9] = 'Unidad';
                    //     break;
                    // case 10:
                    //     header[10] = 'Saldo Anterior Lote';
                    //     break;
                    // case 11:
                    //     header[11] = 'Saldo Posterior Lote';
                    //     break;
                    // case 12:
                    //     header[12] = 'Saldo Anterior';
                    //     break;
                    case 13:
                        header[13] = 'Saldo Posterior';
                        break;
                    case 14:
                        header[14] = 'Observaciones';
                        break;
                
                    default:
                        break;
                }

                var html = `<div class="row" style='font-size: 15px; padding: 5px 0; background-color:${addClass}'>
                    <p class="col-xs-4 col-md-4" id="modal_header" style='font-weight: bolder'>${header[index]}:</p>
                    <span class="col-xs-8 col-md-8" id="modal_fila">${element}</span>
                </div>`;

                $('#ver_datos').append(html);
            });
        } else {
            console.error(`No se encontró la fila con ID: ${Movimiento_Id}`);
        }
    }

</script>

<script type="text/javascript" src="view/librerias/dist/js/funcionExcel.js"></script>
<script type="text/javascript">
    $(document).ready(function() {
        var fileName = 'Kardex-' + new Date().getFullYear() +
            +(new Date().getMonth() + 1) +
            +new Date().getDay() +
            +new Date().getHours() +
            +new Date().getMinutes() +
            +new Date().getSeconds()
        localStorage.setItem('fileName', JSON.stringify(fileName));
        localStorage.setItem('columna', false)
    });
</script>

<script type="text/javascript" src="view/librerias/dist/js/funcionesReporteExcel.js"></script>