<!-- Content Header (Page header) -->
<style type="text/css">
    #totalp {
        width: 100px !important;
    }

    #totalg {
        width: 150px !important;
    }
</style>
<section class="content-header">
    <h1>
        Reporte de ventas por cliente
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="wfamain.php"><i class="fa fa-dashboard"></i> Inicio</a></li>
        <li><a href="#">Ventasxcliente</a></li>
    </ol>
</section>
<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-xs-12">
            <div class="box box-primary">
                <div class="box-header">
                    <h3 class="box-title">Relación completa de Ventas por Cliente</h3>
                    <div class="row">
                        <div class="col-md-12" style="margin-top: 15px;">
                            <form action="?c=Reportes&a=VentaxCliente" method="POST">
                                <div class="row">
                                    <div class="col-md-3">
                                        Cliente<br />
                                        <select class="form-control selectpicker" id="OrigenDestino_Id" name="OrigenDestino_Id" data-live-search="true">
                                            <option value="">Seleccionar Cliente</option>
                                            <?php
                                            foreach ($clientes as $cli) :
                                            ?>
                                                <option value="<?php echo $cli->__GET('OrigenDestino_Id'); ?>" <?php echo isset($_POST['OrigenDestino_Id']) ? $_POST['OrigenDestino_Id'] == $cli->__GET('OrigenDestino_Id') ? 'selected' : '' : '' ?>><?php echo $cli->__GET('sODNombre'); ?></option>
                                            <?php
                                            endforeach;
                                            ?>
                                        </select>
                                    </div>
                                    <div class="col-md-2">
                                        Fecha Inicio <br />
                                        <input type="text" class="form-control" name="fechaIni" id="fechaIni" value="<?php echo $fechaIni; ?>">
                                    </div>
                                    <div class="col-md-2">
                                        Fecha Fin <br />
                                        <input type="text" class="form-control" name="fechaFin" id="fechaFin" value="<?php echo $fechaFin; ?>">
                                    </div>
                                    <div class="col-md-5">
                                        <br>
                                        <button type="submit" class="btn btn-danger btn-flat">Filtrar</button>
                                        <a class="btn btn-success btn-flat" href="#" id="click-export-excel">Exportar Excel</a>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div><!-- /.box-header -->
                <div class="box-body">
                    <table id="example1" class="table table-hover display responsive no-wrap">
                        <thead>
                            <tr>
                                <th>Fecha</th>
                                <th>Hora</th>
                                <th>Documento</th>
                                <th>RUC</th>
                                <th>Cliente</th>
                                <th>Ubigeo</th>
                                <th>Tipo Pago</th>
                                <th>Moneda</th>
                                <th>Importe</th>
                                <th>IGV</th>
                                <th>Total</th>
                                <th>Pendiente Pago</th>
                                <th>Estado</th>
                                <th>Estado Sunat</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php foreach ($reportes as $r) : ?>
                                <tr>
                                    <td><?php echo $r->__GET('valor01'); ?></td>
                                    <td><?php echo $r->__GET('valor02'); ?></td>
                                    <td><a href="#" data-toggle="modal" data-target="#movimiento-detallado" onclick="MostrarMovimientoReporte(<?php echo $r->__GET('valor15'); ?>)"><?php echo $r->__GET('valor03'); ?></a></td>
                                    <td><?php echo $r->__GET('valor04'); ?></td>
                                    <td><?php echo $r->__GET('valor05'); ?></td>
                                    <td><?php echo $r->__GET('valor06'); ?></td>
                                    <td><?php echo $r->__GET('valor07'); ?></td>
                                    <td><?php echo $r->__GET('valor08'); ?></td>
                                    <td><?php echo $r->__GET('valor09'); ?></td>
                                    <td><?php echo $r->__GET('valor10'); ?></td>
                                    <td><?php echo $r->__GET('valor11'); ?></td>
                                    <td><?php echo $r->__GET('valor12'); ?></td>
                                    <td>

                                        <?php switch ($r->__GET('valor13')) {

                                            case 'Anulado':
                                                echo '<span class="label label-danger">Anulado</span>';
                                                break;
                                            case 'Registrado':
                                                echo '<span class="label label-warning">Registrado</span>';
                                                break;
                                            case 'Pagado':
                                                echo '<span class="label label-success">Pagado</span>';
                                                break;
                                        }
                                        ?>

                                    </td>
                                    <td>
                                        <?php switch ($r->__GET('valor14')) {

                                            case 'Anulado':
                                                switch ($r->__GET('valor13')) {
                                                    case 'Anulado':
                                                        echo '<span class="label label-danger">Anulado</span>';
                                                        break;
                                                    case 'Registrado':
                                                        echo '<span class="label label-warning">No enviado</span>';
                                                        break;
                                                    case 'Pagado':
                                                        echo '<span class="label label-warning">No enviado</span>';
                                                        break;
                                                }
                                                break;

                                            case 'No enviado':
                                                switch ($r->__GET('valor13')) {
                                                    case 'Anulado':
                                                        echo '<span class="label label-danger">Anulado</span>';
                                                        break;
                                                    case 'Registrado':
                                                        echo '<span class="label label-warning">No enviado</span>';
                                                        break;
                                                    case 'Pagado':
                                                        echo '<span class="label label-warning">No enviado</span>';
                                                        break;
                                                }
                                                break;

                                            case 'Validado':
                                                echo '<span class="label label-success">Validado</span>';
                                                break;
                                            case 'Rechazado':
                                                echo '<span class="label label-danger">Rechazado</span>';
                                                break;
                                            case 'Baja':
                                                echo '<span class="label label-danger">Baja</span>';
                                                break;
                                        } ?>
                                    </td>

                                </tr>
                            <?php endforeach; ?>
                        </tbody>
                        <tfoot>
                            <tr>
                                <th style="visibility:hidden">Total</th>
                                <th style="visibility:hidden">Total</th>
                                <th style="visibility:hidden">Total</th>
                                <th style="visibility:hidden">Total</th>
                                <th style="visibility:hidden">Total </th>
                                <th style="visibility:hidden">Total </th>
                                <th style="visibility:hidden">Total </th>
                                <th style="visibility:hidden">Total</th>
                                <th style="visibility:hidden">Total</th>
                                <th id="totalp">Total p&aacute;gina:</th>
                                <th id="totalg"></th>
                                <th style="visibility:hidden">Total</th>
                                <th style="visibility:hidden">Total</th>
                                <th style="visibility:hidden">Total</th>
                            </tr>
                        </tfoot>
                    </table>
                </div><!-- /.box-body -->
            </div><!-- /.box -->
        </div><!-- /.col -->
    </div><!-- /.row -->
</section><!-- /.content -->

<!-- Modal modeal-ver -->
<div class="modal fade" id="movimiento-detallado" tabindex="-1" role="dialog" aria-labelledby="modal-ver-label" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <form action="?c=Movimiento&a=PDFMovimiento" method="POST">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                    <h4 class="modal-title" id="modal-ver-label">Visualizar Movimiento</h4>
                </div>
                <div class="modal-body">
                    <table class="table table-striped" id="ver_datos">

                    </table>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                </div>
            </form>
        </div>
    </div>
</div>
<!-- /Modal modal-ver -->



<script type="text/javascript">
    function MostrarMovimientoReporte(Movimiento_Id) {
        $.post('?c=Movimiento&a=MostrarMovimiento', {
            Movimiento_Id: Movimiento_Id
        }, function(data) {
            $("#ver_datos").html(data);
        });
    }
    $(document).ready(function() {
        $('#fechaIni').datetimepicker({
            viewMode: 'days',
            format: 'DD-MM-YYYY',
        });
        $('#fechaFin').datetimepicker({
            viewMode: 'days',
            format: 'DD-MM-YYYY',
        });
        var fileName = 'Ventasxcliente-' + new Date().getFullYear() +
            +(new Date().getMonth() + 1) +
            +new Date().getDay() +
            +new Date().getHours() +
            +new Date().getMinutes() +
            +new Date().getSeconds()
        localStorage.setItem('fileName', JSON.stringify(fileName));
        localStorage.setItem('columna', '10')
    })
</script>
<script type="text/javascript" src="view/librerias/dist/js/funcionExcel.js"></script>