<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        Movimiento
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="wfamain.php"><i class="fa fa-dashboard"></i> Inicio</a></li>
        <li><a href="#">Movimiento</a></li>
    </ol>
</section>
<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-xs-12">
            <div class="box">
                <div class="box-header">
                    <h3 class="box-title">Relación de Movimiento SUNAT</h3>

                    <div class="row">
                        <div class="col-md-8" style="margin-top: 15px;">
                            <form action="?c=Reportes&a=MovSunat" method="POST">
                                <div class="row">
                                    <input type="hidden" id="id_empresa" value="<?php echo $_SESSION['usu_enterpriseRuc']; ?>">
                                    <div class="col-md-3">
                                        Fecha Inicio <br />
                                        <input type="text" class="form-control col-md-4" name="fechaInicio" id="fechaInicio" value="<?php echo isset($_POST['fechaInicio']) ? $_POST['fechaInicio'] : date('d-m-Y', strtotime('-1 day', strtotime(date('d-m-Y')))) ?>">
                                    </div>
                                    <div class="col-md-3">
                                        Fecha Fin <br />
                                        <input type="text" class="form-control col-md-4" name="fechaFin" id="fechaFin" value="<?php echo isset($_POST['fechaFin']) ? $_POST['fechaFin'] : date('d-m-Y', strtotime(date('d-m-Y'))) ?>">
                                    </div>
                                    <div class="col-md-3">
                                        Tipo movimiento
                                        <select class="form-control" id="TipoMovimiento_Id" name="TipoMovimiento_Id">
                                            <option value="6" <?php echo $tipomovimientos == 6  ? 'selected' : '' ?>>Pendiente Baja</option>
                                            <option value="0" <?php echo $tipomovimientos == 0 ? 'selected' : '' ?>>Pendiente de validacion</option>
                                        </select>
                                    </div>
                                    <div class="col-md-3"><br><button type="submit" class="btn btn-danger btn-flat">Filtrar</button></div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div><!-- /.box-header -->
                <div class="box-body">
                    <table id="example1" class="table table-bordered table-striped table-hover text-center">
                        <thead>
                            <tr>
                                <th>Fecha Emision</th>
                                <th>Nro Serie</th>
                                <th>Nro Numero</th>
                                <th>Estado</th>
                                <th>Dias restantes</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                            foreach ($reportes as $r) {
                            ?>
                                <tr>
                                    <td><?php echo $r->dMovFecha; ?></td>
                                    <td><?php echo $r->sDocNombreCorto; ?></td>
                                    <td>
                                        <a href="#" data-toggle="modal" data-target="#modal-ver" onclick="MostrarMovimiento('<?php echo $r->Movimiento_Id; ?>');">
                                            <?php echo $r->sMovDocumento; ?>
                                        </a>
                                    </td>
                                    <td>
                                        <?php

                                        switch ($r->sMovEstadoValidacion_Baja) {
                                            case '6':
                                                echo 'Pendiente Baja';
                                                break;

                                            case '0':
                                                echo 'Pendiente de validacion';
                                                break;
                                        }

                                        ?>

                                    </td>
                                    <td>
                                        <?php
                                        if ($r->sMovEstadoValidacion_Baja == 6) {
                                            //Pendiente de baja
                                            switch ($r->Documento_Id) {
                                                case '1':
                                                    echo '7';
                                                    break;

                                                case '2':
                                                    echo '7';
                                                    break;

                                                case '15':
                                                    echo '7';
                                                    break;

                                                case '12':
                                                    echo '7';
                                                    break;

                                                case '11':
                                                    echo '7';
                                                    break;
                                            }
                                        } else {
                                            switch ($r->Documento_Id) {
                                                case '1':
                                                    echo '3';
                                                    break;

                                                case '2':
                                                    echo '5';
                                                    break;

                                                case '15':
                                                    echo '7';
                                                    break;

                                                case '12':
                                                    echo '7';
                                                    break;

                                                case '11':
                                                    echo '7';
                                                    break;
                                            }
                                        }
                                        ?>

                                    </td>
                                </tr>
                            <?php
                            }
                            ?>
                        </tbody>
                        <tfoot>
                            <tr>
                                <th>Fecha Emision</th>
                                <th>Nro Serie</th>
                                <th>Nro Numero</th>
                                <th>Estado</th>
                                <th>Dias restantes</th>
                            </tr>
                        </tfoot>
                    </table>

                    <!-- Modal modeal-ver -->
                    <div class="modal fade" id="modal-ver" tabindex="-1" role="dialog" aria-labelledby="modal-ver-label" aria-hidden="true">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <form action="?c=Movimiento&a=PDFMovimiento" method="POST">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                                        <h4 class="modal-title" id="modal-ver-label">Registro de Movimiento</h4>
                                    </div>
                                    <div class="modal-body">
                                        <input type="hidden" name="PDFMmovimiento_Id" id="PDFMmovimiento_Id" value="">
                                        <table class="table table-striped" id="ver_datos">

                                        </table>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="submit" class="btn btn-danger" formtarget="_blak"><i class="fa fa-print"></i>&nbsp;Imprimir</button>
                                        <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                                        <button type="button" onclick="Actualizar_obs_docref()" class="btn btn-success"><i class="fa fa-edit"></i>&nbsp;Actualizar</button>

                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                    <!-- /Modal modal-ver -->
                </div><!-- /.box-body -->
            </div><!-- /.box -->
        </div><!-- /.col -->
    </div><!-- /.row -->
</section><!-- /.content -->

<script type="text/javascript" src="view/librerias/dist/js/funcionesMovimiento.js"></script>
<script type="text/javascript">
    $('#fechaInicio').datetimepicker({
        viewMode: 'days',
        format: 'DD-MM-YYYY'
    });

    $('#fechaFin').datetimepicker({
        viewMode: 'days',
        format: 'DD-MM-YYYY'
    });
    $(function() {
        jQuery.fn.dataTableExt.oSort['fecha-asc'] = function(a, b) {
            var ukDatea = a.split('-');
            var ukDateb = b.split('-');

            var x = (ukDatea[2] + ukDatea[1] + ukDatea[0]) * 1;
            var y = (ukDateb[2] + ukDateb[1] + ukDateb[0]) * 1;

            return ((x < y) ? -1 : ((x > y) ? 1 : 0));
        };

        jQuery.fn.dataTableExt.oSort['fecha-desc'] = function(a, b) {
            var ukDatea = a.split('-');
            var ukDateb = b.split('-');

            var x = (ukDatea[2] + ukDatea[1] + ukDatea[0]) * 1;
            var y = (ukDateb[2] + ukDateb[1] + ukDateb[0]) * 1;

            return ((x < y) ? 1 : ((x > y) ? -1 : 0));
        };
        $("#example1").dataTable({
            "scrollX": true,
            "bSort": true,
            "language": {
                "search": "Buscar",
                "lengthMenu": "Visualizar _MENU_ registro por página",
                "zeroRecords": "No hay información para mostrar",
                "info": "Pagina _PAGE_ de _PAGES_ de _MAX_ ",
                "infoEmpty": "Pagina _PAGE_ - _PAGES_ de _MAX_ registros",
                "infoFiltered": "(filtered from _MAX_ total records)",
                "paginate": {
                    "previous": "Anterior",
                    "next": "Siguiente"
                }
            }
        });
    });
</script>